/* SPDX-License-Identifier: BSD-3-Clause
 * Copyright(c) 2014-2022 Broadcom
 * All rights reserved.
 */

/* date: Wed Apr  6 11:15:00 2022 */

#include "ulp_template_db_enum.h"
#include "ulp_template_db_field.h"
#include "ulp_template_struct.h"
#include "ulp_template_db_tbl.h"

/* Define the template structures */
/*
 * Classification signature table:
 * maps hash id to ulp_class_match_list[] index
 */
uint16_t ulp_class_sig_tbl[BNXT_ULP_CLASS_SIG_TBL_MAX_SZ] = {
	[BNXT_ULP_CLASS_HID_8a2a] = 1,
	[BNXT_ULP_CLASS_HID_3f32] = 2,
	[BNXT_ULP_CLASS_HID_dbea] = 3,
	[BNXT_ULP_CLASS_HID_90f2] = 4,
	[BNXT_ULP_CLASS_HID_86b72] = 5,
	[BNXT_ULP_CLASS_HID_8207a] = 6,
	[BNXT_ULP_CLASS_HID_187fc2] = 7,
	[BNXT_ULP_CLASS_HID_1834ca] = 8,
	[BNXT_ULP_CLASS_HID_4e1f6] = 9,
	[BNXT_ULP_CLASS_HID_496fe] = 10,
	[BNXT_ULP_CLASS_HID_47bee] = 11,
	[BNXT_ULP_CLASS_HID_430f6] = 12,
	[BNXT_ULP_CLASS_HID_cec2e] = 13,
	[BNXT_ULP_CLASS_HID_ca136] = 14,
	[BNXT_ULP_CLASS_HID_c8626] = 15,
	[BNXT_ULP_CLASS_HID_c3b2e] = 16,
	[BNXT_ULP_CLASS_HID_1bf0e] = 17,
	[BNXT_ULP_CLASS_HID_17436] = 18,
	[BNXT_ULP_CLASS_HID_15906] = 19,
	[BNXT_ULP_CLASS_HID_10e0e] = 20,
	[BNXT_ULP_CLASS_HID_383f6] = 21,
	[BNXT_ULP_CLASS_HID_338fe] = 22,
	[BNXT_ULP_CLASS_HID_31dce] = 23,
	[BNXT_ULP_CLASS_HID_3c9ee] = 24,
	[BNXT_ULP_CLASS_HID_8a6a] = 25,
	[BNXT_ULP_CLASS_HID_3f72] = 26,
	[BNXT_ULP_CLASS_HID_dbaa] = 27,
	[BNXT_ULP_CLASS_HID_90b2] = 28,
	[BNXT_ULP_CLASS_HID_109e1a] = 29,
	[BNXT_ULP_CLASS_HID_1053e2] = 30,
	[BNXT_ULP_CLASS_HID_10f05a] = 31,
	[BNXT_ULP_CLASS_HID_10a522] = 32,
	[BNXT_ULP_CLASS_HID_89422] = 33,
	[BNXT_ULP_CLASS_HID_8492a] = 34,
	[BNXT_ULP_CLASS_HID_8e662] = 35,
	[BNXT_ULP_CLASS_HID_89b6a] = 36,
	[BNXT_ULP_CLASS_HID_18a8d2] = 37,
	[BNXT_ULP_CLASS_HID_185dda] = 38,
	[BNXT_ULP_CLASS_HID_18033a] = 39,
	[BNXT_ULP_CLASS_HID_18af1a] = 40,
	[BNXT_ULP_CLASS_HID_86b32] = 41,
	[BNXT_ULP_CLASS_HID_8203a] = 42,
	[BNXT_ULP_CLASS_HID_187f82] = 43,
	[BNXT_ULP_CLASS_HID_18348a] = 44,
	[BNXT_ULP_CLASS_HID_cec5a] = 45,
	[BNXT_ULP_CLASS_HID_ca142] = 46,
	[BNXT_ULP_CLASS_HID_1c0932] = 47,
	[BNXT_ULP_CLASS_HID_1cb5d2] = 48,
	[BNXT_ULP_CLASS_HID_a307a] = 49,
	[BNXT_ULP_CLASS_HID_adc1a] = 50,
	[BNXT_ULP_CLASS_HID_1a44ca] = 51,
	[BNXT_ULP_CLASS_HID_1af0ea] = 52,
	[BNXT_ULP_CLASS_HID_eb082] = 53,
	[BNXT_ULP_CLASS_HID_e658a] = 54,
	[BNXT_ULP_CLASS_HID_1ec512] = 55,
	[BNXT_ULP_CLASS_HID_1e7a1a] = 56,
	[BNXT_ULP_CLASS_HID_8aaa] = 57,
	[BNXT_ULP_CLASS_HID_3fb2] = 58,
	[BNXT_ULP_CLASS_HID_db6a] = 59,
	[BNXT_ULP_CLASS_HID_9072] = 60,
	[BNXT_ULP_CLASS_HID_109eda] = 61,
	[BNXT_ULP_CLASS_HID_105322] = 62,
	[BNXT_ULP_CLASS_HID_10f09a] = 63,
	[BNXT_ULP_CLASS_HID_10a5e2] = 64,
	[BNXT_ULP_CLASS_HID_894e2] = 65,
	[BNXT_ULP_CLASS_HID_849ea] = 66,
	[BNXT_ULP_CLASS_HID_8e6a2] = 67,
	[BNXT_ULP_CLASS_HID_89baa] = 68,
	[BNXT_ULP_CLASS_HID_18a812] = 69,
	[BNXT_ULP_CLASS_HID_185d1a] = 70,
	[BNXT_ULP_CLASS_HID_1803fa] = 71,
	[BNXT_ULP_CLASS_HID_18afda] = 72,
	[BNXT_ULP_CLASS_HID_86bf2] = 73,
	[BNXT_ULP_CLASS_HID_820fa] = 74,
	[BNXT_ULP_CLASS_HID_187f42] = 75,
	[BNXT_ULP_CLASS_HID_18344a] = 76,
	[BNXT_ULP_CLASS_HID_cec9a] = 77,
	[BNXT_ULP_CLASS_HID_ca182] = 78,
	[BNXT_ULP_CLASS_HID_1c09f2] = 79,
	[BNXT_ULP_CLASS_HID_1cb512] = 80,
	[BNXT_ULP_CLASS_HID_a30ba] = 81,
	[BNXT_ULP_CLASS_HID_adcda] = 82,
	[BNXT_ULP_CLASS_HID_1a440a] = 83,
	[BNXT_ULP_CLASS_HID_1af02a] = 84,
	[BNXT_ULP_CLASS_HID_eb042] = 85,
	[BNXT_ULP_CLASS_HID_e654a] = 86,
	[BNXT_ULP_CLASS_HID_1ec5d2] = 87,
	[BNXT_ULP_CLASS_HID_1e7ada] = 88,
	[BNXT_ULP_CLASS_HID_4e1b6] = 89,
	[BNXT_ULP_CLASS_HID_496be] = 90,
	[BNXT_ULP_CLASS_HID_47bae] = 91,
	[BNXT_ULP_CLASS_HID_430b6] = 92,
	[BNXT_ULP_CLASS_HID_cec6e] = 93,
	[BNXT_ULP_CLASS_HID_ca176] = 94,
	[BNXT_ULP_CLASS_HID_c8666] = 95,
	[BNXT_ULP_CLASS_HID_c3b6e] = 96,
	[BNXT_ULP_CLASS_HID_6a6fe] = 97,
	[BNXT_ULP_CLASS_HID_65bc6] = 98,
	[BNXT_ULP_CLASS_HID_640f6] = 99,
	[BNXT_ULP_CLASS_HID_6ecd6] = 100,
	[BNXT_ULP_CLASS_HID_eb0b6] = 101,
	[BNXT_ULP_CLASS_HID_e65be] = 102,
	[BNXT_ULP_CLASS_HID_e4aae] = 103,
	[BNXT_ULP_CLASS_HID_ef68e] = 104,
	[BNXT_ULP_CLASS_HID_548ce] = 105,
	[BNXT_ULP_CLASS_HID_5f4ae] = 106,
	[BNXT_ULP_CLASS_HID_5d9de] = 107,
	[BNXT_ULP_CLASS_HID_58ea6] = 108,
	[BNXT_ULP_CLASS_HID_d5286] = 109,
	[BNXT_ULP_CLASS_HID_d078e] = 110,
	[BNXT_ULP_CLASS_HID_de396] = 111,
	[BNXT_ULP_CLASS_HID_d989e] = 112,
	[BNXT_ULP_CLASS_HID_70d16] = 113,
	[BNXT_ULP_CLASS_HID_7b9f6] = 114,
	[BNXT_ULP_CLASS_HID_79ee6] = 115,
	[BNXT_ULP_CLASS_HID_753ee] = 116,
	[BNXT_ULP_CLASS_HID_f17ce] = 117,
	[BNXT_ULP_CLASS_HID_fc3ae] = 118,
	[BNXT_ULP_CLASS_HID_fa8de] = 119,
	[BNXT_ULP_CLASS_HID_f5da6] = 120,
	[BNXT_ULP_CLASS_HID_1bf4e] = 121,
	[BNXT_ULP_CLASS_HID_17476] = 122,
	[BNXT_ULP_CLASS_HID_15946] = 123,
	[BNXT_ULP_CLASS_HID_10e4e] = 124,
	[BNXT_ULP_CLASS_HID_383b6] = 125,
	[BNXT_ULP_CLASS_HID_338be] = 126,
	[BNXT_ULP_CLASS_HID_31d8e] = 127,
	[BNXT_ULP_CLASS_HID_3c9ae] = 128,
	[BNXT_ULP_CLASS_HID_1ee46] = 129,
	[BNXT_ULP_CLASS_HID_1a34e] = 130,
	[BNXT_ULP_CLASS_HID_1885e] = 131,
	[BNXT_ULP_CLASS_HID_1bd46] = 132,
	[BNXT_ULP_CLASS_HID_3b28e] = 133,
	[BNXT_ULP_CLASS_HID_3e7b6] = 134,
	[BNXT_ULP_CLASS_HID_3cc86] = 135,
	[BNXT_ULP_CLASS_HID_3818e] = 136,
	[BNXT_ULP_CLASS_HID_15b5e] = 137,
	[BNXT_ULP_CLASS_HID_15046] = 138,
	[BNXT_ULP_CLASS_HID_1ec4e] = 139,
	[BNXT_ULP_CLASS_HID_1e176] = 140,
	[BNXT_ULP_CLASS_HID_35f86] = 141,
	[BNXT_ULP_CLASS_HID_3cba6] = 142,
	[BNXT_ULP_CLASS_HID_3f0b6] = 143,
	[BNXT_ULP_CLASS_HID_365be] = 144,
	[BNXT_ULP_CLASS_HID_1ca56] = 145,
	[BNXT_ULP_CLASS_HID_1ff5e] = 146,
	[BNXT_ULP_CLASS_HID_1e3ae] = 147,
	[BNXT_ULP_CLASS_HID_1d04e] = 148,
	[BNXT_ULP_CLASS_HID_3ce9e] = 149,
	[BNXT_ULP_CLASS_HID_3c386] = 150,
	[BNXT_ULP_CLASS_HID_3df8e] = 151,
	[BNXT_ULP_CLASS_HID_3d4b6] = 152,
	[BNXT_ULP_CLASS_HID_4e176] = 153,
	[BNXT_ULP_CLASS_HID_4967e] = 154,
	[BNXT_ULP_CLASS_HID_47b6e] = 155,
	[BNXT_ULP_CLASS_HID_43076] = 156,
	[BNXT_ULP_CLASS_HID_cecae] = 157,
	[BNXT_ULP_CLASS_HID_ca1b6] = 158,
	[BNXT_ULP_CLASS_HID_c86a6] = 159,
	[BNXT_ULP_CLASS_HID_c3bae] = 160,
	[BNXT_ULP_CLASS_HID_6a63e] = 161,
	[BNXT_ULP_CLASS_HID_65b06] = 162,
	[BNXT_ULP_CLASS_HID_64036] = 163,
	[BNXT_ULP_CLASS_HID_6ec16] = 164,
	[BNXT_ULP_CLASS_HID_eb076] = 165,
	[BNXT_ULP_CLASS_HID_e657e] = 166,
	[BNXT_ULP_CLASS_HID_e4a6e] = 167,
	[BNXT_ULP_CLASS_HID_ef64e] = 168,
	[BNXT_ULP_CLASS_HID_5480e] = 169,
	[BNXT_ULP_CLASS_HID_5f46e] = 170,
	[BNXT_ULP_CLASS_HID_5d91e] = 171,
	[BNXT_ULP_CLASS_HID_58e66] = 172,
	[BNXT_ULP_CLASS_HID_d5246] = 173,
	[BNXT_ULP_CLASS_HID_d074e] = 174,
	[BNXT_ULP_CLASS_HID_de356] = 175,
	[BNXT_ULP_CLASS_HID_d985e] = 176,
	[BNXT_ULP_CLASS_HID_70dd6] = 177,
	[BNXT_ULP_CLASS_HID_7b936] = 178,
	[BNXT_ULP_CLASS_HID_79e26] = 179,
	[BNXT_ULP_CLASS_HID_7532e] = 180,
	[BNXT_ULP_CLASS_HID_f170e] = 181,
	[BNXT_ULP_CLASS_HID_fc36e] = 182,
	[BNXT_ULP_CLASS_HID_fa81e] = 183,
	[BNXT_ULP_CLASS_HID_f5d66] = 184,
	[BNXT_ULP_CLASS_HID_1bf8e] = 185,
	[BNXT_ULP_CLASS_HID_174b6] = 186,
	[BNXT_ULP_CLASS_HID_15986] = 187,
	[BNXT_ULP_CLASS_HID_10e8e] = 188,
	[BNXT_ULP_CLASS_HID_38376] = 189,
	[BNXT_ULP_CLASS_HID_3387e] = 190,
	[BNXT_ULP_CLASS_HID_31d4e] = 191,
	[BNXT_ULP_CLASS_HID_3c96e] = 192,
	[BNXT_ULP_CLASS_HID_1ee86] = 193,
	[BNXT_ULP_CLASS_HID_1a38e] = 194,
	[BNXT_ULP_CLASS_HID_1889e] = 195,
	[BNXT_ULP_CLASS_HID_1bd86] = 196,
	[BNXT_ULP_CLASS_HID_3b24e] = 197,
	[BNXT_ULP_CLASS_HID_3e776] = 198,
	[BNXT_ULP_CLASS_HID_3cc46] = 199,
	[BNXT_ULP_CLASS_HID_3814e] = 200,
	[BNXT_ULP_CLASS_HID_15b9e] = 201,
	[BNXT_ULP_CLASS_HID_15086] = 202,
	[BNXT_ULP_CLASS_HID_1ec8e] = 203,
	[BNXT_ULP_CLASS_HID_1e1b6] = 204,
	[BNXT_ULP_CLASS_HID_35f46] = 205,
	[BNXT_ULP_CLASS_HID_3cb66] = 206,
	[BNXT_ULP_CLASS_HID_3f076] = 207,
	[BNXT_ULP_CLASS_HID_3657e] = 208,
	[BNXT_ULP_CLASS_HID_1ca96] = 209,
	[BNXT_ULP_CLASS_HID_1ff9e] = 210,
	[BNXT_ULP_CLASS_HID_1e36e] = 211,
	[BNXT_ULP_CLASS_HID_1d08e] = 212,
	[BNXT_ULP_CLASS_HID_3ce5e] = 213,
	[BNXT_ULP_CLASS_HID_3c346] = 214,
	[BNXT_ULP_CLASS_HID_3df4e] = 215,
	[BNXT_ULP_CLASS_HID_3d476] = 216,
	[BNXT_ULP_CLASS_HID_28c2] = 217,
	[BNXT_ULP_CLASS_HID_7a82] = 218,
	[BNXT_ULP_CLASS_HID_80a2a] = 219,
	[BNXT_ULP_CLASS_HID_181eba] = 220,
	[BNXT_ULP_CLASS_HID_4808e] = 221,
	[BNXT_ULP_CLASS_HID_41a86] = 222,
	[BNXT_ULP_CLASS_HID_c8ac6] = 223,
	[BNXT_ULP_CLASS_HID_c24fe] = 224,
	[BNXT_ULP_CLASS_HID_15de6] = 225,
	[BNXT_ULP_CLASS_HID_1ef16] = 226,
	[BNXT_ULP_CLASS_HID_322ae] = 227,
	[BNXT_ULP_CLASS_HID_3b3de] = 228,
	[BNXT_ULP_CLASS_HID_2882] = 229,
	[BNXT_ULP_CLASS_HID_7ac2] = 230,
	[BNXT_ULP_CLASS_HID_103d32] = 231,
	[BNXT_ULP_CLASS_HID_108f72] = 232,
	[BNXT_ULP_CLASS_HID_8337a] = 233,
	[BNXT_ULP_CLASS_HID_884ba] = 234,
	[BNXT_ULP_CLASS_HID_1847ea] = 235,
	[BNXT_ULP_CLASS_HID_18992a] = 236,
	[BNXT_ULP_CLASS_HID_80a6a] = 237,
	[BNXT_ULP_CLASS_HID_181efa] = 238,
	[BNXT_ULP_CLASS_HID_c8ab2] = 239,
	[BNXT_ULP_CLASS_HID_1c9f02] = 240,
	[BNXT_ULP_CLASS_HID_ac64a] = 241,
	[BNXT_ULP_CLASS_HID_1adada] = 242,
	[BNXT_ULP_CLASS_HID_e4ffa] = 243,
	[BNXT_ULP_CLASS_HID_1e644a] = 244,
	[BNXT_ULP_CLASS_HID_2842] = 245,
	[BNXT_ULP_CLASS_HID_7a02] = 246,
	[BNXT_ULP_CLASS_HID_103df2] = 247,
	[BNXT_ULP_CLASS_HID_108fb2] = 248,
	[BNXT_ULP_CLASS_HID_833ba] = 249,
	[BNXT_ULP_CLASS_HID_8847a] = 250,
	[BNXT_ULP_CLASS_HID_18472a] = 251,
	[BNXT_ULP_CLASS_HID_1899ea] = 252,
	[BNXT_ULP_CLASS_HID_80aaa] = 253,
	[BNXT_ULP_CLASS_HID_181e3a] = 254,
	[BNXT_ULP_CLASS_HID_c8a72] = 255,
	[BNXT_ULP_CLASS_HID_1c9fc2] = 256,
	[BNXT_ULP_CLASS_HID_ac68a] = 257,
	[BNXT_ULP_CLASS_HID_1ada1a] = 258,
	[BNXT_ULP_CLASS_HID_e4f3a] = 259,
	[BNXT_ULP_CLASS_HID_1e648a] = 260,
	[BNXT_ULP_CLASS_HID_480ce] = 261,
	[BNXT_ULP_CLASS_HID_41ac6] = 262,
	[BNXT_ULP_CLASS_HID_c8a86] = 263,
	[BNXT_ULP_CLASS_HID_c24be] = 264,
	[BNXT_ULP_CLASS_HID_64516] = 265,
	[BNXT_ULP_CLASS_HID_6d6e6] = 266,
	[BNXT_ULP_CLASS_HID_e4fce] = 267,
	[BNXT_ULP_CLASS_HID_ee0de] = 268,
	[BNXT_ULP_CLASS_HID_5defe] = 269,
	[BNXT_ULP_CLASS_HID_578f6] = 270,
	[BNXT_ULP_CLASS_HID_de8b6] = 271,
	[BNXT_ULP_CLASS_HID_d82ae] = 272,
	[BNXT_ULP_CLASS_HID_7a306] = 273,
	[BNXT_ULP_CLASS_HID_73d3e] = 274,
	[BNXT_ULP_CLASS_HID_fadfe] = 275,
	[BNXT_ULP_CLASS_HID_f47f6] = 276,
	[BNXT_ULP_CLASS_HID_15da6] = 277,
	[BNXT_ULP_CLASS_HID_1ef56] = 278,
	[BNXT_ULP_CLASS_HID_322ee] = 279,
	[BNXT_ULP_CLASS_HID_3b39e] = 280,
	[BNXT_ULP_CLASS_HID_18cbe] = 281,
	[BNXT_ULP_CLASS_HID_1a6b6] = 282,
	[BNXT_ULP_CLASS_HID_3d1e6] = 283,
	[BNXT_ULP_CLASS_HID_3e296] = 284,
	[BNXT_ULP_CLASS_HID_1f0ae] = 285,
	[BNXT_ULP_CLASS_HID_1caa6] = 286,
	[BNXT_ULP_CLASS_HID_3f596] = 287,
	[BNXT_ULP_CLASS_HID_34fee] = 288,
	[BNXT_ULP_CLASS_HID_1e88e] = 289,
	[BNXT_ULP_CLASS_HID_1f9be] = 290,
	[BNXT_ULP_CLASS_HID_3e4ee] = 291,
	[BNXT_ULP_CLASS_HID_3fee6] = 292,
	[BNXT_ULP_CLASS_HID_4800e] = 293,
	[BNXT_ULP_CLASS_HID_41a06] = 294,
	[BNXT_ULP_CLASS_HID_c8a46] = 295,
	[BNXT_ULP_CLASS_HID_c247e] = 296,
	[BNXT_ULP_CLASS_HID_645d6] = 297,
	[BNXT_ULP_CLASS_HID_6d626] = 298,
	[BNXT_ULP_CLASS_HID_e4f0e] = 299,
	[BNXT_ULP_CLASS_HID_ee01e] = 300,
	[BNXT_ULP_CLASS_HID_5de3e] = 301,
	[BNXT_ULP_CLASS_HID_57836] = 302,
	[BNXT_ULP_CLASS_HID_de876] = 303,
	[BNXT_ULP_CLASS_HID_d826e] = 304,
	[BNXT_ULP_CLASS_HID_7a3c6] = 305,
	[BNXT_ULP_CLASS_HID_73dfe] = 306,
	[BNXT_ULP_CLASS_HID_fad3e] = 307,
	[BNXT_ULP_CLASS_HID_f4736] = 308,
	[BNXT_ULP_CLASS_HID_15d66] = 309,
	[BNXT_ULP_CLASS_HID_1ef96] = 310,
	[BNXT_ULP_CLASS_HID_3222e] = 311,
	[BNXT_ULP_CLASS_HID_3b35e] = 312,
	[BNXT_ULP_CLASS_HID_18c7e] = 313,
	[BNXT_ULP_CLASS_HID_1a676] = 314,
	[BNXT_ULP_CLASS_HID_3d126] = 315,
	[BNXT_ULP_CLASS_HID_3e256] = 316,
	[BNXT_ULP_CLASS_HID_1f06e] = 317,
	[BNXT_ULP_CLASS_HID_1ca66] = 318,
	[BNXT_ULP_CLASS_HID_3f556] = 319,
	[BNXT_ULP_CLASS_HID_34f2e] = 320,
	[BNXT_ULP_CLASS_HID_1e84e] = 321,
	[BNXT_ULP_CLASS_HID_1f97e] = 322,
	[BNXT_ULP_CLASS_HID_3e42e] = 323,
	[BNXT_ULP_CLASS_HID_3fe26] = 324,
	[BNXT_ULP_CLASS_HID_1612] = 325,
	[BNXT_ULP_CLASS_HID_1622] = 326,
	[BNXT_ULP_CLASS_HID_1616] = 327,
	[BNXT_ULP_CLASS_HID_a766] = 328,
	[BNXT_ULP_CLASS_HID_1626] = 329,
	[BNXT_ULP_CLASS_HID_a756] = 330,
	[BNXT_ULP_CLASS_HID_1652] = 331,
	[BNXT_ULP_CLASS_HID_1662] = 332,
	[BNXT_ULP_CLASS_HID_1692] = 333,
	[BNXT_ULP_CLASS_HID_16a2] = 334,
	[BNXT_ULP_CLASS_HID_1656] = 335,
	[BNXT_ULP_CLASS_HID_a726] = 336,
	[BNXT_ULP_CLASS_HID_1666] = 337,
	[BNXT_ULP_CLASS_HID_a716] = 338,
	[BNXT_ULP_CLASS_HID_1696] = 339,
	[BNXT_ULP_CLASS_HID_a7e6] = 340,
	[BNXT_ULP_CLASS_HID_16a6] = 341,
	[BNXT_ULP_CLASS_HID_a7d6] = 342,
	[BNXT_ULP_CLASS_HID_869f2] = 343,
	[BNXT_ULP_CLASS_HID_a32ba] = 344,
	[BNXT_ULP_CLASS_HID_a262c] = 345,
	[BNXT_ULP_CLASS_HID_aca4c] = 346,
	[BNXT_ULP_CLASS_HID_b6ca] = 347,
	[BNXT_ULP_CLASS_HID_10da7a] = 348,
	[BNXT_ULP_CLASS_HID_e9da] = 349,
	[BNXT_ULP_CLASS_HID_10b462] = 350,
	[BNXT_ULP_CLASS_HID_8442] = 351,
	[BNXT_ULP_CLASS_HID_10aff2] = 352,
	[BNXT_ULP_CLASS_HID_e64a] = 353,
	[BNXT_ULP_CLASS_HID_10e9fa] = 354,
	[BNXT_ULP_CLASS_HID_f052] = 355,
	[BNXT_ULP_CLASS_HID_1092fa] = 356,
	[BNXT_ULP_CLASS_HID_a25a] = 357,
	[BNXT_ULP_CLASS_HID_10f5fa] = 358,
	[BNXT_ULP_CLASS_HID_ccf2] = 359,
	[BNXT_ULP_CLASS_HID_10e072] = 360,
	[BNXT_ULP_CLASS_HID_aefa] = 361,
	[BNXT_ULP_CLASS_HID_10a27a] = 362,
	[BNXT_ULP_CLASS_HID_8b32] = 363,
	[BNXT_ULP_CLASS_HID_10bea2] = 364,
	[BNXT_ULP_CLASS_HID_ee02] = 365,
	[BNXT_ULP_CLASS_HID_10f1b2] = 366,
	[BNXT_ULP_CLASS_HID_e882] = 367,
	[BNXT_ULP_CLASS_HID_108c32] = 368,
	[BNXT_ULP_CLASS_HID_eab2] = 369,
	[BNXT_ULP_CLASS_HID_10ee22] = 370,
	[BNXT_ULP_CLASS_HID_d492] = 371,
	[BNXT_ULP_CLASS_HID_10f832] = 372,
	[BNXT_ULP_CLASS_HID_a6b2] = 373,
	[BNXT_ULP_CLASS_HID_10aa32] = 374,
	[BNXT_ULP_CLASS_HID_a132] = 375,
	[BNXT_ULP_CLASS_HID_10c4b2] = 376,
	[BNXT_ULP_CLASS_HID_a332] = 377,
	[BNXT_ULP_CLASS_HID_10a6d2] = 378,
	[BNXT_ULP_CLASS_HID_adec] = 379,
	[BNXT_ULP_CLASS_HID_10c15c] = 380,
	[BNXT_ULP_CLASS_HID_f2fc] = 381,
	[BNXT_ULP_CLASS_HID_10af44] = 382,
	[BNXT_ULP_CLASS_HID_9f64] = 383,
	[BNXT_ULP_CLASS_HID_10b4d4] = 384,
	[BNXT_ULP_CLASS_HID_fd6c] = 385,
	[BNXT_ULP_CLASS_HID_10f2dc] = 386,
	[BNXT_ULP_CLASS_HID_9a40] = 387,
	[BNXT_ULP_CLASS_HID_10ae30] = 388,
	[BNXT_ULP_CLASS_HID_e848] = 389,
	[BNXT_ULP_CLASS_HID_10fc38] = 390,
	[BNXT_ULP_CLASS_HID_9530] = 391,
	[BNXT_ULP_CLASS_HID_109aa0] = 392,
	[BNXT_ULP_CLASS_HID_fbc0] = 393,
	[BNXT_ULP_CLASS_HID_10ffb0] = 394,
	[BNXT_ULP_CLASS_HID_dfae] = 395,
	[BNXT_ULP_CLASS_HID_10f31e] = 396,
	[BNXT_ULP_CLASS_HID_ad96] = 397,
	[BNXT_ULP_CLASS_HID_10e106] = 398,
	[BNXT_ULP_CLASS_HID_da1e] = 399,
	[BNXT_ULP_CLASS_HID_10df8e] = 400,
	[BNXT_ULP_CLASS_HID_b806] = 401,
	[BNXT_ULP_CLASS_HID_10bdf6] = 402,
	[BNXT_ULP_CLASS_HID_d57a] = 403,
	[BNXT_ULP_CLASS_HID_10eaea] = 404,
	[BNXT_ULP_CLASS_HID_a362] = 405,
	[BNXT_ULP_CLASS_HID_10b8d2] = 406,
	[BNXT_ULP_CLASS_HID_b8f2] = 407,
	[BNXT_ULP_CLASS_HID_10dc62] = 408,
	[BNXT_ULP_CLASS_HID_b6fa] = 409,
	[BNXT_ULP_CLASS_HID_10ba6a] = 410,
	[BNXT_ULP_CLASS_HID_b49c] = 411,
	[BNXT_ULP_CLASS_HID_10d82c] = 412,
	[BNXT_ULP_CLASS_HID_eb8c] = 413,
	[BNXT_ULP_CLASS_HID_10b634] = 414,
	[BNXT_ULP_CLASS_HID_8614] = 415,
	[BNXT_ULP_CLASS_HID_10ada4] = 416,
	[BNXT_ULP_CLASS_HID_e41c] = 417,
	[BNXT_ULP_CLASS_HID_10ebac] = 418,
	[BNXT_ULP_CLASS_HID_f204] = 419,
	[BNXT_ULP_CLASS_HID_1090ac] = 420,
	[BNXT_ULP_CLASS_HID_a00c] = 421,
	[BNXT_ULP_CLASS_HID_10f7ac] = 422,
	[BNXT_ULP_CLASS_HID_cea4] = 423,
	[BNXT_ULP_CLASS_HID_10e224] = 424,
	[BNXT_ULP_CLASS_HID_acac] = 425,
	[BNXT_ULP_CLASS_HID_10a02c] = 426,
	[BNXT_ULP_CLASS_HID_8964] = 427,
	[BNXT_ULP_CLASS_HID_10bcf4] = 428,
	[BNXT_ULP_CLASS_HID_ec54] = 429,
	[BNXT_ULP_CLASS_HID_10f3e4] = 430,
	[BNXT_ULP_CLASS_HID_ead4] = 431,
	[BNXT_ULP_CLASS_HID_108e64] = 432,
	[BNXT_ULP_CLASS_HID_e8e4] = 433,
	[BNXT_ULP_CLASS_HID_10ec74] = 434,
	[BNXT_ULP_CLASS_HID_d6c4] = 435,
	[BNXT_ULP_CLASS_HID_10fa64] = 436,
	[BNXT_ULP_CLASS_HID_a4e4] = 437,
	[BNXT_ULP_CLASS_HID_10a864] = 438,
	[BNXT_ULP_CLASS_HID_a364] = 439,
	[BNXT_ULP_CLASS_HID_10c6e4] = 440,
	[BNXT_ULP_CLASS_HID_a164] = 441,
	[BNXT_ULP_CLASS_HID_10a484] = 442,
	[BNXT_ULP_CLASS_HID_8330] = 443,
	[BNXT_ULP_CLASS_HID_10b740] = 444,
	[BNXT_ULP_CLASS_HID_f138] = 445,
	[BNXT_ULP_CLASS_HID_10e548] = 446,
	[BNXT_ULP_CLASS_HID_8c40] = 447,
	[BNXT_ULP_CLASS_HID_1083d0] = 448,
	[BNXT_ULP_CLASS_HID_e2b0] = 449,
	[BNXT_ULP_CLASS_HID_10e6c0] = 450,
	[BNXT_ULP_CLASS_HID_f840] = 451,
	[BNXT_ULP_CLASS_HID_10efc0] = 452,
	[BNXT_ULP_CLASS_HID_b648] = 453,
	[BNXT_ULP_CLASS_HID_10fdc8] = 454,
	[BNXT_ULP_CLASS_HID_cd28] = 455,
	[BNXT_ULP_CLASS_HID_10c148] = 456,
	[BNXT_ULP_CLASS_HID_abc0] = 457,
	[BNXT_ULP_CLASS_HID_10af40] = 458,
	[BNXT_ULP_CLASS_HID_e7f0] = 459,
	[BNXT_ULP_CLASS_HID_108b00] = 460,
	[BNXT_ULP_CLASS_HID_f580] = 461,
	[BNXT_ULP_CLASS_HID_10f910] = 462,
	[BNXT_ULP_CLASS_HID_e970] = 463,
	[BNXT_ULP_CLASS_HID_10ec80] = 464,
	[BNXT_ULP_CLASS_HID_a770] = 465,
	[BNXT_ULP_CLASS_HID_10ea80] = 466,
	[BNXT_ULP_CLASS_HID_dc00] = 467,
	[BNXT_ULP_CLASS_HID_10c380] = 468,
	[BNXT_ULP_CLASS_HID_aa00] = 469,
	[BNXT_ULP_CLASS_HID_10b1a0] = 470,
	[BNXT_ULP_CLASS_HID_a180] = 471,
	[BNXT_ULP_CLASS_HID_10a500] = 472,
	[BNXT_ULP_CLASS_HID_ef80] = 473,
	[BNXT_ULP_CLASS_HID_10a300] = 474,
	[BNXT_ULP_CLASS_HID_c6de] = 475,
	[BNXT_ULP_CLASS_HID_10ea6e] = 476,
	[BNXT_ULP_CLASS_HID_b4e6] = 477,
	[BNXT_ULP_CLASS_HID_10f876] = 478,
	[BNXT_ULP_CLASS_HID_c36e] = 479,
	[BNXT_ULP_CLASS_HID_10c6fe] = 480,
	[BNXT_ULP_CLASS_HID_a176] = 481,
	[BNXT_ULP_CLASS_HID_10a486] = 482,
	[BNXT_ULP_CLASS_HID_bf6e] = 483,
	[BNXT_ULP_CLASS_HID_10a2ee] = 484,
	[BNXT_ULP_CLASS_HID_ed66] = 485,
	[BNXT_ULP_CLASS_HID_10b086] = 486,
	[BNXT_ULP_CLASS_HID_8bee] = 487,
	[BNXT_ULP_CLASS_HID_10af0e] = 488,
	[BNXT_ULP_CLASS_HID_eeee] = 489,
	[BNXT_ULP_CLASS_HID_10e26e] = 490,
	[BNXT_ULP_CLASS_HID_daa6] = 491,
	[BNXT_ULP_CLASS_HID_10ce36] = 492,
	[BNXT_ULP_CLASS_HID_a8a6] = 493,
	[BNXT_ULP_CLASS_HID_10bc36] = 494,
	[BNXT_ULP_CLASS_HID_a736] = 495,
	[BNXT_ULP_CLASS_HID_10cb46] = 496,
	[BNXT_ULP_CLASS_HID_ea26] = 497,
	[BNXT_ULP_CLASS_HID_10a946] = 498,
	[BNXT_ULP_CLASS_HID_9326] = 499,
	[BNXT_ULP_CLASS_HID_108746] = 500,
	[BNXT_ULP_CLASS_HID_e126] = 501,
	[BNXT_ULP_CLASS_HID_10f546] = 502,
	[BNXT_ULP_CLASS_HID_e4a6] = 503,
	[BNXT_ULP_CLASS_HID_1083c6] = 504,
	[BNXT_ULP_CLASS_HID_a2a6] = 505,
	[BNXT_ULP_CLASS_HID_10e6c6] = 506,
	[BNXT_ULP_CLASS_HID_cc0a] = 507,
	[BNXT_ULP_CLASS_HID_10f39a] = 508,
	[BNXT_ULP_CLASS_HID_ba12] = 509,
	[BNXT_ULP_CLASS_HID_10a1a2] = 510,
	[BNXT_ULP_CLASS_HID_a182] = 511,
	[BNXT_ULP_CLASS_HID_10c512] = 512,
	[BNXT_ULP_CLASS_HID_af8a] = 513,
	[BNXT_ULP_CLASS_HID_10a31a] = 514,
	[BNXT_ULP_CLASS_HID_848a] = 515,
	[BNXT_ULP_CLASS_HID_10a82a] = 516,
	[BNXT_ULP_CLASS_HID_fb8a] = 517,
	[BNXT_ULP_CLASS_HID_10ef0a] = 518,
	[BNXT_ULP_CLASS_HID_e602] = 519,
	[BNXT_ULP_CLASS_HID_108da2] = 520,
	[BNXT_ULP_CLASS_HID_e40a] = 521,
	[BNXT_ULP_CLASS_HID_10ebaa] = 522,
	[BNXT_ULP_CLASS_HID_a0d2] = 523,
	[BNXT_ULP_CLASS_HID_10d462] = 524,
	[BNXT_ULP_CLASS_HID_bed2] = 525,
	[BNXT_ULP_CLASS_HID_10a262] = 526,
	[BNXT_ULP_CLASS_HID_8242] = 527,
	[BNXT_ULP_CLASS_HID_10a9d2] = 528,
	[BNXT_ULP_CLASS_HID_e052] = 529,
	[BNXT_ULP_CLASS_HID_10e7e2] = 530,
	[BNXT_ULP_CLASS_HID_9962] = 531,
	[BNXT_ULP_CLASS_HID_108ce2] = 532,
	[BNXT_ULP_CLASS_HID_fc42] = 533,
	[BNXT_ULP_CLASS_HID_10e3e2] = 534,
	[BNXT_ULP_CLASS_HID_eac2] = 535,
	[BNXT_ULP_CLASS_HID_10ee62] = 536,
	[BNXT_ULP_CLASS_HID_a8e2] = 537,
	[BNXT_ULP_CLASS_HID_10ec62] = 538,
	[BNXT_ULP_CLASS_HID_8ea0] = 539,
	[BNXT_ULP_CLASS_HID_10e210] = 540,
	[BNXT_ULP_CLASS_HID_d1b0] = 541,
	[BNXT_ULP_CLASS_HID_108c08] = 542,
	[BNXT_ULP_CLASS_HID_bc28] = 543,
	[BNXT_ULP_CLASS_HID_109798] = 544,
	[BNXT_ULP_CLASS_HID_de20] = 545,
	[BNXT_ULP_CLASS_HID_10d190] = 546,
	[BNXT_ULP_CLASS_HID_b90c] = 547,
	[BNXT_ULP_CLASS_HID_108d7c] = 548,
	[BNXT_ULP_CLASS_HID_cb04] = 549,
	[BNXT_ULP_CLASS_HID_10df74] = 550,
	[BNXT_ULP_CLASS_HID_b67c] = 551,
	[BNXT_ULP_CLASS_HID_10b9ec] = 552,
	[BNXT_ULP_CLASS_HID_d88c] = 553,
	[BNXT_ULP_CLASS_HID_10dcfc] = 554,
	[BNXT_ULP_CLASS_HID_fce2] = 555,
	[BNXT_ULP_CLASS_HID_10d052] = 556,
	[BNXT_ULP_CLASS_HID_8eda] = 557,
	[BNXT_ULP_CLASS_HID_10c24a] = 558,
	[BNXT_ULP_CLASS_HID_f952] = 559,
	[BNXT_ULP_CLASS_HID_10fcc2] = 560,
	[BNXT_ULP_CLASS_HID_9b4a] = 561,
	[BNXT_ULP_CLASS_HID_109eba] = 562,
	[BNXT_ULP_CLASS_HID_f636] = 563,
	[BNXT_ULP_CLASS_HID_10c9a6] = 564,
	[BNXT_ULP_CLASS_HID_802e] = 565,
	[BNXT_ULP_CLASS_HID_109b9e] = 566,
	[BNXT_ULP_CLASS_HID_9bbe] = 567,
	[BNXT_ULP_CLASS_HID_10ff2e] = 568,
	[BNXT_ULP_CLASS_HID_95b6] = 569,
	[BNXT_ULP_CLASS_HID_109926] = 570,
	[BNXT_ULP_CLASS_HID_a5c1] = 571,
	[BNXT_ULP_CLASS_HID_10b931] = 572,
	[BNXT_ULP_CLASS_HID_d7b9] = 573,
	[BNXT_ULP_CLASS_HID_10cb29] = 574,
	[BNXT_ULP_CLASS_HID_db49] = 575,
	[BNXT_ULP_CLASS_HID_10b5a1] = 576,
	[BNXT_ULP_CLASS_HID_9541] = 577,
	[BNXT_ULP_CLASS_HID_10d8b1] = 578,
	[BNXT_ULP_CLASS_HID_d02d] = 579,
	[BNXT_ULP_CLASS_HID_10b285] = 580,
	[BNXT_ULP_CLASS_HID_c225] = 581,
	[BNXT_ULP_CLASS_HID_10d595] = 582,
	[BNXT_ULP_CLASS_HID_fc9d] = 583,
	[BNXT_ULP_CLASS_HID_10d00d] = 584,
	[BNXT_ULP_CLASS_HID_9e95] = 585,
	[BNXT_ULP_CLASS_HID_10d205] = 586,
	[BNXT_ULP_CLASS_HID_e2eb] = 587,
	[BNXT_ULP_CLASS_HID_10f65b] = 588,
	[BNXT_ULP_CLASS_HID_8ce3] = 589,
	[BNXT_ULP_CLASS_HID_108053] = 590,
	[BNXT_ULP_CLASS_HID_9073] = 591,
	[BNXT_ULP_CLASS_HID_109be3] = 592,
	[BNXT_ULP_CLASS_HID_d26b] = 593,
	[BNXT_ULP_CLASS_HID_1095db] = 594,
	[BNXT_ULP_CLASS_HID_8d57] = 595,
	[BNXT_ULP_CLASS_HID_10e0c7] = 596,
	[BNXT_ULP_CLASS_HID_df4f] = 597,
	[BNXT_ULP_CLASS_HID_1092bf] = 598,
	[BNXT_ULP_CLASS_HID_b9c7] = 599,
	[BNXT_ULP_CLASS_HID_109d37] = 600,
	[BNXT_ULP_CLASS_HID_dcd7] = 601,
	[BNXT_ULP_CLASS_HID_10d047] = 602,
	[BNXT_ULP_CLASS_HID_fa30] = 603,
	[BNXT_ULP_CLASS_HID_10cda0] = 604,
	[BNXT_ULP_CLASS_HID_8428] = 605,
	[BNXT_ULP_CLASS_HID_109f98] = 606,
	[BNXT_ULP_CLASS_HID_9fb8] = 607,
	[BNXT_ULP_CLASS_HID_10f328] = 608,
	[BNXT_ULP_CLASS_HID_99b0] = 609,
	[BNXT_ULP_CLASS_HID_109d20] = 610,
	[BNXT_ULP_CLASS_HID_e49c] = 611,
	[BNXT_ULP_CLASS_HID_10f80c] = 612,
	[BNXT_ULP_CLASS_HID_9694] = 613,
	[BNXT_ULP_CLASS_HID_108a04] = 614,
	[BNXT_ULP_CLASS_HID_910c] = 615,
	[BNXT_ULP_CLASS_HID_10f57c] = 616,
	[BNXT_ULP_CLASS_HID_9304] = 617,
	[BNXT_ULP_CLASS_HID_109774] = 618,
	[BNXT_ULP_CLASS_HID_b75a] = 619,
	[BNXT_ULP_CLASS_HID_108aca] = 620,
	[BNXT_ULP_CLASS_HID_da6a] = 621,
	[BNXT_ULP_CLASS_HID_10cdda] = 622,
	[BNXT_ULP_CLASS_HID_d4e2] = 623,
	[BNXT_ULP_CLASS_HID_10b852] = 624,
	[BNXT_ULP_CLASS_HID_d6da] = 625,
	[BNXT_ULP_CLASS_HID_10da4a] = 626,
	[BNXT_ULP_CLASS_HID_a1c6] = 627,
	[BNXT_ULP_CLASS_HID_10b536] = 628,
	[BNXT_ULP_CLASS_HID_d3be] = 629,
	[BNXT_ULP_CLASS_HID_10c72e] = 630,
	[BNXT_ULP_CLASS_HID_d74e] = 631,
	[BNXT_ULP_CLASS_HID_10b1a6] = 632,
	[BNXT_ULP_CLASS_HID_9146] = 633,
	[BNXT_ULP_CLASS_HID_10d4b6] = 634,
	[BNXT_ULP_CLASS_HID_9151] = 635,
	[BNXT_ULP_CLASS_HID_10e4c1] = 636,
	[BNXT_ULP_CLASS_HID_8349] = 637,
	[BNXT_ULP_CLASS_HID_1096b9] = 638,
	[BNXT_ULP_CLASS_HID_bdc1] = 639,
	[BNXT_ULP_CLASS_HID_109131] = 640,
	[BNXT_ULP_CLASS_HID_d0d1] = 641,
	[BNXT_ULP_CLASS_HID_109329] = 642,
	[BNXT_ULP_CLASS_HID_8aa5] = 643,
	[BNXT_ULP_CLASS_HID_109e15] = 644,
	[BNXT_ULP_CLASS_HID_cdb5] = 645,
	[BNXT_ULP_CLASS_HID_10880d] = 646,
	[BNXT_ULP_CLASS_HID_b82d] = 647,
	[BNXT_ULP_CLASS_HID_10939d] = 648,
	[BNXT_ULP_CLASS_HID_da25] = 649,
	[BNXT_ULP_CLASS_HID_10dd95] = 650,
	[BNXT_ULP_CLASS_HID_ce7b] = 651,
	[BNXT_ULP_CLASS_HID_10a1eb] = 652,
	[BNXT_ULP_CLASS_HID_9873] = 653,
	[BNXT_ULP_CLASS_HID_10d3e3] = 654,
	[BNXT_ULP_CLASS_HID_f303] = 655,
	[BNXT_ULP_CLASS_HID_10d773] = 656,
	[BNXT_ULP_CLASS_HID_9dfb] = 657,
	[BNXT_ULP_CLASS_HID_10916b] = 658,
	[BNXT_ULP_CLASS_HID_f8e7] = 659,
	[BNXT_ULP_CLASS_HID_10cc57] = 660,
	[BNXT_ULP_CLASS_HID_8adf] = 661,
	[BNXT_ULP_CLASS_HID_109e4f] = 662,
	[BNXT_ULP_CLASS_HID_f557] = 663,
	[BNXT_ULP_CLASS_HID_10f8c7] = 664,
	[BNXT_ULP_CLASS_HID_974f] = 665,
	[BNXT_ULP_CLASS_HID_109abf] = 666,
	[BNXT_ULP_CLASS_HID_baae] = 667,
	[BNXT_ULP_CLASS_HID_10d61e] = 668,
	[BNXT_ULP_CLASS_HID_e5be] = 669,
	[BNXT_ULP_CLASS_HID_10b806] = 670,
	[BNXT_ULP_CLASS_HID_8826] = 671,
	[BNXT_ULP_CLASS_HID_10a396] = 672,
	[BNXT_ULP_CLASS_HID_ea2e] = 673,
	[BNXT_ULP_CLASS_HID_10e59e] = 674,
	[BNXT_ULP_CLASS_HID_fc36] = 675,
	[BNXT_ULP_CLASS_HID_109e9e] = 676,
	[BNXT_ULP_CLASS_HID_ae3e] = 677,
	[BNXT_ULP_CLASS_HID_10f99e] = 678,
	[BNXT_ULP_CLASS_HID_c096] = 679,
	[BNXT_ULP_CLASS_HID_10ec16] = 680,
	[BNXT_ULP_CLASS_HID_a29e] = 681,
	[BNXT_ULP_CLASS_HID_10ae1e] = 682,
	[BNXT_ULP_CLASS_HID_8756] = 683,
	[BNXT_ULP_CLASS_HID_10b2c6] = 684,
	[BNXT_ULP_CLASS_HID_e266] = 685,
	[BNXT_ULP_CLASS_HID_10fdd6] = 686,
	[BNXT_ULP_CLASS_HID_e4e6] = 687,
	[BNXT_ULP_CLASS_HID_108056] = 688,
	[BNXT_ULP_CLASS_HID_e6d6] = 689,
	[BNXT_ULP_CLASS_HID_10e246] = 690,
	[BNXT_ULP_CLASS_HID_d8f6] = 691,
	[BNXT_ULP_CLASS_HID_10f456] = 692,
	[BNXT_ULP_CLASS_HID_aad6] = 693,
	[BNXT_ULP_CLASS_HID_10a656] = 694,
	[BNXT_ULP_CLASS_HID_ad56] = 695,
	[BNXT_ULP_CLASS_HID_10c8d6] = 696,
	[BNXT_ULP_CLASS_HID_af56] = 697,
	[BNXT_ULP_CLASS_HID_10aab6] = 698,
	[BNXT_ULP_CLASS_HID_8d02] = 699,
	[BNXT_ULP_CLASS_HID_10b972] = 700,
	[BNXT_ULP_CLASS_HID_ff0a] = 701,
	[BNXT_ULP_CLASS_HID_10eb7a] = 702,
	[BNXT_ULP_CLASS_HID_8272] = 703,
	[BNXT_ULP_CLASS_HID_108de2] = 704,
	[BNXT_ULP_CLASS_HID_ec82] = 705,
	[BNXT_ULP_CLASS_HID_10e8f2] = 706,
	[BNXT_ULP_CLASS_HID_f672] = 707,
	[BNXT_ULP_CLASS_HID_10e1f2] = 708,
	[BNXT_ULP_CLASS_HID_b87a] = 709,
	[BNXT_ULP_CLASS_HID_10f3fa] = 710,
	[BNXT_ULP_CLASS_HID_c31a] = 711,
	[BNXT_ULP_CLASS_HID_10cf7a] = 712,
	[BNXT_ULP_CLASS_HID_a5f2] = 713,
	[BNXT_ULP_CLASS_HID_10a172] = 714,
	[BNXT_ULP_CLASS_HID_e9c2] = 715,
	[BNXT_ULP_CLASS_HID_108532] = 716,
	[BNXT_ULP_CLASS_HID_fbb2] = 717,
	[BNXT_ULP_CLASS_HID_10f722] = 718,
	[BNXT_ULP_CLASS_HID_e742] = 719,
	[BNXT_ULP_CLASS_HID_10e2b2] = 720,
	[BNXT_ULP_CLASS_HID_a942] = 721,
	[BNXT_ULP_CLASS_HID_10e4b2] = 722,
	[BNXT_ULP_CLASS_HID_d232] = 723,
	[BNXT_ULP_CLASS_HID_10cdb2] = 724,
	[BNXT_ULP_CLASS_HID_a432] = 725,
	[BNXT_ULP_CLASS_HID_10bf92] = 726,
	[BNXT_ULP_CLASS_HID_afb2] = 727,
	[BNXT_ULP_CLASS_HID_10ab32] = 728,
	[BNXT_ULP_CLASS_HID_e1b2] = 729,
	[BNXT_ULP_CLASS_HID_10ad32] = 730,
	[BNXT_ULP_CLASS_HID_c8ec] = 731,
	[BNXT_ULP_CLASS_HID_10e45c] = 732,
	[BNXT_ULP_CLASS_HID_bad4] = 733,
	[BNXT_ULP_CLASS_HID_10f644] = 734,
	[BNXT_ULP_CLASS_HID_cd5c] = 735,
	[BNXT_ULP_CLASS_HID_10c8cc] = 736,
	[BNXT_ULP_CLASS_HID_af44] = 737,
	[BNXT_ULP_CLASS_HID_10aab4] = 738,
	[BNXT_ULP_CLASS_HID_b15c] = 739,
	[BNXT_ULP_CLASS_HID_10acdc] = 740,
	[BNXT_ULP_CLASS_HID_e354] = 741,
	[BNXT_ULP_CLASS_HID_10beb4] = 742,
	[BNXT_ULP_CLASS_HID_85dc] = 743,
	[BNXT_ULP_CLASS_HID_10a13c] = 744,
	[BNXT_ULP_CLASS_HID_e0dc] = 745,
	[BNXT_ULP_CLASS_HID_10ec5c] = 746,
	[BNXT_ULP_CLASS_HID_d494] = 747,
	[BNXT_ULP_CLASS_HID_10c004] = 748,
	[BNXT_ULP_CLASS_HID_a694] = 749,
	[BNXT_ULP_CLASS_HID_10b204] = 750,
	[BNXT_ULP_CLASS_HID_a904] = 751,
	[BNXT_ULP_CLASS_HID_10c574] = 752,
	[BNXT_ULP_CLASS_HID_e414] = 753,
	[BNXT_ULP_CLASS_HID_10a774] = 754,
	[BNXT_ULP_CLASS_HID_9d14] = 755,
	[BNXT_ULP_CLASS_HID_108974] = 756,
	[BNXT_ULP_CLASS_HID_ef14] = 757,
	[BNXT_ULP_CLASS_HID_10fb74] = 758,
	[BNXT_ULP_CLASS_HID_ea94] = 759,
	[BNXT_ULP_CLASS_HID_108df4] = 760,
	[BNXT_ULP_CLASS_HID_ac94] = 761,
	[BNXT_ULP_CLASS_HID_10e8f4] = 762,
	[BNXT_ULP_CLASS_HID_c238] = 763,
	[BNXT_ULP_CLASS_HID_10fda8] = 764,
	[BNXT_ULP_CLASS_HID_b420] = 765,
	[BNXT_ULP_CLASS_HID_10af90] = 766,
	[BNXT_ULP_CLASS_HID_afb0] = 767,
	[BNXT_ULP_CLASS_HID_10cb20] = 768,
	[BNXT_ULP_CLASS_HID_a1b8] = 769,
	[BNXT_ULP_CLASS_HID_10ad28] = 770,
	[BNXT_ULP_CLASS_HID_8ab8] = 771,
	[BNXT_ULP_CLASS_HID_10a618] = 772,
	[BNXT_ULP_CLASS_HID_f5b8] = 773,
	[BNXT_ULP_CLASS_HID_10e138] = 774,
	[BNXT_ULP_CLASS_HID_e830] = 775,
	[BNXT_ULP_CLASS_HID_108390] = 776,
	[BNXT_ULP_CLASS_HID_ea38] = 777,
	[BNXT_ULP_CLASS_HID_10e598] = 778,
	[BNXT_ULP_CLASS_HID_aee0] = 779,
	[BNXT_ULP_CLASS_HID_10da50] = 780,
	[BNXT_ULP_CLASS_HID_b0e0] = 781,
	[BNXT_ULP_CLASS_HID_10ac50] = 782,
	[BNXT_ULP_CLASS_HID_8c70] = 783,
	[BNXT_ULP_CLASS_HID_10a7e0] = 784,
	[BNXT_ULP_CLASS_HID_ee60] = 785,
	[BNXT_ULP_CLASS_HID_10e9d0] = 786,
	[BNXT_ULP_CLASS_HID_9750] = 787,
	[BNXT_ULP_CLASS_HID_1082d0] = 788,
	[BNXT_ULP_CLASS_HID_f270] = 789,
	[BNXT_ULP_CLASS_HID_10edd0] = 790,
	[BNXT_ULP_CLASS_HID_e4f0] = 791,
	[BNXT_ULP_CLASS_HID_10e050] = 792,
	[BNXT_ULP_CLASS_HID_a6d0] = 793,
	[BNXT_ULP_CLASS_HID_10e250] = 794,
	[BNXT_ULP_CLASS_HID_8c72] = 795,
	[BNXT_ULP_CLASS_HID_10e0c2] = 796,
	[BNXT_ULP_CLASS_HID_d362] = 797,
	[BNXT_ULP_CLASS_HID_108eda] = 798,
	[BNXT_ULP_CLASS_HID_befa] = 799,
	[BNXT_ULP_CLASS_HID_10954a] = 800,
	[BNXT_ULP_CLASS_HID_dcf2] = 801,
	[BNXT_ULP_CLASS_HID_10d342] = 802,
	[BNXT_ULP_CLASS_HID_bbde] = 803,
	[BNXT_ULP_CLASS_HID_108fae] = 804,
	[BNXT_ULP_CLASS_HID_c9d6] = 805,
	[BNXT_ULP_CLASS_HID_10dda6] = 806,
	[BNXT_ULP_CLASS_HID_b4ae] = 807,
	[BNXT_ULP_CLASS_HID_10bb3e] = 808,
	[BNXT_ULP_CLASS_HID_da5e] = 809,
	[BNXT_ULP_CLASS_HID_10de2e] = 810,
	[BNXT_ULP_CLASS_HID_fe30] = 811,
	[BNXT_ULP_CLASS_HID_10d280] = 812,
	[BNXT_ULP_CLASS_HID_8c08] = 813,
	[BNXT_ULP_CLASS_HID_10c098] = 814,
	[BNXT_ULP_CLASS_HID_fb80] = 815,
	[BNXT_ULP_CLASS_HID_10fe10] = 816,
	[BNXT_ULP_CLASS_HID_9998] = 817,
	[BNXT_ULP_CLASS_HID_109c68] = 818,
	[BNXT_ULP_CLASS_HID_f4e4] = 819,
	[BNXT_ULP_CLASS_HID_10cb74] = 820,
	[BNXT_ULP_CLASS_HID_82fc] = 821,
	[BNXT_ULP_CLASS_HID_10994c] = 822,
	[BNXT_ULP_CLASS_HID_996c] = 823,
	[BNXT_ULP_CLASS_HID_10fdfc] = 824,
	[BNXT_ULP_CLASS_HID_9764] = 825,
	[BNXT_ULP_CLASS_HID_109bf4] = 826,
	[BNXT_ULP_CLASS_HID_a713] = 827,
	[BNXT_ULP_CLASS_HID_10bbe3] = 828,
	[BNXT_ULP_CLASS_HID_d56b] = 829,
	[BNXT_ULP_CLASS_HID_10c9fb] = 830,
	[BNXT_ULP_CLASS_HID_d99b] = 831,
	[BNXT_ULP_CLASS_HID_10b773] = 832,
	[BNXT_ULP_CLASS_HID_9793] = 833,
	[BNXT_ULP_CLASS_HID_10da63] = 834,
	[BNXT_ULP_CLASS_HID_d2ff] = 835,
	[BNXT_ULP_CLASS_HID_10b057] = 836,
	[BNXT_ULP_CLASS_HID_c0f7] = 837,
	[BNXT_ULP_CLASS_HID_10d747] = 838,
	[BNXT_ULP_CLASS_HID_fe4f] = 839,
	[BNXT_ULP_CLASS_HID_10d2df] = 840,
	[BNXT_ULP_CLASS_HID_9c47] = 841,
	[BNXT_ULP_CLASS_HID_10d0d7] = 842,
	[BNXT_ULP_CLASS_HID_e039] = 843,
	[BNXT_ULP_CLASS_HID_10f489] = 844,
	[BNXT_ULP_CLASS_HID_8e31] = 845,
	[BNXT_ULP_CLASS_HID_108281] = 846,
	[BNXT_ULP_CLASS_HID_92a1] = 847,
	[BNXT_ULP_CLASS_HID_109931] = 848,
	[BNXT_ULP_CLASS_HID_d0b9] = 849,
	[BNXT_ULP_CLASS_HID_109709] = 850,
	[BNXT_ULP_CLASS_HID_8f85] = 851,
	[BNXT_ULP_CLASS_HID_10e215] = 852,
	[BNXT_ULP_CLASS_HID_dd9d] = 853,
	[BNXT_ULP_CLASS_HID_10906d] = 854,
	[BNXT_ULP_CLASS_HID_bb15] = 855,
	[BNXT_ULP_CLASS_HID_109fe5] = 856,
	[BNXT_ULP_CLASS_HID_de05] = 857,
	[BNXT_ULP_CLASS_HID_10d295] = 858,
	[BNXT_ULP_CLASS_HID_f8e2] = 859,
	[BNXT_ULP_CLASS_HID_10cf72] = 860,
	[BNXT_ULP_CLASS_HID_86fa] = 861,
	[BNXT_ULP_CLASS_HID_109d4a] = 862,
	[BNXT_ULP_CLASS_HID_9d6a] = 863,
	[BNXT_ULP_CLASS_HID_10f1fa] = 864,
	[BNXT_ULP_CLASS_HID_9b62] = 865,
	[BNXT_ULP_CLASS_HID_109ff2] = 866,
	[BNXT_ULP_CLASS_HID_e64e] = 867,
	[BNXT_ULP_CLASS_HID_10fade] = 868,
	[BNXT_ULP_CLASS_HID_9446] = 869,
	[BNXT_ULP_CLASS_HID_1088d6] = 870,
	[BNXT_ULP_CLASS_HID_93de] = 871,
	[BNXT_ULP_CLASS_HID_10f7ae] = 872,
	[BNXT_ULP_CLASS_HID_91d6] = 873,
	[BNXT_ULP_CLASS_HID_1095a6] = 874,
	[BNXT_ULP_CLASS_HID_b588] = 875,
	[BNXT_ULP_CLASS_HID_108818] = 876,
	[BNXT_ULP_CLASS_HID_d8b8] = 877,
	[BNXT_ULP_CLASS_HID_10cf08] = 878,
	[BNXT_ULP_CLASS_HID_d630] = 879,
	[BNXT_ULP_CLASS_HID_10ba80] = 880,
	[BNXT_ULP_CLASS_HID_d408] = 881,
	[BNXT_ULP_CLASS_HID_10d898] = 882,
	[BNXT_ULP_CLASS_HID_a314] = 883,
	[BNXT_ULP_CLASS_HID_10b7e4] = 884,
	[BNXT_ULP_CLASS_HID_d16c] = 885,
	[BNXT_ULP_CLASS_HID_10c5fc] = 886,
	[BNXT_ULP_CLASS_HID_d59c] = 887,
	[BNXT_ULP_CLASS_HID_10b374] = 888,
	[BNXT_ULP_CLASS_HID_9394] = 889,
	[BNXT_ULP_CLASS_HID_10d664] = 890,
	[BNXT_ULP_CLASS_HID_9383] = 891,
	[BNXT_ULP_CLASS_HID_10e613] = 892,
	[BNXT_ULP_CLASS_HID_819b] = 893,
	[BNXT_ULP_CLASS_HID_10946b] = 894,
	[BNXT_ULP_CLASS_HID_bf13] = 895,
	[BNXT_ULP_CLASS_HID_1093e3] = 896,
	[BNXT_ULP_CLASS_HID_d203] = 897,
	[BNXT_ULP_CLASS_HID_1091fb] = 898,
	[BNXT_ULP_CLASS_HID_8877] = 899,
	[BNXT_ULP_CLASS_HID_109cc7] = 900,
	[BNXT_ULP_CLASS_HID_cf67] = 901,
	[BNXT_ULP_CLASS_HID_108adf] = 902,
	[BNXT_ULP_CLASS_HID_baff] = 903,
	[BNXT_ULP_CLASS_HID_10914f] = 904,
	[BNXT_ULP_CLASS_HID_d8f7] = 905,
	[BNXT_ULP_CLASS_HID_10df47] = 906,
	[BNXT_ULP_CLASS_HID_cca9] = 907,
	[BNXT_ULP_CLASS_HID_10a339] = 908,
	[BNXT_ULP_CLASS_HID_9aa1] = 909,
	[BNXT_ULP_CLASS_HID_10d131] = 910,
	[BNXT_ULP_CLASS_HID_f1d1] = 911,
	[BNXT_ULP_CLASS_HID_10d5a1] = 912,
	[BNXT_ULP_CLASS_HID_9f29] = 913,
	[BNXT_ULP_CLASS_HID_1093b9] = 914,
	[BNXT_ULP_CLASS_HID_fa35] = 915,
	[BNXT_ULP_CLASS_HID_10ce85] = 916,
	[BNXT_ULP_CLASS_HID_880d] = 917,
	[BNXT_ULP_CLASS_HID_109c9d] = 918,
	[BNXT_ULP_CLASS_HID_f785] = 919,
	[BNXT_ULP_CLASS_HID_10fa15] = 920,
	[BNXT_ULP_CLASS_HID_959d] = 921,
	[BNXT_ULP_CLASS_HID_10986d] = 922,
	[BNXT_ULP_CLASS_HID_b1d6] = 923,
	[BNXT_ULP_CLASS_HID_10dd66] = 924,
	[BNXT_ULP_CLASS_HID_eec6] = 925,
	[BNXT_ULP_CLASS_HID_10b37e] = 926,
	[BNXT_ULP_CLASS_HID_835e] = 927,
	[BNXT_ULP_CLASS_HID_10a8ee] = 928,
	[BNXT_ULP_CLASS_HID_e156] = 929,
	[BNXT_ULP_CLASS_HID_10eee6] = 930,
	[BNXT_ULP_CLASS_HID_867a] = 931,
	[BNXT_ULP_CLASS_HID_10b20a] = 932,
	[BNXT_ULP_CLASS_HID_f472] = 933,
	[BNXT_ULP_CLASS_HID_10e002] = 934,
	[BNXT_ULP_CLASS_HID_890a] = 935,
	[BNXT_ULP_CLASS_HID_10869a] = 936,
	[BNXT_ULP_CLASS_HID_e7fa] = 937,
	[BNXT_ULP_CLASS_HID_10e38a] = 938,
	[BNXT_ULP_CLASS_HID_c394] = 939,
	[BNXT_ULP_CLASS_HID_10ef24] = 940,
	[BNXT_ULP_CLASS_HID_b1ac] = 941,
	[BNXT_ULP_CLASS_HID_10fd3c] = 942,
	[BNXT_ULP_CLASS_HID_c624] = 943,
	[BNXT_ULP_CLASS_HID_10c3b4] = 944,
	[BNXT_ULP_CLASS_HID_a43c] = 945,
	[BNXT_ULP_CLASS_HID_10a1cc] = 946,
	[BNXT_ULP_CLASS_HID_c940] = 947,
	[BNXT_ULP_CLASS_HID_10f6d0] = 948,
	[BNXT_ULP_CLASS_HID_bf58] = 949,
	[BNXT_ULP_CLASS_HID_10a4e8] = 950,
	[BNXT_ULP_CLASS_HID_a4c8] = 951,
	[BNXT_ULP_CLASS_HID_10c058] = 952,
	[BNXT_ULP_CLASS_HID_aac0] = 953,
	[BNXT_ULP_CLASS_HID_10a650] = 954,
	[BNXT_ULP_CLASS_HID_18e9b4] = 955,
	[BNXT_ULP_CLASS_HID_188c8c] = 956,
	[BNXT_ULP_CLASS_HID_1aaccc] = 957,
	[BNXT_ULP_CLASS_HID_1a47c4] = 958,
	[BNXT_ULP_CLASS_HID_184e44] = 959,
	[BNXT_ULP_CLASS_HID_18e624] = 960,
	[BNXT_ULP_CLASS_HID_1a0d9c] = 961,
	[BNXT_ULP_CLASS_HID_1aad7c] = 962,
	[BNXT_ULP_CLASS_HID_1889ec] = 963,
	[BNXT_ULP_CLASS_HID_184ce4] = 964,
	[BNXT_ULP_CLASS_HID_1a4d24] = 965,
	[BNXT_ULP_CLASS_HID_1a003c] = 966,
	[BNXT_ULP_CLASS_HID_18e584] = 967,
	[BNXT_ULP_CLASS_HID_18849c] = 968,
	[BNXT_ULP_CLASS_HID_1aa4dc] = 969,
	[BNXT_ULP_CLASS_HID_1a6dd4] = 970,
	[BNXT_ULP_CLASS_HID_18866e] = 971,
	[BNXT_ULP_CLASS_HID_184966] = 972,
	[BNXT_ULP_CLASS_HID_1a69a6] = 973,
	[BNXT_ULP_CLASS_HID_1a0cbe] = 974,
	[BNXT_ULP_CLASS_HID_18ec06] = 975,
	[BNXT_ULP_CLASS_HID_18a71e] = 976,
	[BNXT_ULP_CLASS_HID_1aa75e] = 977,
	[BNXT_ULP_CLASS_HID_1a6656] = 978,
	[BNXT_ULP_CLASS_HID_1844c6] = 979,
	[BNXT_ULP_CLASS_HID_1809de] = 980,
	[BNXT_ULP_CLASS_HID_1a081e] = 981,
	[BNXT_ULP_CLASS_HID_1aa5fe] = 982,
	[BNXT_ULP_CLASS_HID_18ac7e] = 983,
	[BNXT_ULP_CLASS_HID_184576] = 984,
	[BNXT_ULP_CLASS_HID_1a65b6] = 985,
	[BNXT_ULP_CLASS_HID_1a048e] = 986,
	[BNXT_ULP_CLASS_HID_184f8d] = 987,
	[BNXT_ULP_CLASS_HID_18eb6d] = 988,
	[BNXT_ULP_CLASS_HID_1a02c5] = 989,
	[BNXT_ULP_CLASS_HID_1aaea5] = 990,
	[BNXT_ULP_CLASS_HID_188525] = 991,
	[BNXT_ULP_CLASS_HID_18443d] = 992,
	[BNXT_ULP_CLASS_HID_1a447d] = 993,
	[BNXT_ULP_CLASS_HID_1a0f75] = 994,
	[BNXT_ULP_CLASS_HID_18e0cd] = 995,
	[BNXT_ULP_CLASS_HID_18a9c5] = 996,
	[BNXT_ULP_CLASS_HID_1aa405] = 997,
	[BNXT_ULP_CLASS_HID_1a6d1d] = 998,
	[BNXT_ULP_CLASS_HID_18459d] = 999,
	[BNXT_ULP_CLASS_HID_18ed7d] = 1000,
	[BNXT_ULP_CLASS_HID_1a04d5] = 1001,
	[BNXT_ULP_CLASS_HID_1aa4b5] = 1002,
	[BNXT_ULP_CLASS_HID_18ed4f] = 1003,
	[BNXT_ULP_CLASS_HID_18a047] = 1004,
	[BNXT_ULP_CLASS_HID_1aa087] = 1005,
	[BNXT_ULP_CLASS_HID_1a6b9f] = 1006,
	[BNXT_ULP_CLASS_HID_184e1f] = 1007,
	[BNXT_ULP_CLASS_HID_180517] = 1008,
	[BNXT_ULP_CLASS_HID_1a0557] = 1009,
	[BNXT_ULP_CLASS_HID_1acd37] = 1010,
	[BNXT_ULP_CLASS_HID_18ada7] = 1011,
	[BNXT_ULP_CLASS_HID_1840bf] = 1012,
	[BNXT_ULP_CLASS_HID_1a60ff] = 1013,
	[BNXT_ULP_CLASS_HID_1a29f7] = 1014,
	[BNXT_ULP_CLASS_HID_180c77] = 1015,
	[BNXT_ULP_CLASS_HID_18ac57] = 1016,
	[BNXT_ULP_CLASS_HID_1acc97] = 1017,
	[BNXT_ULP_CLASS_HID_1a6d6f] = 1018,
	[BNXT_ULP_CLASS_HID_18f296] = 1019,
	[BNXT_ULP_CLASS_HID_1897ae] = 1020,
	[BNXT_ULP_CLASS_HID_1ab7ee] = 1021,
	[BNXT_ULP_CLASS_HID_1a5ce6] = 1022,
	[BNXT_ULP_CLASS_HID_185566] = 1023,
	[BNXT_ULP_CLASS_HID_18fd06] = 1024,
	[BNXT_ULP_CLASS_HID_1a16be] = 1025,
	[BNXT_ULP_CLASS_HID_1ab65e] = 1026,
	[BNXT_ULP_CLASS_HID_1892ce] = 1027,
	[BNXT_ULP_CLASS_HID_1857c6] = 1028,
	[BNXT_ULP_CLASS_HID_1a5606] = 1029,
	[BNXT_ULP_CLASS_HID_1a1b1e] = 1030,
	[BNXT_ULP_CLASS_HID_18fea6] = 1031,
	[BNXT_ULP_CLASS_HID_189fbe] = 1032,
	[BNXT_ULP_CLASS_HID_1abffe] = 1033,
	[BNXT_ULP_CLASS_HID_1a76f6] = 1034,
	[BNXT_ULP_CLASS_HID_18171e] = 1035,
	[BNXT_ULP_CLASS_HID_18d33e] = 1036,
	[BNXT_ULP_CLASS_HID_1ad37e] = 1037,
	[BNXT_ULP_CLASS_HID_1a9876] = 1038,
	[BNXT_ULP_CLASS_HID_187ef6] = 1039,
	[BNXT_ULP_CLASS_HID_18378e] = 1040,
	[BNXT_ULP_CLASS_HID_1a37ce] = 1041,
	[BNXT_ULP_CLASS_HID_1adfee] = 1042,
	[BNXT_ULP_CLASS_HID_18be5e] = 1043,
	[BNXT_ULP_CLASS_HID_187356] = 1044,
	[BNXT_ULP_CLASS_HID_1a9396] = 1045,
	[BNXT_ULP_CLASS_HID_1a3aae] = 1046,
	[BNXT_ULP_CLASS_HID_181f2e] = 1047,
	[BNXT_ULP_CLASS_HID_18dece] = 1048,
	[BNXT_ULP_CLASS_HID_1adf0e] = 1049,
	[BNXT_ULP_CLASS_HID_1a9e06] = 1050,
	[BNXT_ULP_CLASS_HID_181146] = 1051,
	[BNXT_ULP_CLASS_HID_18bd66] = 1052,
	[BNXT_ULP_CLASS_HID_1abda6] = 1053,
	[BNXT_ULP_CLASS_HID_1a72be] = 1054,
	[BNXT_ULP_CLASS_HID_18573e] = 1055,
	[BNXT_ULP_CLASS_HID_181c36] = 1056,
	[BNXT_ULP_CLASS_HID_1a1c76] = 1057,
	[BNXT_ULP_CLASS_HID_1adc16] = 1058,
	[BNXT_ULP_CLASS_HID_18ba86] = 1059,
	[BNXT_ULP_CLASS_HID_185f9e] = 1060,
	[BNXT_ULP_CLASS_HID_1a7fde] = 1061,
	[BNXT_ULP_CLASS_HID_1a32d6] = 1062,
	[BNXT_ULP_CLASS_HID_181756] = 1063,
	[BNXT_ULP_CLASS_HID_18b776] = 1064,
	[BNXT_ULP_CLASS_HID_1ad7b6] = 1065,
	[BNXT_ULP_CLASS_HID_1a7e4e] = 1066,
	[BNXT_ULP_CLASS_HID_183ed6] = 1067,
	[BNXT_ULP_CLASS_HID_18daf6] = 1068,
	[BNXT_ULP_CLASS_HID_1af936] = 1069,
	[BNXT_ULP_CLASS_HID_1a9fce] = 1070,
	[BNXT_ULP_CLASS_HID_18944e] = 1071,
	[BNXT_ULP_CLASS_HID_183d46] = 1072,
	[BNXT_ULP_CLASS_HID_1a5d86] = 1073,
	[BNXT_ULP_CLASS_HID_1af5a6] = 1074,
	[BNXT_ULP_CLASS_HID_18d616] = 1075,
	[BNXT_ULP_CLASS_HID_189b2e] = 1076,
	[BNXT_ULP_CLASS_HID_1a9b6e] = 1077,
	[BNXT_ULP_CLASS_HID_1a5e66] = 1078,
	[BNXT_ULP_CLASS_HID_1836e6] = 1079,
	[BNXT_ULP_CLASS_HID_18f686] = 1080,
	[BNXT_ULP_CLASS_HID_1af6c6] = 1081,
	[BNXT_ULP_CLASS_HID_1ab7de] = 1082,
	[BNXT_ULP_CLASS_HID_18ebe6] = 1083,
	[BNXT_ULP_CLASS_HID_188ede] = 1084,
	[BNXT_ULP_CLASS_HID_1aae9e] = 1085,
	[BNXT_ULP_CLASS_HID_1a4596] = 1086,
	[BNXT_ULP_CLASS_HID_184c16] = 1087,
	[BNXT_ULP_CLASS_HID_18e476] = 1088,
	[BNXT_ULP_CLASS_HID_1a0fce] = 1089,
	[BNXT_ULP_CLASS_HID_1aaf2e] = 1090,
	[BNXT_ULP_CLASS_HID_188bbe] = 1091,
	[BNXT_ULP_CLASS_HID_184eb6] = 1092,
	[BNXT_ULP_CLASS_HID_1a4f76] = 1093,
	[BNXT_ULP_CLASS_HID_1a026e] = 1094,
	[BNXT_ULP_CLASS_HID_18e7d6] = 1095,
	[BNXT_ULP_CLASS_HID_1886ce] = 1096,
	[BNXT_ULP_CLASS_HID_1aa68e] = 1097,
	[BNXT_ULP_CLASS_HID_1a6f86] = 1098,
	[BNXT_ULP_CLASS_HID_18843c] = 1099,
	[BNXT_ULP_CLASS_HID_184b34] = 1100,
	[BNXT_ULP_CLASS_HID_1a6bf4] = 1101,
	[BNXT_ULP_CLASS_HID_1a0eec] = 1102,
	[BNXT_ULP_CLASS_HID_18ee54] = 1103,
	[BNXT_ULP_CLASS_HID_18a54c] = 1104,
	[BNXT_ULP_CLASS_HID_1aa50c] = 1105,
	[BNXT_ULP_CLASS_HID_1a6404] = 1106,
	[BNXT_ULP_CLASS_HID_184694] = 1107,
	[BNXT_ULP_CLASS_HID_180b8c] = 1108,
	[BNXT_ULP_CLASS_HID_1a0a4c] = 1109,
	[BNXT_ULP_CLASS_HID_1aa7ac] = 1110,
	[BNXT_ULP_CLASS_HID_18ae2c] = 1111,
	[BNXT_ULP_CLASS_HID_184724] = 1112,
	[BNXT_ULP_CLASS_HID_1a67e4] = 1113,
	[BNXT_ULP_CLASS_HID_1a06dc] = 1114,
	[BNXT_ULP_CLASS_HID_184ddf] = 1115,
	[BNXT_ULP_CLASS_HID_18e93f] = 1116,
	[BNXT_ULP_CLASS_HID_1a0097] = 1117,
	[BNXT_ULP_CLASS_HID_1aacf7] = 1118,
	[BNXT_ULP_CLASS_HID_188777] = 1119,
	[BNXT_ULP_CLASS_HID_18466f] = 1120,
	[BNXT_ULP_CLASS_HID_1a462f] = 1121,
	[BNXT_ULP_CLASS_HID_1a0d27] = 1122,
	[BNXT_ULP_CLASS_HID_18e29f] = 1123,
	[BNXT_ULP_CLASS_HID_18ab97] = 1124,
	[BNXT_ULP_CLASS_HID_1aa657] = 1125,
	[BNXT_ULP_CLASS_HID_1a6f4f] = 1126,
	[BNXT_ULP_CLASS_HID_1847cf] = 1127,
	[BNXT_ULP_CLASS_HID_18ef2f] = 1128,
	[BNXT_ULP_CLASS_HID_1a0687] = 1129,
	[BNXT_ULP_CLASS_HID_1aa6e7] = 1130,
	[BNXT_ULP_CLASS_HID_18ef1d] = 1131,
	[BNXT_ULP_CLASS_HID_18a215] = 1132,
	[BNXT_ULP_CLASS_HID_1aa2d5] = 1133,
	[BNXT_ULP_CLASS_HID_1a69cd] = 1134,
	[BNXT_ULP_CLASS_HID_184c4d] = 1135,
	[BNXT_ULP_CLASS_HID_180745] = 1136,
	[BNXT_ULP_CLASS_HID_1a0705] = 1137,
	[BNXT_ULP_CLASS_HID_1acf65] = 1138,
	[BNXT_ULP_CLASS_HID_18aff5] = 1139,
	[BNXT_ULP_CLASS_HID_1842ed] = 1140,
	[BNXT_ULP_CLASS_HID_1a62ad] = 1141,
	[BNXT_ULP_CLASS_HID_1a2ba5] = 1142,
	[BNXT_ULP_CLASS_HID_180e25] = 1143,
	[BNXT_ULP_CLASS_HID_18ae05] = 1144,
	[BNXT_ULP_CLASS_HID_1acec5] = 1145,
	[BNXT_ULP_CLASS_HID_1a6f3d] = 1146,
	[BNXT_ULP_CLASS_HID_180e6e] = 1147,
	[BNXT_ULP_CLASS_HID_18ca4e] = 1148,
	[BNXT_ULP_CLASS_HID_1aca0e] = 1149,
	[BNXT_ULP_CLASS_HID_1a8106] = 1150,
	[BNXT_ULP_CLASS_HID_186786] = 1151,
	[BNXT_ULP_CLASS_HID_182efe] = 1152,
	[BNXT_ULP_CLASS_HID_1a2ebe] = 1153,
	[BNXT_ULP_CLASS_HID_1ac69e] = 1154,
	[BNXT_ULP_CLASS_HID_18a72e] = 1155,
	[BNXT_ULP_CLASS_HID_186a26] = 1156,
	[BNXT_ULP_CLASS_HID_1a8ae6] = 1157,
	[BNXT_ULP_CLASS_HID_1a23de] = 1158,
	[BNXT_ULP_CLASS_HID_18065e] = 1159,
	[BNXT_ULP_CLASS_HID_18c7be] = 1160,
	[BNXT_ULP_CLASS_HID_1ac67e] = 1161,
	[BNXT_ULP_CLASS_HID_1a8776] = 1162,
	[BNXT_ULP_CLASS_HID_18c3ac] = 1163,
	[BNXT_ULP_CLASS_HID_1866a4] = 1164,
	[BNXT_ULP_CLASS_HID_1a8764] = 1165,
	[BNXT_ULP_CLASS_HID_1a4a5c] = 1166,
	[BNXT_ULP_CLASS_HID_1824dc] = 1167,
	[BNXT_ULP_CLASS_HID_18cc3c] = 1168,
	[BNXT_ULP_CLASS_HID_1aecfc] = 1169,
	[BNXT_ULP_CLASS_HID_1a87f4] = 1170,
	[BNXT_ULP_CLASS_HID_186204] = 1171,
	[BNXT_ULP_CLASS_HID_18277c] = 1172,
	[BNXT_ULP_CLASS_HID_1a273c] = 1173,
	[BNXT_ULP_CLASS_HID_1ae31c] = 1174,
	[BNXT_ULP_CLASS_HID_18cf9c] = 1175,
	[BNXT_ULP_CLASS_HID_188e94] = 1176,
	[BNXT_ULP_CLASS_HID_1a8f54] = 1177,
	[BNXT_ULP_CLASS_HID_1a464c] = 1178,
	[BNXT_ULP_CLASS_HID_18694f] = 1179,
	[BNXT_ULP_CLASS_HID_182c47] = 1180,
	[BNXT_ULP_CLASS_HID_1a2c07] = 1181,
	[BNXT_ULP_CLASS_HID_1ae867] = 1182,
	[BNXT_ULP_CLASS_HID_18cee7] = 1183,
	[BNXT_ULP_CLASS_HID_1865df] = 1184,
	[BNXT_ULP_CLASS_HID_1a859f] = 1185,
	[BNXT_ULP_CLASS_HID_1a4c97] = 1186,
	[BNXT_ULP_CLASS_HID_182b27] = 1187,
	[BNXT_ULP_CLASS_HID_18c707] = 1188,
	[BNXT_ULP_CLASS_HID_1ac7c7] = 1189,
	[BNXT_ULP_CLASS_HID_1a8a3f] = 1190,
	[BNXT_ULP_CLASS_HID_186ebf] = 1191,
	[BNXT_ULP_CLASS_HID_1827b7] = 1192,
	[BNXT_ULP_CLASS_HID_1a2677] = 1193,
	[BNXT_ULP_CLASS_HID_1aee57] = 1194,
	[BNXT_ULP_CLASS_HID_1825a5] = 1195,
	[BNXT_ULP_CLASS_HID_18c185] = 1196,
	[BNXT_ULP_CLASS_HID_1aee45] = 1197,
	[BNXT_ULP_CLASS_HID_1a84bd] = 1198,
	[BNXT_ULP_CLASS_HID_188f3d] = 1199,
	[BNXT_ULP_CLASS_HID_182e35] = 1200,
	[BNXT_ULP_CLASS_HID_1a4ef5] = 1201,
	[BNXT_ULP_CLASS_HID_1aeed5] = 1202,
	[BNXT_ULP_CLASS_HID_18cb65] = 1203,
	[BNXT_ULP_CLASS_HID_188e5d] = 1204,
	[BNXT_ULP_CLASS_HID_1a8e1d] = 1205,
	[BNXT_ULP_CLASS_HID_1a4715] = 1206,
	[BNXT_ULP_CLASS_HID_182f95] = 1207,
	[BNXT_ULP_CLASS_HID_18c7f5] = 1208,
	[BNXT_ULP_CLASS_HID_1ae7b5] = 1209,
	[BNXT_ULP_CLASS_HID_1aaead] = 1210,
	[BNXT_ULP_CLASS_HID_180836] = 1211,
	[BNXT_ULP_CLASS_HID_18a416] = 1212,
	[BNXT_ULP_CLASS_HID_1aa4d6] = 1213,
	[BNXT_ULP_CLASS_HID_1a6bce] = 1214,
	[BNXT_ULP_CLASS_HID_184e4e] = 1215,
	[BNXT_ULP_CLASS_HID_180546] = 1216,
	[BNXT_ULP_CLASS_HID_1a0506] = 1217,
	[BNXT_ULP_CLASS_HID_1ac566] = 1218,
	[BNXT_ULP_CLASS_HID_18a3f6] = 1219,
	[BNXT_ULP_CLASS_HID_1846ee] = 1220,
	[BNXT_ULP_CLASS_HID_1a66ae] = 1221,
	[BNXT_ULP_CLASS_HID_1a2ba6] = 1222,
	[BNXT_ULP_CLASS_HID_180e26] = 1223,
	[BNXT_ULP_CLASS_HID_18ae06] = 1224,
	[BNXT_ULP_CLASS_HID_1acec6] = 1225,
	[BNXT_ULP_CLASS_HID_1a673e] = 1226,
	[BNXT_ULP_CLASS_HID_18aa74] = 1227,
	[BNXT_ULP_CLASS_HID_18616c] = 1228,
	[BNXT_ULP_CLASS_HID_1a612c] = 1229,
	[BNXT_ULP_CLASS_HID_1a2424] = 1230,
	[BNXT_ULP_CLASS_HID_180ea4] = 1231,
	[BNXT_ULP_CLASS_HID_18a684] = 1232,
	[BNXT_ULP_CLASS_HID_1ac744] = 1233,
	[BNXT_ULP_CLASS_HID_1a8dbc] = 1234,
	[BNXT_ULP_CLASS_HID_186acc] = 1235,
	[BNXT_ULP_CLASS_HID_1803c4] = 1236,
	[BNXT_ULP_CLASS_HID_1a2384] = 1237,
	[BNXT_ULP_CLASS_HID_1acfe4] = 1238,
	[BNXT_ULP_CLASS_HID_18a664] = 1239,
	[BNXT_ULP_CLASS_HID_18675c] = 1240,
	[BNXT_ULP_CLASS_HID_1a671c] = 1241,
	[BNXT_ULP_CLASS_HID_1a2e14] = 1242,
	[BNXT_ULP_CLASS_HID_184317] = 1243,
	[BNXT_ULP_CLASS_HID_18060f] = 1244,
	[BNXT_ULP_CLASS_HID_1a06cf] = 1245,
	[BNXT_ULP_CLASS_HID_1ac22f] = 1246,
	[BNXT_ULP_CLASS_HID_18acaf] = 1247,
	[BNXT_ULP_CLASS_HID_186fa7] = 1248,
	[BNXT_ULP_CLASS_HID_1a6c67] = 1249,
	[BNXT_ULP_CLASS_HID_1a275f] = 1250,
	[BNXT_ULP_CLASS_HID_1803ef] = 1251,
	[BNXT_ULP_CLASS_HID_18afcf] = 1252,
	[BNXT_ULP_CLASS_HID_1acf8f] = 1253,
	[BNXT_ULP_CLASS_HID_1a6287] = 1254,
	[BNXT_ULP_CLASS_HID_186f07] = 1255,
	[BNXT_ULP_CLASS_HID_180e7f] = 1256,
	[BNXT_ULP_CLASS_HID_1a2e3f] = 1257,
	[BNXT_ULP_CLASS_HID_1ace1f] = 1258,
	[BNXT_ULP_CLASS_HID_180c6d] = 1259,
	[BNXT_ULP_CLASS_HID_18c84d] = 1260,
	[BNXT_ULP_CLASS_HID_1ac80d] = 1261,
	[BNXT_ULP_CLASS_HID_1a8f05] = 1262,
	[BNXT_ULP_CLASS_HID_186585] = 1263,
	[BNXT_ULP_CLASS_HID_182cfd] = 1264,
	[BNXT_ULP_CLASS_HID_1a2cbd] = 1265,
	[BNXT_ULP_CLASS_HID_1ac49d] = 1266,
	[BNXT_ULP_CLASS_HID_18a72d] = 1267,
	[BNXT_ULP_CLASS_HID_186a25] = 1268,
	[BNXT_ULP_CLASS_HID_1a8ae5] = 1269,
	[BNXT_ULP_CLASS_HID_1a2fdd] = 1270,
	[BNXT_ULP_CLASS_HID_18065d] = 1271,
	[BNXT_ULP_CLASS_HID_18c7bd] = 1272,
	[BNXT_ULP_CLASS_HID_1ace7d] = 1273,
	[BNXT_ULP_CLASS_HID_1a8775] = 1274,
	[BNXT_ULP_CLASS_HID_1827a6] = 1275,
	[BNXT_ULP_CLASS_HID_18c386] = 1276,
	[BNXT_ULP_CLASS_HID_1ae046] = 1277,
	[BNXT_ULP_CLASS_HID_1a86be] = 1278,
	[BNXT_ULP_CLASS_HID_188d3e] = 1279,
	[BNXT_ULP_CLASS_HID_182436] = 1280,
	[BNXT_ULP_CLASS_HID_1a44f6] = 1281,
	[BNXT_ULP_CLASS_HID_1aecd6] = 1282,
	[BNXT_ULP_CLASS_HID_18cf66] = 1283,
	[BNXT_ULP_CLASS_HID_18825e] = 1284,
	[BNXT_ULP_CLASS_HID_1a821e] = 1285,
	[BNXT_ULP_CLASS_HID_1a4716] = 1286,
	[BNXT_ULP_CLASS_HID_182f96] = 1287,
	[BNXT_ULP_CLASS_HID_18eff6] = 1288,
	[BNXT_ULP_CLASS_HID_1aefb6] = 1289,
	[BNXT_ULP_CLASS_HID_1aaeae] = 1290,
	[BNXT_ULP_CLASS_HID_18e9e4] = 1291,
	[BNXT_ULP_CLASS_HID_188cdc] = 1292,
	[BNXT_ULP_CLASS_HID_1aac9c] = 1293,
	[BNXT_ULP_CLASS_HID_1a4394] = 1294,
	[BNXT_ULP_CLASS_HID_182614] = 1295,
	[BNXT_ULP_CLASS_HID_18e674] = 1296,
	[BNXT_ULP_CLASS_HID_1a0dcc] = 1297,
	[BNXT_ULP_CLASS_HID_1aad2c] = 1298,
	[BNXT_ULP_CLASS_HID_188bbc] = 1299,
	[BNXT_ULP_CLASS_HID_184eb4] = 1300,
	[BNXT_ULP_CLASS_HID_1a4f74] = 1301,
	[BNXT_ULP_CLASS_HID_1a026c] = 1302,
	[BNXT_ULP_CLASS_HID_18efd4] = 1303,
	[BNXT_ULP_CLASS_HID_1886cc] = 1304,
	[BNXT_ULP_CLASS_HID_1aa68c] = 1305,
	[BNXT_ULP_CLASS_HID_1a6f84] = 1306,
	[BNXT_ULP_CLASS_HID_188e87] = 1307,
	[BNXT_ULP_CLASS_HID_1825ff] = 1308,
	[BNXT_ULP_CLASS_HID_1a45bf] = 1309,
	[BNXT_ULP_CLASS_HID_1a08b7] = 1310,
	[BNXT_ULP_CLASS_HID_18c41f] = 1311,
	[BNXT_ULP_CLASS_HID_188f17] = 1312,
	[BNXT_ULP_CLASS_HID_1aafd7] = 1313,
	[BNXT_ULP_CLASS_HID_1a4ecf] = 1314,
	[BNXT_ULP_CLASS_HID_182f5f] = 1315,
	[BNXT_ULP_CLASS_HID_18eabf] = 1316,
	[BNXT_ULP_CLASS_HID_1aeb7f] = 1317,
	[BNXT_ULP_CLASS_HID_1aae77] = 1318,
	[BNXT_ULP_CLASS_HID_1886f7] = 1319,
	[BNXT_ULP_CLASS_HID_184fef] = 1320,
	[BNXT_ULP_CLASS_HID_1a4faf] = 1321,
	[BNXT_ULP_CLASS_HID_1a0ea7] = 1322,
	[BNXT_ULP_CLASS_HID_184bdd] = 1323,
	[BNXT_ULP_CLASS_HID_18e73d] = 1324,
	[BNXT_ULP_CLASS_HID_1a0e95] = 1325,
	[BNXT_ULP_CLASS_HID_1aaaf5] = 1326,
	[BNXT_ULP_CLASS_HID_188575] = 1327,
	[BNXT_ULP_CLASS_HID_18446d] = 1328,
	[BNXT_ULP_CLASS_HID_1a442d] = 1329,
	[BNXT_ULP_CLASS_HID_1a0f25] = 1330,
	[BNXT_ULP_CLASS_HID_18e29d] = 1331,
	[BNXT_ULP_CLASS_HID_188795] = 1332,
	[BNXT_ULP_CLASS_HID_1aa655] = 1333,
	[BNXT_ULP_CLASS_HID_1a6b4d] = 1334,
	[BNXT_ULP_CLASS_HID_1847cd] = 1335,
	[BNXT_ULP_CLASS_HID_18ef2d] = 1336,
	[BNXT_ULP_CLASS_HID_1a0685] = 1337,
	[BNXT_ULP_CLASS_HID_1aa6e5] = 1338,
	[BNXT_ULP_CLASS_HID_18d1da] = 1339,
	[BNXT_ULP_CLASS_HID_18b4e2] = 1340,
	[BNXT_ULP_CLASS_HID_1a94a2] = 1341,
	[BNXT_ULP_CLASS_HID_1a7faa] = 1342,
	[BNXT_ULP_CLASS_HID_18762a] = 1343,
	[BNXT_ULP_CLASS_HID_18de4a] = 1344,
	[BNXT_ULP_CLASS_HID_1a35f2] = 1345,
	[BNXT_ULP_CLASS_HID_1a9512] = 1346,
	[BNXT_ULP_CLASS_HID_18b182] = 1347,
	[BNXT_ULP_CLASS_HID_18748a] = 1348,
	[BNXT_ULP_CLASS_HID_1a754a] = 1349,
	[BNXT_ULP_CLASS_HID_1a3852] = 1350,
	[BNXT_ULP_CLASS_HID_18ddea] = 1351,
	[BNXT_ULP_CLASS_HID_18bcf2] = 1352,
	[BNXT_ULP_CLASS_HID_1a9cb2] = 1353,
	[BNXT_ULP_CLASS_HID_1a55ba] = 1354,
	[BNXT_ULP_CLASS_HID_183452] = 1355,
	[BNXT_ULP_CLASS_HID_18f072] = 1356,
	[BNXT_ULP_CLASS_HID_1af032] = 1357,
	[BNXT_ULP_CLASS_HID_1abb3a] = 1358,
	[BNXT_ULP_CLASS_HID_185dba] = 1359,
	[BNXT_ULP_CLASS_HID_1814c2] = 1360,
	[BNXT_ULP_CLASS_HID_1a1482] = 1361,
	[BNXT_ULP_CLASS_HID_1afca2] = 1362,
	[BNXT_ULP_CLASS_HID_189d12] = 1363,
	[BNXT_ULP_CLASS_HID_18501a] = 1364,
	[BNXT_ULP_CLASS_HID_1ab0da] = 1365,
	[BNXT_ULP_CLASS_HID_1a19e2] = 1366,
	[BNXT_ULP_CLASS_HID_183c62] = 1367,
	[BNXT_ULP_CLASS_HID_18fd82] = 1368,
	[BNXT_ULP_CLASS_HID_1afc42] = 1369,
	[BNXT_ULP_CLASS_HID_1abd4a] = 1370,
	[BNXT_ULP_CLASS_HID_18320a] = 1371,
	[BNXT_ULP_CLASS_HID_189e2a] = 1372,
	[BNXT_ULP_CLASS_HID_1a9eea] = 1373,
	[BNXT_ULP_CLASS_HID_1a51f2] = 1374,
	[BNXT_ULP_CLASS_HID_187472] = 1375,
	[BNXT_ULP_CLASS_HID_183f7a] = 1376,
	[BNXT_ULP_CLASS_HID_1a3f3a] = 1377,
	[BNXT_ULP_CLASS_HID_1aff5a] = 1378,
	[BNXT_ULP_CLASS_HID_1899ca] = 1379,
	[BNXT_ULP_CLASS_HID_187cd2] = 1380,
	[BNXT_ULP_CLASS_HID_1a5c92] = 1381,
	[BNXT_ULP_CLASS_HID_1a119a] = 1382,
	[BNXT_ULP_CLASS_HID_18341a] = 1383,
	[BNXT_ULP_CLASS_HID_18943a] = 1384,
	[BNXT_ULP_CLASS_HID_1af4fa] = 1385,
	[BNXT_ULP_CLASS_HID_1a5d02] = 1386,
	[BNXT_ULP_CLASS_HID_181d9a] = 1387,
	[BNXT_ULP_CLASS_HID_18f9ba] = 1388,
	[BNXT_ULP_CLASS_HID_1ada7a] = 1389,
	[BNXT_ULP_CLASS_HID_1abc82] = 1390,
	[BNXT_ULP_CLASS_HID_18b702] = 1391,
	[BNXT_ULP_CLASS_HID_181e0a] = 1392,
	[BNXT_ULP_CLASS_HID_1a7eca] = 1393,
	[BNXT_ULP_CLASS_HID_1ad6ea] = 1394,
	[BNXT_ULP_CLASS_HID_18f55a] = 1395,
	[BNXT_ULP_CLASS_HID_18b862] = 1396,
	[BNXT_ULP_CLASS_HID_1ab822] = 1397,
	[BNXT_ULP_CLASS_HID_1a7d2a] = 1398,
	[BNXT_ULP_CLASS_HID_1815aa] = 1399,
	[BNXT_ULP_CLASS_HID_18d5ca] = 1400,
	[BNXT_ULP_CLASS_HID_1ad58a] = 1401,
	[BNXT_ULP_CLASS_HID_1a9492] = 1402,
	[BNXT_ULP_CLASS_HID_185272] = 1403,
	[BNXT_ULP_CLASS_HID_18157a] = 1404,
	[BNXT_ULP_CLASS_HID_1a153a] = 1405,
	[BNXT_ULP_CLASS_HID_1ad15a] = 1406,
	[BNXT_ULP_CLASS_HID_18ffda] = 1407,
	[BNXT_ULP_CLASS_HID_185ee2] = 1408,
	[BNXT_ULP_CLASS_HID_1abea2] = 1409,
	[BNXT_ULP_CLASS_HID_1a75aa] = 1410,
	[BNXT_ULP_CLASS_HID_18101a] = 1411,
	[BNXT_ULP_CLASS_HID_18fc3a] = 1412,
	[BNXT_ULP_CLASS_HID_1afcfa] = 1413,
	[BNXT_ULP_CLASS_HID_1ab102] = 1414,
	[BNXT_ULP_CLASS_HID_185d82] = 1415,
	[BNXT_ULP_CLASS_HID_181c8a] = 1416,
	[BNXT_ULP_CLASS_HID_1a1d4a] = 1417,
	[BNXT_ULP_CLASS_HID_1add6a] = 1418,
	[BNXT_ULP_CLASS_HID_18bd02] = 1419,
	[BNXT_ULP_CLASS_HID_18700a] = 1420,
	[BNXT_ULP_CLASS_HID_1a50ca] = 1421,
	[BNXT_ULP_CLASS_HID_1a3bd2] = 1422,
	[BNXT_ULP_CLASS_HID_18d76a] = 1423,
	[BNXT_ULP_CLASS_HID_189e72] = 1424,
	[BNXT_ULP_CLASS_HID_1a9e32] = 1425,
	[BNXT_ULP_CLASS_HID_1a5d3a] = 1426,
	[BNXT_ULP_CLASS_HID_187daa] = 1427,
	[BNXT_ULP_CLASS_HID_1830b2] = 1428,
	[BNXT_ULP_CLASS_HID_1a3172] = 1429,
	[BNXT_ULP_CLASS_HID_1a9c92] = 1430,
	[BNXT_ULP_CLASS_HID_189512] = 1431,
	[BNXT_ULP_CLASS_HID_187c1a] = 1432,
	[BNXT_ULP_CLASS_HID_1a5cda] = 1433,
	[BNXT_ULP_CLASS_HID_1a3de2] = 1434,
	[BNXT_ULP_CLASS_HID_18bbba] = 1435,
	[BNXT_ULP_CLASS_HID_181ec2] = 1436,
	[BNXT_ULP_CLASS_HID_1a7e82] = 1437,
	[BNXT_ULP_CLASS_HID_1a318a] = 1438,
	[BNXT_ULP_CLASS_HID_18fd22] = 1439,
	[BNXT_ULP_CLASS_HID_18b42a] = 1440,
	[BNXT_ULP_CLASS_HID_1a94ea] = 1441,
	[BNXT_ULP_CLASS_HID_1a7ff2] = 1442,
	[BNXT_ULP_CLASS_HID_181462] = 1443,
	[BNXT_ULP_CLASS_HID_18d582] = 1444,
	[BNXT_ULP_CLASS_HID_1ad042] = 1445,
	[BNXT_ULP_CLASS_HID_1a994a] = 1446,
	[BNXT_ULP_CLASS_HID_18bdca] = 1447,
	[BNXT_ULP_CLASS_HID_1874d2] = 1448,
	[BNXT_ULP_CLASS_HID_1a7492] = 1449,
	[BNXT_ULP_CLASS_HID_1a3d9a] = 1450,
	[BNXT_ULP_CLASS_HID_18974a] = 1451,
	[BNXT_ULP_CLASS_HID_185a52] = 1452,
	[BNXT_ULP_CLASS_HID_1a5a12] = 1453,
	[BNXT_ULP_CLASS_HID_1a1d1a] = 1454,
	[BNXT_ULP_CLASS_HID_18379a] = 1455,
	[BNXT_ULP_CLASS_HID_18f7ba] = 1456,
	[BNXT_ULP_CLASS_HID_1afc7a] = 1457,
	[BNXT_ULP_CLASS_HID_1ab682] = 1458,
	[BNXT_ULP_CLASS_HID_1855f2] = 1459,
	[BNXT_ULP_CLASS_HID_1838fa] = 1460,
	[BNXT_ULP_CLASS_HID_1a18ba] = 1461,
	[BNXT_ULP_CLASS_HID_1af4da] = 1462,
	[BNXT_ULP_CLASS_HID_189d5a] = 1463,
	[BNXT_ULP_CLASS_HID_185c62] = 1464,
	[BNXT_ULP_CLASS_HID_1a5c22] = 1465,
	[BNXT_ULP_CLASS_HID_1a152a] = 1466,
	[BNXT_ULP_CLASS_HID_181d1a] = 1467,
	[BNXT_ULP_CLASS_HID_18f93a] = 1468,
	[BNXT_ULP_CLASS_HID_1ad9fa] = 1469,
	[BNXT_ULP_CLASS_HID_1abc02] = 1470,
	[BNXT_ULP_CLASS_HID_18b682] = 1471,
	[BNXT_ULP_CLASS_HID_181d8a] = 1472,
	[BNXT_ULP_CLASS_HID_1a7e4a] = 1473,
	[BNXT_ULP_CLASS_HID_1ad66a] = 1474,
	[BNXT_ULP_CLASS_HID_18f4da] = 1475,
	[BNXT_ULP_CLASS_HID_18b9e2] = 1476,
	[BNXT_ULP_CLASS_HID_1ab9a2] = 1477,
	[BNXT_ULP_CLASS_HID_1a7caa] = 1478,
	[BNXT_ULP_CLASS_HID_18152a] = 1479,
	[BNXT_ULP_CLASS_HID_18d54a] = 1480,
	[BNXT_ULP_CLASS_HID_1ad50a] = 1481,
	[BNXT_ULP_CLASS_HID_1a9412] = 1482,
	[BNXT_ULP_CLASS_HID_1878aa] = 1483,
	[BNXT_ULP_CLASS_HID_1833b2] = 1484,
	[BNXT_ULP_CLASS_HID_1a3c72] = 1485,
	[BNXT_ULP_CLASS_HID_1aff92] = 1486,
	[BNXT_ULP_CLASS_HID_189612] = 1487,
	[BNXT_ULP_CLASS_HID_18551a] = 1488,
	[BNXT_ULP_CLASS_HID_1a55da] = 1489,
	[BNXT_ULP_CLASS_HID_1a1ce2] = 1490,
	[BNXT_ULP_CLASS_HID_183952] = 1491,
	[BNXT_ULP_CLASS_HID_189572] = 1492,
	[BNXT_ULP_CLASS_HID_1af532] = 1493,
	[BNXT_ULP_CLASS_HID_1a583a] = 1494,
	[BNXT_ULP_CLASS_HID_1854ba] = 1495,
	[BNXT_ULP_CLASS_HID_1835c2] = 1496,
	[BNXT_ULP_CLASS_HID_1a1582] = 1497,
	[BNXT_ULP_CLASS_HID_1af5a2] = 1498,
	[BNXT_ULP_CLASS_HID_187762] = 1499,
	[BNXT_ULP_CLASS_HID_18d282] = 1500,
	[BNXT_ULP_CLASS_HID_1a3a2a] = 1501,
	[BNXT_ULP_CLASS_HID_1a964a] = 1502,
	[BNXT_ULP_CLASS_HID_18bcca] = 1503,
	[BNXT_ULP_CLASS_HID_1877d2] = 1504,
	[BNXT_ULP_CLASS_HID_1a5792] = 1505,
	[BNXT_ULP_CLASS_HID_1a369a] = 1506,
	[BNXT_ULP_CLASS_HID_18d822] = 1507,
	[BNXT_ULP_CLASS_HID_18912a] = 1508,
	[BNXT_ULP_CLASS_HID_1a91ea] = 1509,
	[BNXT_ULP_CLASS_HID_1a54f2] = 1510,
	[BNXT_ULP_CLASS_HID_187d72] = 1511,
	[BNXT_ULP_CLASS_HID_18d492] = 1512,
	[BNXT_ULP_CLASS_HID_1a3c3a] = 1513,
	[BNXT_ULP_CLASS_HID_1a9c5a] = 1514,
	[BNXT_ULP_CLASS_HID_1852f2] = 1515,
	[BNXT_ULP_CLASS_HID_1815fa] = 1516,
	[BNXT_ULP_CLASS_HID_1a15ba] = 1517,
	[BNXT_ULP_CLASS_HID_1ad1da] = 1518,
	[BNXT_ULP_CLASS_HID_18f45a] = 1519,
	[BNXT_ULP_CLASS_HID_185f62] = 1520,
	[BNXT_ULP_CLASS_HID_1abf22] = 1521,
	[BNXT_ULP_CLASS_HID_1a762a] = 1522,
	[BNXT_ULP_CLASS_HID_18109a] = 1523,
	[BNXT_ULP_CLASS_HID_18fcba] = 1524,
	[BNXT_ULP_CLASS_HID_1afd7a] = 1525,
	[BNXT_ULP_CLASS_HID_1ab182] = 1526,
	[BNXT_ULP_CLASS_HID_185402] = 1527,
	[BNXT_ULP_CLASS_HID_181d0a] = 1528,
	[BNXT_ULP_CLASS_HID_1a1dca] = 1529,
	[BNXT_ULP_CLASS_HID_1addea] = 1530,
	[BNXT_ULP_CLASS_HID_1896ca] = 1531,
	[BNXT_ULP_CLASS_HID_1859d2] = 1532,
	[BNXT_ULP_CLASS_HID_1a5992] = 1533,
	[BNXT_ULP_CLASS_HID_1a1c9a] = 1534,
	[BNXT_ULP_CLASS_HID_18371a] = 1535,
	[BNXT_ULP_CLASS_HID_18f73a] = 1536,
	[BNXT_ULP_CLASS_HID_1af7fa] = 1537,
	[BNXT_ULP_CLASS_HID_1ab602] = 1538,
	[BNXT_ULP_CLASS_HID_185572] = 1539,
	[BNXT_ULP_CLASS_HID_18387a] = 1540,
	[BNXT_ULP_CLASS_HID_1a183a] = 1541,
	[BNXT_ULP_CLASS_HID_1af45a] = 1542,
	[BNXT_ULP_CLASS_HID_189cda] = 1543,
	[BNXT_ULP_CLASS_HID_1855e2] = 1544,
	[BNXT_ULP_CLASS_HID_1ab5a2] = 1545,
	[BNXT_ULP_CLASS_HID_1a14aa] = 1546,
	[BNXT_ULP_CLASS_HID_18d25a] = 1547,
	[BNXT_ULP_CLASS_HID_18b562] = 1548,
	[BNXT_ULP_CLASS_HID_1a9522] = 1549,
	[BNXT_ULP_CLASS_HID_1a782a] = 1550,
	[BNXT_ULP_CLASS_HID_1876aa] = 1551,
	[BNXT_ULP_CLASS_HID_18deca] = 1552,
	[BNXT_ULP_CLASS_HID_1a3672] = 1553,
	[BNXT_ULP_CLASS_HID_1a9592] = 1554,
	[BNXT_ULP_CLASS_HID_18b002] = 1555,
	[BNXT_ULP_CLASS_HID_18750a] = 1556,
	[BNXT_ULP_CLASS_HID_1a75ca] = 1557,
	[BNXT_ULP_CLASS_HID_1a38d2] = 1558,
	[BNXT_ULP_CLASS_HID_18d46a] = 1559,
	[BNXT_ULP_CLASS_HID_18bd72] = 1560,
	[BNXT_ULP_CLASS_HID_1a9d32] = 1561,
	[BNXT_ULP_CLASS_HID_1a543a] = 1562,
	[BNXT_ULP_CLASS_HID_18f812] = 1563,
	[BNXT_ULP_CLASS_HID_18b31a] = 1564,
	[BNXT_ULP_CLASS_HID_1ab3da] = 1565,
	[BNXT_ULP_CLASS_HID_1a76e2] = 1566,
	[BNXT_ULP_CLASS_HID_181d62] = 1567,
	[BNXT_ULP_CLASS_HID_18f482] = 1568,
	[BNXT_ULP_CLASS_HID_1ad542] = 1569,
	[BNXT_ULP_CLASS_HID_1abc4a] = 1570,
	[BNXT_ULP_CLASS_HID_1858ba] = 1571,
	[BNXT_ULP_CLASS_HID_1811c2] = 1572,
	[BNXT_ULP_CLASS_HID_1a7182] = 1573,
	[BNXT_ULP_CLASS_HID_1adda2] = 1574,
	[BNXT_ULP_CLASS_HID_18f422] = 1575,
	[BNXT_ULP_CLASS_HID_18b52a] = 1576,
	[BNXT_ULP_CLASS_HID_1ab5ea] = 1577,
	[BNXT_ULP_CLASS_HID_1a7cf2] = 1578,
	[BNXT_ULP_CLASS_HID_18328a] = 1579,
	[BNXT_ULP_CLASS_HID_189eaa] = 1580,
	[BNXT_ULP_CLASS_HID_1a9f6a] = 1581,
	[BNXT_ULP_CLASS_HID_1a5272] = 1582,
	[BNXT_ULP_CLASS_HID_1874f2] = 1583,
	[BNXT_ULP_CLASS_HID_183ffa] = 1584,
	[BNXT_ULP_CLASS_HID_1a3fba] = 1585,
	[BNXT_ULP_CLASS_HID_1affda] = 1586,
	[BNXT_ULP_CLASS_HID_18944a] = 1587,
	[BNXT_ULP_CLASS_HID_187d52] = 1588,
	[BNXT_ULP_CLASS_HID_1a5d12] = 1589,
	[BNXT_ULP_CLASS_HID_1a101a] = 1590,
	[BNXT_ULP_CLASS_HID_18349a] = 1591,
	[BNXT_ULP_CLASS_HID_1894ba] = 1592,
	[BNXT_ULP_CLASS_HID_1af57a] = 1593,
	[BNXT_ULP_CLASS_HID_1a5d82] = 1594,
	[BNXT_ULP_CLASS_HID_18e5c8] = 1595,
	[BNXT_ULP_CLASS_HID_1880f0] = 1596,
	[BNXT_ULP_CLASS_HID_1aa0b0] = 1597,
	[BNXT_ULP_CLASS_HID_1a4bb8] = 1598,
	[BNXT_ULP_CLASS_HID_184238] = 1599,
	[BNXT_ULP_CLASS_HID_18ea58] = 1600,
	[BNXT_ULP_CLASS_HID_1a01e0] = 1601,
	[BNXT_ULP_CLASS_HID_1aa100] = 1602,
	[BNXT_ULP_CLASS_HID_188590] = 1603,
	[BNXT_ULP_CLASS_HID_184098] = 1604,
	[BNXT_ULP_CLASS_HID_1a4158] = 1605,
	[BNXT_ULP_CLASS_HID_1a0c40] = 1606,
	[BNXT_ULP_CLASS_HID_18e9f8] = 1607,
	[BNXT_ULP_CLASS_HID_1888e0] = 1608,
	[BNXT_ULP_CLASS_HID_1aa8a0] = 1609,
	[BNXT_ULP_CLASS_HID_1a61a8] = 1610,
	[BNXT_ULP_CLASS_HID_188a12] = 1611,
	[BNXT_ULP_CLASS_HID_18451a] = 1612,
	[BNXT_ULP_CLASS_HID_1a65da] = 1613,
	[BNXT_ULP_CLASS_HID_1a00c2] = 1614,
	[BNXT_ULP_CLASS_HID_18e07a] = 1615,
	[BNXT_ULP_CLASS_HID_18ab62] = 1616,
	[BNXT_ULP_CLASS_HID_1aab22] = 1617,
	[BNXT_ULP_CLASS_HID_1a6a2a] = 1618,
	[BNXT_ULP_CLASS_HID_1848ba] = 1619,
	[BNXT_ULP_CLASS_HID_1805a2] = 1620,
	[BNXT_ULP_CLASS_HID_1a0462] = 1621,
	[BNXT_ULP_CLASS_HID_1aa982] = 1622,
	[BNXT_ULP_CLASS_HID_18a002] = 1623,
	[BNXT_ULP_CLASS_HID_18490a] = 1624,
	[BNXT_ULP_CLASS_HID_1a69ca] = 1625,
	[BNXT_ULP_CLASS_HID_1a08f2] = 1626,
	[BNXT_ULP_CLASS_HID_1843f1] = 1627,
	[BNXT_ULP_CLASS_HID_18e711] = 1628,
	[BNXT_ULP_CLASS_HID_1a0eb9] = 1629,
	[BNXT_ULP_CLASS_HID_1aa2d9] = 1630,
	[BNXT_ULP_CLASS_HID_188959] = 1631,
	[BNXT_ULP_CLASS_HID_184841] = 1632,
	[BNXT_ULP_CLASS_HID_1a4801] = 1633,
	[BNXT_ULP_CLASS_HID_1a0309] = 1634,
	[BNXT_ULP_CLASS_HID_18ecb1] = 1635,
	[BNXT_ULP_CLASS_HID_18a5b9] = 1636,
	[BNXT_ULP_CLASS_HID_1aa879] = 1637,
	[BNXT_ULP_CLASS_HID_1a6161] = 1638,
	[BNXT_ULP_CLASS_HID_1849e1] = 1639,
	[BNXT_ULP_CLASS_HID_18e101] = 1640,
	[BNXT_ULP_CLASS_HID_1a08a9] = 1641,
	[BNXT_ULP_CLASS_HID_1aa8c9] = 1642,
	[BNXT_ULP_CLASS_HID_18e133] = 1643,
	[BNXT_ULP_CLASS_HID_18ac3b] = 1644,
	[BNXT_ULP_CLASS_HID_1aacfb] = 1645,
	[BNXT_ULP_CLASS_HID_1a67e3] = 1646,
	[BNXT_ULP_CLASS_HID_184263] = 1647,
	[BNXT_ULP_CLASS_HID_18096b] = 1648,
	[BNXT_ULP_CLASS_HID_1a092b] = 1649,
	[BNXT_ULP_CLASS_HID_1ac14b] = 1650,
	[BNXT_ULP_CLASS_HID_18a1db] = 1651,
	[BNXT_ULP_CLASS_HID_184cc3] = 1652,
	[BNXT_ULP_CLASS_HID_1a6c83] = 1653,
	[BNXT_ULP_CLASS_HID_1a258b] = 1654,
	[BNXT_ULP_CLASS_HID_18000b] = 1655,
	[BNXT_ULP_CLASS_HID_18a02b] = 1656,
	[BNXT_ULP_CLASS_HID_1ac0eb] = 1657,
	[BNXT_ULP_CLASS_HID_1a6113] = 1658,
	[BNXT_ULP_CLASS_HID_180040] = 1659,
	[BNXT_ULP_CLASS_HID_18c460] = 1660,
	[BNXT_ULP_CLASS_HID_1ac420] = 1661,
	[BNXT_ULP_CLASS_HID_1a8f28] = 1662,
	[BNXT_ULP_CLASS_HID_1869a8] = 1663,
	[BNXT_ULP_CLASS_HID_1820d0] = 1664,
	[BNXT_ULP_CLASS_HID_1a2090] = 1665,
	[BNXT_ULP_CLASS_HID_1ac8b0] = 1666,
	[BNXT_ULP_CLASS_HID_18a900] = 1667,
	[BNXT_ULP_CLASS_HID_186408] = 1668,
	[BNXT_ULP_CLASS_HID_1a84c8] = 1669,
	[BNXT_ULP_CLASS_HID_1a2df0] = 1670,
	[BNXT_ULP_CLASS_HID_180870] = 1671,
	[BNXT_ULP_CLASS_HID_18c990] = 1672,
	[BNXT_ULP_CLASS_HID_1ac850] = 1673,
	[BNXT_ULP_CLASS_HID_1a8958] = 1674,
	[BNXT_ULP_CLASS_HID_18cd82] = 1675,
	[BNXT_ULP_CLASS_HID_18688a] = 1676,
	[BNXT_ULP_CLASS_HID_1a894a] = 1677,
	[BNXT_ULP_CLASS_HID_1a4472] = 1678,
	[BNXT_ULP_CLASS_HID_182af2] = 1679,
	[BNXT_ULP_CLASS_HID_18c212] = 1680,
	[BNXT_ULP_CLASS_HID_1ae2d2] = 1681,
	[BNXT_ULP_CLASS_HID_1a89da] = 1682,
	[BNXT_ULP_CLASS_HID_186c2a] = 1683,
	[BNXT_ULP_CLASS_HID_182952] = 1684,
	[BNXT_ULP_CLASS_HID_1a2912] = 1685,
	[BNXT_ULP_CLASS_HID_1aed32] = 1686,
	[BNXT_ULP_CLASS_HID_18c1b2] = 1687,
	[BNXT_ULP_CLASS_HID_1880ba] = 1688,
	[BNXT_ULP_CLASS_HID_1a817a] = 1689,
	[BNXT_ULP_CLASS_HID_1a4862] = 1690,
	[BNXT_ULP_CLASS_HID_186761] = 1691,
	[BNXT_ULP_CLASS_HID_182269] = 1692,
	[BNXT_ULP_CLASS_HID_1a2229] = 1693,
	[BNXT_ULP_CLASS_HID_1ae649] = 1694,
	[BNXT_ULP_CLASS_HID_18c0c9] = 1695,
	[BNXT_ULP_CLASS_HID_186bf1] = 1696,
	[BNXT_ULP_CLASS_HID_1a8bb1] = 1697,
	[BNXT_ULP_CLASS_HID_1a42b9] = 1698,
	[BNXT_ULP_CLASS_HID_182509] = 1699,
	[BNXT_ULP_CLASS_HID_18c929] = 1700,
	[BNXT_ULP_CLASS_HID_1ac9e9] = 1701,
	[BNXT_ULP_CLASS_HID_1a8411] = 1702,
	[BNXT_ULP_CLASS_HID_186091] = 1703,
	[BNXT_ULP_CLASS_HID_182999] = 1704,
	[BNXT_ULP_CLASS_HID_1a2859] = 1705,
	[BNXT_ULP_CLASS_HID_1ae079] = 1706,
	[BNXT_ULP_CLASS_HID_182b8b] = 1707,
	[BNXT_ULP_CLASS_HID_18cfab] = 1708,
	[BNXT_ULP_CLASS_HID_1ae06b] = 1709,
	[BNXT_ULP_CLASS_HID_1a8a93] = 1710,
	[BNXT_ULP_CLASS_HID_188113] = 1711,
	[BNXT_ULP_CLASS_HID_18201b] = 1712,
	[BNXT_ULP_CLASS_HID_1a40db] = 1713,
	[BNXT_ULP_CLASS_HID_1ae0fb] = 1714,
	[BNXT_ULP_CLASS_HID_18c54b] = 1715,
	[BNXT_ULP_CLASS_HID_188073] = 1716,
	[BNXT_ULP_CLASS_HID_1a8033] = 1717,
	[BNXT_ULP_CLASS_HID_1a493b] = 1718,
	[BNXT_ULP_CLASS_HID_1821bb] = 1719,
	[BNXT_ULP_CLASS_HID_18c9db] = 1720,
	[BNXT_ULP_CLASS_HID_1ae99b] = 1721,
	[BNXT_ULP_CLASS_HID_1aa083] = 1722,
	[BNXT_ULP_CLASS_HID_180618] = 1723,
	[BNXT_ULP_CLASS_HID_18aa38] = 1724,
	[BNXT_ULP_CLASS_HID_1aaaf8] = 1725,
	[BNXT_ULP_CLASS_HID_1a65e0] = 1726,
	[BNXT_ULP_CLASS_HID_184060] = 1727,
	[BNXT_ULP_CLASS_HID_180b68] = 1728,
	[BNXT_ULP_CLASS_HID_1a0b28] = 1729,
	[BNXT_ULP_CLASS_HID_1acb48] = 1730,
	[BNXT_ULP_CLASS_HID_18add8] = 1731,
	[BNXT_ULP_CLASS_HID_1848c0] = 1732,
	[BNXT_ULP_CLASS_HID_1a6880] = 1733,
	[BNXT_ULP_CLASS_HID_1a2588] = 1734,
	[BNXT_ULP_CLASS_HID_180008] = 1735,
	[BNXT_ULP_CLASS_HID_18a028] = 1736,
	[BNXT_ULP_CLASS_HID_1ac0e8] = 1737,
	[BNXT_ULP_CLASS_HID_1a6910] = 1738,
	[BNXT_ULP_CLASS_HID_18a45a] = 1739,
	[BNXT_ULP_CLASS_HID_186f42] = 1740,
	[BNXT_ULP_CLASS_HID_1a6f02] = 1741,
	[BNXT_ULP_CLASS_HID_1a2a0a] = 1742,
	[BNXT_ULP_CLASS_HID_18008a] = 1743,
	[BNXT_ULP_CLASS_HID_18a8aa] = 1744,
	[BNXT_ULP_CLASS_HID_1ac96a] = 1745,
	[BNXT_ULP_CLASS_HID_1a8392] = 1746,
	[BNXT_ULP_CLASS_HID_1864e2] = 1747,
	[BNXT_ULP_CLASS_HID_180dea] = 1748,
	[BNXT_ULP_CLASS_HID_1a2daa] = 1749,
	[BNXT_ULP_CLASS_HID_1ac1ca] = 1750,
	[BNXT_ULP_CLASS_HID_18a84a] = 1751,
	[BNXT_ULP_CLASS_HID_186972] = 1752,
	[BNXT_ULP_CLASS_HID_1a6932] = 1753,
	[BNXT_ULP_CLASS_HID_1a203a] = 1754,
	[BNXT_ULP_CLASS_HID_184d39] = 1755,
	[BNXT_ULP_CLASS_HID_180821] = 1756,
	[BNXT_ULP_CLASS_HID_1a08e1] = 1757,
	[BNXT_ULP_CLASS_HID_1acc01] = 1758,
	[BNXT_ULP_CLASS_HID_18a281] = 1759,
	[BNXT_ULP_CLASS_HID_186189] = 1760,
	[BNXT_ULP_CLASS_HID_1a6249] = 1761,
	[BNXT_ULP_CLASS_HID_1a2971] = 1762,
	[BNXT_ULP_CLASS_HID_180dc1] = 1763,
	[BNXT_ULP_CLASS_HID_18a1e1] = 1764,
	[BNXT_ULP_CLASS_HID_1ac1a1] = 1765,
	[BNXT_ULP_CLASS_HID_1a6ca9] = 1766,
	[BNXT_ULP_CLASS_HID_186129] = 1767,
	[BNXT_ULP_CLASS_HID_180051] = 1768,
	[BNXT_ULP_CLASS_HID_1a2011] = 1769,
	[BNXT_ULP_CLASS_HID_1ac031] = 1770,
	[BNXT_ULP_CLASS_HID_180243] = 1771,
	[BNXT_ULP_CLASS_HID_18c663] = 1772,
	[BNXT_ULP_CLASS_HID_1ac623] = 1773,
	[BNXT_ULP_CLASS_HID_1a812b] = 1774,
	[BNXT_ULP_CLASS_HID_186bab] = 1775,
	[BNXT_ULP_CLASS_HID_1822d3] = 1776,
	[BNXT_ULP_CLASS_HID_1a2293] = 1777,
	[BNXT_ULP_CLASS_HID_1acab3] = 1778,
	[BNXT_ULP_CLASS_HID_18a903] = 1779,
	[BNXT_ULP_CLASS_HID_18640b] = 1780,
	[BNXT_ULP_CLASS_HID_1a84cb] = 1781,
	[BNXT_ULP_CLASS_HID_1a21f3] = 1782,
	[BNXT_ULP_CLASS_HID_180873] = 1783,
	[BNXT_ULP_CLASS_HID_18c993] = 1784,
	[BNXT_ULP_CLASS_HID_1ac053] = 1785,
	[BNXT_ULP_CLASS_HID_1a895b] = 1786,
	[BNXT_ULP_CLASS_HID_182988] = 1787,
	[BNXT_ULP_CLASS_HID_18cda8] = 1788,
	[BNXT_ULP_CLASS_HID_1aee68] = 1789,
	[BNXT_ULP_CLASS_HID_1a8890] = 1790,
	[BNXT_ULP_CLASS_HID_188310] = 1791,
	[BNXT_ULP_CLASS_HID_182a18] = 1792,
	[BNXT_ULP_CLASS_HID_1a4ad8] = 1793,
	[BNXT_ULP_CLASS_HID_1ae2f8] = 1794,
	[BNXT_ULP_CLASS_HID_18c148] = 1795,
	[BNXT_ULP_CLASS_HID_188c70] = 1796,
	[BNXT_ULP_CLASS_HID_1a8c30] = 1797,
	[BNXT_ULP_CLASS_HID_1a4938] = 1798,
	[BNXT_ULP_CLASS_HID_1821b8] = 1799,
	[BNXT_ULP_CLASS_HID_18e1d8] = 1800,
	[BNXT_ULP_CLASS_HID_1ae198] = 1801,
	[BNXT_ULP_CLASS_HID_1aa080] = 1802,
	[BNXT_ULP_CLASS_HID_18e7ca] = 1803,
	[BNXT_ULP_CLASS_HID_1882f2] = 1804,
	[BNXT_ULP_CLASS_HID_1aa2b2] = 1805,
	[BNXT_ULP_CLASS_HID_1a4dba] = 1806,
	[BNXT_ULP_CLASS_HID_18283a] = 1807,
	[BNXT_ULP_CLASS_HID_18e85a] = 1808,
	[BNXT_ULP_CLASS_HID_1a03e2] = 1809,
	[BNXT_ULP_CLASS_HID_1aa302] = 1810,
	[BNXT_ULP_CLASS_HID_188592] = 1811,
	[BNXT_ULP_CLASS_HID_18409a] = 1812,
	[BNXT_ULP_CLASS_HID_1a415a] = 1813,
	[BNXT_ULP_CLASS_HID_1a0c42] = 1814,
	[BNXT_ULP_CLASS_HID_18e1fa] = 1815,
	[BNXT_ULP_CLASS_HID_1888e2] = 1816,
	[BNXT_ULP_CLASS_HID_1aa8a2] = 1817,
	[BNXT_ULP_CLASS_HID_1a61aa] = 1818,
	[BNXT_ULP_CLASS_HID_1880a9] = 1819,
	[BNXT_ULP_CLASS_HID_182bd1] = 1820,
	[BNXT_ULP_CLASS_HID_1a4b91] = 1821,
	[BNXT_ULP_CLASS_HID_1a0699] = 1822,
	[BNXT_ULP_CLASS_HID_18ca31] = 1823,
	[BNXT_ULP_CLASS_HID_188139] = 1824,
	[BNXT_ULP_CLASS_HID_1aa1f9] = 1825,
	[BNXT_ULP_CLASS_HID_1a40e1] = 1826,
	[BNXT_ULP_CLASS_HID_182171] = 1827,
	[BNXT_ULP_CLASS_HID_18e491] = 1828,
	[BNXT_ULP_CLASS_HID_1ae551] = 1829,
	[BNXT_ULP_CLASS_HID_1aa059] = 1830,
	[BNXT_ULP_CLASS_HID_1888d9] = 1831,
	[BNXT_ULP_CLASS_HID_1841c1] = 1832,
	[BNXT_ULP_CLASS_HID_1a4181] = 1833,
	[BNXT_ULP_CLASS_HID_1a0089] = 1834,
	[BNXT_ULP_CLASS_HID_1845f3] = 1835,
	[BNXT_ULP_CLASS_HID_18e913] = 1836,
	[BNXT_ULP_CLASS_HID_1a00bb] = 1837,
	[BNXT_ULP_CLASS_HID_1aa4db] = 1838,
	[BNXT_ULP_CLASS_HID_188b5b] = 1839,
	[BNXT_ULP_CLASS_HID_184a43] = 1840,
	[BNXT_ULP_CLASS_HID_1a4a03] = 1841,
	[BNXT_ULP_CLASS_HID_1a010b] = 1842,
	[BNXT_ULP_CLASS_HID_18ecb3] = 1843,
	[BNXT_ULP_CLASS_HID_1889bb] = 1844,
	[BNXT_ULP_CLASS_HID_1aa87b] = 1845,
	[BNXT_ULP_CLASS_HID_1a6563] = 1846,
	[BNXT_ULP_CLASS_HID_1849e3] = 1847,
	[BNXT_ULP_CLASS_HID_18e103] = 1848,
	[BNXT_ULP_CLASS_HID_1a08ab] = 1849,
	[BNXT_ULP_CLASS_HID_1aa8cb] = 1850,
	[BNXT_ULP_CLASS_HID_18d30c] = 1851,
	[BNXT_ULP_CLASS_HID_18b634] = 1852,
	[BNXT_ULP_CLASS_HID_1a9674] = 1853,
	[BNXT_ULP_CLASS_HID_1a7d7c] = 1854,
	[BNXT_ULP_CLASS_HID_1874fc] = 1855,
	[BNXT_ULP_CLASS_HID_18dc9c] = 1856,
	[BNXT_ULP_CLASS_HID_1a3724] = 1857,
	[BNXT_ULP_CLASS_HID_1a97c4] = 1858,
	[BNXT_ULP_CLASS_HID_18b354] = 1859,
	[BNXT_ULP_CLASS_HID_18765c] = 1860,
	[BNXT_ULP_CLASS_HID_1a779c] = 1861,
	[BNXT_ULP_CLASS_HID_1a3a84] = 1862,
	[BNXT_ULP_CLASS_HID_18df3c] = 1863,
	[BNXT_ULP_CLASS_HID_18be24] = 1864,
	[BNXT_ULP_CLASS_HID_1a9e64] = 1865,
	[BNXT_ULP_CLASS_HID_1a576c] = 1866,
	[BNXT_ULP_CLASS_HID_183684] = 1867,
	[BNXT_ULP_CLASS_HID_18f2a4] = 1868,
	[BNXT_ULP_CLASS_HID_1af2e4] = 1869,
	[BNXT_ULP_CLASS_HID_1ab9ec] = 1870,
	[BNXT_ULP_CLASS_HID_185f6c] = 1871,
	[BNXT_ULP_CLASS_HID_181614] = 1872,
	[BNXT_ULP_CLASS_HID_1a1654] = 1873,
	[BNXT_ULP_CLASS_HID_1afe74] = 1874,
	[BNXT_ULP_CLASS_HID_189fc4] = 1875,
	[BNXT_ULP_CLASS_HID_1852cc] = 1876,
	[BNXT_ULP_CLASS_HID_1ab20c] = 1877,
	[BNXT_ULP_CLASS_HID_1a1b34] = 1878,
	[BNXT_ULP_CLASS_HID_183eb4] = 1879,
	[BNXT_ULP_CLASS_HID_18ff54] = 1880,
	[BNXT_ULP_CLASS_HID_1afe94] = 1881,
	[BNXT_ULP_CLASS_HID_1abf9c] = 1882,
	[BNXT_ULP_CLASS_HID_1830dc] = 1883,
	[BNXT_ULP_CLASS_HID_189cfc] = 1884,
	[BNXT_ULP_CLASS_HID_1a9c3c] = 1885,
	[BNXT_ULP_CLASS_HID_1a5324] = 1886,
	[BNXT_ULP_CLASS_HID_1876a4] = 1887,
	[BNXT_ULP_CLASS_HID_183dac] = 1888,
	[BNXT_ULP_CLASS_HID_1a3dec] = 1889,
	[BNXT_ULP_CLASS_HID_1afd8c] = 1890,
	[BNXT_ULP_CLASS_HID_189b1c] = 1891,
	[BNXT_ULP_CLASS_HID_187e04] = 1892,
	[BNXT_ULP_CLASS_HID_1a5e44] = 1893,
	[BNXT_ULP_CLASS_HID_1a134c] = 1894,
	[BNXT_ULP_CLASS_HID_1836cc] = 1895,
	[BNXT_ULP_CLASS_HID_1896ec] = 1896,
	[BNXT_ULP_CLASS_HID_1af62c] = 1897,
	[BNXT_ULP_CLASS_HID_1a5fd4] = 1898,
	[BNXT_ULP_CLASS_HID_181f4c] = 1899,
	[BNXT_ULP_CLASS_HID_18fb6c] = 1900,
	[BNXT_ULP_CLASS_HID_1ad8ac] = 1901,
	[BNXT_ULP_CLASS_HID_1abe54] = 1902,
	[BNXT_ULP_CLASS_HID_18b5d4] = 1903,
	[BNXT_ULP_CLASS_HID_181cdc] = 1904,
	[BNXT_ULP_CLASS_HID_1a7c1c] = 1905,
	[BNXT_ULP_CLASS_HID_1ad43c] = 1906,
	[BNXT_ULP_CLASS_HID_18f78c] = 1907,
	[BNXT_ULP_CLASS_HID_18bab4] = 1908,
	[BNXT_ULP_CLASS_HID_1abaf4] = 1909,
	[BNXT_ULP_CLASS_HID_1a7ffc] = 1910,
	[BNXT_ULP_CLASS_HID_18177c] = 1911,
	[BNXT_ULP_CLASS_HID_18d71c] = 1912,
	[BNXT_ULP_CLASS_HID_1ad75c] = 1913,
	[BNXT_ULP_CLASS_HID_1a9644] = 1914,
	[BNXT_ULP_CLASS_HID_1850a4] = 1915,
	[BNXT_ULP_CLASS_HID_1817ac] = 1916,
	[BNXT_ULP_CLASS_HID_1a17ec] = 1917,
	[BNXT_ULP_CLASS_HID_1ad38c] = 1918,
	[BNXT_ULP_CLASS_HID_18fd0c] = 1919,
	[BNXT_ULP_CLASS_HID_185c34] = 1920,
	[BNXT_ULP_CLASS_HID_1abc74] = 1921,
	[BNXT_ULP_CLASS_HID_1a777c] = 1922,
	[BNXT_ULP_CLASS_HID_1812cc] = 1923,
	[BNXT_ULP_CLASS_HID_18feec] = 1924,
	[BNXT_ULP_CLASS_HID_1afe2c] = 1925,
	[BNXT_ULP_CLASS_HID_1ab3d4] = 1926,
	[BNXT_ULP_CLASS_HID_185f54] = 1927,
	[BNXT_ULP_CLASS_HID_181e5c] = 1928,
	[BNXT_ULP_CLASS_HID_1a1f9c] = 1929,
	[BNXT_ULP_CLASS_HID_1adfbc] = 1930,
	[BNXT_ULP_CLASS_HID_18bfd4] = 1931,
	[BNXT_ULP_CLASS_HID_1872dc] = 1932,
	[BNXT_ULP_CLASS_HID_1a521c] = 1933,
	[BNXT_ULP_CLASS_HID_1a3904] = 1934,
	[BNXT_ULP_CLASS_HID_18d5bc] = 1935,
	[BNXT_ULP_CLASS_HID_189ca4] = 1936,
	[BNXT_ULP_CLASS_HID_1a9ce4] = 1937,
	[BNXT_ULP_CLASS_HID_1a5fec] = 1938,
	[BNXT_ULP_CLASS_HID_187f7c] = 1939,
	[BNXT_ULP_CLASS_HID_183264] = 1940,
	[BNXT_ULP_CLASS_HID_1a33a4] = 1941,
	[BNXT_ULP_CLASS_HID_1a9e44] = 1942,
	[BNXT_ULP_CLASS_HID_1897c4] = 1943,
	[BNXT_ULP_CLASS_HID_187ecc] = 1944,
	[BNXT_ULP_CLASS_HID_1a5e0c] = 1945,
	[BNXT_ULP_CLASS_HID_1a3f34] = 1946,
	[BNXT_ULP_CLASS_HID_18b96c] = 1947,
	[BNXT_ULP_CLASS_HID_181c14] = 1948,
	[BNXT_ULP_CLASS_HID_1a7c54] = 1949,
	[BNXT_ULP_CLASS_HID_1a335c] = 1950,
	[BNXT_ULP_CLASS_HID_18fff4] = 1951,
	[BNXT_ULP_CLASS_HID_18b6fc] = 1952,
	[BNXT_ULP_CLASS_HID_1a963c] = 1953,
	[BNXT_ULP_CLASS_HID_1a7d24] = 1954,
	[BNXT_ULP_CLASS_HID_1816b4] = 1955,
	[BNXT_ULP_CLASS_HID_18d754] = 1956,
	[BNXT_ULP_CLASS_HID_1ad294] = 1957,
	[BNXT_ULP_CLASS_HID_1a9b9c] = 1958,
	[BNXT_ULP_CLASS_HID_18bf1c] = 1959,
	[BNXT_ULP_CLASS_HID_187604] = 1960,
	[BNXT_ULP_CLASS_HID_1a7644] = 1961,
	[BNXT_ULP_CLASS_HID_1a3f4c] = 1962,
	[BNXT_ULP_CLASS_HID_18959c] = 1963,
	[BNXT_ULP_CLASS_HID_185884] = 1964,
	[BNXT_ULP_CLASS_HID_1a58c4] = 1965,
	[BNXT_ULP_CLASS_HID_1a1fcc] = 1966,
	[BNXT_ULP_CLASS_HID_18354c] = 1967,
	[BNXT_ULP_CLASS_HID_18f56c] = 1968,
	[BNXT_ULP_CLASS_HID_1afeac] = 1969,
	[BNXT_ULP_CLASS_HID_1ab454] = 1970,
	[BNXT_ULP_CLASS_HID_185724] = 1971,
	[BNXT_ULP_CLASS_HID_183a2c] = 1972,
	[BNXT_ULP_CLASS_HID_1a1a6c] = 1973,
	[BNXT_ULP_CLASS_HID_1af60c] = 1974,
	[BNXT_ULP_CLASS_HID_189f8c] = 1975,
	[BNXT_ULP_CLASS_HID_185eb4] = 1976,
	[BNXT_ULP_CLASS_HID_1a5ef4] = 1977,
	[BNXT_ULP_CLASS_HID_1a17fc] = 1978,
	[BNXT_ULP_CLASS_HID_181fcc] = 1979,
	[BNXT_ULP_CLASS_HID_18fbec] = 1980,
	[BNXT_ULP_CLASS_HID_1adb2c] = 1981,
	[BNXT_ULP_CLASS_HID_1abed4] = 1982,
	[BNXT_ULP_CLASS_HID_18b454] = 1983,
	[BNXT_ULP_CLASS_HID_181f5c] = 1984,
	[BNXT_ULP_CLASS_HID_1a7c9c] = 1985,
	[BNXT_ULP_CLASS_HID_1ad4bc] = 1986,
	[BNXT_ULP_CLASS_HID_18f60c] = 1987,
	[BNXT_ULP_CLASS_HID_18bb34] = 1988,
	[BNXT_ULP_CLASS_HID_1abb74] = 1989,
	[BNXT_ULP_CLASS_HID_1a7e7c] = 1990,
	[BNXT_ULP_CLASS_HID_1817fc] = 1991,
	[BNXT_ULP_CLASS_HID_18d79c] = 1992,
	[BNXT_ULP_CLASS_HID_1ad7dc] = 1993,
	[BNXT_ULP_CLASS_HID_1a96c4] = 1994,
	[BNXT_ULP_CLASS_HID_187a7c] = 1995,
	[BNXT_ULP_CLASS_HID_183164] = 1996,
	[BNXT_ULP_CLASS_HID_1a3ea4] = 1997,
	[BNXT_ULP_CLASS_HID_1afd44] = 1998,
	[BNXT_ULP_CLASS_HID_1894c4] = 1999,
	[BNXT_ULP_CLASS_HID_1857cc] = 2000,
	[BNXT_ULP_CLASS_HID_1a570c] = 2001,
	[BNXT_ULP_CLASS_HID_1a1e34] = 2002,
	[BNXT_ULP_CLASS_HID_183b84] = 2003,
	[BNXT_ULP_CLASS_HID_1897a4] = 2004,
	[BNXT_ULP_CLASS_HID_1af7e4] = 2005,
	[BNXT_ULP_CLASS_HID_1a5aec] = 2006,
	[BNXT_ULP_CLASS_HID_18566c] = 2007,
	[BNXT_ULP_CLASS_HID_183714] = 2008,
	[BNXT_ULP_CLASS_HID_1a1754] = 2009,
	[BNXT_ULP_CLASS_HID_1af774] = 2010,
	[BNXT_ULP_CLASS_HID_1875b4] = 2011,
	[BNXT_ULP_CLASS_HID_18d054] = 2012,
	[BNXT_ULP_CLASS_HID_1a38fc] = 2013,
	[BNXT_ULP_CLASS_HID_1a949c] = 2014,
	[BNXT_ULP_CLASS_HID_18be1c] = 2015,
	[BNXT_ULP_CLASS_HID_187504] = 2016,
	[BNXT_ULP_CLASS_HID_1a5544] = 2017,
	[BNXT_ULP_CLASS_HID_1a344c] = 2018,
	[BNXT_ULP_CLASS_HID_18daf4] = 2019,
	[BNXT_ULP_CLASS_HID_1893fc] = 2020,
	[BNXT_ULP_CLASS_HID_1a933c] = 2021,
	[BNXT_ULP_CLASS_HID_1a5624] = 2022,
	[BNXT_ULP_CLASS_HID_187fa4] = 2023,
	[BNXT_ULP_CLASS_HID_18d644] = 2024,
	[BNXT_ULP_CLASS_HID_1a3eec] = 2025,
	[BNXT_ULP_CLASS_HID_1a9e8c] = 2026,
	[BNXT_ULP_CLASS_HID_185024] = 2027,
	[BNXT_ULP_CLASS_HID_18172c] = 2028,
	[BNXT_ULP_CLASS_HID_1a176c] = 2029,
	[BNXT_ULP_CLASS_HID_1ad30c] = 2030,
	[BNXT_ULP_CLASS_HID_18f68c] = 2031,
	[BNXT_ULP_CLASS_HID_185db4] = 2032,
	[BNXT_ULP_CLASS_HID_1abdf4] = 2033,
	[BNXT_ULP_CLASS_HID_1a74fc] = 2034,
	[BNXT_ULP_CLASS_HID_18124c] = 2035,
	[BNXT_ULP_CLASS_HID_18fe6c] = 2036,
	[BNXT_ULP_CLASS_HID_1affac] = 2037,
	[BNXT_ULP_CLASS_HID_1ab354] = 2038,
	[BNXT_ULP_CLASS_HID_1856d4] = 2039,
	[BNXT_ULP_CLASS_HID_181fdc] = 2040,
	[BNXT_ULP_CLASS_HID_1a1f1c] = 2041,
	[BNXT_ULP_CLASS_HID_1adf3c] = 2042,
	[BNXT_ULP_CLASS_HID_18941c] = 2043,
	[BNXT_ULP_CLASS_HID_185b04] = 2044,
	[BNXT_ULP_CLASS_HID_1a5b44] = 2045,
	[BNXT_ULP_CLASS_HID_1a1e4c] = 2046,
	[BNXT_ULP_CLASS_HID_1835cc] = 2047,
	[BNXT_ULP_CLASS_HID_18f5ec] = 2048,
	[BNXT_ULP_CLASS_HID_1af52c] = 2049,
	[BNXT_ULP_CLASS_HID_1ab4d4] = 2050,
	[BNXT_ULP_CLASS_HID_1857a4] = 2051,
	[BNXT_ULP_CLASS_HID_183aac] = 2052,
	[BNXT_ULP_CLASS_HID_1a1aec] = 2053,
	[BNXT_ULP_CLASS_HID_1af68c] = 2054,
	[BNXT_ULP_CLASS_HID_189e0c] = 2055,
	[BNXT_ULP_CLASS_HID_185734] = 2056,
	[BNXT_ULP_CLASS_HID_1ab774] = 2057,
	[BNXT_ULP_CLASS_HID_1a167c] = 2058,
	[BNXT_ULP_CLASS_HID_18d08c] = 2059,
	[BNXT_ULP_CLASS_HID_18b7b4] = 2060,
	[BNXT_ULP_CLASS_HID_1a97f4] = 2061,
	[BNXT_ULP_CLASS_HID_1a7afc] = 2062,
	[BNXT_ULP_CLASS_HID_18747c] = 2063,
	[BNXT_ULP_CLASS_HID_18dc1c] = 2064,
	[BNXT_ULP_CLASS_HID_1a34a4] = 2065,
	[BNXT_ULP_CLASS_HID_1a9744] = 2066,
	[BNXT_ULP_CLASS_HID_18b2d4] = 2067,
	[BNXT_ULP_CLASS_HID_1877dc] = 2068,
	[BNXT_ULP_CLASS_HID_1a771c] = 2069,
	[BNXT_ULP_CLASS_HID_1a3a04] = 2070,
	[BNXT_ULP_CLASS_HID_18d6bc] = 2071,
	[BNXT_ULP_CLASS_HID_18bfa4] = 2072,
	[BNXT_ULP_CLASS_HID_1a9fe4] = 2073,
	[BNXT_ULP_CLASS_HID_1a56ec] = 2074,
	[BNXT_ULP_CLASS_HID_18fac4] = 2075,
	[BNXT_ULP_CLASS_HID_18b1cc] = 2076,
	[BNXT_ULP_CLASS_HID_1ab10c] = 2077,
	[BNXT_ULP_CLASS_HID_1a7434] = 2078,
	[BNXT_ULP_CLASS_HID_181fb4] = 2079,
	[BNXT_ULP_CLASS_HID_18f654] = 2080,
	[BNXT_ULP_CLASS_HID_1ad794] = 2081,
	[BNXT_ULP_CLASS_HID_1abe9c] = 2082,
	[BNXT_ULP_CLASS_HID_185a6c] = 2083,
	[BNXT_ULP_CLASS_HID_181314] = 2084,
	[BNXT_ULP_CLASS_HID_1a7354] = 2085,
	[BNXT_ULP_CLASS_HID_1adf74] = 2086,
	[BNXT_ULP_CLASS_HID_18f6f4] = 2087,
	[BNXT_ULP_CLASS_HID_18b7fc] = 2088,
	[BNXT_ULP_CLASS_HID_1ab73c] = 2089,
	[BNXT_ULP_CLASS_HID_1a7e24] = 2090,
	[BNXT_ULP_CLASS_HID_18305c] = 2091,
	[BNXT_ULP_CLASS_HID_189c7c] = 2092,
	[BNXT_ULP_CLASS_HID_1a9dbc] = 2093,
	[BNXT_ULP_CLASS_HID_1a50a4] = 2094,
	[BNXT_ULP_CLASS_HID_187624] = 2095,
	[BNXT_ULP_CLASS_HID_183d2c] = 2096,
	[BNXT_ULP_CLASS_HID_1a3d6c] = 2097,
	[BNXT_ULP_CLASS_HID_1afd0c] = 2098,
	[BNXT_ULP_CLASS_HID_18969c] = 2099,
	[BNXT_ULP_CLASS_HID_187f84] = 2100,
	[BNXT_ULP_CLASS_HID_1a5fc4] = 2101,
	[BNXT_ULP_CLASS_HID_1a12cc] = 2102,
	[BNXT_ULP_CLASS_HID_18364c] = 2103,
	[BNXT_ULP_CLASS_HID_18966c] = 2104,
	[BNXT_ULP_CLASS_HID_1af7ac] = 2105,
	[BNXT_ULP_CLASS_HID_1a5f54] = 2106,
	[BNXT_ULP_CLASS_HID_18eea0] = 2107,
	[BNXT_ULP_CLASS_HID_188b98] = 2108,
	[BNXT_ULP_CLASS_HID_1aabd8] = 2109,
	[BNXT_ULP_CLASS_HID_1a40d0] = 2110,
	[BNXT_ULP_CLASS_HID_184950] = 2111,
	[BNXT_ULP_CLASS_HID_18e130] = 2112,
	[BNXT_ULP_CLASS_HID_1a0a88] = 2113,
	[BNXT_ULP_CLASS_HID_1aaa68] = 2114,
	[BNXT_ULP_CLASS_HID_188ef8] = 2115,
	[BNXT_ULP_CLASS_HID_184bf0] = 2116,
	[BNXT_ULP_CLASS_HID_1a4a30] = 2117,
	[BNXT_ULP_CLASS_HID_1a0728] = 2118,
	[BNXT_ULP_CLASS_HID_18e290] = 2119,
	[BNXT_ULP_CLASS_HID_188388] = 2120,
	[BNXT_ULP_CLASS_HID_1aa3c8] = 2121,
	[BNXT_ULP_CLASS_HID_1a6ac0] = 2122,
	[BNXT_ULP_CLASS_HID_180b28] = 2123,
	[BNXT_ULP_CLASS_HID_18cf08] = 2124,
	[BNXT_ULP_CLASS_HID_1acf48] = 2125,
	[BNXT_ULP_CLASS_HID_1a8440] = 2126,
	[BNXT_ULP_CLASS_HID_1862c0] = 2127,
	[BNXT_ULP_CLASS_HID_182bb8] = 2128,
	[BNXT_ULP_CLASS_HID_1a2bf8] = 2129,
	[BNXT_ULP_CLASS_HID_1ac3d8] = 2130,
	[BNXT_ULP_CLASS_HID_18a268] = 2131,
	[BNXT_ULP_CLASS_HID_186f60] = 2132,
	[BNXT_ULP_CLASS_HID_1a8fa0] = 2133,
	[BNXT_ULP_CLASS_HID_1a2698] = 2134,
	[BNXT_ULP_CLASS_HID_180318] = 2135,
	[BNXT_ULP_CLASS_HID_18c2f8] = 2136,
	[BNXT_ULP_CLASS_HID_1ac338] = 2137,
	[BNXT_ULP_CLASS_HID_1a8230] = 2138,
	[BNXT_ULP_CLASS_HID_180d70] = 2139,
	[BNXT_ULP_CLASS_HID_18a150] = 2140,
	[BNXT_ULP_CLASS_HID_1aa190] = 2141,
	[BNXT_ULP_CLASS_HID_1a6e88] = 2142,
	[BNXT_ULP_CLASS_HID_184b08] = 2143,
	[BNXT_ULP_CLASS_HID_180000] = 2144,
	[BNXT_ULP_CLASS_HID_1a0040] = 2145,
	[BNXT_ULP_CLASS_HID_1ac020] = 2146,
	[BNXT_ULP_CLASS_HID_18a6b0] = 2147,
	[BNXT_ULP_CLASS_HID_1843a8] = 2148,
	[BNXT_ULP_CLASS_HID_1a63e8] = 2149,
	[BNXT_ULP_CLASS_HID_1a2ee0] = 2150,
	[BNXT_ULP_CLASS_HID_180b60] = 2151,
	[BNXT_ULP_CLASS_HID_18ab40] = 2152,
	[BNXT_ULP_CLASS_HID_1acb80] = 2153,
	[BNXT_ULP_CLASS_HID_1a6278] = 2154,
	[BNXT_ULP_CLASS_HID_1822e0] = 2155,
	[BNXT_ULP_CLASS_HID_18c6c0] = 2156,
	[BNXT_ULP_CLASS_HID_1ae500] = 2157,
	[BNXT_ULP_CLASS_HID_1a83f8] = 2158,
	[BNXT_ULP_CLASS_HID_188878] = 2159,
	[BNXT_ULP_CLASS_HID_182170] = 2160,
	[BNXT_ULP_CLASS_HID_1a41b0] = 2161,
	[BNXT_ULP_CLASS_HID_1ae990] = 2162,
	[BNXT_ULP_CLASS_HID_18ca20] = 2163,
	[BNXT_ULP_CLASS_HID_188718] = 2164,
	[BNXT_ULP_CLASS_HID_1a8758] = 2165,
	[BNXT_ULP_CLASS_HID_1a4250] = 2166,
	[BNXT_ULP_CLASS_HID_182ad0] = 2167,
	[BNXT_ULP_CLASS_HID_18eab0] = 2168,
	[BNXT_ULP_CLASS_HID_1aeaf0] = 2169,
	[BNXT_ULP_CLASS_HID_1aabe8] = 2170,
	[BNXT_ULP_CLASS_HID_dd3c] = 2171,
	[BNXT_ULP_CLASS_HID_372c] = 2172,
	[BNXT_ULP_CLASS_HID_2794] = 2173,
	[BNXT_ULP_CLASS_HID_98ec] = 2174,
	[BNXT_ULP_CLASS_HID_8be74] = 2175,
	[BNXT_ULP_CLASS_HID_82844] = 2176,
	[BNXT_ULP_CLASS_HID_18c2e4] = 2177,
	[BNXT_ULP_CLASS_HID_183cf4] = 2178,
	[BNXT_ULP_CLASS_HID_43df0] = 2179,
	[BNXT_ULP_CLASS_HID_49e98] = 2180,
	[BNXT_ULP_CLASS_HID_4ce80] = 2181,
	[BNXT_ULP_CLASS_HID_43890] = 2182,
	[BNXT_ULP_CLASS_HID_c37a8] = 2183,
	[BNXT_ULP_CLASS_HID_ca950] = 2184,
	[BNXT_ULP_CLASS_HID_cd8b8] = 2185,
	[BNXT_ULP_CLASS_HID_c3348] = 2186,
	[BNXT_ULP_CLASS_HID_11ac8] = 2187,
	[BNXT_ULP_CLASS_HID_17c10] = 2188,
	[BNXT_ULP_CLASS_HID_1ac38] = 2189,
	[BNXT_ULP_CLASS_HID_10628] = 2190,
	[BNXT_ULP_CLASS_HID_3c6e8] = 2191,
	[BNXT_ULP_CLASS_HID_330d8] = 2192,
	[BNXT_ULP_CLASS_HID_360e0] = 2193,
	[BNXT_ULP_CLASS_HID_3c1c8] = 2194,
	[BNXT_ULP_CLASS_HID_dd7c] = 2195,
	[BNXT_ULP_CLASS_HID_376c] = 2196,
	[BNXT_ULP_CLASS_HID_27d4] = 2197,
	[BNXT_ULP_CLASS_HID_98ac] = 2198,
	[BNXT_ULP_CLASS_HID_10e10c] = 2199,
	[BNXT_ULP_CLASS_HID_105bfc] = 2200,
	[BNXT_ULP_CLASS_HID_104c64] = 2201,
	[BNXT_ULP_CLASS_HID_10ad3c] = 2202,
	[BNXT_ULP_CLASS_HID_8d744] = 2203,
	[BNXT_ULP_CLASS_HID_84134] = 2204,
	[BNXT_ULP_CLASS_HID_8319c] = 2205,
	[BNXT_ULP_CLASS_HID_89374] = 2206,
	[BNXT_ULP_CLASS_HID_18fbd4] = 2207,
	[BNXT_ULP_CLASS_HID_1855c4] = 2208,
	[BNXT_ULP_CLASS_HID_18462c] = 2209,
	[BNXT_ULP_CLASS_HID_18a704] = 2210,
	[BNXT_ULP_CLASS_HID_8be34] = 2211,
	[BNXT_ULP_CLASS_HID_82804] = 2212,
	[BNXT_ULP_CLASS_HID_18c2a4] = 2213,
	[BNXT_ULP_CLASS_HID_183cb4] = 2214,
	[BNXT_ULP_CLASS_HID_c3784] = 2215,
	[BNXT_ULP_CLASS_HID_ca97c] = 2216,
	[BNXT_ULP_CLASS_HID_1c5c34] = 2217,
	[BNXT_ULP_CLASS_HID_1cbdec] = 2218,
	[BNXT_ULP_CLASS_HID_a734c] = 2219,
	[BNXT_ULP_CLASS_HID_ad424] = 2220,
	[BNXT_ULP_CLASS_HID_1a87fc] = 2221,
	[BNXT_ULP_CLASS_HID_1af8d4] = 2222,
	[BNXT_ULP_CLASS_HID_e0cdc] = 2223,
	[BNXT_ULP_CLASS_HID_e6db4] = 2224,
	[BNXT_ULP_CLASS_HID_1e114c] = 2225,
	[BNXT_ULP_CLASS_HID_1e7224] = 2226,
	[BNXT_ULP_CLASS_HID_ddbc] = 2227,
	[BNXT_ULP_CLASS_HID_37ac] = 2228,
	[BNXT_ULP_CLASS_HID_2714] = 2229,
	[BNXT_ULP_CLASS_HID_986c] = 2230,
	[BNXT_ULP_CLASS_HID_10e1cc] = 2231,
	[BNXT_ULP_CLASS_HID_105b3c] = 2232,
	[BNXT_ULP_CLASS_HID_104ca4] = 2233,
	[BNXT_ULP_CLASS_HID_10adfc] = 2234,
	[BNXT_ULP_CLASS_HID_8d784] = 2235,
	[BNXT_ULP_CLASS_HID_841f4] = 2236,
	[BNXT_ULP_CLASS_HID_8315c] = 2237,
	[BNXT_ULP_CLASS_HID_893b4] = 2238,
	[BNXT_ULP_CLASS_HID_18fb14] = 2239,
	[BNXT_ULP_CLASS_HID_185504] = 2240,
	[BNXT_ULP_CLASS_HID_1846ec] = 2241,
	[BNXT_ULP_CLASS_HID_18a7c4] = 2242,
	[BNXT_ULP_CLASS_HID_8bef4] = 2243,
	[BNXT_ULP_CLASS_HID_828c4] = 2244,
	[BNXT_ULP_CLASS_HID_18c264] = 2245,
	[BNXT_ULP_CLASS_HID_183c74] = 2246,
	[BNXT_ULP_CLASS_HID_c3744] = 2247,
	[BNXT_ULP_CLASS_HID_ca9bc] = 2248,
	[BNXT_ULP_CLASS_HID_1c5cf4] = 2249,
	[BNXT_ULP_CLASS_HID_1cbd2c] = 2250,
	[BNXT_ULP_CLASS_HID_a738c] = 2251,
	[BNXT_ULP_CLASS_HID_ad4e4] = 2252,
	[BNXT_ULP_CLASS_HID_1a873c] = 2253,
	[BNXT_ULP_CLASS_HID_1af814] = 2254,
	[BNXT_ULP_CLASS_HID_e0c1c] = 2255,
	[BNXT_ULP_CLASS_HID_e6d74] = 2256,
	[BNXT_ULP_CLASS_HID_1e118c] = 2257,
	[BNXT_ULP_CLASS_HID_1e72e4] = 2258,
	[BNXT_ULP_CLASS_HID_43d30] = 2259,
	[BNXT_ULP_CLASS_HID_49e58] = 2260,
	[BNXT_ULP_CLASS_HID_4ce40] = 2261,
	[BNXT_ULP_CLASS_HID_43850] = 2262,
	[BNXT_ULP_CLASS_HID_c3768] = 2263,
	[BNXT_ULP_CLASS_HID_ca990] = 2264,
	[BNXT_ULP_CLASS_HID_cd878] = 2265,
	[BNXT_ULP_CLASS_HID_c3388] = 2266,
	[BNXT_ULP_CLASS_HID_6f910] = 2267,
	[BNXT_ULP_CLASS_HID_65320] = 2268,
	[BNXT_ULP_CLASS_HID_68308] = 2269,
	[BNXT_ULP_CLASS_HID_6e430] = 2270,
	[BNXT_ULP_CLASS_HID_e0c30] = 2271,
	[BNXT_ULP_CLASS_HID_e6d58] = 2272,
	[BNXT_ULP_CLASS_HID_e9d40] = 2273,
	[BNXT_ULP_CLASS_HID_efe68] = 2274,
	[BNXT_ULP_CLASS_HID_59b20] = 2275,
	[BNXT_ULP_CLASS_HID_5fc48] = 2276,
	[BNXT_ULP_CLASS_HID_52518] = 2277,
	[BNXT_ULP_CLASS_HID_58640] = 2278,
	[BNXT_ULP_CLASS_HID_d9558] = 2279,
	[BNXT_ULP_CLASS_HID_d0f68] = 2280,
	[BNXT_ULP_CLASS_HID_d3f50] = 2281,
	[BNXT_ULP_CLASS_HID_d9078] = 2282,
	[BNXT_ULP_CLASS_HID_750e8] = 2283,
	[BNXT_ULP_CLASS_HID_7b110] = 2284,
	[BNXT_ULP_CLASS_HID_7e1f8] = 2285,
	[BNXT_ULP_CLASS_HID_75b08] = 2286,
	[BNXT_ULP_CLASS_HID_f6a20] = 2287,
	[BNXT_ULP_CLASS_HID_fcb48] = 2288,
	[BNXT_ULP_CLASS_HID_ffb30] = 2289,
	[BNXT_ULP_CLASS_HID_f5540] = 2290,
	[BNXT_ULP_CLASS_HID_11a88] = 2291,
	[BNXT_ULP_CLASS_HID_17c50] = 2292,
	[BNXT_ULP_CLASS_HID_1ac78] = 2293,
	[BNXT_ULP_CLASS_HID_10668] = 2294,
	[BNXT_ULP_CLASS_HID_3c6a8] = 2295,
	[BNXT_ULP_CLASS_HID_33098] = 2296,
	[BNXT_ULP_CLASS_HID_360a0] = 2297,
	[BNXT_ULP_CLASS_HID_3c188] = 2298,
	[BNXT_ULP_CLASS_HID_1c980] = 2299,
	[BNXT_ULP_CLASS_HID_1ab68] = 2300,
	[BNXT_ULP_CLASS_HID_1db70] = 2301,
	[BNXT_ULP_CLASS_HID_1b560] = 2302,
	[BNXT_ULP_CLASS_HID_38ec8] = 2303,
	[BNXT_ULP_CLASS_HID_3ef90] = 2304,
	[BNXT_ULP_CLASS_HID_39fb8] = 2305,
	[BNXT_ULP_CLASS_HID_389a8] = 2306,
	[BNXT_ULP_CLASS_HID_1ee70] = 2307,
	[BNXT_ULP_CLASS_HID_15860] = 2308,
	[BNXT_ULP_CLASS_HID_17788] = 2309,
	[BNXT_ULP_CLASS_HID_1e950] = 2310,
	[BNXT_ULP_CLASS_HID_362b8] = 2311,
	[BNXT_ULP_CLASS_HID_3c380] = 2312,
	[BNXT_ULP_CLASS_HID_34cb0] = 2313,
	[BNXT_ULP_CLASS_HID_36d98] = 2314,
	[BNXT_ULP_CLASS_HID_1dc88] = 2315,
	[BNXT_ULP_CLASS_HID_1f778] = 2316,
	[BNXT_ULP_CLASS_HID_1e680] = 2317,
	[BNXT_ULP_CLASS_HID_1d868] = 2318,
	[BNXT_ULP_CLASS_HID_3d1b0] = 2319,
	[BNXT_ULP_CLASS_HID_3cba0] = 2320,
	[BNXT_ULP_CLASS_HID_3fbc8] = 2321,
	[BNXT_ULP_CLASS_HID_3dc90] = 2322,
	[BNXT_ULP_CLASS_HID_43d70] = 2323,
	[BNXT_ULP_CLASS_HID_49e18] = 2324,
	[BNXT_ULP_CLASS_HID_4ce00] = 2325,
	[BNXT_ULP_CLASS_HID_43810] = 2326,
	[BNXT_ULP_CLASS_HID_c3728] = 2327,
	[BNXT_ULP_CLASS_HID_ca9d0] = 2328,
	[BNXT_ULP_CLASS_HID_cd838] = 2329,
	[BNXT_ULP_CLASS_HID_c33c8] = 2330,
	[BNXT_ULP_CLASS_HID_6f950] = 2331,
	[BNXT_ULP_CLASS_HID_65360] = 2332,
	[BNXT_ULP_CLASS_HID_68348] = 2333,
	[BNXT_ULP_CLASS_HID_6e470] = 2334,
	[BNXT_ULP_CLASS_HID_e0c70] = 2335,
	[BNXT_ULP_CLASS_HID_e6d18] = 2336,
	[BNXT_ULP_CLASS_HID_e9d00] = 2337,
	[BNXT_ULP_CLASS_HID_efe28] = 2338,
	[BNXT_ULP_CLASS_HID_59b60] = 2339,
	[BNXT_ULP_CLASS_HID_5fc08] = 2340,
	[BNXT_ULP_CLASS_HID_52558] = 2341,
	[BNXT_ULP_CLASS_HID_58600] = 2342,
	[BNXT_ULP_CLASS_HID_d9518] = 2343,
	[BNXT_ULP_CLASS_HID_d0f28] = 2344,
	[BNXT_ULP_CLASS_HID_d3f10] = 2345,
	[BNXT_ULP_CLASS_HID_d9038] = 2346,
	[BNXT_ULP_CLASS_HID_750a8] = 2347,
	[BNXT_ULP_CLASS_HID_7b150] = 2348,
	[BNXT_ULP_CLASS_HID_7e1b8] = 2349,
	[BNXT_ULP_CLASS_HID_75b48] = 2350,
	[BNXT_ULP_CLASS_HID_f6a60] = 2351,
	[BNXT_ULP_CLASS_HID_fcb08] = 2352,
	[BNXT_ULP_CLASS_HID_ffb70] = 2353,
	[BNXT_ULP_CLASS_HID_f5500] = 2354,
	[BNXT_ULP_CLASS_HID_11a48] = 2355,
	[BNXT_ULP_CLASS_HID_17c90] = 2356,
	[BNXT_ULP_CLASS_HID_1acb8] = 2357,
	[BNXT_ULP_CLASS_HID_106a8] = 2358,
	[BNXT_ULP_CLASS_HID_3c668] = 2359,
	[BNXT_ULP_CLASS_HID_33058] = 2360,
	[BNXT_ULP_CLASS_HID_36060] = 2361,
	[BNXT_ULP_CLASS_HID_3c148] = 2362,
	[BNXT_ULP_CLASS_HID_1c940] = 2363,
	[BNXT_ULP_CLASS_HID_1aba8] = 2364,
	[BNXT_ULP_CLASS_HID_1dbb0] = 2365,
	[BNXT_ULP_CLASS_HID_1b5a0] = 2366,
	[BNXT_ULP_CLASS_HID_38e08] = 2367,
	[BNXT_ULP_CLASS_HID_3ef50] = 2368,
	[BNXT_ULP_CLASS_HID_39f78] = 2369,
	[BNXT_ULP_CLASS_HID_38968] = 2370,
	[BNXT_ULP_CLASS_HID_1eeb0] = 2371,
	[BNXT_ULP_CLASS_HID_158a0] = 2372,
	[BNXT_ULP_CLASS_HID_17748] = 2373,
	[BNXT_ULP_CLASS_HID_1e990] = 2374,
	[BNXT_ULP_CLASS_HID_36278] = 2375,
	[BNXT_ULP_CLASS_HID_3c340] = 2376,
	[BNXT_ULP_CLASS_HID_34c70] = 2377,
	[BNXT_ULP_CLASS_HID_36d58] = 2378,
	[BNXT_ULP_CLASS_HID_1dc48] = 2379,
	[BNXT_ULP_CLASS_HID_1f7b8] = 2380,
	[BNXT_ULP_CLASS_HID_1e640] = 2381,
	[BNXT_ULP_CLASS_HID_1d8a8] = 2382,
	[BNXT_ULP_CLASS_HID_3d170] = 2383,
	[BNXT_ULP_CLASS_HID_3cb60] = 2384,
	[BNXT_ULP_CLASS_HID_3fb08] = 2385,
	[BNXT_ULP_CLASS_HID_3dc50] = 2386,
	[BNXT_ULP_CLASS_HID_20dc] = 2387,
	[BNXT_ULP_CLASS_HID_729c] = 2388,
	[BNXT_ULP_CLASS_HID_80214] = 2389,
	[BNXT_ULP_CLASS_HID_181684] = 2390,
	[BNXT_ULP_CLASS_HID_488e8] = 2391,
	[BNXT_ULP_CLASS_HID_412e0] = 2392,
	[BNXT_ULP_CLASS_HID_c82a0] = 2393,
	[BNXT_ULP_CLASS_HID_c2c98] = 2394,
	[BNXT_ULP_CLASS_HID_155c0] = 2395,
	[BNXT_ULP_CLASS_HID_1e730] = 2396,
	[BNXT_ULP_CLASS_HID_32a88] = 2397,
	[BNXT_ULP_CLASS_HID_3bbf8] = 2398,
	[BNXT_ULP_CLASS_HID_209c] = 2399,
	[BNXT_ULP_CLASS_HID_72dc] = 2400,
	[BNXT_ULP_CLASS_HID_10352c] = 2401,
	[BNXT_ULP_CLASS_HID_10876c] = 2402,
	[BNXT_ULP_CLASS_HID_83b64] = 2403,
	[BNXT_ULP_CLASS_HID_88ca4] = 2404,
	[BNXT_ULP_CLASS_HID_184ff4] = 2405,
	[BNXT_ULP_CLASS_HID_189134] = 2406,
	[BNXT_ULP_CLASS_HID_80254] = 2407,
	[BNXT_ULP_CLASS_HID_1816c4] = 2408,
	[BNXT_ULP_CLASS_HID_c828c] = 2409,
	[BNXT_ULP_CLASS_HID_1c973c] = 2410,
	[BNXT_ULP_CLASS_HID_ace74] = 2411,
	[BNXT_ULP_CLASS_HID_1ad2e4] = 2412,
	[BNXT_ULP_CLASS_HID_e47c4] = 2413,
	[BNXT_ULP_CLASS_HID_1e6c74] = 2414,
	[BNXT_ULP_CLASS_HID_205c] = 2415,
	[BNXT_ULP_CLASS_HID_721c] = 2416,
	[BNXT_ULP_CLASS_HID_1035ec] = 2417,
	[BNXT_ULP_CLASS_HID_1087ac] = 2418,
	[BNXT_ULP_CLASS_HID_83ba4] = 2419,
	[BNXT_ULP_CLASS_HID_88c64] = 2420,
	[BNXT_ULP_CLASS_HID_184f34] = 2421,
	[BNXT_ULP_CLASS_HID_1891f4] = 2422,
	[BNXT_ULP_CLASS_HID_80294] = 2423,
	[BNXT_ULP_CLASS_HID_181604] = 2424,
	[BNXT_ULP_CLASS_HID_c824c] = 2425,
	[BNXT_ULP_CLASS_HID_1c97fc] = 2426,
	[BNXT_ULP_CLASS_HID_aceb4] = 2427,
	[BNXT_ULP_CLASS_HID_1ad224] = 2428,
	[BNXT_ULP_CLASS_HID_e4704] = 2429,
	[BNXT_ULP_CLASS_HID_1e6cb4] = 2430,
	[BNXT_ULP_CLASS_HID_48828] = 2431,
	[BNXT_ULP_CLASS_HID_41220] = 2432,
	[BNXT_ULP_CLASS_HID_c8260] = 2433,
	[BNXT_ULP_CLASS_HID_c2c58] = 2434,
	[BNXT_ULP_CLASS_HID_64df0] = 2435,
	[BNXT_ULP_CLASS_HID_6de00] = 2436,
	[BNXT_ULP_CLASS_HID_e4728] = 2437,
	[BNXT_ULP_CLASS_HID_ee838] = 2438,
	[BNXT_ULP_CLASS_HID_5d618] = 2439,
	[BNXT_ULP_CLASS_HID_57010] = 2440,
	[BNXT_ULP_CLASS_HID_de050] = 2441,
	[BNXT_ULP_CLASS_HID_d8a48] = 2442,
	[BNXT_ULP_CLASS_HID_7abe0] = 2443,
	[BNXT_ULP_CLASS_HID_735d8] = 2444,
	[BNXT_ULP_CLASS_HID_fa518] = 2445,
	[BNXT_ULP_CLASS_HID_f4f10] = 2446,
	[BNXT_ULP_CLASS_HID_15580] = 2447,
	[BNXT_ULP_CLASS_HID_1e770] = 2448,
	[BNXT_ULP_CLASS_HID_32ac8] = 2449,
	[BNXT_ULP_CLASS_HID_3bbb8] = 2450,
	[BNXT_ULP_CLASS_HID_18498] = 2451,
	[BNXT_ULP_CLASS_HID_1ae90] = 2452,
	[BNXT_ULP_CLASS_HID_3d9c0] = 2453,
	[BNXT_ULP_CLASS_HID_3eab0] = 2454,
	[BNXT_ULP_CLASS_HID_1f888] = 2455,
	[BNXT_ULP_CLASS_HID_1c280] = 2456,
	[BNXT_ULP_CLASS_HID_3fdb0] = 2457,
	[BNXT_ULP_CLASS_HID_347c8] = 2458,
	[BNXT_ULP_CLASS_HID_1e0a8] = 2459,
	[BNXT_ULP_CLASS_HID_1f198] = 2460,
	[BNXT_ULP_CLASS_HID_3ecc8] = 2461,
	[BNXT_ULP_CLASS_HID_3f6c0] = 2462,
	[BNXT_ULP_CLASS_HID_48868] = 2463,
	[BNXT_ULP_CLASS_HID_41260] = 2464,
	[BNXT_ULP_CLASS_HID_c8220] = 2465,
	[BNXT_ULP_CLASS_HID_c2c18] = 2466,
	[BNXT_ULP_CLASS_HID_64db0] = 2467,
	[BNXT_ULP_CLASS_HID_6de40] = 2468,
	[BNXT_ULP_CLASS_HID_e4768] = 2469,
	[BNXT_ULP_CLASS_HID_ee878] = 2470,
	[BNXT_ULP_CLASS_HID_5d658] = 2471,
	[BNXT_ULP_CLASS_HID_57050] = 2472,
	[BNXT_ULP_CLASS_HID_de010] = 2473,
	[BNXT_ULP_CLASS_HID_d8a08] = 2474,
	[BNXT_ULP_CLASS_HID_7aba0] = 2475,
	[BNXT_ULP_CLASS_HID_73598] = 2476,
	[BNXT_ULP_CLASS_HID_fa558] = 2477,
	[BNXT_ULP_CLASS_HID_f4f50] = 2478,
	[BNXT_ULP_CLASS_HID_15540] = 2479,
	[BNXT_ULP_CLASS_HID_1e7b0] = 2480,
	[BNXT_ULP_CLASS_HID_32a08] = 2481,
	[BNXT_ULP_CLASS_HID_3bb78] = 2482,
	[BNXT_ULP_CLASS_HID_18458] = 2483,
	[BNXT_ULP_CLASS_HID_1ae50] = 2484,
	[BNXT_ULP_CLASS_HID_3d900] = 2485,
	[BNXT_ULP_CLASS_HID_3ea70] = 2486,
	[BNXT_ULP_CLASS_HID_1f848] = 2487,
	[BNXT_ULP_CLASS_HID_1c240] = 2488,
	[BNXT_ULP_CLASS_HID_3fd70] = 2489,
	[BNXT_ULP_CLASS_HID_34708] = 2490,
	[BNXT_ULP_CLASS_HID_1e068] = 2491,
	[BNXT_ULP_CLASS_HID_1f158] = 2492,
	[BNXT_ULP_CLASS_HID_3ec08] = 2493,
	[BNXT_ULP_CLASS_HID_3f600] = 2494,
	[BNXT_ULP_CLASS_HID_1e0c] = 2495,
	[BNXT_ULP_CLASS_HID_1e1c] = 2496,
	[BNXT_ULP_CLASS_HID_1e70] = 2497,
	[BNXT_ULP_CLASS_HID_af00] = 2498,
	[BNXT_ULP_CLASS_HID_1e00] = 2499,
	[BNXT_ULP_CLASS_HID_af70] = 2500,
	[BNXT_ULP_CLASS_HID_1e4c] = 2501,
	[BNXT_ULP_CLASS_HID_1e5c] = 2502,
	[BNXT_ULP_CLASS_HID_1e8c] = 2503,
	[BNXT_ULP_CLASS_HID_1e9c] = 2504,
	[BNXT_ULP_CLASS_HID_1eb0] = 2505,
	[BNXT_ULP_CLASS_HID_afc0] = 2506,
	[BNXT_ULP_CLASS_HID_1e40] = 2507,
	[BNXT_ULP_CLASS_HID_af30] = 2508,
	[BNXT_ULP_CLASS_HID_1ef0] = 2509,
	[BNXT_ULP_CLASS_HID_af80] = 2510,
	[BNXT_ULP_CLASS_HID_1e80] = 2511,
	[BNXT_ULP_CLASS_HID_aff0] = 2512
};

/* Array for the proto matcher list */
struct bnxt_ulp_class_match_info ulp_class_match_list[] = {
	[1] = {
	.class_hid = BNXT_ULP_CLASS_HID_8a2a,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[2] = {
	.class_hid = BNXT_ULP_CLASS_HID_3f32,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 4104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[3] = {
	.class_hid = BNXT_ULP_CLASS_HID_dbea,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[4] = {
	.class_hid = BNXT_ULP_CLASS_HID_90f2,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 6152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[5] = {
	.class_hid = BNXT_ULP_CLASS_HID_86b72,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[6] = {
	.class_hid = BNXT_ULP_CLASS_HID_8207a,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 16392UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[7] = {
	.class_hid = BNXT_ULP_CLASS_HID_187fc2,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[8] = {
	.class_hid = BNXT_ULP_CLASS_HID_1834ca,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 24584UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[9] = {
	.class_hid = BNXT_ULP_CLASS_HID_4e1f6,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[10] = {
	.class_hid = BNXT_ULP_CLASS_HID_496fe,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32776UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[11] = {
	.class_hid = BNXT_ULP_CLASS_HID_47bee,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[12] = {
	.class_hid = BNXT_ULP_CLASS_HID_430f6,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[13] = {
	.class_hid = BNXT_ULP_CLASS_HID_cec2e,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[14] = {
	.class_hid = BNXT_ULP_CLASS_HID_ca136,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49160UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[15] = {
	.class_hid = BNXT_ULP_CLASS_HID_c8626,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[16] = {
	.class_hid = BNXT_ULP_CLASS_HID_c3b2e,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[17] = {
	.class_hid = BNXT_ULP_CLASS_HID_1bf0e,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[18] = {
	.class_hid = BNXT_ULP_CLASS_HID_17436,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131080UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[19] = {
	.class_hid = BNXT_ULP_CLASS_HID_15906,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[20] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e0e,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[21] = {
	.class_hid = BNXT_ULP_CLASS_HID_383f6,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[22] = {
	.class_hid = BNXT_ULP_CLASS_HID_338fe,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196616UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[23] = {
	.class_hid = BNXT_ULP_CLASS_HID_31dce,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[24] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c9ee,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196680UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[25] = {
	.class_hid = BNXT_ULP_CLASS_HID_8a6a,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[26] = {
	.class_hid = BNXT_ULP_CLASS_HID_3f72,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 4104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[27] = {
	.class_hid = BNXT_ULP_CLASS_HID_dbaa,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[28] = {
	.class_hid = BNXT_ULP_CLASS_HID_90b2,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 6152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[29] = {
	.class_hid = BNXT_ULP_CLASS_HID_109e1a,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[30] = {
	.class_hid = BNXT_ULP_CLASS_HID_1053e2,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 12296UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[31] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f05a,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[32] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a522,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 14344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[33] = {
	.class_hid = BNXT_ULP_CLASS_HID_89422,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[34] = {
	.class_hid = BNXT_ULP_CLASS_HID_8492a,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 20488UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[35] = {
	.class_hid = BNXT_ULP_CLASS_HID_8e662,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[36] = {
	.class_hid = BNXT_ULP_CLASS_HID_89b6a,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 22536UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[37] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a8d2,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[38] = {
	.class_hid = BNXT_ULP_CLASS_HID_185dda,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 28680UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[39] = {
	.class_hid = BNXT_ULP_CLASS_HID_18033a,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[40] = {
	.class_hid = BNXT_ULP_CLASS_HID_18af1a,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 30728UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[41] = {
	.class_hid = BNXT_ULP_CLASS_HID_86b32,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[42] = {
	.class_hid = BNXT_ULP_CLASS_HID_8203a,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 16392UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[43] = {
	.class_hid = BNXT_ULP_CLASS_HID_187f82,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[44] = {
	.class_hid = BNXT_ULP_CLASS_HID_18348a,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 24584UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[45] = {
	.class_hid = BNXT_ULP_CLASS_HID_cec5a,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[46] = {
	.class_hid = BNXT_ULP_CLASS_HID_ca142,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 49160UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[47] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c0932,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[48] = {
	.class_hid = BNXT_ULP_CLASS_HID_1cb5d2,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 57352UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[49] = {
	.class_hid = BNXT_ULP_CLASS_HID_a307a,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[50] = {
	.class_hid = BNXT_ULP_CLASS_HID_adc1a,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 81928UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[51] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a44ca,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[52] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af0ea,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 90120UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[53] = {
	.class_hid = BNXT_ULP_CLASS_HID_eb082,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[54] = {
	.class_hid = BNXT_ULP_CLASS_HID_e658a,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 114696UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[55] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ec512,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[56] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e7a1a,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 122888UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[57] = {
	.class_hid = BNXT_ULP_CLASS_HID_8aaa,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[58] = {
	.class_hid = BNXT_ULP_CLASS_HID_3fb2,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 4104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[59] = {
	.class_hid = BNXT_ULP_CLASS_HID_db6a,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[60] = {
	.class_hid = BNXT_ULP_CLASS_HID_9072,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 6152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[61] = {
	.class_hid = BNXT_ULP_CLASS_HID_109eda,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[62] = {
	.class_hid = BNXT_ULP_CLASS_HID_105322,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 12296UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[63] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f09a,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[64] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a5e2,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 14344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[65] = {
	.class_hid = BNXT_ULP_CLASS_HID_894e2,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[66] = {
	.class_hid = BNXT_ULP_CLASS_HID_849ea,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 20488UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[67] = {
	.class_hid = BNXT_ULP_CLASS_HID_8e6a2,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[68] = {
	.class_hid = BNXT_ULP_CLASS_HID_89baa,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 22536UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[69] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a812,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[70] = {
	.class_hid = BNXT_ULP_CLASS_HID_185d1a,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 28680UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[71] = {
	.class_hid = BNXT_ULP_CLASS_HID_1803fa,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[72] = {
	.class_hid = BNXT_ULP_CLASS_HID_18afda,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 30728UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[73] = {
	.class_hid = BNXT_ULP_CLASS_HID_86bf2,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[74] = {
	.class_hid = BNXT_ULP_CLASS_HID_820fa,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 16392UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[75] = {
	.class_hid = BNXT_ULP_CLASS_HID_187f42,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[76] = {
	.class_hid = BNXT_ULP_CLASS_HID_18344a,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 24584UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[77] = {
	.class_hid = BNXT_ULP_CLASS_HID_cec9a,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[78] = {
	.class_hid = BNXT_ULP_CLASS_HID_ca182,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 49160UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[79] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c09f2,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[80] = {
	.class_hid = BNXT_ULP_CLASS_HID_1cb512,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 57352UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[81] = {
	.class_hid = BNXT_ULP_CLASS_HID_a30ba,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[82] = {
	.class_hid = BNXT_ULP_CLASS_HID_adcda,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 81928UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[83] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a440a,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[84] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af02a,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 90120UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[85] = {
	.class_hid = BNXT_ULP_CLASS_HID_eb042,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[86] = {
	.class_hid = BNXT_ULP_CLASS_HID_e654a,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 114696UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[87] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ec5d2,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[88] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e7ada,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 122888UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[89] = {
	.class_hid = BNXT_ULP_CLASS_HID_4e1b6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[90] = {
	.class_hid = BNXT_ULP_CLASS_HID_496be,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32776UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[91] = {
	.class_hid = BNXT_ULP_CLASS_HID_47bae,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[92] = {
	.class_hid = BNXT_ULP_CLASS_HID_430b6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[93] = {
	.class_hid = BNXT_ULP_CLASS_HID_cec6e,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[94] = {
	.class_hid = BNXT_ULP_CLASS_HID_ca176,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49160UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[95] = {
	.class_hid = BNXT_ULP_CLASS_HID_c8666,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[96] = {
	.class_hid = BNXT_ULP_CLASS_HID_c3b6e,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[97] = {
	.class_hid = BNXT_ULP_CLASS_HID_6a6fe,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[98] = {
	.class_hid = BNXT_ULP_CLASS_HID_65bc6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98312UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[99] = {
	.class_hid = BNXT_ULP_CLASS_HID_640f6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[100] = {
	.class_hid = BNXT_ULP_CLASS_HID_6ecd6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[101] = {
	.class_hid = BNXT_ULP_CLASS_HID_eb0b6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[102] = {
	.class_hid = BNXT_ULP_CLASS_HID_e65be,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114696UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[103] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4aae,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[104] = {
	.class_hid = BNXT_ULP_CLASS_HID_ef68e,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[105] = {
	.class_hid = BNXT_ULP_CLASS_HID_548ce,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[106] = {
	.class_hid = BNXT_ULP_CLASS_HID_5f4ae,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163848UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[107] = {
	.class_hid = BNXT_ULP_CLASS_HID_5d9de,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[108] = {
	.class_hid = BNXT_ULP_CLASS_HID_58ea6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163912UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[109] = {
	.class_hid = BNXT_ULP_CLASS_HID_d5286,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[110] = {
	.class_hid = BNXT_ULP_CLASS_HID_d078e,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180232UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[111] = {
	.class_hid = BNXT_ULP_CLASS_HID_de396,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[112] = {
	.class_hid = BNXT_ULP_CLASS_HID_d989e,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180296UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[113] = {
	.class_hid = BNXT_ULP_CLASS_HID_70d16,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[114] = {
	.class_hid = BNXT_ULP_CLASS_HID_7b9f6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[115] = {
	.class_hid = BNXT_ULP_CLASS_HID_79ee6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[116] = {
	.class_hid = BNXT_ULP_CLASS_HID_753ee,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229448UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[117] = {
	.class_hid = BNXT_ULP_CLASS_HID_f17ce,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[118] = {
	.class_hid = BNXT_ULP_CLASS_HID_fc3ae,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[119] = {
	.class_hid = BNXT_ULP_CLASS_HID_fa8de,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[120] = {
	.class_hid = BNXT_ULP_CLASS_HID_f5da6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[121] = {
	.class_hid = BNXT_ULP_CLASS_HID_1bf4e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[122] = {
	.class_hid = BNXT_ULP_CLASS_HID_17476,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131080UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[123] = {
	.class_hid = BNXT_ULP_CLASS_HID_15946,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[124] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e4e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[125] = {
	.class_hid = BNXT_ULP_CLASS_HID_383b6,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[126] = {
	.class_hid = BNXT_ULP_CLASS_HID_338be,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196616UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[127] = {
	.class_hid = BNXT_ULP_CLASS_HID_31d8e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[128] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c9ae,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196680UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[129] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ee46,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[130] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a34e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[131] = {
	.class_hid = BNXT_ULP_CLASS_HID_1885e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[132] = {
	.class_hid = BNXT_ULP_CLASS_HID_1bd46,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[133] = {
	.class_hid = BNXT_ULP_CLASS_HID_3b28e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[134] = {
	.class_hid = BNXT_ULP_CLASS_HID_3e7b6,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[135] = {
	.class_hid = BNXT_ULP_CLASS_HID_3cc86,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[136] = {
	.class_hid = BNXT_ULP_CLASS_HID_3818e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[137] = {
	.class_hid = BNXT_ULP_CLASS_HID_15b5e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[138] = {
	.class_hid = BNXT_ULP_CLASS_HID_15046,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[139] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ec4e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[140] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e176,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655432UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[141] = {
	.class_hid = BNXT_ULP_CLASS_HID_35f86,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[142] = {
	.class_hid = BNXT_ULP_CLASS_HID_3cba6,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[143] = {
	.class_hid = BNXT_ULP_CLASS_HID_3f0b6,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[144] = {
	.class_hid = BNXT_ULP_CLASS_HID_365be,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720968UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[145] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ca56,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[146] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ff5e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917512UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[147] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e3ae,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[148] = {
	.class_hid = BNXT_ULP_CLASS_HID_1d04e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[149] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ce9e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[150] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c386,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983048UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[151] = {
	.class_hid = BNXT_ULP_CLASS_HID_3df8e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[152] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d4b6,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[153] = {
	.class_hid = BNXT_ULP_CLASS_HID_4e176,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[154] = {
	.class_hid = BNXT_ULP_CLASS_HID_4967e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32776UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[155] = {
	.class_hid = BNXT_ULP_CLASS_HID_47b6e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[156] = {
	.class_hid = BNXT_ULP_CLASS_HID_43076,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[157] = {
	.class_hid = BNXT_ULP_CLASS_HID_cecae,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[158] = {
	.class_hid = BNXT_ULP_CLASS_HID_ca1b6,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49160UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[159] = {
	.class_hid = BNXT_ULP_CLASS_HID_c86a6,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[160] = {
	.class_hid = BNXT_ULP_CLASS_HID_c3bae,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[161] = {
	.class_hid = BNXT_ULP_CLASS_HID_6a63e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[162] = {
	.class_hid = BNXT_ULP_CLASS_HID_65b06,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98312UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[163] = {
	.class_hid = BNXT_ULP_CLASS_HID_64036,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[164] = {
	.class_hid = BNXT_ULP_CLASS_HID_6ec16,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[165] = {
	.class_hid = BNXT_ULP_CLASS_HID_eb076,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[166] = {
	.class_hid = BNXT_ULP_CLASS_HID_e657e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114696UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[167] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4a6e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[168] = {
	.class_hid = BNXT_ULP_CLASS_HID_ef64e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[169] = {
	.class_hid = BNXT_ULP_CLASS_HID_5480e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[170] = {
	.class_hid = BNXT_ULP_CLASS_HID_5f46e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163848UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[171] = {
	.class_hid = BNXT_ULP_CLASS_HID_5d91e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[172] = {
	.class_hid = BNXT_ULP_CLASS_HID_58e66,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163912UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[173] = {
	.class_hid = BNXT_ULP_CLASS_HID_d5246,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[174] = {
	.class_hid = BNXT_ULP_CLASS_HID_d074e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180232UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[175] = {
	.class_hid = BNXT_ULP_CLASS_HID_de356,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[176] = {
	.class_hid = BNXT_ULP_CLASS_HID_d985e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180296UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[177] = {
	.class_hid = BNXT_ULP_CLASS_HID_70dd6,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[178] = {
	.class_hid = BNXT_ULP_CLASS_HID_7b936,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[179] = {
	.class_hid = BNXT_ULP_CLASS_HID_79e26,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[180] = {
	.class_hid = BNXT_ULP_CLASS_HID_7532e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229448UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[181] = {
	.class_hid = BNXT_ULP_CLASS_HID_f170e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[182] = {
	.class_hid = BNXT_ULP_CLASS_HID_fc36e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[183] = {
	.class_hid = BNXT_ULP_CLASS_HID_fa81e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[184] = {
	.class_hid = BNXT_ULP_CLASS_HID_f5d66,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[185] = {
	.class_hid = BNXT_ULP_CLASS_HID_1bf8e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[186] = {
	.class_hid = BNXT_ULP_CLASS_HID_174b6,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131080UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[187] = {
	.class_hid = BNXT_ULP_CLASS_HID_15986,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[188] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e8e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[189] = {
	.class_hid = BNXT_ULP_CLASS_HID_38376,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[190] = {
	.class_hid = BNXT_ULP_CLASS_HID_3387e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196616UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[191] = {
	.class_hid = BNXT_ULP_CLASS_HID_31d4e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[192] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c96e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196680UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[193] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ee86,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[194] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a38e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[195] = {
	.class_hid = BNXT_ULP_CLASS_HID_1889e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[196] = {
	.class_hid = BNXT_ULP_CLASS_HID_1bd86,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[197] = {
	.class_hid = BNXT_ULP_CLASS_HID_3b24e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[198] = {
	.class_hid = BNXT_ULP_CLASS_HID_3e776,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[199] = {
	.class_hid = BNXT_ULP_CLASS_HID_3cc46,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[200] = {
	.class_hid = BNXT_ULP_CLASS_HID_3814e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[201] = {
	.class_hid = BNXT_ULP_CLASS_HID_15b9e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[202] = {
	.class_hid = BNXT_ULP_CLASS_HID_15086,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[203] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ec8e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[204] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e1b6,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655432UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[205] = {
	.class_hid = BNXT_ULP_CLASS_HID_35f46,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[206] = {
	.class_hid = BNXT_ULP_CLASS_HID_3cb66,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[207] = {
	.class_hid = BNXT_ULP_CLASS_HID_3f076,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[208] = {
	.class_hid = BNXT_ULP_CLASS_HID_3657e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720968UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[209] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ca96,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[210] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ff9e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917512UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[211] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e36e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[212] = {
	.class_hid = BNXT_ULP_CLASS_HID_1d08e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[213] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ce5e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[214] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c346,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983048UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[215] = {
	.class_hid = BNXT_ULP_CLASS_HID_3df4e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[216] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d476,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[217] = {
	.class_hid = BNXT_ULP_CLASS_HID_28c2,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[218] = {
	.class_hid = BNXT_ULP_CLASS_HID_7a82,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[219] = {
	.class_hid = BNXT_ULP_CLASS_HID_80a2a,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[220] = {
	.class_hid = BNXT_ULP_CLASS_HID_181eba,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[221] = {
	.class_hid = BNXT_ULP_CLASS_HID_4808e,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[222] = {
	.class_hid = BNXT_ULP_CLASS_HID_41a86,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[223] = {
	.class_hid = BNXT_ULP_CLASS_HID_c8ac6,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[224] = {
	.class_hid = BNXT_ULP_CLASS_HID_c24fe,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[225] = {
	.class_hid = BNXT_ULP_CLASS_HID_15de6,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[226] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ef16,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[227] = {
	.class_hid = BNXT_ULP_CLASS_HID_322ae,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[228] = {
	.class_hid = BNXT_ULP_CLASS_HID_3b3de,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[229] = {
	.class_hid = BNXT_ULP_CLASS_HID_2882,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[230] = {
	.class_hid = BNXT_ULP_CLASS_HID_7ac2,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[231] = {
	.class_hid = BNXT_ULP_CLASS_HID_103d32,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[232] = {
	.class_hid = BNXT_ULP_CLASS_HID_108f72,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT }
	},
	[233] = {
	.class_hid = BNXT_ULP_CLASS_HID_8337a,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[234] = {
	.class_hid = BNXT_ULP_CLASS_HID_884ba,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[235] = {
	.class_hid = BNXT_ULP_CLASS_HID_1847ea,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[236] = {
	.class_hid = BNXT_ULP_CLASS_HID_18992a,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_4_BITMASK_O_TCP_DST_PORT }
	},
	[237] = {
	.class_hid = BNXT_ULP_CLASS_HID_80a6a,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[238] = {
	.class_hid = BNXT_ULP_CLASS_HID_181efa,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[239] = {
	.class_hid = BNXT_ULP_CLASS_HID_c8ab2,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[240] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c9f02,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT }
	},
	[241] = {
	.class_hid = BNXT_ULP_CLASS_HID_ac64a,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[242] = {
	.class_hid = BNXT_ULP_CLASS_HID_1adada,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[243] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4ffa,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[244] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e644a,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_5_BITMASK_O_TCP_DST_PORT }
	},
	[245] = {
	.class_hid = BNXT_ULP_CLASS_HID_2842,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[246] = {
	.class_hid = BNXT_ULP_CLASS_HID_7a02,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[247] = {
	.class_hid = BNXT_ULP_CLASS_HID_103df2,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[248] = {
	.class_hid = BNXT_ULP_CLASS_HID_108fb2,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT }
	},
	[249] = {
	.class_hid = BNXT_ULP_CLASS_HID_833ba,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[250] = {
	.class_hid = BNXT_ULP_CLASS_HID_8847a,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[251] = {
	.class_hid = BNXT_ULP_CLASS_HID_18472a,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[252] = {
	.class_hid = BNXT_ULP_CLASS_HID_1899ea,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_6_BITMASK_O_UDP_DST_PORT }
	},
	[253] = {
	.class_hid = BNXT_ULP_CLASS_HID_80aaa,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[254] = {
	.class_hid = BNXT_ULP_CLASS_HID_181e3a,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[255] = {
	.class_hid = BNXT_ULP_CLASS_HID_c8a72,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[256] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c9fc2,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT }
	},
	[257] = {
	.class_hid = BNXT_ULP_CLASS_HID_ac68a,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[258] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ada1a,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[259] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4f3a,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[260] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e648a,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_7_BITMASK_O_UDP_DST_PORT }
	},
	[261] = {
	.class_hid = BNXT_ULP_CLASS_HID_480ce,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[262] = {
	.class_hid = BNXT_ULP_CLASS_HID_41ac6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[263] = {
	.class_hid = BNXT_ULP_CLASS_HID_c8a86,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[264] = {
	.class_hid = BNXT_ULP_CLASS_HID_c24be,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[265] = {
	.class_hid = BNXT_ULP_CLASS_HID_64516,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[266] = {
	.class_hid = BNXT_ULP_CLASS_HID_6d6e6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[267] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4fce,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[268] = {
	.class_hid = BNXT_ULP_CLASS_HID_ee0de,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT }
	},
	[269] = {
	.class_hid = BNXT_ULP_CLASS_HID_5defe,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[270] = {
	.class_hid = BNXT_ULP_CLASS_HID_578f6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[271] = {
	.class_hid = BNXT_ULP_CLASS_HID_de8b6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[272] = {
	.class_hid = BNXT_ULP_CLASS_HID_d82ae,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[273] = {
	.class_hid = BNXT_ULP_CLASS_HID_7a306,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[274] = {
	.class_hid = BNXT_ULP_CLASS_HID_73d3e,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[275] = {
	.class_hid = BNXT_ULP_CLASS_HID_fadfe,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[276] = {
	.class_hid = BNXT_ULP_CLASS_HID_f47f6,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_8_BITMASK_O_TCP_DST_PORT }
	},
	[277] = {
	.class_hid = BNXT_ULP_CLASS_HID_15da6,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[278] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ef56,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[279] = {
	.class_hid = BNXT_ULP_CLASS_HID_322ee,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[280] = {
	.class_hid = BNXT_ULP_CLASS_HID_3b39e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[281] = {
	.class_hid = BNXT_ULP_CLASS_HID_18cbe,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[282] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6b6,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[283] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d1e6,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[284] = {
	.class_hid = BNXT_ULP_CLASS_HID_3e296,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT }
	},
	[285] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f0ae,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[286] = {
	.class_hid = BNXT_ULP_CLASS_HID_1caa6,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[287] = {
	.class_hid = BNXT_ULP_CLASS_HID_3f596,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[288] = {
	.class_hid = BNXT_ULP_CLASS_HID_34fee,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[289] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e88e,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[290] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f9be,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[291] = {
	.class_hid = BNXT_ULP_CLASS_HID_3e4ee,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[292] = {
	.class_hid = BNXT_ULP_CLASS_HID_3fee6,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_1_9_BITMASK_O_TCP_DST_PORT }
	},
	[293] = {
	.class_hid = BNXT_ULP_CLASS_HID_4800e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[294] = {
	.class_hid = BNXT_ULP_CLASS_HID_41a06,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[295] = {
	.class_hid = BNXT_ULP_CLASS_HID_c8a46,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[296] = {
	.class_hid = BNXT_ULP_CLASS_HID_c247e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[297] = {
	.class_hid = BNXT_ULP_CLASS_HID_645d6,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[298] = {
	.class_hid = BNXT_ULP_CLASS_HID_6d626,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[299] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4f0e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[300] = {
	.class_hid = BNXT_ULP_CLASS_HID_ee01e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT }
	},
	[301] = {
	.class_hid = BNXT_ULP_CLASS_HID_5de3e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[302] = {
	.class_hid = BNXT_ULP_CLASS_HID_57836,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[303] = {
	.class_hid = BNXT_ULP_CLASS_HID_de876,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[304] = {
	.class_hid = BNXT_ULP_CLASS_HID_d826e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[305] = {
	.class_hid = BNXT_ULP_CLASS_HID_7a3c6,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[306] = {
	.class_hid = BNXT_ULP_CLASS_HID_73dfe,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[307] = {
	.class_hid = BNXT_ULP_CLASS_HID_fad3e,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[308] = {
	.class_hid = BNXT_ULP_CLASS_HID_f4736,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_10_BITMASK_O_UDP_DST_PORT }
	},
	[309] = {
	.class_hid = BNXT_ULP_CLASS_HID_15d66,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[310] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ef96,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[311] = {
	.class_hid = BNXT_ULP_CLASS_HID_3222e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[312] = {
	.class_hid = BNXT_ULP_CLASS_HID_3b35e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[313] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c7e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[314] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a676,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[315] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d126,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[316] = {
	.class_hid = BNXT_ULP_CLASS_HID_3e256,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT }
	},
	[317] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f06e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[318] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ca66,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[319] = {
	.class_hid = BNXT_ULP_CLASS_HID_3f556,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[320] = {
	.class_hid = BNXT_ULP_CLASS_HID_34f2e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[321] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e84e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[322] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f97e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[323] = {
	.class_hid = BNXT_ULP_CLASS_HID_3e42e,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[324] = {
	.class_hid = BNXT_ULP_CLASS_HID_3fe26,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_1_11_BITMASK_O_UDP_DST_PORT }
	},
	[325] = {
	.class_hid = BNXT_ULP_CLASS_HID_1612,
	.class_tid = 1,
	.hdr_sig_id = 0,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_0_BITMASK_O_ETH_SMAC }
	},
	[326] = {
	.class_hid = BNXT_ULP_CLASS_HID_1622,
	.class_tid = 1,
	.hdr_sig_id = 1,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_1_BITMASK_O_ETH_SMAC }
	},
	[327] = {
	.class_hid = BNXT_ULP_CLASS_HID_1616,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC }
	},
	[328] = {
	.class_hid = BNXT_ULP_CLASS_HID_a766,
	.class_tid = 1,
	.hdr_sig_id = 2,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_2_BITMASK_OO_VLAN_VID }
	},
	[329] = {
	.class_hid = BNXT_ULP_CLASS_HID_1626,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC }
	},
	[330] = {
	.class_hid = BNXT_ULP_CLASS_HID_a756,
	.class_tid = 1,
	.hdr_sig_id = 3,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_3_BITMASK_OO_VLAN_VID }
	},
	[331] = {
	.class_hid = BNXT_ULP_CLASS_HID_1652,
	.class_tid = 1,
	.hdr_sig_id = 4,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_4_BITMASK_O_ETH_SMAC }
	},
	[332] = {
	.class_hid = BNXT_ULP_CLASS_HID_1662,
	.class_tid = 1,
	.hdr_sig_id = 5,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_5_BITMASK_O_ETH_SMAC }
	},
	[333] = {
	.class_hid = BNXT_ULP_CLASS_HID_1692,
	.class_tid = 1,
	.hdr_sig_id = 6,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_6_BITMASK_O_ETH_SMAC }
	},
	[334] = {
	.class_hid = BNXT_ULP_CLASS_HID_16a2,
	.class_tid = 1,
	.hdr_sig_id = 7,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_7_BITMASK_O_ETH_SMAC }
	},
	[335] = {
	.class_hid = BNXT_ULP_CLASS_HID_1656,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC }
	},
	[336] = {
	.class_hid = BNXT_ULP_CLASS_HID_a726,
	.class_tid = 1,
	.hdr_sig_id = 8,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_8_BITMASK_OO_VLAN_VID }
	},
	[337] = {
	.class_hid = BNXT_ULP_CLASS_HID_1666,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC }
	},
	[338] = {
	.class_hid = BNXT_ULP_CLASS_HID_a716,
	.class_tid = 1,
	.hdr_sig_id = 9,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_9_BITMASK_OO_VLAN_VID }
	},
	[339] = {
	.class_hid = BNXT_ULP_CLASS_HID_1696,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC }
	},
	[340] = {
	.class_hid = BNXT_ULP_CLASS_HID_a7e6,
	.class_tid = 1,
	.hdr_sig_id = 10,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_10_BITMASK_OO_VLAN_VID }
	},
	[341] = {
	.class_hid = BNXT_ULP_CLASS_HID_16a6,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 8UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC }
	},
	[342] = {
	.class_hid = BNXT_ULP_CLASS_HID_a7d6,
	.class_tid = 1,
	.hdr_sig_id = 11,
	.flow_sig_id = 72UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_1_11_BITMASK_OO_VLAN_VID }
	},
	[343] = {
	.class_hid = BNXT_ULP_CLASS_HID_869f2,
	.class_tid = 1,
	.hdr_sig_id = 12,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_12_BITMASK_O_IPV4_DST_ADDR }
	},
	[344] = {
	.class_hid = BNXT_ULP_CLASS_HID_a32ba,
	.class_tid = 1,
	.hdr_sig_id = 12,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_1_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_1_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_1_12_BITMASK_O_UDP_DST_PORT }
	},
	[345] = {
	.class_hid = BNXT_ULP_CLASS_HID_a262c,
	.class_tid = 2,
	.hdr_sig_id = 0,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_F1 |
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_0_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_0_BITMASK_O_UDP_DST_PORT }
	},
	[346] = {
	.class_hid = BNXT_ULP_CLASS_HID_aca4c,
	.class_tid = 2,
	.hdr_sig_id = 0,
	.flow_sig_id = 81928UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_F1 |
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_0_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_0_BITMASK_O_UDP_DST_PORT }
	},
	[347] = {
	.class_hid = BNXT_ULP_CLASS_HID_b6ca,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI }
	},
	[348] = {
	.class_hid = BNXT_ULP_CLASS_HID_10da7a,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI }
	},
	[349] = {
	.class_hid = BNXT_ULP_CLASS_HID_e9da,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC }
	},
	[350] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b462,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC }
	},
	[351] = {
	.class_hid = BNXT_ULP_CLASS_HID_8442,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC }
	},
	[352] = {
	.class_hid = BNXT_ULP_CLASS_HID_10aff2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC }
	},
	[353] = {
	.class_hid = BNXT_ULP_CLASS_HID_e64a,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC }
	},
	[354] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e9fa,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC }
	},
	[355] = {
	.class_hid = BNXT_ULP_CLASS_HID_f052,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 537136128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[356] = {
	.class_hid = BNXT_ULP_CLASS_HID_1092fa,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 537144320UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[357] = {
	.class_hid = BNXT_ULP_CLASS_HID_a25a,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 538184704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[358] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f5fa,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 538192896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[359] = {
	.class_hid = BNXT_ULP_CLASS_HID_ccf2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 539233280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[360] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e072,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 539241472UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[361] = {
	.class_hid = BNXT_ULP_CLASS_HID_aefa,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 540281856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[362] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a27a,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 540290048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR }
	},
	[363] = {
	.class_hid = BNXT_ULP_CLASS_HID_8b32,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1074007040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[364] = {
	.class_hid = BNXT_ULP_CLASS_HID_10bea2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1074015232UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[365] = {
	.class_hid = BNXT_ULP_CLASS_HID_ee02,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1075055616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[366] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f1b2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1075063808UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[367] = {
	.class_hid = BNXT_ULP_CLASS_HID_e882,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1076104192UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[368] = {
	.class_hid = BNXT_ULP_CLASS_HID_108c32,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1076112384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[369] = {
	.class_hid = BNXT_ULP_CLASS_HID_eab2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1077152768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[370] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ee22,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1077160960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[371] = {
	.class_hid = BNXT_ULP_CLASS_HID_d492,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1610877952UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[372] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f832,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1610886144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[373] = {
	.class_hid = BNXT_ULP_CLASS_HID_a6b2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1611926528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[374] = {
	.class_hid = BNXT_ULP_CLASS_HID_10aa32,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1611934720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[375] = {
	.class_hid = BNXT_ULP_CLASS_HID_a132,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1612975104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[376] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c4b2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1612983296UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[377] = {
	.class_hid = BNXT_ULP_CLASS_HID_a332,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1614023680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[378] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a6d2,
	.class_tid = 2,
	.hdr_sig_id = 1,
	.flow_sig_id = 1614031872UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_1_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_1_BITMASK_I_IPV6_DST_ADDR }
	},
	[379] = {
	.class_hid = BNXT_ULP_CLASS_HID_adec,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI }
	},
	[380] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c15c,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI }
	},
	[381] = {
	.class_hid = BNXT_ULP_CLASS_HID_f2fc,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC }
	},
	[382] = {
	.class_hid = BNXT_ULP_CLASS_HID_10af44,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC }
	},
	[383] = {
	.class_hid = BNXT_ULP_CLASS_HID_9f64,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC }
	},
	[384] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b4d4,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC }
	},
	[385] = {
	.class_hid = BNXT_ULP_CLASS_HID_fd6c,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC }
	},
	[386] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f2dc,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC }
	},
	[387] = {
	.class_hid = BNXT_ULP_CLASS_HID_9a40,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[388] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ae30,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[389] = {
	.class_hid = BNXT_ULP_CLASS_HID_e848,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[390] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fc38,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[391] = {
	.class_hid = BNXT_ULP_CLASS_HID_9530,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[392] = {
	.class_hid = BNXT_ULP_CLASS_HID_109aa0,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[393] = {
	.class_hid = BNXT_ULP_CLASS_HID_fbc0,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[394] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ffb0,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR }
	},
	[395] = {
	.class_hid = BNXT_ULP_CLASS_HID_dfae,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[396] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f31e,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[397] = {
	.class_hid = BNXT_ULP_CLASS_HID_ad96,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[398] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e106,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[399] = {
	.class_hid = BNXT_ULP_CLASS_HID_da1e,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[400] = {
	.class_hid = BNXT_ULP_CLASS_HID_10df8e,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[401] = {
	.class_hid = BNXT_ULP_CLASS_HID_b806,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[402] = {
	.class_hid = BNXT_ULP_CLASS_HID_10bdf6,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[403] = {
	.class_hid = BNXT_ULP_CLASS_HID_d57a,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[404] = {
	.class_hid = BNXT_ULP_CLASS_HID_10eaea,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[405] = {
	.class_hid = BNXT_ULP_CLASS_HID_a362,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[406] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b8d2,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[407] = {
	.class_hid = BNXT_ULP_CLASS_HID_b8f2,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[408] = {
	.class_hid = BNXT_ULP_CLASS_HID_10dc62,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[409] = {
	.class_hid = BNXT_ULP_CLASS_HID_b6fa,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[410] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ba6a,
	.class_tid = 2,
	.hdr_sig_id = 2,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_2_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_2_BITMASK_I_IPV4_DST_ADDR }
	},
	[411] = {
	.class_hid = BNXT_ULP_CLASS_HID_b49c,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI }
	},
	[412] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d82c,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI }
	},
	[413] = {
	.class_hid = BNXT_ULP_CLASS_HID_eb8c,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC }
	},
	[414] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b634,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC }
	},
	[415] = {
	.class_hid = BNXT_ULP_CLASS_HID_8614,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC }
	},
	[416] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ada4,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC }
	},
	[417] = {
	.class_hid = BNXT_ULP_CLASS_HID_e41c,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC }
	},
	[418] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ebac,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC }
	},
	[419] = {
	.class_hid = BNXT_ULP_CLASS_HID_f204,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 537136128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[420] = {
	.class_hid = BNXT_ULP_CLASS_HID_1090ac,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 537144320UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[421] = {
	.class_hid = BNXT_ULP_CLASS_HID_a00c,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 538184704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[422] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f7ac,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 538192896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[423] = {
	.class_hid = BNXT_ULP_CLASS_HID_cea4,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 539233280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[424] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e224,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 539241472UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[425] = {
	.class_hid = BNXT_ULP_CLASS_HID_acac,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 540281856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[426] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a02c,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 540290048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR }
	},
	[427] = {
	.class_hid = BNXT_ULP_CLASS_HID_8964,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1074007040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[428] = {
	.class_hid = BNXT_ULP_CLASS_HID_10bcf4,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1074015232UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[429] = {
	.class_hid = BNXT_ULP_CLASS_HID_ec54,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1075055616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[430] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f3e4,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1075063808UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[431] = {
	.class_hid = BNXT_ULP_CLASS_HID_ead4,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1076104192UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[432] = {
	.class_hid = BNXT_ULP_CLASS_HID_108e64,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1076112384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[433] = {
	.class_hid = BNXT_ULP_CLASS_HID_e8e4,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1077152768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[434] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ec74,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1077160960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[435] = {
	.class_hid = BNXT_ULP_CLASS_HID_d6c4,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1610877952UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[436] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fa64,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1610886144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[437] = {
	.class_hid = BNXT_ULP_CLASS_HID_a4e4,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1611926528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[438] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a864,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1611934720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[439] = {
	.class_hid = BNXT_ULP_CLASS_HID_a364,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1612975104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[440] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c6e4,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1612983296UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[441] = {
	.class_hid = BNXT_ULP_CLASS_HID_a164,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1614023680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[442] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a484,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 1614031872UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR }
	},
	[443] = {
	.class_hid = BNXT_ULP_CLASS_HID_8330,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[444] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b740,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[445] = {
	.class_hid = BNXT_ULP_CLASS_HID_f138,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[446] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e548,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[447] = {
	.class_hid = BNXT_ULP_CLASS_HID_8c40,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[448] = {
	.class_hid = BNXT_ULP_CLASS_HID_1083d0,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[449] = {
	.class_hid = BNXT_ULP_CLASS_HID_e2b0,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[450] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e6c0,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[451] = {
	.class_hid = BNXT_ULP_CLASS_HID_f840,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2684619776UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[452] = {
	.class_hid = BNXT_ULP_CLASS_HID_10efc0,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2684627968UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[453] = {
	.class_hid = BNXT_ULP_CLASS_HID_b648,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2685668352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[454] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fdc8,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2685676544UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[455] = {
	.class_hid = BNXT_ULP_CLASS_HID_cd28,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2686716928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[456] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c148,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2686725120UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[457] = {
	.class_hid = BNXT_ULP_CLASS_HID_abc0,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2687765504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[458] = {
	.class_hid = BNXT_ULP_CLASS_HID_10af40,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 2687773696UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[459] = {
	.class_hid = BNXT_ULP_CLASS_HID_e7f0,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3221490688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[460] = {
	.class_hid = BNXT_ULP_CLASS_HID_108b00,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3221498880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[461] = {
	.class_hid = BNXT_ULP_CLASS_HID_f580,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3222539264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[462] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f910,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3222547456UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[463] = {
	.class_hid = BNXT_ULP_CLASS_HID_e970,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3223587840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[464] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ec80,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3223596032UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[465] = {
	.class_hid = BNXT_ULP_CLASS_HID_a770,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3224636416UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[466] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ea80,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3224644608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[467] = {
	.class_hid = BNXT_ULP_CLASS_HID_dc00,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3758361600UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[468] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c380,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3758369792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[469] = {
	.class_hid = BNXT_ULP_CLASS_HID_aa00,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3759410176UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[470] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b1a0,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3759418368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[471] = {
	.class_hid = BNXT_ULP_CLASS_HID_a180,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3760458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[472] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a500,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3760466944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[473] = {
	.class_hid = BNXT_ULP_CLASS_HID_ef80,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3761507328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[474] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a300,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 3761515520UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT }
	},
	[475] = {
	.class_hid = BNXT_ULP_CLASS_HID_c6de,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[476] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ea6e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[477] = {
	.class_hid = BNXT_ULP_CLASS_HID_b4e6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[478] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f876,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[479] = {
	.class_hid = BNXT_ULP_CLASS_HID_c36e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[480] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c6fe,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[481] = {
	.class_hid = BNXT_ULP_CLASS_HID_a176,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[482] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a486,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[483] = {
	.class_hid = BNXT_ULP_CLASS_HID_bf6e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4832103424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[484] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a2ee,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4832111616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[485] = {
	.class_hid = BNXT_ULP_CLASS_HID_ed66,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4833152000UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[486] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b086,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4833160192UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[487] = {
	.class_hid = BNXT_ULP_CLASS_HID_8bee,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4834200576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[488] = {
	.class_hid = BNXT_ULP_CLASS_HID_10af0e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4834208768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[489] = {
	.class_hid = BNXT_ULP_CLASS_HID_eeee,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4835249152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[490] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e26e,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 4835257344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[491] = {
	.class_hid = BNXT_ULP_CLASS_HID_daa6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5368974336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[492] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ce36,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5368982528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[493] = {
	.class_hid = BNXT_ULP_CLASS_HID_a8a6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5370022912UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[494] = {
	.class_hid = BNXT_ULP_CLASS_HID_10bc36,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5370031104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[495] = {
	.class_hid = BNXT_ULP_CLASS_HID_a736,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5371071488UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[496] = {
	.class_hid = BNXT_ULP_CLASS_HID_10cb46,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5371079680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[497] = {
	.class_hid = BNXT_ULP_CLASS_HID_ea26,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5372120064UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[498] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a946,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5372128256UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[499] = {
	.class_hid = BNXT_ULP_CLASS_HID_9326,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5905845248UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[500] = {
	.class_hid = BNXT_ULP_CLASS_HID_108746,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5905853440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[501] = {
	.class_hid = BNXT_ULP_CLASS_HID_e126,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5906893824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[502] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f546,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5906902016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[503] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4a6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5907942400UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[504] = {
	.class_hid = BNXT_ULP_CLASS_HID_1083c6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5907950592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[505] = {
	.class_hid = BNXT_ULP_CLASS_HID_a2a6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5908990976UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[506] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e6c6,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 5908999168UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[507] = {
	.class_hid = BNXT_ULP_CLASS_HID_cc0a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[508] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f39a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[509] = {
	.class_hid = BNXT_ULP_CLASS_HID_ba12,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[510] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a1a2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[511] = {
	.class_hid = BNXT_ULP_CLASS_HID_a182,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[512] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c512,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[513] = {
	.class_hid = BNXT_ULP_CLASS_HID_af8a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[514] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a31a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[515] = {
	.class_hid = BNXT_ULP_CLASS_HID_848a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6979587072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[516] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a82a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6979595264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[517] = {
	.class_hid = BNXT_ULP_CLASS_HID_fb8a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6980635648UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[518] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ef0a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6980643840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[519] = {
	.class_hid = BNXT_ULP_CLASS_HID_e602,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6981684224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[520] = {
	.class_hid = BNXT_ULP_CLASS_HID_108da2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6981692416UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[521] = {
	.class_hid = BNXT_ULP_CLASS_HID_e40a,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6982732800UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[522] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ebaa,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 6982740992UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[523] = {
	.class_hid = BNXT_ULP_CLASS_HID_a0d2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7516457984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[524] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d462,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7516466176UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[525] = {
	.class_hid = BNXT_ULP_CLASS_HID_bed2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7517506560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[526] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a262,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7517514752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[527] = {
	.class_hid = BNXT_ULP_CLASS_HID_8242,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7518555136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[528] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a9d2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7518563328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[529] = {
	.class_hid = BNXT_ULP_CLASS_HID_e052,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7519603712UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[530] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e7e2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 7519611904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[531] = {
	.class_hid = BNXT_ULP_CLASS_HID_9962,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8053328896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[532] = {
	.class_hid = BNXT_ULP_CLASS_HID_108ce2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8053337088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[533] = {
	.class_hid = BNXT_ULP_CLASS_HID_fc42,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8054377472UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[534] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e3e2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8054385664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[535] = {
	.class_hid = BNXT_ULP_CLASS_HID_eac2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8055426048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[536] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ee62,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8055434240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[537] = {
	.class_hid = BNXT_ULP_CLASS_HID_a8e2,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8056474624UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[538] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ec62,
	.class_tid = 2,
	.hdr_sig_id = 3,
	.flow_sig_id = 8056482816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_3_BITMASK_I_TCP_DST_PORT }
	},
	[539] = {
	.class_hid = BNXT_ULP_CLASS_HID_8ea0,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI }
	},
	[540] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e210,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI }
	},
	[541] = {
	.class_hid = BNXT_ULP_CLASS_HID_d1b0,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC }
	},
	[542] = {
	.class_hid = BNXT_ULP_CLASS_HID_108c08,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC }
	},
	[543] = {
	.class_hid = BNXT_ULP_CLASS_HID_bc28,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC }
	},
	[544] = {
	.class_hid = BNXT_ULP_CLASS_HID_109798,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC }
	},
	[545] = {
	.class_hid = BNXT_ULP_CLASS_HID_de20,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC }
	},
	[546] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d190,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC }
	},
	[547] = {
	.class_hid = BNXT_ULP_CLASS_HID_b90c,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[548] = {
	.class_hid = BNXT_ULP_CLASS_HID_108d7c,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[549] = {
	.class_hid = BNXT_ULP_CLASS_HID_cb04,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[550] = {
	.class_hid = BNXT_ULP_CLASS_HID_10df74,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[551] = {
	.class_hid = BNXT_ULP_CLASS_HID_b67c,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[552] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b9ec,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[553] = {
	.class_hid = BNXT_ULP_CLASS_HID_d88c,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[554] = {
	.class_hid = BNXT_ULP_CLASS_HID_10dcfc,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR }
	},
	[555] = {
	.class_hid = BNXT_ULP_CLASS_HID_fce2,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[556] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d052,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[557] = {
	.class_hid = BNXT_ULP_CLASS_HID_8eda,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[558] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c24a,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[559] = {
	.class_hid = BNXT_ULP_CLASS_HID_f952,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[560] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fcc2,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[561] = {
	.class_hid = BNXT_ULP_CLASS_HID_9b4a,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[562] = {
	.class_hid = BNXT_ULP_CLASS_HID_109eba,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[563] = {
	.class_hid = BNXT_ULP_CLASS_HID_f636,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[564] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c9a6,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[565] = {
	.class_hid = BNXT_ULP_CLASS_HID_802e,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[566] = {
	.class_hid = BNXT_ULP_CLASS_HID_109b9e,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[567] = {
	.class_hid = BNXT_ULP_CLASS_HID_9bbe,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[568] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ff2e,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[569] = {
	.class_hid = BNXT_ULP_CLASS_HID_95b6,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[570] = {
	.class_hid = BNXT_ULP_CLASS_HID_109926,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR }
	},
	[571] = {
	.class_hid = BNXT_ULP_CLASS_HID_a5c1,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8590199808UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[572] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b931,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8590208000UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[573] = {
	.class_hid = BNXT_ULP_CLASS_HID_d7b9,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8591248384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[574] = {
	.class_hid = BNXT_ULP_CLASS_HID_10cb29,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8591256576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[575] = {
	.class_hid = BNXT_ULP_CLASS_HID_db49,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8592296960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[576] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b5a1,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8592305152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[577] = {
	.class_hid = BNXT_ULP_CLASS_HID_9541,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8593345536UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[578] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d8b1,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 8593353728UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[579] = {
	.class_hid = BNXT_ULP_CLASS_HID_d02d,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10737683456UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[580] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b285,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10737691648UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[581] = {
	.class_hid = BNXT_ULP_CLASS_HID_c225,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10738732032UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[582] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d595,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10738740224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[583] = {
	.class_hid = BNXT_ULP_CLASS_HID_fc9d,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10739780608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[584] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d00d,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10739788800UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[585] = {
	.class_hid = BNXT_ULP_CLASS_HID_9e95,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10740829184UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[586] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d205,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 10740837376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[587] = {
	.class_hid = BNXT_ULP_CLASS_HID_e2eb,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12885167104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[588] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f65b,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12885175296UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[589] = {
	.class_hid = BNXT_ULP_CLASS_HID_8ce3,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12886215680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[590] = {
	.class_hid = BNXT_ULP_CLASS_HID_108053,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12886223872UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[591] = {
	.class_hid = BNXT_ULP_CLASS_HID_9073,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12887264256UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[592] = {
	.class_hid = BNXT_ULP_CLASS_HID_109be3,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12887272448UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[593] = {
	.class_hid = BNXT_ULP_CLASS_HID_d26b,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12888312832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[594] = {
	.class_hid = BNXT_ULP_CLASS_HID_1095db,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 12888321024UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[595] = {
	.class_hid = BNXT_ULP_CLASS_HID_8d57,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15032650752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[596] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e0c7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15032658944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[597] = {
	.class_hid = BNXT_ULP_CLASS_HID_df4f,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15033699328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[598] = {
	.class_hid = BNXT_ULP_CLASS_HID_1092bf,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15033707520UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[599] = {
	.class_hid = BNXT_ULP_CLASS_HID_b9c7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15034747904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[600] = {
	.class_hid = BNXT_ULP_CLASS_HID_109d37,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15034756096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[601] = {
	.class_hid = BNXT_ULP_CLASS_HID_dcd7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15035796480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[602] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d047,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 15035804672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT }
	},
	[603] = {
	.class_hid = BNXT_ULP_CLASS_HID_fa30,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17180134400UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[604] = {
	.class_hid = BNXT_ULP_CLASS_HID_10cda0,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17180142592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[605] = {
	.class_hid = BNXT_ULP_CLASS_HID_8428,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17181182976UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[606] = {
	.class_hid = BNXT_ULP_CLASS_HID_109f98,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17181191168UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[607] = {
	.class_hid = BNXT_ULP_CLASS_HID_9fb8,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17182231552UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[608] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f328,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17182239744UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[609] = {
	.class_hid = BNXT_ULP_CLASS_HID_99b0,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17183280128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[610] = {
	.class_hid = BNXT_ULP_CLASS_HID_109d20,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 17183288320UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[611] = {
	.class_hid = BNXT_ULP_CLASS_HID_e49c,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19327618048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[612] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f80c,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19327626240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[613] = {
	.class_hid = BNXT_ULP_CLASS_HID_9694,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19328666624UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[614] = {
	.class_hid = BNXT_ULP_CLASS_HID_108a04,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19328674816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[615] = {
	.class_hid = BNXT_ULP_CLASS_HID_910c,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19329715200UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[616] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f57c,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19329723392UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[617] = {
	.class_hid = BNXT_ULP_CLASS_HID_9304,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19330763776UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[618] = {
	.class_hid = BNXT_ULP_CLASS_HID_109774,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 19330771968UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[619] = {
	.class_hid = BNXT_ULP_CLASS_HID_b75a,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21475101696UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[620] = {
	.class_hid = BNXT_ULP_CLASS_HID_108aca,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21475109888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[621] = {
	.class_hid = BNXT_ULP_CLASS_HID_da6a,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21476150272UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[622] = {
	.class_hid = BNXT_ULP_CLASS_HID_10cdda,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21476158464UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[623] = {
	.class_hid = BNXT_ULP_CLASS_HID_d4e2,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21477198848UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[624] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b852,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21477207040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[625] = {
	.class_hid = BNXT_ULP_CLASS_HID_d6da,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21478247424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[626] = {
	.class_hid = BNXT_ULP_CLASS_HID_10da4a,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 21478255616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[627] = {
	.class_hid = BNXT_ULP_CLASS_HID_a1c6,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23622585344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[628] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b536,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23622593536UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[629] = {
	.class_hid = BNXT_ULP_CLASS_HID_d3be,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23623633920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[630] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c72e,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23623642112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[631] = {
	.class_hid = BNXT_ULP_CLASS_HID_d74e,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23624682496UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[632] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b1a6,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23624690688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[633] = {
	.class_hid = BNXT_ULP_CLASS_HID_9146,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23625731072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[634] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d4b6,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 23625739264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[635] = {
	.class_hid = BNXT_ULP_CLASS_HID_9151,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25770068992UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[636] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e4c1,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25770077184UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[637] = {
	.class_hid = BNXT_ULP_CLASS_HID_8349,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25771117568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[638] = {
	.class_hid = BNXT_ULP_CLASS_HID_1096b9,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25771125760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[639] = {
	.class_hid = BNXT_ULP_CLASS_HID_bdc1,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25772166144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[640] = {
	.class_hid = BNXT_ULP_CLASS_HID_109131,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25772174336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[641] = {
	.class_hid = BNXT_ULP_CLASS_HID_d0d1,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25773214720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[642] = {
	.class_hid = BNXT_ULP_CLASS_HID_109329,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 25773222912UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[643] = {
	.class_hid = BNXT_ULP_CLASS_HID_8aa5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27917552640UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[644] = {
	.class_hid = BNXT_ULP_CLASS_HID_109e15,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27917560832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[645] = {
	.class_hid = BNXT_ULP_CLASS_HID_cdb5,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27918601216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[646] = {
	.class_hid = BNXT_ULP_CLASS_HID_10880d,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27918609408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[647] = {
	.class_hid = BNXT_ULP_CLASS_HID_b82d,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27919649792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[648] = {
	.class_hid = BNXT_ULP_CLASS_HID_10939d,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27919657984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[649] = {
	.class_hid = BNXT_ULP_CLASS_HID_da25,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27920698368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[650] = {
	.class_hid = BNXT_ULP_CLASS_HID_10dd95,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 27920706560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[651] = {
	.class_hid = BNXT_ULP_CLASS_HID_ce7b,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30065036288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[652] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a1eb,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30065044480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[653] = {
	.class_hid = BNXT_ULP_CLASS_HID_9873,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30066084864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[654] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d3e3,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30066093056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[655] = {
	.class_hid = BNXT_ULP_CLASS_HID_f303,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30067133440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[656] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d773,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30067141632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[657] = {
	.class_hid = BNXT_ULP_CLASS_HID_9dfb,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30068182016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[658] = {
	.class_hid = BNXT_ULP_CLASS_HID_10916b,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 30068190208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[659] = {
	.class_hid = BNXT_ULP_CLASS_HID_f8e7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32212519936UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[660] = {
	.class_hid = BNXT_ULP_CLASS_HID_10cc57,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32212528128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[661] = {
	.class_hid = BNXT_ULP_CLASS_HID_8adf,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32213568512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[662] = {
	.class_hid = BNXT_ULP_CLASS_HID_109e4f,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32213576704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[663] = {
	.class_hid = BNXT_ULP_CLASS_HID_f557,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32214617088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[664] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f8c7,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32214625280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[665] = {
	.class_hid = BNXT_ULP_CLASS_HID_974f,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32215665664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[666] = {
	.class_hid = BNXT_ULP_CLASS_HID_109abf,
	.class_tid = 2,
	.hdr_sig_id = 4,
	.flow_sig_id = 32215673856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_4_BITMASK_I_TCP_DST_PORT }
	},
	[667] = {
	.class_hid = BNXT_ULP_CLASS_HID_baae,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI }
	},
	[668] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d61e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI }
	},
	[669] = {
	.class_hid = BNXT_ULP_CLASS_HID_e5be,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC }
	},
	[670] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b806,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC }
	},
	[671] = {
	.class_hid = BNXT_ULP_CLASS_HID_8826,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC }
	},
	[672] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a396,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC }
	},
	[673] = {
	.class_hid = BNXT_ULP_CLASS_HID_ea2e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC }
	},
	[674] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e59e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC }
	},
	[675] = {
	.class_hid = BNXT_ULP_CLASS_HID_fc36,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 537136128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[676] = {
	.class_hid = BNXT_ULP_CLASS_HID_109e9e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 537144320UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[677] = {
	.class_hid = BNXT_ULP_CLASS_HID_ae3e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 538184704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[678] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f99e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 538192896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[679] = {
	.class_hid = BNXT_ULP_CLASS_HID_c096,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 539233280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[680] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ec16,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 539241472UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[681] = {
	.class_hid = BNXT_ULP_CLASS_HID_a29e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 540281856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[682] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ae1e,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 540290048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR }
	},
	[683] = {
	.class_hid = BNXT_ULP_CLASS_HID_8756,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1074007040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[684] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b2c6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1074015232UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[685] = {
	.class_hid = BNXT_ULP_CLASS_HID_e266,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1075055616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[686] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fdd6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1075063808UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[687] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4e6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1076104192UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[688] = {
	.class_hid = BNXT_ULP_CLASS_HID_108056,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1076112384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[689] = {
	.class_hid = BNXT_ULP_CLASS_HID_e6d6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1077152768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[690] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e246,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1077160960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[691] = {
	.class_hid = BNXT_ULP_CLASS_HID_d8f6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1610877952UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[692] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f456,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1610886144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[693] = {
	.class_hid = BNXT_ULP_CLASS_HID_aad6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1611926528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[694] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a656,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1611934720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[695] = {
	.class_hid = BNXT_ULP_CLASS_HID_ad56,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1612975104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[696] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c8d6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1612983296UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[697] = {
	.class_hid = BNXT_ULP_CLASS_HID_af56,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1614023680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[698] = {
	.class_hid = BNXT_ULP_CLASS_HID_10aab6,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 1614031872UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR }
	},
	[699] = {
	.class_hid = BNXT_ULP_CLASS_HID_8d02,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[700] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b972,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[701] = {
	.class_hid = BNXT_ULP_CLASS_HID_ff0a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[702] = {
	.class_hid = BNXT_ULP_CLASS_HID_10eb7a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[703] = {
	.class_hid = BNXT_ULP_CLASS_HID_8272,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[704] = {
	.class_hid = BNXT_ULP_CLASS_HID_108de2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[705] = {
	.class_hid = BNXT_ULP_CLASS_HID_ec82,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[706] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e8f2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[707] = {
	.class_hid = BNXT_ULP_CLASS_HID_f672,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2684619776UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[708] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e1f2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2684627968UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[709] = {
	.class_hid = BNXT_ULP_CLASS_HID_b87a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2685668352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[710] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f3fa,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2685676544UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[711] = {
	.class_hid = BNXT_ULP_CLASS_HID_c31a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2686716928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[712] = {
	.class_hid = BNXT_ULP_CLASS_HID_10cf7a,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2686725120UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[713] = {
	.class_hid = BNXT_ULP_CLASS_HID_a5f2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2687765504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[714] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a172,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 2687773696UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[715] = {
	.class_hid = BNXT_ULP_CLASS_HID_e9c2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3221490688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[716] = {
	.class_hid = BNXT_ULP_CLASS_HID_108532,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3221498880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[717] = {
	.class_hid = BNXT_ULP_CLASS_HID_fbb2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3222539264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[718] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f722,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3222547456UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[719] = {
	.class_hid = BNXT_ULP_CLASS_HID_e742,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3223587840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[720] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e2b2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3223596032UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[721] = {
	.class_hid = BNXT_ULP_CLASS_HID_a942,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3224636416UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[722] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e4b2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3224644608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[723] = {
	.class_hid = BNXT_ULP_CLASS_HID_d232,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3758361600UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[724] = {
	.class_hid = BNXT_ULP_CLASS_HID_10cdb2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3758369792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[725] = {
	.class_hid = BNXT_ULP_CLASS_HID_a432,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3759410176UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[726] = {
	.class_hid = BNXT_ULP_CLASS_HID_10bf92,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3759418368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[727] = {
	.class_hid = BNXT_ULP_CLASS_HID_afb2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3760458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[728] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ab32,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3760466944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[729] = {
	.class_hid = BNXT_ULP_CLASS_HID_e1b2,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3761507328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[730] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ad32,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 3761515520UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT }
	},
	[731] = {
	.class_hid = BNXT_ULP_CLASS_HID_c8ec,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[732] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e45c,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[733] = {
	.class_hid = BNXT_ULP_CLASS_HID_bad4,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[734] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f644,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[735] = {
	.class_hid = BNXT_ULP_CLASS_HID_cd5c,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[736] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c8cc,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[737] = {
	.class_hid = BNXT_ULP_CLASS_HID_af44,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[738] = {
	.class_hid = BNXT_ULP_CLASS_HID_10aab4,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[739] = {
	.class_hid = BNXT_ULP_CLASS_HID_b15c,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4832103424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[740] = {
	.class_hid = BNXT_ULP_CLASS_HID_10acdc,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4832111616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[741] = {
	.class_hid = BNXT_ULP_CLASS_HID_e354,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4833152000UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[742] = {
	.class_hid = BNXT_ULP_CLASS_HID_10beb4,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4833160192UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[743] = {
	.class_hid = BNXT_ULP_CLASS_HID_85dc,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4834200576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[744] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a13c,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4834208768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[745] = {
	.class_hid = BNXT_ULP_CLASS_HID_e0dc,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4835249152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[746] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ec5c,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 4835257344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[747] = {
	.class_hid = BNXT_ULP_CLASS_HID_d494,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5368974336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[748] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c004,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5368982528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[749] = {
	.class_hid = BNXT_ULP_CLASS_HID_a694,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5370022912UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[750] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b204,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5370031104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[751] = {
	.class_hid = BNXT_ULP_CLASS_HID_a904,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5371071488UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[752] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c574,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5371079680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[753] = {
	.class_hid = BNXT_ULP_CLASS_HID_e414,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5372120064UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[754] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a774,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5372128256UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[755] = {
	.class_hid = BNXT_ULP_CLASS_HID_9d14,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5905845248UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[756] = {
	.class_hid = BNXT_ULP_CLASS_HID_108974,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5905853440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[757] = {
	.class_hid = BNXT_ULP_CLASS_HID_ef14,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5906893824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[758] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fb74,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5906902016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[759] = {
	.class_hid = BNXT_ULP_CLASS_HID_ea94,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5907942400UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[760] = {
	.class_hid = BNXT_ULP_CLASS_HID_108df4,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5907950592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[761] = {
	.class_hid = BNXT_ULP_CLASS_HID_ac94,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5908990976UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[762] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e8f4,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 5908999168UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[763] = {
	.class_hid = BNXT_ULP_CLASS_HID_c238,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[764] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fda8,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[765] = {
	.class_hid = BNXT_ULP_CLASS_HID_b420,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[766] = {
	.class_hid = BNXT_ULP_CLASS_HID_10af90,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[767] = {
	.class_hid = BNXT_ULP_CLASS_HID_afb0,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[768] = {
	.class_hid = BNXT_ULP_CLASS_HID_10cb20,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[769] = {
	.class_hid = BNXT_ULP_CLASS_HID_a1b8,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[770] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ad28,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[771] = {
	.class_hid = BNXT_ULP_CLASS_HID_8ab8,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6979587072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[772] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a618,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6979595264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[773] = {
	.class_hid = BNXT_ULP_CLASS_HID_f5b8,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6980635648UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[774] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e138,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6980643840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[775] = {
	.class_hid = BNXT_ULP_CLASS_HID_e830,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6981684224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[776] = {
	.class_hid = BNXT_ULP_CLASS_HID_108390,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6981692416UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[777] = {
	.class_hid = BNXT_ULP_CLASS_HID_ea38,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6982732800UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[778] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e598,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 6982740992UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[779] = {
	.class_hid = BNXT_ULP_CLASS_HID_aee0,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7516457984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[780] = {
	.class_hid = BNXT_ULP_CLASS_HID_10da50,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7516466176UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[781] = {
	.class_hid = BNXT_ULP_CLASS_HID_b0e0,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7517506560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[782] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ac50,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7517514752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[783] = {
	.class_hid = BNXT_ULP_CLASS_HID_8c70,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7518555136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[784] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a7e0,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7518563328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[785] = {
	.class_hid = BNXT_ULP_CLASS_HID_ee60,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7519603712UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[786] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e9d0,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 7519611904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[787] = {
	.class_hid = BNXT_ULP_CLASS_HID_9750,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8053328896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[788] = {
	.class_hid = BNXT_ULP_CLASS_HID_1082d0,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8053337088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[789] = {
	.class_hid = BNXT_ULP_CLASS_HID_f270,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8054377472UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[790] = {
	.class_hid = BNXT_ULP_CLASS_HID_10edd0,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8054385664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[791] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4f0,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8055426048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[792] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e050,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8055434240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[793] = {
	.class_hid = BNXT_ULP_CLASS_HID_a6d0,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8056474624UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[794] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e250,
	.class_tid = 2,
	.hdr_sig_id = 5,
	.flow_sig_id = 8056482816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_5_BITMASK_I_UDP_DST_PORT }
	},
	[795] = {
	.class_hid = BNXT_ULP_CLASS_HID_8c72,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI }
	},
	[796] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e0c2,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI }
	},
	[797] = {
	.class_hid = BNXT_ULP_CLASS_HID_d362,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC }
	},
	[798] = {
	.class_hid = BNXT_ULP_CLASS_HID_108eda,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC }
	},
	[799] = {
	.class_hid = BNXT_ULP_CLASS_HID_befa,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC }
	},
	[800] = {
	.class_hid = BNXT_ULP_CLASS_HID_10954a,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC }
	},
	[801] = {
	.class_hid = BNXT_ULP_CLASS_HID_dcf2,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC }
	},
	[802] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d342,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC }
	},
	[803] = {
	.class_hid = BNXT_ULP_CLASS_HID_bbde,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[804] = {
	.class_hid = BNXT_ULP_CLASS_HID_108fae,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[805] = {
	.class_hid = BNXT_ULP_CLASS_HID_c9d6,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[806] = {
	.class_hid = BNXT_ULP_CLASS_HID_10dda6,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[807] = {
	.class_hid = BNXT_ULP_CLASS_HID_b4ae,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[808] = {
	.class_hid = BNXT_ULP_CLASS_HID_10bb3e,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[809] = {
	.class_hid = BNXT_ULP_CLASS_HID_da5e,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[810] = {
	.class_hid = BNXT_ULP_CLASS_HID_10de2e,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR }
	},
	[811] = {
	.class_hid = BNXT_ULP_CLASS_HID_fe30,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[812] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d280,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[813] = {
	.class_hid = BNXT_ULP_CLASS_HID_8c08,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[814] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c098,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[815] = {
	.class_hid = BNXT_ULP_CLASS_HID_fb80,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[816] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fe10,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[817] = {
	.class_hid = BNXT_ULP_CLASS_HID_9998,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[818] = {
	.class_hid = BNXT_ULP_CLASS_HID_109c68,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[819] = {
	.class_hid = BNXT_ULP_CLASS_HID_f4e4,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[820] = {
	.class_hid = BNXT_ULP_CLASS_HID_10cb74,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[821] = {
	.class_hid = BNXT_ULP_CLASS_HID_82fc,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[822] = {
	.class_hid = BNXT_ULP_CLASS_HID_10994c,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[823] = {
	.class_hid = BNXT_ULP_CLASS_HID_996c,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[824] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fdfc,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[825] = {
	.class_hid = BNXT_ULP_CLASS_HID_9764,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[826] = {
	.class_hid = BNXT_ULP_CLASS_HID_109bf4,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR }
	},
	[827] = {
	.class_hid = BNXT_ULP_CLASS_HID_a713,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8590199808UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[828] = {
	.class_hid = BNXT_ULP_CLASS_HID_10bbe3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8590208000UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[829] = {
	.class_hid = BNXT_ULP_CLASS_HID_d56b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8591248384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[830] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c9fb,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8591256576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[831] = {
	.class_hid = BNXT_ULP_CLASS_HID_d99b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8592296960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[832] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b773,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8592305152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[833] = {
	.class_hid = BNXT_ULP_CLASS_HID_9793,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8593345536UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[834] = {
	.class_hid = BNXT_ULP_CLASS_HID_10da63,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 8593353728UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[835] = {
	.class_hid = BNXT_ULP_CLASS_HID_d2ff,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10737683456UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[836] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b057,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10737691648UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[837] = {
	.class_hid = BNXT_ULP_CLASS_HID_c0f7,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10738732032UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[838] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d747,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10738740224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[839] = {
	.class_hid = BNXT_ULP_CLASS_HID_fe4f,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10739780608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[840] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d2df,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10739788800UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[841] = {
	.class_hid = BNXT_ULP_CLASS_HID_9c47,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10740829184UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[842] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d0d7,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 10740837376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[843] = {
	.class_hid = BNXT_ULP_CLASS_HID_e039,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12885167104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[844] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f489,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12885175296UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[845] = {
	.class_hid = BNXT_ULP_CLASS_HID_8e31,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12886215680UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[846] = {
	.class_hid = BNXT_ULP_CLASS_HID_108281,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12886223872UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[847] = {
	.class_hid = BNXT_ULP_CLASS_HID_92a1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12887264256UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[848] = {
	.class_hid = BNXT_ULP_CLASS_HID_109931,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12887272448UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[849] = {
	.class_hid = BNXT_ULP_CLASS_HID_d0b9,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12888312832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[850] = {
	.class_hid = BNXT_ULP_CLASS_HID_109709,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 12888321024UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[851] = {
	.class_hid = BNXT_ULP_CLASS_HID_8f85,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15032650752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[852] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e215,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15032658944UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[853] = {
	.class_hid = BNXT_ULP_CLASS_HID_dd9d,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15033699328UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[854] = {
	.class_hid = BNXT_ULP_CLASS_HID_10906d,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15033707520UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[855] = {
	.class_hid = BNXT_ULP_CLASS_HID_bb15,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15034747904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[856] = {
	.class_hid = BNXT_ULP_CLASS_HID_109fe5,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15034756096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[857] = {
	.class_hid = BNXT_ULP_CLASS_HID_de05,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15035796480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[858] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d295,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 15035804672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT }
	},
	[859] = {
	.class_hid = BNXT_ULP_CLASS_HID_f8e2,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17180134400UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[860] = {
	.class_hid = BNXT_ULP_CLASS_HID_10cf72,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17180142592UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[861] = {
	.class_hid = BNXT_ULP_CLASS_HID_86fa,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17181182976UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[862] = {
	.class_hid = BNXT_ULP_CLASS_HID_109d4a,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17181191168UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[863] = {
	.class_hid = BNXT_ULP_CLASS_HID_9d6a,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17182231552UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[864] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f1fa,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17182239744UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[865] = {
	.class_hid = BNXT_ULP_CLASS_HID_9b62,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17183280128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[866] = {
	.class_hid = BNXT_ULP_CLASS_HID_109ff2,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 17183288320UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[867] = {
	.class_hid = BNXT_ULP_CLASS_HID_e64e,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19327618048UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[868] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fade,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19327626240UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[869] = {
	.class_hid = BNXT_ULP_CLASS_HID_9446,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19328666624UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[870] = {
	.class_hid = BNXT_ULP_CLASS_HID_1088d6,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19328674816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[871] = {
	.class_hid = BNXT_ULP_CLASS_HID_93de,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19329715200UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[872] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f7ae,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19329723392UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[873] = {
	.class_hid = BNXT_ULP_CLASS_HID_91d6,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19330763776UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[874] = {
	.class_hid = BNXT_ULP_CLASS_HID_1095a6,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 19330771968UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[875] = {
	.class_hid = BNXT_ULP_CLASS_HID_b588,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21475101696UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[876] = {
	.class_hid = BNXT_ULP_CLASS_HID_108818,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21475109888UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[877] = {
	.class_hid = BNXT_ULP_CLASS_HID_d8b8,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21476150272UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[878] = {
	.class_hid = BNXT_ULP_CLASS_HID_10cf08,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21476158464UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[879] = {
	.class_hid = BNXT_ULP_CLASS_HID_d630,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21477198848UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[880] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ba80,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21477207040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[881] = {
	.class_hid = BNXT_ULP_CLASS_HID_d408,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21478247424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[882] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d898,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 21478255616UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[883] = {
	.class_hid = BNXT_ULP_CLASS_HID_a314,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23622585344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[884] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b7e4,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23622593536UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[885] = {
	.class_hid = BNXT_ULP_CLASS_HID_d16c,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23623633920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[886] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c5fc,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23623642112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[887] = {
	.class_hid = BNXT_ULP_CLASS_HID_d59c,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23624682496UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[888] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b374,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23624690688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[889] = {
	.class_hid = BNXT_ULP_CLASS_HID_9394,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23625731072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[890] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d664,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 23625739264UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[891] = {
	.class_hid = BNXT_ULP_CLASS_HID_9383,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25770068992UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[892] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e613,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25770077184UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[893] = {
	.class_hid = BNXT_ULP_CLASS_HID_819b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25771117568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[894] = {
	.class_hid = BNXT_ULP_CLASS_HID_10946b,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25771125760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[895] = {
	.class_hid = BNXT_ULP_CLASS_HID_bf13,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25772166144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[896] = {
	.class_hid = BNXT_ULP_CLASS_HID_1093e3,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25772174336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[897] = {
	.class_hid = BNXT_ULP_CLASS_HID_d203,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25773214720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[898] = {
	.class_hid = BNXT_ULP_CLASS_HID_1091fb,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 25773222912UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[899] = {
	.class_hid = BNXT_ULP_CLASS_HID_8877,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27917552640UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[900] = {
	.class_hid = BNXT_ULP_CLASS_HID_109cc7,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27917560832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[901] = {
	.class_hid = BNXT_ULP_CLASS_HID_cf67,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27918601216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[902] = {
	.class_hid = BNXT_ULP_CLASS_HID_108adf,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27918609408UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[903] = {
	.class_hid = BNXT_ULP_CLASS_HID_baff,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27919649792UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[904] = {
	.class_hid = BNXT_ULP_CLASS_HID_10914f,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27919657984UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[905] = {
	.class_hid = BNXT_ULP_CLASS_HID_d8f7,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27920698368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[906] = {
	.class_hid = BNXT_ULP_CLASS_HID_10df47,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 27920706560UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[907] = {
	.class_hid = BNXT_ULP_CLASS_HID_cca9,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30065036288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[908] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a339,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30065044480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[909] = {
	.class_hid = BNXT_ULP_CLASS_HID_9aa1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30066084864UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[910] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d131,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30066093056UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[911] = {
	.class_hid = BNXT_ULP_CLASS_HID_f1d1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30067133440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[912] = {
	.class_hid = BNXT_ULP_CLASS_HID_10d5a1,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30067141632UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[913] = {
	.class_hid = BNXT_ULP_CLASS_HID_9f29,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30068182016UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[914] = {
	.class_hid = BNXT_ULP_CLASS_HID_1093b9,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 30068190208UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[915] = {
	.class_hid = BNXT_ULP_CLASS_HID_fa35,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32212519936UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[916] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ce85,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32212528128UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[917] = {
	.class_hid = BNXT_ULP_CLASS_HID_880d,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32213568512UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[918] = {
	.class_hid = BNXT_ULP_CLASS_HID_109c9d,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32213576704UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[919] = {
	.class_hid = BNXT_ULP_CLASS_HID_f785,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32214617088UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[920] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fa15,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32214625280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[921] = {
	.class_hid = BNXT_ULP_CLASS_HID_959d,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32215665664UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[922] = {
	.class_hid = BNXT_ULP_CLASS_HID_10986d,
	.class_tid = 2,
	.hdr_sig_id = 6,
	.flow_sig_id = 32215673856UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_6_BITMASK_I_UDP_DST_PORT }
	},
	[923] = {
	.class_hid = BNXT_ULP_CLASS_HID_b1d6,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 265216UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI }
	},
	[924] = {
	.class_hid = BNXT_ULP_CLASS_HID_10dd66,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 273408UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI }
	},
	[925] = {
	.class_hid = BNXT_ULP_CLASS_HID_eec6,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 1313792UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC }
	},
	[926] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b37e,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 1321984UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC }
	},
	[927] = {
	.class_hid = BNXT_ULP_CLASS_HID_835e,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2362368UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC }
	},
	[928] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a8ee,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2370560UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC }
	},
	[929] = {
	.class_hid = BNXT_ULP_CLASS_HID_e156,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 3410944UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC }
	},
	[930] = {
	.class_hid = BNXT_ULP_CLASS_HID_10eee6,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 3419136UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC }
	},
	[931] = {
	.class_hid = BNXT_ULP_CLASS_HID_867a,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2147748864UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[932] = {
	.class_hid = BNXT_ULP_CLASS_HID_10b20a,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2147757056UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[933] = {
	.class_hid = BNXT_ULP_CLASS_HID_f472,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2148797440UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[934] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e002,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2148805632UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[935] = {
	.class_hid = BNXT_ULP_CLASS_HID_890a,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2149846016UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[936] = {
	.class_hid = BNXT_ULP_CLASS_HID_10869a,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2149854208UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[937] = {
	.class_hid = BNXT_ULP_CLASS_HID_e7fa,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2150894592UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[938] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e38a,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 2150902784UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR }
	},
	[939] = {
	.class_hid = BNXT_ULP_CLASS_HID_c394,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4295232512UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[940] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ef24,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4295240704UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[941] = {
	.class_hid = BNXT_ULP_CLASS_HID_b1ac,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4296281088UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[942] = {
	.class_hid = BNXT_ULP_CLASS_HID_10fd3c,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4296289280UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[943] = {
	.class_hid = BNXT_ULP_CLASS_HID_c624,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4297329664UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[944] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c3b4,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4297337856UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[945] = {
	.class_hid = BNXT_ULP_CLASS_HID_a43c,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4298378240UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[946] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a1cc,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 4298386432UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[947] = {
	.class_hid = BNXT_ULP_CLASS_HID_c940,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6442716160UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[948] = {
	.class_hid = BNXT_ULP_CLASS_HID_10f6d0,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6442724352UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[949] = {
	.class_hid = BNXT_ULP_CLASS_HID_bf58,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6443764736UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[950] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a4e8,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6443772928UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[951] = {
	.class_hid = BNXT_ULP_CLASS_HID_a4c8,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6444813312UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[952] = {
	.class_hid = BNXT_ULP_CLASS_HID_10c058,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6444821504UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[953] = {
	.class_hid = BNXT_ULP_CLASS_HID_aac0,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6445861888UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[954] = {
	.class_hid = BNXT_ULP_CLASS_HID_10a650,
	.class_tid = 2,
	.hdr_sig_id = 7,
	.flow_sig_id = 6445870080UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_7_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_7_BITMASK_I_IPV4_DST_ADDR }
	},
	[955] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e9b4,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 2121728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI }
	},
	[956] = {
	.class_hid = BNXT_ULP_CLASS_HID_188c8c,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 2121736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI }
	},
	[957] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aaccc,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 2187264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI }
	},
	[958] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a47c4,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 2187272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI }
	},
	[959] = {
	.class_hid = BNXT_ULP_CLASS_HID_184e44,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 10510336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC }
	},
	[960] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e624,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 10510344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC }
	},
	[961] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0d9c,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 10575872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC }
	},
	[962] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aad7c,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 10575880UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC }
	},
	[963] = {
	.class_hid = BNXT_ULP_CLASS_HID_1889ec,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 18898944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC }
	},
	[964] = {
	.class_hid = BNXT_ULP_CLASS_HID_184ce4,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 18898952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC }
	},
	[965] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4d24,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 18964480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC }
	},
	[966] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a003c,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 18964488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC }
	},
	[967] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e584,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 27287552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC }
	},
	[968] = {
	.class_hid = BNXT_ULP_CLASS_HID_18849c,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 27287560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC }
	},
	[969] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa4dc,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 27353088UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC }
	},
	[970] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6dd4,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 27353096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC }
	},
	[971] = {
	.class_hid = BNXT_ULP_CLASS_HID_18866e,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4297089024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[972] = {
	.class_hid = BNXT_ULP_CLASS_HID_184966,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4297089032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[973] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a69a6,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4297154560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[974] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0cbe,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4297154568UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[975] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ec06,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4305477632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[976] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a71e,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4305477640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[977] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa75e,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4305543168UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[978] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6656,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4305543176UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[979] = {
	.class_hid = BNXT_ULP_CLASS_HID_1844c6,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4313866240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[980] = {
	.class_hid = BNXT_ULP_CLASS_HID_1809de,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4313866248UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[981] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a081e,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4313931776UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[982] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa5fe,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4313931784UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[983] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ac7e,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4322254848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[984] = {
	.class_hid = BNXT_ULP_CLASS_HID_184576,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4322254856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[985] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a65b6,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4322320384UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[986] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a048e,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 4322320392UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR }
	},
	[987] = {
	.class_hid = BNXT_ULP_CLASS_HID_184f8d,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8592056320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[988] = {
	.class_hid = BNXT_ULP_CLASS_HID_18eb6d,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8592056328UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[989] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a02c5,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8592121856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[990] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aaea5,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8592121864UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[991] = {
	.class_hid = BNXT_ULP_CLASS_HID_188525,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8600444928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[992] = {
	.class_hid = BNXT_ULP_CLASS_HID_18443d,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8600444936UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[993] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a447d,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8600510464UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[994] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0f75,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8600510472UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[995] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e0cd,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8608833536UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[996] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a9c5,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8608833544UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[997] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa405,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8608899072UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[998] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6d1d,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8608899080UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[999] = {
	.class_hid = BNXT_ULP_CLASS_HID_18459d,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8617222144UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1000] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ed7d,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8617222152UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1001] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a04d5,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8617287680UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1002] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa4b5,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 8617287688UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1003] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ed4f,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12887023616UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1004] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a047,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12887023624UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1005] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa087,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12887089152UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1006] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6b9f,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12887089160UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1007] = {
	.class_hid = BNXT_ULP_CLASS_HID_184e1f,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12895412224UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1008] = {
	.class_hid = BNXT_ULP_CLASS_HID_180517,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12895412232UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1009] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0557,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12895477760UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1010] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acd37,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12895477768UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1011] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ada7,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12903800832UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1012] = {
	.class_hid = BNXT_ULP_CLASS_HID_1840bf,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12903800840UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1013] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a60ff,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12903866368UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1014] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a29f7,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12903866376UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1015] = {
	.class_hid = BNXT_ULP_CLASS_HID_180c77,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12912189440UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1016] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ac57,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12912189448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1017] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acc97,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12912254976UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1018] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6d6f,
	.class_tid = 2,
	.hdr_sig_id = 8,
	.flow_sig_id = 12912254984UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_8_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_8_BITMASK_I_IPV6_DST_ADDR }
	},
	[1019] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f296,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 2121728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI }
	},
	[1020] = {
	.class_hid = BNXT_ULP_CLASS_HID_1897ae,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 2121736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI }
	},
	[1021] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab7ee,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 2187264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI }
	},
	[1022] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5ce6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 2187272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI }
	},
	[1023] = {
	.class_hid = BNXT_ULP_CLASS_HID_185566,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 10510336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC }
	},
	[1024] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fd06,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 10510344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC }
	},
	[1025] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a16be,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 10575872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC }
	},
	[1026] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab65e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 10575880UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC }
	},
	[1027] = {
	.class_hid = BNXT_ULP_CLASS_HID_1892ce,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 18898944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC }
	},
	[1028] = {
	.class_hid = BNXT_ULP_CLASS_HID_1857c6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 18898952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC }
	},
	[1029] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5606,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 18964480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC }
	},
	[1030] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1b1e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 18964488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC }
	},
	[1031] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fea6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 27287552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC }
	},
	[1032] = {
	.class_hid = BNXT_ULP_CLASS_HID_189fbe,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 27287560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC }
	},
	[1033] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abffe,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 27353088UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC }
	},
	[1034] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a76f6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 27353096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC }
	},
	[1035] = {
	.class_hid = BNXT_ULP_CLASS_HID_18171e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17181990912UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1036] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d33e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17181990920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1037] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad37e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17182056448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1038] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9876,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17182056456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1039] = {
	.class_hid = BNXT_ULP_CLASS_HID_187ef6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17190379520UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1040] = {
	.class_hid = BNXT_ULP_CLASS_HID_18378e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17190379528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1041] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a37ce,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17190445056UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1042] = {
	.class_hid = BNXT_ULP_CLASS_HID_1adfee,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17190445064UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1043] = {
	.class_hid = BNXT_ULP_CLASS_HID_18be5e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17198768128UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1044] = {
	.class_hid = BNXT_ULP_CLASS_HID_187356,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17198768136UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1045] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9396,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17198833664UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1046] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3aae,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17198833672UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1047] = {
	.class_hid = BNXT_ULP_CLASS_HID_181f2e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17207156736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1048] = {
	.class_hid = BNXT_ULP_CLASS_HID_18dece,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17207156744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1049] = {
	.class_hid = BNXT_ULP_CLASS_HID_1adf0e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17207222272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1050] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9e06,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 17207222280UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1051] = {
	.class_hid = BNXT_ULP_CLASS_HID_181146,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34361860096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1052] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bd66,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34361860104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1053] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abda6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34361925632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1054] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a72be,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34361925640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1055] = {
	.class_hid = BNXT_ULP_CLASS_HID_18573e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34370248704UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1056] = {
	.class_hid = BNXT_ULP_CLASS_HID_181c36,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34370248712UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1057] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1c76,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34370314240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1058] = {
	.class_hid = BNXT_ULP_CLASS_HID_1adc16,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34370314248UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1059] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ba86,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34378637312UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1060] = {
	.class_hid = BNXT_ULP_CLASS_HID_185f9e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34378637320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1061] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7fde,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34378702848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1062] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a32d6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34378702856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1063] = {
	.class_hid = BNXT_ULP_CLASS_HID_181756,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34387025920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1064] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b776,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34387025928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1065] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad7b6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34387091456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1066] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7e4e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 34387091464UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1067] = {
	.class_hid = BNXT_ULP_CLASS_HID_183ed6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51541729280UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1068] = {
	.class_hid = BNXT_ULP_CLASS_HID_18daf6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51541729288UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1069] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af936,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51541794816UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1070] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9fce,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51541794824UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1071] = {
	.class_hid = BNXT_ULP_CLASS_HID_18944e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51550117888UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1072] = {
	.class_hid = BNXT_ULP_CLASS_HID_183d46,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51550117896UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1073] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5d86,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51550183424UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1074] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af5a6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51550183432UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1075] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d616,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51558506496UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1076] = {
	.class_hid = BNXT_ULP_CLASS_HID_189b2e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51558506504UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1077] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9b6e,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51558572032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1078] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5e66,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51558572040UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1079] = {
	.class_hid = BNXT_ULP_CLASS_HID_1836e6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51566895104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1080] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f686,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51566895112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1081] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af6c6,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51566960640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1082] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab7de,
	.class_tid = 2,
	.hdr_sig_id = 9,
	.flow_sig_id = 51566960648UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_9_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_9_BITMASK_I_IPV4_DST_ADDR }
	},
	[1083] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ebe6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 2121728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI }
	},
	[1084] = {
	.class_hid = BNXT_ULP_CLASS_HID_188ede,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 2121736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI }
	},
	[1085] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aae9e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 2187264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI }
	},
	[1086] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4596,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 2187272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI }
	},
	[1087] = {
	.class_hid = BNXT_ULP_CLASS_HID_184c16,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 10510336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC }
	},
	[1088] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e476,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 10510344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC }
	},
	[1089] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0fce,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 10575872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC }
	},
	[1090] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aaf2e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 10575880UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC }
	},
	[1091] = {
	.class_hid = BNXT_ULP_CLASS_HID_188bbe,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 18898944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC }
	},
	[1092] = {
	.class_hid = BNXT_ULP_CLASS_HID_184eb6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 18898952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC }
	},
	[1093] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4f76,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 18964480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC }
	},
	[1094] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a026e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 18964488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC }
	},
	[1095] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e7d6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 27287552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC }
	},
	[1096] = {
	.class_hid = BNXT_ULP_CLASS_HID_1886ce,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 27287560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC }
	},
	[1097] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa68e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 27353088UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC }
	},
	[1098] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6f86,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 27353096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC }
	},
	[1099] = {
	.class_hid = BNXT_ULP_CLASS_HID_18843c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4297089024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1100] = {
	.class_hid = BNXT_ULP_CLASS_HID_184b34,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4297089032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1101] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6bf4,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4297154560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1102] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0eec,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4297154568UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1103] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ee54,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4305477632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1104] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a54c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4305477640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1105] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa50c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4305543168UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1106] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6404,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4305543176UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1107] = {
	.class_hid = BNXT_ULP_CLASS_HID_184694,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4313866240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1108] = {
	.class_hid = BNXT_ULP_CLASS_HID_180b8c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4313866248UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1109] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0a4c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4313931776UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1110] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa7ac,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4313931784UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1111] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ae2c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4322254848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1112] = {
	.class_hid = BNXT_ULP_CLASS_HID_184724,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4322254856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1113] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a67e4,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4322320384UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1114] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a06dc,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 4322320392UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1115] = {
	.class_hid = BNXT_ULP_CLASS_HID_184ddf,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8592056320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1116] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e93f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8592056328UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1117] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0097,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8592121856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1118] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aacf7,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8592121864UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1119] = {
	.class_hid = BNXT_ULP_CLASS_HID_188777,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8600444928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1120] = {
	.class_hid = BNXT_ULP_CLASS_HID_18466f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8600444936UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1121] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a462f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8600510464UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1122] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0d27,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8600510472UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1123] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e29f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8608833536UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1124] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ab97,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8608833544UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1125] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa657,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8608899072UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1126] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6f4f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8608899080UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1127] = {
	.class_hid = BNXT_ULP_CLASS_HID_1847cf,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8617222144UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1128] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ef2f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8617222152UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1129] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0687,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8617287680UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1130] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa6e7,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 8617287688UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1131] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ef1d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12887023616UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1132] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a215,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12887023624UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1133] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa2d5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12887089152UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1134] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a69cd,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12887089160UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1135] = {
	.class_hid = BNXT_ULP_CLASS_HID_184c4d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12895412224UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1136] = {
	.class_hid = BNXT_ULP_CLASS_HID_180745,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12895412232UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1137] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0705,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12895477760UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1138] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acf65,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12895477768UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1139] = {
	.class_hid = BNXT_ULP_CLASS_HID_18aff5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12903800832UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1140] = {
	.class_hid = BNXT_ULP_CLASS_HID_1842ed,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12903800840UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1141] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a62ad,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12903866368UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1142] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2ba5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12903866376UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1143] = {
	.class_hid = BNXT_ULP_CLASS_HID_180e25,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12912189440UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1144] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ae05,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12912189448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1145] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acec5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12912254976UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1146] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6f3d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 12912254984UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR }
	},
	[1147] = {
	.class_hid = BNXT_ULP_CLASS_HID_180e6e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17181990912UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1148] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ca4e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17181990920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1149] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aca0e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17182056448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1150] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8106,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17182056456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1151] = {
	.class_hid = BNXT_ULP_CLASS_HID_186786,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17190379520UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1152] = {
	.class_hid = BNXT_ULP_CLASS_HID_182efe,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17190379528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1153] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2ebe,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17190445056UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1154] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac69e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17190445064UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1155] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a72e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17198768128UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1156] = {
	.class_hid = BNXT_ULP_CLASS_HID_186a26,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17198768136UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1157] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8ae6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17198833664UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1158] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a23de,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17198833672UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1159] = {
	.class_hid = BNXT_ULP_CLASS_HID_18065e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17207156736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1160] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c7be,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17207156744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1161] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac67e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17207222272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1162] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8776,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 17207222280UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1163] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c3ac,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21476958208UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1164] = {
	.class_hid = BNXT_ULP_CLASS_HID_1866a4,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21476958216UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1165] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8764,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21477023744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1166] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4a5c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21477023752UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1167] = {
	.class_hid = BNXT_ULP_CLASS_HID_1824dc,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21485346816UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1168] = {
	.class_hid = BNXT_ULP_CLASS_HID_18cc3c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21485346824UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1169] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aecfc,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21485412352UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1170] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a87f4,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21485412360UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1171] = {
	.class_hid = BNXT_ULP_CLASS_HID_186204,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21493735424UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1172] = {
	.class_hid = BNXT_ULP_CLASS_HID_18277c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21493735432UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1173] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a273c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21493800960UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1174] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae31c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21493800968UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1175] = {
	.class_hid = BNXT_ULP_CLASS_HID_18cf9c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21502124032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1176] = {
	.class_hid = BNXT_ULP_CLASS_HID_188e94,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21502124040UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1177] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8f54,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21502189568UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1178] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a464c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 21502189576UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1179] = {
	.class_hid = BNXT_ULP_CLASS_HID_18694f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25771925504UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1180] = {
	.class_hid = BNXT_ULP_CLASS_HID_182c47,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25771925512UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1181] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2c07,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25771991040UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1182] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae867,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25771991048UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1183] = {
	.class_hid = BNXT_ULP_CLASS_HID_18cee7,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25780314112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1184] = {
	.class_hid = BNXT_ULP_CLASS_HID_1865df,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25780314120UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1185] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a859f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25780379648UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1186] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4c97,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25780379656UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1187] = {
	.class_hid = BNXT_ULP_CLASS_HID_182b27,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25788702720UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1188] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c707,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25788702728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1189] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac7c7,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25788768256UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1190] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8a3f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25788768264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1191] = {
	.class_hid = BNXT_ULP_CLASS_HID_186ebf,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25797091328UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1192] = {
	.class_hid = BNXT_ULP_CLASS_HID_1827b7,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25797091336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1193] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2677,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25797156864UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1194] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aee57,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 25797156872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1195] = {
	.class_hid = BNXT_ULP_CLASS_HID_1825a5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30066892800UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1196] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c185,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30066892808UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1197] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aee45,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30066958336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1198] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a84bd,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30066958344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1199] = {
	.class_hid = BNXT_ULP_CLASS_HID_188f3d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30075281408UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1200] = {
	.class_hid = BNXT_ULP_CLASS_HID_182e35,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30075281416UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1201] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4ef5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30075346944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1202] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aeed5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30075346952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1203] = {
	.class_hid = BNXT_ULP_CLASS_HID_18cb65,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30083670016UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1204] = {
	.class_hid = BNXT_ULP_CLASS_HID_188e5d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30083670024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1205] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8e1d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30083735552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1206] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4715,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30083735560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1207] = {
	.class_hid = BNXT_ULP_CLASS_HID_182f95,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30092058624UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1208] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c7f5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30092058632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1209] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae7b5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30092124160UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1210] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aaead,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 30092124168UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT }
	},
	[1211] = {
	.class_hid = BNXT_ULP_CLASS_HID_180836,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34361860096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1212] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a416,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34361860104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1213] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa4d6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34361925632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1214] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6bce,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34361925640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1215] = {
	.class_hid = BNXT_ULP_CLASS_HID_184e4e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34370248704UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1216] = {
	.class_hid = BNXT_ULP_CLASS_HID_180546,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34370248712UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1217] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0506,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34370314240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1218] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac566,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34370314248UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1219] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a3f6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34378637312UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1220] = {
	.class_hid = BNXT_ULP_CLASS_HID_1846ee,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34378637320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1221] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a66ae,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34378702848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1222] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2ba6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34378702856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1223] = {
	.class_hid = BNXT_ULP_CLASS_HID_180e26,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34387025920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1224] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ae06,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34387025928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1225] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acec6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34387091456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1226] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a673e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 34387091464UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1227] = {
	.class_hid = BNXT_ULP_CLASS_HID_18aa74,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38656827392UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1228] = {
	.class_hid = BNXT_ULP_CLASS_HID_18616c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38656827400UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1229] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a612c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38656892928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1230] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2424,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38656892936UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1231] = {
	.class_hid = BNXT_ULP_CLASS_HID_180ea4,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38665216000UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1232] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a684,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38665216008UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1233] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac744,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38665281536UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1234] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8dbc,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38665281544UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1235] = {
	.class_hid = BNXT_ULP_CLASS_HID_186acc,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38673604608UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1236] = {
	.class_hid = BNXT_ULP_CLASS_HID_1803c4,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38673604616UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1237] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2384,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38673670144UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1238] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acfe4,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38673670152UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1239] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a664,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38681993216UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1240] = {
	.class_hid = BNXT_ULP_CLASS_HID_18675c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38681993224UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1241] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a671c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38682058752UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1242] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2e14,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 38682058760UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1243] = {
	.class_hid = BNXT_ULP_CLASS_HID_184317,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42951794688UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1244] = {
	.class_hid = BNXT_ULP_CLASS_HID_18060f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42951794696UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1245] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a06cf,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42951860224UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1246] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac22f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42951860232UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1247] = {
	.class_hid = BNXT_ULP_CLASS_HID_18acaf,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42960183296UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1248] = {
	.class_hid = BNXT_ULP_CLASS_HID_186fa7,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42960183304UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1249] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6c67,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42960248832UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1250] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a275f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42960248840UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1251] = {
	.class_hid = BNXT_ULP_CLASS_HID_1803ef,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42968571904UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1252] = {
	.class_hid = BNXT_ULP_CLASS_HID_18afcf,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42968571912UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1253] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acf8f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42968637440UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1254] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6287,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42968637448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1255] = {
	.class_hid = BNXT_ULP_CLASS_HID_186f07,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42976960512UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1256] = {
	.class_hid = BNXT_ULP_CLASS_HID_180e7f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42976960520UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1257] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2e3f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42977026048UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1258] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ace1f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 42977026056UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1259] = {
	.class_hid = BNXT_ULP_CLASS_HID_180c6d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47246761984UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1260] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c84d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47246761992UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1261] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac80d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47246827520UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1262] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8f05,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47246827528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1263] = {
	.class_hid = BNXT_ULP_CLASS_HID_186585,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47255150592UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1264] = {
	.class_hid = BNXT_ULP_CLASS_HID_182cfd,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47255150600UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1265] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2cbd,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47255216128UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1266] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac49d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47255216136UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1267] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a72d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47263539200UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1268] = {
	.class_hid = BNXT_ULP_CLASS_HID_186a25,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47263539208UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1269] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8ae5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47263604736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1270] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2fdd,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47263604744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1271] = {
	.class_hid = BNXT_ULP_CLASS_HID_18065d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47271927808UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1272] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c7bd,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47271927816UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1273] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ace7d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47271993344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1274] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8775,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 47271993352UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1275] = {
	.class_hid = BNXT_ULP_CLASS_HID_1827a6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51541729280UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1276] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c386,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51541729288UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1277] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae046,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51541794816UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1278] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a86be,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51541794824UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1279] = {
	.class_hid = BNXT_ULP_CLASS_HID_188d3e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51550117888UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1280] = {
	.class_hid = BNXT_ULP_CLASS_HID_182436,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51550117896UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1281] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a44f6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51550183424UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1282] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aecd6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51550183432UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1283] = {
	.class_hid = BNXT_ULP_CLASS_HID_18cf66,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51558506496UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1284] = {
	.class_hid = BNXT_ULP_CLASS_HID_18825e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51558506504UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1285] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a821e,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51558572032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1286] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4716,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51558572040UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1287] = {
	.class_hid = BNXT_ULP_CLASS_HID_182f96,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51566895104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1288] = {
	.class_hid = BNXT_ULP_CLASS_HID_18eff6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51566895112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1289] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aefb6,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51566960640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1290] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aaeae,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 51566960648UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1291] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e9e4,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55836696576UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1292] = {
	.class_hid = BNXT_ULP_CLASS_HID_188cdc,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55836696584UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1293] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aac9c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55836762112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1294] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4394,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55836762120UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1295] = {
	.class_hid = BNXT_ULP_CLASS_HID_182614,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55845085184UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1296] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e674,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55845085192UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1297] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0dcc,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55845150720UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1298] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aad2c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55845150728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1299] = {
	.class_hid = BNXT_ULP_CLASS_HID_188bbc,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55853473792UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1300] = {
	.class_hid = BNXT_ULP_CLASS_HID_184eb4,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55853473800UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1301] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4f74,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55853539328UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1302] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a026c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55853539336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1303] = {
	.class_hid = BNXT_ULP_CLASS_HID_18efd4,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55861862400UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1304] = {
	.class_hid = BNXT_ULP_CLASS_HID_1886cc,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55861862408UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1305] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa68c,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55861927936UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1306] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6f84,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 55861927944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1307] = {
	.class_hid = BNXT_ULP_CLASS_HID_188e87,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60131663872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1308] = {
	.class_hid = BNXT_ULP_CLASS_HID_1825ff,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60131663880UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1309] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a45bf,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60131729408UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1310] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a08b7,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60131729416UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1311] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c41f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60140052480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1312] = {
	.class_hid = BNXT_ULP_CLASS_HID_188f17,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60140052488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1313] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aafd7,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60140118016UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1314] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4ecf,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60140118024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1315] = {
	.class_hid = BNXT_ULP_CLASS_HID_182f5f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60148441088UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1316] = {
	.class_hid = BNXT_ULP_CLASS_HID_18eabf,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60148441096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1317] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aeb7f,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60148506624UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1318] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aae77,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60148506632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1319] = {
	.class_hid = BNXT_ULP_CLASS_HID_1886f7,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60156829696UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1320] = {
	.class_hid = BNXT_ULP_CLASS_HID_184fef,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60156829704UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1321] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4faf,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60156895232UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1322] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0ea7,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 60156895240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1323] = {
	.class_hid = BNXT_ULP_CLASS_HID_184bdd,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64426631168UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1324] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e73d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64426631176UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1325] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0e95,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64426696704UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1326] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aaaf5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64426696712UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1327] = {
	.class_hid = BNXT_ULP_CLASS_HID_188575,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64435019776UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1328] = {
	.class_hid = BNXT_ULP_CLASS_HID_18446d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64435019784UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1329] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a442d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64435085312UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1330] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0f25,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64435085320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1331] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e29d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64443408384UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1332] = {
	.class_hid = BNXT_ULP_CLASS_HID_188795,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64443408392UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1333] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa655,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64443473920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1334] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6b4d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64443473928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1335] = {
	.class_hid = BNXT_ULP_CLASS_HID_1847cd,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64451796992UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1336] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ef2d,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64451797000UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1337] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0685,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64451862528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1338] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa6e5,
	.class_tid = 2,
	.hdr_sig_id = 10,
	.flow_sig_id = 64451862536UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_10_BITMASK_I_TCP_DST_PORT }
	},
	[1339] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d1da,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 2121728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI }
	},
	[1340] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b4e2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 2121736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI }
	},
	[1341] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a94a2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 2187264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI }
	},
	[1342] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7faa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 2187272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI }
	},
	[1343] = {
	.class_hid = BNXT_ULP_CLASS_HID_18762a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 10510336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC }
	},
	[1344] = {
	.class_hid = BNXT_ULP_CLASS_HID_18de4a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 10510344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC }
	},
	[1345] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a35f2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 10575872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC }
	},
	[1346] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9512,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 10575880UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC }
	},
	[1347] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b182,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 18898944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC }
	},
	[1348] = {
	.class_hid = BNXT_ULP_CLASS_HID_18748a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 18898952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC }
	},
	[1349] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a754a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 18964480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC }
	},
	[1350] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3852,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 18964488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC }
	},
	[1351] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ddea,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 27287552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC }
	},
	[1352] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bcf2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 27287560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC }
	},
	[1353] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9cb2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 27353088UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC }
	},
	[1354] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a55ba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 27353096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC }
	},
	[1355] = {
	.class_hid = BNXT_ULP_CLASS_HID_183452,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17181990912UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1356] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f072,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17181990920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1357] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af032,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17182056448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1358] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abb3a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17182056456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1359] = {
	.class_hid = BNXT_ULP_CLASS_HID_185dba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17190379520UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1360] = {
	.class_hid = BNXT_ULP_CLASS_HID_1814c2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17190379528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1361] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1482,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17190445056UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1362] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afca2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17190445064UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1363] = {
	.class_hid = BNXT_ULP_CLASS_HID_189d12,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17198768128UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1364] = {
	.class_hid = BNXT_ULP_CLASS_HID_18501a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17198768136UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1365] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab0da,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17198833664UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1366] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a19e2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17198833672UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1367] = {
	.class_hid = BNXT_ULP_CLASS_HID_183c62,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17207156736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1368] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fd82,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17207156744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1369] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afc42,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17207222272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1370] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abd4a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 17207222280UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1371] = {
	.class_hid = BNXT_ULP_CLASS_HID_18320a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34361860096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1372] = {
	.class_hid = BNXT_ULP_CLASS_HID_189e2a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34361860104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1373] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9eea,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34361925632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1374] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a51f2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34361925640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1375] = {
	.class_hid = BNXT_ULP_CLASS_HID_187472,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34370248704UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1376] = {
	.class_hid = BNXT_ULP_CLASS_HID_183f7a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34370248712UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1377] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3f3a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34370314240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1378] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aff5a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34370314248UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1379] = {
	.class_hid = BNXT_ULP_CLASS_HID_1899ca,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34378637312UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1380] = {
	.class_hid = BNXT_ULP_CLASS_HID_187cd2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34378637320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1381] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5c92,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34378702848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1382] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a119a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34378702856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1383] = {
	.class_hid = BNXT_ULP_CLASS_HID_18341a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34387025920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1384] = {
	.class_hid = BNXT_ULP_CLASS_HID_18943a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34387025928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1385] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af4fa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34387091456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1386] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5d02,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 34387091464UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1387] = {
	.class_hid = BNXT_ULP_CLASS_HID_181d9a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51541729280UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1388] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f9ba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51541729288UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1389] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ada7a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51541794816UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1390] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abc82,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51541794824UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1391] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b702,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51550117888UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1392] = {
	.class_hid = BNXT_ULP_CLASS_HID_181e0a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51550117896UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1393] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7eca,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51550183424UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1394] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad6ea,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51550183432UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1395] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f55a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51558506496UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1396] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b862,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51558506504UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1397] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab822,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51558572032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1398] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7d2a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51558572040UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1399] = {
	.class_hid = BNXT_ULP_CLASS_HID_1815aa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51566895104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1400] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d5ca,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51566895112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1401] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad58a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51566960640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1402] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9492,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 51566960648UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR }
	},
	[1403] = {
	.class_hid = BNXT_ULP_CLASS_HID_185272,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68721598464UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1404] = {
	.class_hid = BNXT_ULP_CLASS_HID_18157a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68721598472UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1405] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a153a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68721664000UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1406] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad15a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68721664008UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1407] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ffda,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68729987072UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1408] = {
	.class_hid = BNXT_ULP_CLASS_HID_185ee2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68729987080UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1409] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abea2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68730052608UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1410] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a75aa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68730052616UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1411] = {
	.class_hid = BNXT_ULP_CLASS_HID_18101a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68738375680UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1412] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fc3a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68738375688UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1413] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afcfa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68738441216UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1414] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab102,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68738441224UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1415] = {
	.class_hid = BNXT_ULP_CLASS_HID_185d82,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68746764288UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1416] = {
	.class_hid = BNXT_ULP_CLASS_HID_181c8a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68746764296UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1417] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1d4a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68746829824UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1418] = {
	.class_hid = BNXT_ULP_CLASS_HID_1add6a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 68746829832UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1419] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bd02,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85901467648UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1420] = {
	.class_hid = BNXT_ULP_CLASS_HID_18700a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85901467656UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1421] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a50ca,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85901533184UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1422] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3bd2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85901533192UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1423] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d76a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85909856256UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1424] = {
	.class_hid = BNXT_ULP_CLASS_HID_189e72,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85909856264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1425] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9e32,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85909921792UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1426] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5d3a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85909921800UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1427] = {
	.class_hid = BNXT_ULP_CLASS_HID_187daa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85918244864UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1428] = {
	.class_hid = BNXT_ULP_CLASS_HID_1830b2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85918244872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1429] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3172,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85918310400UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1430] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9c92,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85918310408UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1431] = {
	.class_hid = BNXT_ULP_CLASS_HID_189512,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85926633472UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1432] = {
	.class_hid = BNXT_ULP_CLASS_HID_187c1a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85926633480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1433] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5cda,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85926699008UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1434] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3de2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 85926699016UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1435] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bbba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103081336832UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1436] = {
	.class_hid = BNXT_ULP_CLASS_HID_181ec2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103081336840UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1437] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7e82,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103081402368UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1438] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a318a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103081402376UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1439] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fd22,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103089725440UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1440] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b42a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103089725448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1441] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a94ea,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103089790976UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1442] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7ff2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103089790984UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1443] = {
	.class_hid = BNXT_ULP_CLASS_HID_181462,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103098114048UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1444] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d582,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103098114056UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1445] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad042,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103098179584UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1446] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a994a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103098179592UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1447] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bdca,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103106502656UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1448] = {
	.class_hid = BNXT_ULP_CLASS_HID_1874d2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103106502664UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1449] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7492,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103106568192UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1450] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3d9a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 103106568200UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1451] = {
	.class_hid = BNXT_ULP_CLASS_HID_18974a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120261206016UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1452] = {
	.class_hid = BNXT_ULP_CLASS_HID_185a52,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120261206024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1453] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5a12,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120261271552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1454] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1d1a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120261271560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1455] = {
	.class_hid = BNXT_ULP_CLASS_HID_18379a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120269594624UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1456] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f7ba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120269594632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1457] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afc7a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120269660160UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1458] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab682,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120269660168UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1459] = {
	.class_hid = BNXT_ULP_CLASS_HID_1855f2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120277983232UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1460] = {
	.class_hid = BNXT_ULP_CLASS_HID_1838fa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120277983240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1461] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a18ba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120278048768UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1462] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af4da,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120278048776UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1463] = {
	.class_hid = BNXT_ULP_CLASS_HID_189d5a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120286371840UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1464] = {
	.class_hid = BNXT_ULP_CLASS_HID_185c62,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120286371848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1465] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5c22,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120286437376UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1466] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a152a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 120286437384UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT }
	},
	[1467] = {
	.class_hid = BNXT_ULP_CLASS_HID_181d1a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137441075200UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1468] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f93a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137441075208UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1469] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad9fa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137441140736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1470] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abc02,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137441140744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1471] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b682,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137449463808UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1472] = {
	.class_hid = BNXT_ULP_CLASS_HID_181d8a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137449463816UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1473] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7e4a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137449529344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1474] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad66a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137449529352UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1475] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f4da,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137457852416UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1476] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b9e2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137457852424UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1477] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab9a2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137457917952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1478] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7caa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137457917960UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1479] = {
	.class_hid = BNXT_ULP_CLASS_HID_18152a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137466241024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1480] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d54a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137466241032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1481] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad50a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137466306560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1482] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9412,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 137466306568UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1483] = {
	.class_hid = BNXT_ULP_CLASS_HID_1878aa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154620944384UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1484] = {
	.class_hid = BNXT_ULP_CLASS_HID_1833b2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154620944392UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1485] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3c72,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154621009920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1486] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aff92,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154621009928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1487] = {
	.class_hid = BNXT_ULP_CLASS_HID_189612,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154629332992UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1488] = {
	.class_hid = BNXT_ULP_CLASS_HID_18551a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154629333000UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1489] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a55da,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154629398528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1490] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1ce2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154629398536UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1491] = {
	.class_hid = BNXT_ULP_CLASS_HID_183952,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154637721600UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1492] = {
	.class_hid = BNXT_ULP_CLASS_HID_189572,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154637721608UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1493] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af532,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154637787136UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1494] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a583a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154637787144UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1495] = {
	.class_hid = BNXT_ULP_CLASS_HID_1854ba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154646110208UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1496] = {
	.class_hid = BNXT_ULP_CLASS_HID_1835c2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154646110216UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1497] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1582,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154646175744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1498] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af5a2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 154646175752UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1499] = {
	.class_hid = BNXT_ULP_CLASS_HID_187762,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171800813568UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1500] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d282,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171800813576UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1501] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3a2a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171800879104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1502] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a964a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171800879112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1503] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bcca,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171809202176UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1504] = {
	.class_hid = BNXT_ULP_CLASS_HID_1877d2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171809202184UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1505] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5792,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171809267712UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1506] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a369a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171809267720UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1507] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d822,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171817590784UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1508] = {
	.class_hid = BNXT_ULP_CLASS_HID_18912a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171817590792UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1509] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a91ea,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171817656320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1510] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a54f2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171817656328UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1511] = {
	.class_hid = BNXT_ULP_CLASS_HID_187d72,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171825979392UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1512] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d492,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171825979400UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1513] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3c3a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171826044928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1514] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9c5a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 171826044936UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1515] = {
	.class_hid = BNXT_ULP_CLASS_HID_1852f2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188980682752UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1516] = {
	.class_hid = BNXT_ULP_CLASS_HID_1815fa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188980682760UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1517] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a15ba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188980748288UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1518] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad1da,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188980748296UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1519] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f45a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188989071360UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1520] = {
	.class_hid = BNXT_ULP_CLASS_HID_185f62,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188989071368UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1521] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abf22,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188989136896UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1522] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a762a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188989136904UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1523] = {
	.class_hid = BNXT_ULP_CLASS_HID_18109a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188997459968UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1524] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fcba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188997459976UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1525] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afd7a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188997525504UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1526] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab182,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 188997525512UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1527] = {
	.class_hid = BNXT_ULP_CLASS_HID_185402,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 189005848576UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1528] = {
	.class_hid = BNXT_ULP_CLASS_HID_181d0a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 189005848584UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1529] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1dca,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 189005914112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1530] = {
	.class_hid = BNXT_ULP_CLASS_HID_1addea,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 189005914120UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1531] = {
	.class_hid = BNXT_ULP_CLASS_HID_1896ca,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206160551936UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1532] = {
	.class_hid = BNXT_ULP_CLASS_HID_1859d2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206160551944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1533] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5992,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206160617472UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1534] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1c9a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206160617480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1535] = {
	.class_hid = BNXT_ULP_CLASS_HID_18371a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206168940544UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1536] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f73a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206168940552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1537] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af7fa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206169006080UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1538] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab602,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206169006088UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1539] = {
	.class_hid = BNXT_ULP_CLASS_HID_185572,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206177329152UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1540] = {
	.class_hid = BNXT_ULP_CLASS_HID_18387a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206177329160UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1541] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a183a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206177394688UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1542] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af45a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206177394696UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1543] = {
	.class_hid = BNXT_ULP_CLASS_HID_189cda,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206185717760UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1544] = {
	.class_hid = BNXT_ULP_CLASS_HID_1855e2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206185717768UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1545] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab5a2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206185783296UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1546] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a14aa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 206185783304UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1547] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d25a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223340421120UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1548] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b562,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223340421128UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1549] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9522,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223340486656UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1550] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a782a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223340486664UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1551] = {
	.class_hid = BNXT_ULP_CLASS_HID_1876aa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223348809728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1552] = {
	.class_hid = BNXT_ULP_CLASS_HID_18deca,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223348809736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1553] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3672,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223348875264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1554] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9592,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223348875272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1555] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b002,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223357198336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1556] = {
	.class_hid = BNXT_ULP_CLASS_HID_18750a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223357198344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1557] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a75ca,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223357263872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1558] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a38d2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223357263880UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1559] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d46a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223365586944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1560] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bd72,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223365586952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1561] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9d32,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223365652480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1562] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a543a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 223365652488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1563] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f812,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240520290304UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1564] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b31a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240520290312UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1565] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab3da,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240520355840UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1566] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a76e2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240520355848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1567] = {
	.class_hid = BNXT_ULP_CLASS_HID_181d62,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240528678912UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1568] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f482,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240528678920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1569] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad542,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240528744448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1570] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abc4a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240528744456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1571] = {
	.class_hid = BNXT_ULP_CLASS_HID_1858ba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240537067520UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1572] = {
	.class_hid = BNXT_ULP_CLASS_HID_1811c2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240537067528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1573] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7182,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240537133056UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1574] = {
	.class_hid = BNXT_ULP_CLASS_HID_1adda2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240537133064UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1575] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f422,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240545456128UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1576] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b52a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240545456136UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1577] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab5ea,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240545521664UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1578] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7cf2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 240545521672UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1579] = {
	.class_hid = BNXT_ULP_CLASS_HID_18328a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257700159488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1580] = {
	.class_hid = BNXT_ULP_CLASS_HID_189eaa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257700159496UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1581] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9f6a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257700225024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1582] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5272,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257700225032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1583] = {
	.class_hid = BNXT_ULP_CLASS_HID_1874f2,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257708548096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1584] = {
	.class_hid = BNXT_ULP_CLASS_HID_183ffa,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257708548104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1585] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3fba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257708613632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1586] = {
	.class_hid = BNXT_ULP_CLASS_HID_1affda,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257708613640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1587] = {
	.class_hid = BNXT_ULP_CLASS_HID_18944a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257716936704UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1588] = {
	.class_hid = BNXT_ULP_CLASS_HID_187d52,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257716936712UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1589] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5d12,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257717002240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1590] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a101a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257717002248UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1591] = {
	.class_hid = BNXT_ULP_CLASS_HID_18349a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257725325312UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1592] = {
	.class_hid = BNXT_ULP_CLASS_HID_1894ba,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257725325320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1593] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af57a,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257725390848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1594] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5d82,
	.class_tid = 2,
	.hdr_sig_id = 11,
	.flow_sig_id = 257725390856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_SRC_PORT |
		BNXT_ULP_HF_0_2_11_BITMASK_I_TCP_DST_PORT }
	},
	[1595] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e5c8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 2121728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI }
	},
	[1596] = {
	.class_hid = BNXT_ULP_CLASS_HID_1880f0,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 2121736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI }
	},
	[1597] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa0b0,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 2187264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI }
	},
	[1598] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4bb8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 2187272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI }
	},
	[1599] = {
	.class_hid = BNXT_ULP_CLASS_HID_184238,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 10510336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC }
	},
	[1600] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ea58,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 10510344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC }
	},
	[1601] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a01e0,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 10575872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC }
	},
	[1602] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa100,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 10575880UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC }
	},
	[1603] = {
	.class_hid = BNXT_ULP_CLASS_HID_188590,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 18898944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC }
	},
	[1604] = {
	.class_hid = BNXT_ULP_CLASS_HID_184098,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 18898952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC }
	},
	[1605] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4158,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 18964480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC }
	},
	[1606] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0c40,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 18964488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC }
	},
	[1607] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e9f8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 27287552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC }
	},
	[1608] = {
	.class_hid = BNXT_ULP_CLASS_HID_1888e0,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 27287560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC }
	},
	[1609] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa8a0,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 27353088UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC }
	},
	[1610] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a61a8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 27353096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC }
	},
	[1611] = {
	.class_hid = BNXT_ULP_CLASS_HID_188a12,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4297089024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1612] = {
	.class_hid = BNXT_ULP_CLASS_HID_18451a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4297089032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1613] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a65da,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4297154560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1614] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a00c2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4297154568UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1615] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e07a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4305477632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1616] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ab62,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4305477640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1617] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aab22,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4305543168UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1618] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6a2a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4305543176UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1619] = {
	.class_hid = BNXT_ULP_CLASS_HID_1848ba,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4313866240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1620] = {
	.class_hid = BNXT_ULP_CLASS_HID_1805a2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4313866248UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1621] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0462,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4313931776UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1622] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa982,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4313931784UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1623] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a002,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4322254848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1624] = {
	.class_hid = BNXT_ULP_CLASS_HID_18490a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4322254856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1625] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a69ca,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4322320384UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1626] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a08f2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 4322320392UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR }
	},
	[1627] = {
	.class_hid = BNXT_ULP_CLASS_HID_1843f1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8592056320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1628] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e711,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8592056328UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1629] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0eb9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8592121856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1630] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa2d9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8592121864UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1631] = {
	.class_hid = BNXT_ULP_CLASS_HID_188959,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8600444928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1632] = {
	.class_hid = BNXT_ULP_CLASS_HID_184841,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8600444936UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1633] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4801,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8600510464UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1634] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0309,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8600510472UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1635] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ecb1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8608833536UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1636] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a5b9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8608833544UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1637] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa879,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8608899072UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1638] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6161,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8608899080UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1639] = {
	.class_hid = BNXT_ULP_CLASS_HID_1849e1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8617222144UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1640] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e101,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8617222152UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1641] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a08a9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8617287680UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1642] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa8c9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 8617287688UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1643] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e133,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12887023616UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1644] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ac3b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12887023624UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1645] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aacfb,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12887089152UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1646] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a67e3,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12887089160UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1647] = {
	.class_hid = BNXT_ULP_CLASS_HID_184263,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12895412224UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1648] = {
	.class_hid = BNXT_ULP_CLASS_HID_18096b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12895412232UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1649] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a092b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12895477760UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1650] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac14b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12895477768UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1651] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a1db,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12903800832UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1652] = {
	.class_hid = BNXT_ULP_CLASS_HID_184cc3,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12903800840UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1653] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6c83,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12903866368UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1654] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a258b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12903866376UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1655] = {
	.class_hid = BNXT_ULP_CLASS_HID_18000b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12912189440UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1656] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a02b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12912189448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1657] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac0eb,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12912254976UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1658] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6113,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 12912254984UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR }
	},
	[1659] = {
	.class_hid = BNXT_ULP_CLASS_HID_180040,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17181990912UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1660] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c460,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17181990920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1661] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac420,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17182056448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1662] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8f28,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17182056456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1663] = {
	.class_hid = BNXT_ULP_CLASS_HID_1869a8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17190379520UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1664] = {
	.class_hid = BNXT_ULP_CLASS_HID_1820d0,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17190379528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1665] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2090,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17190445056UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1666] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac8b0,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17190445064UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1667] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a900,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17198768128UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1668] = {
	.class_hid = BNXT_ULP_CLASS_HID_186408,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17198768136UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1669] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a84c8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17198833664UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1670] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2df0,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17198833672UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1671] = {
	.class_hid = BNXT_ULP_CLASS_HID_180870,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17207156736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1672] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c990,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17207156744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1673] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac850,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17207222272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1674] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8958,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 17207222280UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1675] = {
	.class_hid = BNXT_ULP_CLASS_HID_18cd82,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21476958208UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1676] = {
	.class_hid = BNXT_ULP_CLASS_HID_18688a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21476958216UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1677] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a894a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21477023744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1678] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4472,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21477023752UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1679] = {
	.class_hid = BNXT_ULP_CLASS_HID_182af2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21485346816UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1680] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c212,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21485346824UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1681] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae2d2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21485412352UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1682] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a89da,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21485412360UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1683] = {
	.class_hid = BNXT_ULP_CLASS_HID_186c2a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21493735424UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1684] = {
	.class_hid = BNXT_ULP_CLASS_HID_182952,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21493735432UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1685] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2912,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21493800960UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1686] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aed32,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21493800968UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1687] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c1b2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21502124032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1688] = {
	.class_hid = BNXT_ULP_CLASS_HID_1880ba,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21502124040UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1689] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a817a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21502189568UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1690] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4862,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 21502189576UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1691] = {
	.class_hid = BNXT_ULP_CLASS_HID_186761,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25771925504UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1692] = {
	.class_hid = BNXT_ULP_CLASS_HID_182269,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25771925512UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1693] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2229,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25771991040UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1694] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae649,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25771991048UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1695] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c0c9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25780314112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1696] = {
	.class_hid = BNXT_ULP_CLASS_HID_186bf1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25780314120UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1697] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8bb1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25780379648UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1698] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a42b9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25780379656UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1699] = {
	.class_hid = BNXT_ULP_CLASS_HID_182509,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25788702720UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1700] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c929,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25788702728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1701] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac9e9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25788768256UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1702] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8411,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25788768264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1703] = {
	.class_hid = BNXT_ULP_CLASS_HID_186091,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25797091328UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1704] = {
	.class_hid = BNXT_ULP_CLASS_HID_182999,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25797091336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1705] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2859,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25797156864UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1706] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae079,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 25797156872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1707] = {
	.class_hid = BNXT_ULP_CLASS_HID_182b8b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30066892800UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1708] = {
	.class_hid = BNXT_ULP_CLASS_HID_18cfab,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30066892808UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1709] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae06b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30066958336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1710] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8a93,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30066958344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1711] = {
	.class_hid = BNXT_ULP_CLASS_HID_188113,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30075281408UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1712] = {
	.class_hid = BNXT_ULP_CLASS_HID_18201b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30075281416UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1713] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a40db,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30075346944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1714] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae0fb,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30075346952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1715] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c54b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30083670016UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1716] = {
	.class_hid = BNXT_ULP_CLASS_HID_188073,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30083670024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1717] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8033,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30083735552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1718] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a493b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30083735560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1719] = {
	.class_hid = BNXT_ULP_CLASS_HID_1821bb,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30092058624UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1720] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c9db,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30092058632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1721] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae99b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30092124160UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1722] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa083,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 30092124168UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT }
	},
	[1723] = {
	.class_hid = BNXT_ULP_CLASS_HID_180618,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34361860096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1724] = {
	.class_hid = BNXT_ULP_CLASS_HID_18aa38,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34361860104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1725] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aaaf8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34361925632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1726] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a65e0,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34361925640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1727] = {
	.class_hid = BNXT_ULP_CLASS_HID_184060,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34370248704UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1728] = {
	.class_hid = BNXT_ULP_CLASS_HID_180b68,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34370248712UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1729] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0b28,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34370314240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1730] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acb48,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34370314248UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1731] = {
	.class_hid = BNXT_ULP_CLASS_HID_18add8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34378637312UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1732] = {
	.class_hid = BNXT_ULP_CLASS_HID_1848c0,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34378637320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1733] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6880,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34378702848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1734] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2588,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34378702856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1735] = {
	.class_hid = BNXT_ULP_CLASS_HID_180008,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34387025920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1736] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a028,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34387025928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1737] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac0e8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34387091456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1738] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6910,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 34387091464UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1739] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a45a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38656827392UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1740] = {
	.class_hid = BNXT_ULP_CLASS_HID_186f42,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38656827400UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1741] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6f02,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38656892928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1742] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2a0a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38656892936UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1743] = {
	.class_hid = BNXT_ULP_CLASS_HID_18008a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38665216000UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1744] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a8aa,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38665216008UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1745] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac96a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38665281536UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1746] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8392,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38665281544UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1747] = {
	.class_hid = BNXT_ULP_CLASS_HID_1864e2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38673604608UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1748] = {
	.class_hid = BNXT_ULP_CLASS_HID_180dea,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38673604616UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1749] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2daa,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38673670144UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1750] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac1ca,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38673670152UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1751] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a84a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38681993216UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1752] = {
	.class_hid = BNXT_ULP_CLASS_HID_186972,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38681993224UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1753] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6932,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38682058752UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1754] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a203a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 38682058760UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1755] = {
	.class_hid = BNXT_ULP_CLASS_HID_184d39,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42951794688UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1756] = {
	.class_hid = BNXT_ULP_CLASS_HID_180821,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42951794696UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1757] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a08e1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42951860224UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1758] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acc01,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42951860232UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1759] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a281,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42960183296UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1760] = {
	.class_hid = BNXT_ULP_CLASS_HID_186189,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42960183304UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1761] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6249,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42960248832UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1762] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2971,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42960248840UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1763] = {
	.class_hid = BNXT_ULP_CLASS_HID_180dc1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42968571904UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1764] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a1e1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42968571912UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1765] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac1a1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42968637440UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1766] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6ca9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42968637448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1767] = {
	.class_hid = BNXT_ULP_CLASS_HID_186129,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42976960512UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1768] = {
	.class_hid = BNXT_ULP_CLASS_HID_180051,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42976960520UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1769] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2011,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42977026048UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1770] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac031,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 42977026056UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1771] = {
	.class_hid = BNXT_ULP_CLASS_HID_180243,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47246761984UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1772] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c663,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47246761992UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1773] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac623,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47246827520UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1774] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a812b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47246827528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1775] = {
	.class_hid = BNXT_ULP_CLASS_HID_186bab,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47255150592UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1776] = {
	.class_hid = BNXT_ULP_CLASS_HID_1822d3,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47255150600UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1777] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2293,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47255216128UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1778] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acab3,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47255216136UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1779] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a903,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47263539200UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1780] = {
	.class_hid = BNXT_ULP_CLASS_HID_18640b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47263539208UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1781] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a84cb,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47263604736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1782] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a21f3,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47263604744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1783] = {
	.class_hid = BNXT_ULP_CLASS_HID_180873,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47271927808UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1784] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c993,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47271927816UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1785] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac053,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47271993344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1786] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a895b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 47271993352UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1787] = {
	.class_hid = BNXT_ULP_CLASS_HID_182988,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51541729280UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1788] = {
	.class_hid = BNXT_ULP_CLASS_HID_18cda8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51541729288UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1789] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aee68,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51541794816UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1790] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8890,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51541794824UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1791] = {
	.class_hid = BNXT_ULP_CLASS_HID_188310,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51550117888UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1792] = {
	.class_hid = BNXT_ULP_CLASS_HID_182a18,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51550117896UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1793] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4ad8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51550183424UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1794] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae2f8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51550183432UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1795] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c148,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51558506496UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1796] = {
	.class_hid = BNXT_ULP_CLASS_HID_188c70,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51558506504UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1797] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8c30,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51558572032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1798] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4938,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51558572040UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1799] = {
	.class_hid = BNXT_ULP_CLASS_HID_1821b8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51566895104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1800] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e1d8,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51566895112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1801] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae198,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51566960640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1802] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa080,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 51566960648UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1803] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e7ca,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55836696576UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1804] = {
	.class_hid = BNXT_ULP_CLASS_HID_1882f2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55836696584UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1805] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa2b2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55836762112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1806] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4dba,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55836762120UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1807] = {
	.class_hid = BNXT_ULP_CLASS_HID_18283a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55845085184UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1808] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e85a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55845085192UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1809] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a03e2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55845150720UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1810] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa302,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55845150728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1811] = {
	.class_hid = BNXT_ULP_CLASS_HID_188592,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55853473792UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1812] = {
	.class_hid = BNXT_ULP_CLASS_HID_18409a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55853473800UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1813] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a415a,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55853539328UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1814] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0c42,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55853539336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1815] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e1fa,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55861862400UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1816] = {
	.class_hid = BNXT_ULP_CLASS_HID_1888e2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55861862408UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1817] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa8a2,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55861927936UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1818] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a61aa,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 55861927944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1819] = {
	.class_hid = BNXT_ULP_CLASS_HID_1880a9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60131663872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1820] = {
	.class_hid = BNXT_ULP_CLASS_HID_182bd1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60131663880UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1821] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4b91,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60131729408UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1822] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0699,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60131729416UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1823] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ca31,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60140052480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1824] = {
	.class_hid = BNXT_ULP_CLASS_HID_188139,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60140052488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1825] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa1f9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60140118016UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1826] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a40e1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60140118024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1827] = {
	.class_hid = BNXT_ULP_CLASS_HID_182171,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60148441088UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1828] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e491,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60148441096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1829] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae551,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60148506624UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1830] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa059,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60148506632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1831] = {
	.class_hid = BNXT_ULP_CLASS_HID_1888d9,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60156829696UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1832] = {
	.class_hid = BNXT_ULP_CLASS_HID_1841c1,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60156829704UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1833] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4181,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60156895232UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1834] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0089,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 60156895240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1835] = {
	.class_hid = BNXT_ULP_CLASS_HID_1845f3,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64426631168UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1836] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e913,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64426631176UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1837] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a00bb,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64426696704UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1838] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa4db,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64426696712UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1839] = {
	.class_hid = BNXT_ULP_CLASS_HID_188b5b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64435019776UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1840] = {
	.class_hid = BNXT_ULP_CLASS_HID_184a43,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64435019784UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1841] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4a03,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64435085312UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1842] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a010b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64435085320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1843] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ecb3,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64443408384UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1844] = {
	.class_hid = BNXT_ULP_CLASS_HID_1889bb,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64443408392UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1845] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa87b,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64443473920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1846] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6563,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64443473928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1847] = {
	.class_hid = BNXT_ULP_CLASS_HID_1849e3,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64451796992UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1848] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e103,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64451797000UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1849] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a08ab,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64451862528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1850] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa8cb,
	.class_tid = 2,
	.hdr_sig_id = 12,
	.flow_sig_id = 64451862536UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV6 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_12_BITMASK_I_UDP_DST_PORT }
	},
	[1851] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d30c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 2121728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI }
	},
	[1852] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b634,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 2121736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI }
	},
	[1853] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9674,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 2187264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI }
	},
	[1854] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7d7c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 2187272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI }
	},
	[1855] = {
	.class_hid = BNXT_ULP_CLASS_HID_1874fc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 10510336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC }
	},
	[1856] = {
	.class_hid = BNXT_ULP_CLASS_HID_18dc9c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 10510344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC }
	},
	[1857] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3724,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 10575872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC }
	},
	[1858] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a97c4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 10575880UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC }
	},
	[1859] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b354,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 18898944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC }
	},
	[1860] = {
	.class_hid = BNXT_ULP_CLASS_HID_18765c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 18898952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC }
	},
	[1861] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a779c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 18964480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC }
	},
	[1862] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3a84,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 18964488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC }
	},
	[1863] = {
	.class_hid = BNXT_ULP_CLASS_HID_18df3c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 27287552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC }
	},
	[1864] = {
	.class_hid = BNXT_ULP_CLASS_HID_18be24,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 27287560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC }
	},
	[1865] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9e64,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 27353088UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC }
	},
	[1866] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a576c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 27353096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC }
	},
	[1867] = {
	.class_hid = BNXT_ULP_CLASS_HID_183684,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17181990912UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1868] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f2a4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17181990920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1869] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af2e4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17182056448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1870] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab9ec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17182056456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1871] = {
	.class_hid = BNXT_ULP_CLASS_HID_185f6c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17190379520UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1872] = {
	.class_hid = BNXT_ULP_CLASS_HID_181614,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17190379528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1873] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1654,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17190445056UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1874] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afe74,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17190445064UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1875] = {
	.class_hid = BNXT_ULP_CLASS_HID_189fc4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17198768128UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1876] = {
	.class_hid = BNXT_ULP_CLASS_HID_1852cc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17198768136UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1877] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab20c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17198833664UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1878] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1b34,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17198833672UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1879] = {
	.class_hid = BNXT_ULP_CLASS_HID_183eb4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17207156736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1880] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ff54,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17207156744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1881] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afe94,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17207222272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1882] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abf9c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 17207222280UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR }
	},
	[1883] = {
	.class_hid = BNXT_ULP_CLASS_HID_1830dc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34361860096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1884] = {
	.class_hid = BNXT_ULP_CLASS_HID_189cfc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34361860104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1885] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9c3c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34361925632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1886] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5324,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34361925640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1887] = {
	.class_hid = BNXT_ULP_CLASS_HID_1876a4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34370248704UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1888] = {
	.class_hid = BNXT_ULP_CLASS_HID_183dac,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34370248712UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1889] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3dec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34370314240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1890] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afd8c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34370314248UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1891] = {
	.class_hid = BNXT_ULP_CLASS_HID_189b1c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34378637312UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1892] = {
	.class_hid = BNXT_ULP_CLASS_HID_187e04,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34378637320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1893] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5e44,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34378702848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1894] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a134c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34378702856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1895] = {
	.class_hid = BNXT_ULP_CLASS_HID_1836cc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34387025920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1896] = {
	.class_hid = BNXT_ULP_CLASS_HID_1896ec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34387025928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1897] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af62c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34387091456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1898] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5fd4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 34387091464UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1899] = {
	.class_hid = BNXT_ULP_CLASS_HID_181f4c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51541729280UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1900] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fb6c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51541729288UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1901] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad8ac,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51541794816UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1902] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abe54,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51541794824UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1903] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b5d4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51550117888UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1904] = {
	.class_hid = BNXT_ULP_CLASS_HID_181cdc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51550117896UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1905] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7c1c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51550183424UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1906] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad43c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51550183432UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1907] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f78c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51558506496UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1908] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bab4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51558506504UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1909] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abaf4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51558572032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1910] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7ffc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51558572040UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1911] = {
	.class_hid = BNXT_ULP_CLASS_HID_18177c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51566895104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1912] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d71c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51566895112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1913] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad75c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51566960640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1914] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9644,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 51566960648UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR }
	},
	[1915] = {
	.class_hid = BNXT_ULP_CLASS_HID_1850a4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68721598464UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1916] = {
	.class_hid = BNXT_ULP_CLASS_HID_1817ac,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68721598472UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1917] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a17ec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68721664000UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1918] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad38c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68721664008UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1919] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fd0c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68729987072UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1920] = {
	.class_hid = BNXT_ULP_CLASS_HID_185c34,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68729987080UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1921] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abc74,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68730052608UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1922] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a777c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68730052616UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1923] = {
	.class_hid = BNXT_ULP_CLASS_HID_1812cc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68738375680UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1924] = {
	.class_hid = BNXT_ULP_CLASS_HID_18feec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68738375688UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1925] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afe2c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68738441216UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1926] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab3d4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68738441224UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1927] = {
	.class_hid = BNXT_ULP_CLASS_HID_185f54,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68746764288UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1928] = {
	.class_hid = BNXT_ULP_CLASS_HID_181e5c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68746764296UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1929] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1f9c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68746829824UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1930] = {
	.class_hid = BNXT_ULP_CLASS_HID_1adfbc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 68746829832UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1931] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bfd4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85901467648UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1932] = {
	.class_hid = BNXT_ULP_CLASS_HID_1872dc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85901467656UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1933] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a521c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85901533184UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1934] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3904,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85901533192UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1935] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d5bc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85909856256UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1936] = {
	.class_hid = BNXT_ULP_CLASS_HID_189ca4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85909856264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1937] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9ce4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85909921792UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1938] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5fec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85909921800UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1939] = {
	.class_hid = BNXT_ULP_CLASS_HID_187f7c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85918244864UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1940] = {
	.class_hid = BNXT_ULP_CLASS_HID_183264,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85918244872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1941] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a33a4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85918310400UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1942] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9e44,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85918310408UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1943] = {
	.class_hid = BNXT_ULP_CLASS_HID_1897c4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85926633472UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1944] = {
	.class_hid = BNXT_ULP_CLASS_HID_187ecc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85926633480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1945] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5e0c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85926699008UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1946] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3f34,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 85926699016UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1947] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b96c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103081336832UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1948] = {
	.class_hid = BNXT_ULP_CLASS_HID_181c14,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103081336840UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1949] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7c54,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103081402368UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1950] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a335c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103081402376UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1951] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fff4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103089725440UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1952] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b6fc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103089725448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1953] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a963c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103089790976UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1954] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7d24,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103089790984UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1955] = {
	.class_hid = BNXT_ULP_CLASS_HID_1816b4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103098114048UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1956] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d754,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103098114056UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1957] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad294,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103098179584UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1958] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9b9c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103098179592UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1959] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bf1c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103106502656UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1960] = {
	.class_hid = BNXT_ULP_CLASS_HID_187604,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103106502664UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1961] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7644,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103106568192UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1962] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3f4c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 103106568200UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1963] = {
	.class_hid = BNXT_ULP_CLASS_HID_18959c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120261206016UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1964] = {
	.class_hid = BNXT_ULP_CLASS_HID_185884,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120261206024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1965] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a58c4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120261271552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1966] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1fcc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120261271560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1967] = {
	.class_hid = BNXT_ULP_CLASS_HID_18354c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120269594624UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1968] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f56c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120269594632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1969] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afeac,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120269660160UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1970] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab454,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120269660168UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1971] = {
	.class_hid = BNXT_ULP_CLASS_HID_185724,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120277983232UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1972] = {
	.class_hid = BNXT_ULP_CLASS_HID_183a2c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120277983240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1973] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1a6c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120278048768UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1974] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af60c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120278048776UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1975] = {
	.class_hid = BNXT_ULP_CLASS_HID_189f8c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120286371840UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1976] = {
	.class_hid = BNXT_ULP_CLASS_HID_185eb4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120286371848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1977] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5ef4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120286437376UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1978] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a17fc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 120286437384UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT }
	},
	[1979] = {
	.class_hid = BNXT_ULP_CLASS_HID_181fcc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137441075200UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1980] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fbec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137441075208UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1981] = {
	.class_hid = BNXT_ULP_CLASS_HID_1adb2c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137441140736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1982] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abed4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137441140744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1983] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b454,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137449463808UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1984] = {
	.class_hid = BNXT_ULP_CLASS_HID_181f5c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137449463816UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1985] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7c9c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137449529344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1986] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad4bc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137449529352UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1987] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f60c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137457852416UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1988] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bb34,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137457852424UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1989] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abb74,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137457917952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1990] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7e7c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137457917960UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1991] = {
	.class_hid = BNXT_ULP_CLASS_HID_1817fc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137466241024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1992] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d79c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137466241032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1993] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad7dc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137466306560UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1994] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a96c4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 137466306568UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1995] = {
	.class_hid = BNXT_ULP_CLASS_HID_187a7c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154620944384UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1996] = {
	.class_hid = BNXT_ULP_CLASS_HID_183164,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154620944392UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1997] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3ea4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154621009920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1998] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afd44,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154621009928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[1999] = {
	.class_hid = BNXT_ULP_CLASS_HID_1894c4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154629332992UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2000] = {
	.class_hid = BNXT_ULP_CLASS_HID_1857cc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154629333000UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2001] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a570c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154629398528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2002] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1e34,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154629398536UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2003] = {
	.class_hid = BNXT_ULP_CLASS_HID_183b84,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154637721600UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2004] = {
	.class_hid = BNXT_ULP_CLASS_HID_1897a4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154637721608UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2005] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af7e4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154637787136UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2006] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5aec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154637787144UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2007] = {
	.class_hid = BNXT_ULP_CLASS_HID_18566c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154646110208UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2008] = {
	.class_hid = BNXT_ULP_CLASS_HID_183714,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154646110216UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2009] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1754,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154646175744UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2010] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af774,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 154646175752UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2011] = {
	.class_hid = BNXT_ULP_CLASS_HID_1875b4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171800813568UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2012] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d054,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171800813576UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2013] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a38fc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171800879104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2014] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a949c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171800879112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2015] = {
	.class_hid = BNXT_ULP_CLASS_HID_18be1c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171809202176UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2016] = {
	.class_hid = BNXT_ULP_CLASS_HID_187504,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171809202184UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2017] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5544,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171809267712UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2018] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a344c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171809267720UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2019] = {
	.class_hid = BNXT_ULP_CLASS_HID_18daf4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171817590784UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2020] = {
	.class_hid = BNXT_ULP_CLASS_HID_1893fc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171817590792UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2021] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a933c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171817656320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2022] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5624,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171817656328UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2023] = {
	.class_hid = BNXT_ULP_CLASS_HID_187fa4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171825979392UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2024] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d644,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171825979400UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2025] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3eec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171826044928UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2026] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9e8c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 171826044936UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2027] = {
	.class_hid = BNXT_ULP_CLASS_HID_185024,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188980682752UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2028] = {
	.class_hid = BNXT_ULP_CLASS_HID_18172c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188980682760UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2029] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a176c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188980748288UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2030] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad30c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188980748296UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2031] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f68c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188989071360UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2032] = {
	.class_hid = BNXT_ULP_CLASS_HID_185db4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188989071368UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2033] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abdf4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188989136896UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2034] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a74fc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188989136904UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2035] = {
	.class_hid = BNXT_ULP_CLASS_HID_18124c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188997459968UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2036] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fe6c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188997459976UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2037] = {
	.class_hid = BNXT_ULP_CLASS_HID_1affac,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188997525504UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2038] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab354,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 188997525512UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2039] = {
	.class_hid = BNXT_ULP_CLASS_HID_1856d4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 189005848576UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2040] = {
	.class_hid = BNXT_ULP_CLASS_HID_181fdc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 189005848584UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2041] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1f1c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 189005914112UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2042] = {
	.class_hid = BNXT_ULP_CLASS_HID_1adf3c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 189005914120UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2043] = {
	.class_hid = BNXT_ULP_CLASS_HID_18941c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206160551936UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2044] = {
	.class_hid = BNXT_ULP_CLASS_HID_185b04,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206160551944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2045] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5b44,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206160617472UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2046] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1e4c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206160617480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2047] = {
	.class_hid = BNXT_ULP_CLASS_HID_1835cc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206168940544UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2048] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f5ec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206168940552UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2049] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af52c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206169006080UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2050] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab4d4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206169006088UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2051] = {
	.class_hid = BNXT_ULP_CLASS_HID_1857a4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206177329152UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2052] = {
	.class_hid = BNXT_ULP_CLASS_HID_183aac,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206177329160UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2053] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a1aec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206177394688UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2054] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af68c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206177394696UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2055] = {
	.class_hid = BNXT_ULP_CLASS_HID_189e0c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206185717760UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2056] = {
	.class_hid = BNXT_ULP_CLASS_HID_185734,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206185717768UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2057] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab774,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206185783296UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2058] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a167c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 206185783304UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2059] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d08c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223340421120UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2060] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b7b4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223340421128UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2061] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a97f4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223340486656UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2062] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7afc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223340486664UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2063] = {
	.class_hid = BNXT_ULP_CLASS_HID_18747c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223348809728UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2064] = {
	.class_hid = BNXT_ULP_CLASS_HID_18dc1c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223348809736UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2065] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a34a4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223348875264UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2066] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9744,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223348875272UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2067] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b2d4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223357198336UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2068] = {
	.class_hid = BNXT_ULP_CLASS_HID_1877dc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223357198344UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2069] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a771c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223357263872UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2070] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3a04,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223357263880UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2071] = {
	.class_hid = BNXT_ULP_CLASS_HID_18d6bc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223365586944UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2072] = {
	.class_hid = BNXT_ULP_CLASS_HID_18bfa4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223365586952UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2073] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9fe4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223365652480UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2074] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a56ec,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 223365652488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2075] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fac4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240520290304UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2076] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b1cc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240520290312UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2077] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab10c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240520355840UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2078] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7434,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240520355848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2079] = {
	.class_hid = BNXT_ULP_CLASS_HID_181fb4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240528678912UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2080] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f654,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240528678920UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2081] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad794,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240528744448UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2082] = {
	.class_hid = BNXT_ULP_CLASS_HID_1abe9c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240528744456UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2083] = {
	.class_hid = BNXT_ULP_CLASS_HID_185a6c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240537067520UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2084] = {
	.class_hid = BNXT_ULP_CLASS_HID_181314,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240537067528UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2085] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7354,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240537133056UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2086] = {
	.class_hid = BNXT_ULP_CLASS_HID_1adf74,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240537133064UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2087] = {
	.class_hid = BNXT_ULP_CLASS_HID_18f6f4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240545456128UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2088] = {
	.class_hid = BNXT_ULP_CLASS_HID_18b7fc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240545456136UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2089] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab73c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240545521664UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2090] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a7e24,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 240545521672UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2091] = {
	.class_hid = BNXT_ULP_CLASS_HID_18305c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257700159488UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2092] = {
	.class_hid = BNXT_ULP_CLASS_HID_189c7c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257700159496UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2093] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a9dbc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257700225024UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2094] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a50a4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257700225032UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2095] = {
	.class_hid = BNXT_ULP_CLASS_HID_187624,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257708548096UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2096] = {
	.class_hid = BNXT_ULP_CLASS_HID_183d2c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257708548104UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2097] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a3d6c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257708613632UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2098] = {
	.class_hid = BNXT_ULP_CLASS_HID_1afd0c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257708613640UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2099] = {
	.class_hid = BNXT_ULP_CLASS_HID_18969c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257716936704UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2100] = {
	.class_hid = BNXT_ULP_CLASS_HID_187f84,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257716936712UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2101] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5fc4,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257717002240UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2102] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a12cc,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257717002248UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2103] = {
	.class_hid = BNXT_ULP_CLASS_HID_18364c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257725325312UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2104] = {
	.class_hid = BNXT_ULP_CLASS_HID_18966c,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257725325320UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2105] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af7ac,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257725390848UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2106] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a5f54,
	.class_tid = 2,
	.hdr_sig_id = 13,
	.flow_sig_id = 257725390856UL,
	.flow_pattern_id = 3,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_SRC_PORT |
		BNXT_ULP_HF_0_2_13_BITMASK_I_UDP_DST_PORT }
	},
	[2107] = {
	.class_hid = BNXT_ULP_CLASS_HID_18eea0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 2121728UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI }
	},
	[2108] = {
	.class_hid = BNXT_ULP_CLASS_HID_188b98,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 2121736UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI }
	},
	[2109] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aabd8,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 2187264UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI }
	},
	[2110] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a40d0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 2187272UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI }
	},
	[2111] = {
	.class_hid = BNXT_ULP_CLASS_HID_184950,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 10510336UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC }
	},
	[2112] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e130,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 10510344UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC }
	},
	[2113] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0a88,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 10575872UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC }
	},
	[2114] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aaa68,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 10575880UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC }
	},
	[2115] = {
	.class_hid = BNXT_ULP_CLASS_HID_188ef8,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 18898944UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC }
	},
	[2116] = {
	.class_hid = BNXT_ULP_CLASS_HID_184bf0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 18898952UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC }
	},
	[2117] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4a30,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 18964480UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC }
	},
	[2118] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0728,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 18964488UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC }
	},
	[2119] = {
	.class_hid = BNXT_ULP_CLASS_HID_18e290,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 27287552UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC }
	},
	[2120] = {
	.class_hid = BNXT_ULP_CLASS_HID_188388,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 27287560UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC }
	},
	[2121] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa3c8,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 27353088UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC }
	},
	[2122] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6ac0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 27353096UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC }
	},
	[2123] = {
	.class_hid = BNXT_ULP_CLASS_HID_180b28,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17181990912UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2124] = {
	.class_hid = BNXT_ULP_CLASS_HID_18cf08,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17181990920UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2125] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acf48,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17182056448UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2126] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8440,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17182056456UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2127] = {
	.class_hid = BNXT_ULP_CLASS_HID_1862c0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17190379520UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2128] = {
	.class_hid = BNXT_ULP_CLASS_HID_182bb8,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17190379528UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2129] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2bf8,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17190445056UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2130] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac3d8,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17190445064UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2131] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a268,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17198768128UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2132] = {
	.class_hid = BNXT_ULP_CLASS_HID_186f60,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17198768136UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2133] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8fa0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17198833664UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2134] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2698,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17198833672UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2135] = {
	.class_hid = BNXT_ULP_CLASS_HID_180318,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17207156736UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2136] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c2f8,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17207156744UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2137] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac338,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17207222272UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2138] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8230,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 17207222280UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR }
	},
	[2139] = {
	.class_hid = BNXT_ULP_CLASS_HID_180d70,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34361860096UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2140] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a150,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34361860104UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2141] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aa190,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34361925632UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2142] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6e88,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34361925640UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2143] = {
	.class_hid = BNXT_ULP_CLASS_HID_184b08,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34370248704UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2144] = {
	.class_hid = BNXT_ULP_CLASS_HID_180000,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34370248712UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2145] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a0040,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34370314240UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2146] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac020,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34370314248UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2147] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a6b0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34378637312UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2148] = {
	.class_hid = BNXT_ULP_CLASS_HID_1843a8,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34378637320UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2149] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a63e8,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34378702848UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2150] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a2ee0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34378702856UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2151] = {
	.class_hid = BNXT_ULP_CLASS_HID_180b60,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34387025920UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2152] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ab40,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34387025928UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2153] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acb80,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34387091456UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2154] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a6278,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 34387091464UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2155] = {
	.class_hid = BNXT_ULP_CLASS_HID_1822e0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51541729280UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2156] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c6c0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51541729288UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2157] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae500,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51541794816UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2158] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a83f8,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51541794824UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2159] = {
	.class_hid = BNXT_ULP_CLASS_HID_188878,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51550117888UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2160] = {
	.class_hid = BNXT_ULP_CLASS_HID_182170,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51550117896UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2161] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a41b0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51550183424UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2162] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae990,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51550183432UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2163] = {
	.class_hid = BNXT_ULP_CLASS_HID_18ca20,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51558506496UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2164] = {
	.class_hid = BNXT_ULP_CLASS_HID_188718,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51558506504UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2165] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a8758,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51558572032UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2166] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a4250,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51558572040UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2167] = {
	.class_hid = BNXT_ULP_CLASS_HID_182ad0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51566895104UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2168] = {
	.class_hid = BNXT_ULP_CLASS_HID_18eab0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51566895112UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2169] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aeaf0,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51566960640UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2170] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aabe8,
	.class_tid = 2,
	.hdr_sig_id = 14,
	.flow_sig_id = 51566960648UL,
	.flow_pattern_id = 4,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_HDR_BIT_T_VXLAN |
		BNXT_ULP_HDR_BIT_I_ETH |
		BNXT_ULP_HDR_BIT_I_IPV4 |
		BNXT_ULP_HDR_BIT_I_ICMP |
		BNXT_ULP_FLOW_DIR_BITMASK_ING },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_O_UDP_DST_PORT |
		BNXT_ULP_HF_0_2_14_BITMASK_T_VXLAN_VNI |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_DMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_ETH_SMAC |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_2_14_BITMASK_I_IPV4_DST_ADDR }
	},
	[2171] = {
	.class_hid = BNXT_ULP_CLASS_HID_dd3c,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[2172] = {
	.class_hid = BNXT_ULP_CLASS_HID_372c,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 4100UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[2173] = {
	.class_hid = BNXT_ULP_CLASS_HID_2794,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[2174] = {
	.class_hid = BNXT_ULP_CLASS_HID_98ec,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 6148UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[2175] = {
	.class_hid = BNXT_ULP_CLASS_HID_8be74,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[2176] = {
	.class_hid = BNXT_ULP_CLASS_HID_82844,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 16388UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[2177] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c2e4,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[2178] = {
	.class_hid = BNXT_ULP_CLASS_HID_183cf4,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 24580UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[2179] = {
	.class_hid = BNXT_ULP_CLASS_HID_43df0,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2180] = {
	.class_hid = BNXT_ULP_CLASS_HID_49e98,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32772UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2181] = {
	.class_hid = BNXT_ULP_CLASS_HID_4ce80,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2182] = {
	.class_hid = BNXT_ULP_CLASS_HID_43890,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32836UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2183] = {
	.class_hid = BNXT_ULP_CLASS_HID_c37a8,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2184] = {
	.class_hid = BNXT_ULP_CLASS_HID_ca950,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49156UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2185] = {
	.class_hid = BNXT_ULP_CLASS_HID_cd8b8,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2186] = {
	.class_hid = BNXT_ULP_CLASS_HID_c3348,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49220UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2187] = {
	.class_hid = BNXT_ULP_CLASS_HID_11ac8,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2188] = {
	.class_hid = BNXT_ULP_CLASS_HID_17c10,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131076UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2189] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac38,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2190] = {
	.class_hid = BNXT_ULP_CLASS_HID_10628,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131140UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2191] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c6e8,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2192] = {
	.class_hid = BNXT_ULP_CLASS_HID_330d8,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196612UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2193] = {
	.class_hid = BNXT_ULP_CLASS_HID_360e0,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2194] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c1c8,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196676UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2195] = {
	.class_hid = BNXT_ULP_CLASS_HID_dd7c,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[2196] = {
	.class_hid = BNXT_ULP_CLASS_HID_376c,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 4100UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[2197] = {
	.class_hid = BNXT_ULP_CLASS_HID_27d4,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[2198] = {
	.class_hid = BNXT_ULP_CLASS_HID_98ac,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 6148UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[2199] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e10c,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[2200] = {
	.class_hid = BNXT_ULP_CLASS_HID_105bfc,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 12292UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[2201] = {
	.class_hid = BNXT_ULP_CLASS_HID_104c64,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[2202] = {
	.class_hid = BNXT_ULP_CLASS_HID_10ad3c,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 14340UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[2203] = {
	.class_hid = BNXT_ULP_CLASS_HID_8d744,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2204] = {
	.class_hid = BNXT_ULP_CLASS_HID_84134,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 20484UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2205] = {
	.class_hid = BNXT_ULP_CLASS_HID_8319c,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2206] = {
	.class_hid = BNXT_ULP_CLASS_HID_89374,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 22532UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2207] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fbd4,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2208] = {
	.class_hid = BNXT_ULP_CLASS_HID_1855c4,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 28676UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2209] = {
	.class_hid = BNXT_ULP_CLASS_HID_18462c,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2210] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a704,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 30724UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2211] = {
	.class_hid = BNXT_ULP_CLASS_HID_8be34,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[2212] = {
	.class_hid = BNXT_ULP_CLASS_HID_82804,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 16388UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[2213] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c2a4,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[2214] = {
	.class_hid = BNXT_ULP_CLASS_HID_183cb4,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 24580UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[2215] = {
	.class_hid = BNXT_ULP_CLASS_HID_c3784,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[2216] = {
	.class_hid = BNXT_ULP_CLASS_HID_ca97c,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 49156UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[2217] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c5c34,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[2218] = {
	.class_hid = BNXT_ULP_CLASS_HID_1cbdec,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 57348UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[2219] = {
	.class_hid = BNXT_ULP_CLASS_HID_a734c,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2220] = {
	.class_hid = BNXT_ULP_CLASS_HID_ad424,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 81924UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2221] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a87fc,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2222] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af8d4,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 90116UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2223] = {
	.class_hid = BNXT_ULP_CLASS_HID_e0cdc,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2224] = {
	.class_hid = BNXT_ULP_CLASS_HID_e6db4,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 114692UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2225] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e114c,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2226] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e7224,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 122884UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2227] = {
	.class_hid = BNXT_ULP_CLASS_HID_ddbc,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[2228] = {
	.class_hid = BNXT_ULP_CLASS_HID_37ac,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 4100UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[2229] = {
	.class_hid = BNXT_ULP_CLASS_HID_2714,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[2230] = {
	.class_hid = BNXT_ULP_CLASS_HID_986c,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 6148UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[2231] = {
	.class_hid = BNXT_ULP_CLASS_HID_10e1cc,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[2232] = {
	.class_hid = BNXT_ULP_CLASS_HID_105b3c,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 12292UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[2233] = {
	.class_hid = BNXT_ULP_CLASS_HID_104ca4,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[2234] = {
	.class_hid = BNXT_ULP_CLASS_HID_10adfc,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 14340UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[2235] = {
	.class_hid = BNXT_ULP_CLASS_HID_8d784,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2236] = {
	.class_hid = BNXT_ULP_CLASS_HID_841f4,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 20484UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2237] = {
	.class_hid = BNXT_ULP_CLASS_HID_8315c,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2238] = {
	.class_hid = BNXT_ULP_CLASS_HID_893b4,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 22532UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2239] = {
	.class_hid = BNXT_ULP_CLASS_HID_18fb14,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2240] = {
	.class_hid = BNXT_ULP_CLASS_HID_185504,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 28676UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2241] = {
	.class_hid = BNXT_ULP_CLASS_HID_1846ec,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2242] = {
	.class_hid = BNXT_ULP_CLASS_HID_18a7c4,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 30724UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2243] = {
	.class_hid = BNXT_ULP_CLASS_HID_8bef4,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[2244] = {
	.class_hid = BNXT_ULP_CLASS_HID_828c4,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 16388UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[2245] = {
	.class_hid = BNXT_ULP_CLASS_HID_18c264,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[2246] = {
	.class_hid = BNXT_ULP_CLASS_HID_183c74,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 24580UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[2247] = {
	.class_hid = BNXT_ULP_CLASS_HID_c3744,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[2248] = {
	.class_hid = BNXT_ULP_CLASS_HID_ca9bc,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 49156UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[2249] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c5cf4,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[2250] = {
	.class_hid = BNXT_ULP_CLASS_HID_1cbd2c,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 57348UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[2251] = {
	.class_hid = BNXT_ULP_CLASS_HID_a738c,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2252] = {
	.class_hid = BNXT_ULP_CLASS_HID_ad4e4,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 81924UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2253] = {
	.class_hid = BNXT_ULP_CLASS_HID_1a873c,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2254] = {
	.class_hid = BNXT_ULP_CLASS_HID_1af814,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 90116UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2255] = {
	.class_hid = BNXT_ULP_CLASS_HID_e0c1c,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2256] = {
	.class_hid = BNXT_ULP_CLASS_HID_e6d74,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 114692UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2257] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e118c,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2258] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e72e4,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 122884UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2259] = {
	.class_hid = BNXT_ULP_CLASS_HID_43d30,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2260] = {
	.class_hid = BNXT_ULP_CLASS_HID_49e58,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32772UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2261] = {
	.class_hid = BNXT_ULP_CLASS_HID_4ce40,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2262] = {
	.class_hid = BNXT_ULP_CLASS_HID_43850,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32836UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2263] = {
	.class_hid = BNXT_ULP_CLASS_HID_c3768,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2264] = {
	.class_hid = BNXT_ULP_CLASS_HID_ca990,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49156UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2265] = {
	.class_hid = BNXT_ULP_CLASS_HID_cd878,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2266] = {
	.class_hid = BNXT_ULP_CLASS_HID_c3388,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49220UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2267] = {
	.class_hid = BNXT_ULP_CLASS_HID_6f910,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2268] = {
	.class_hid = BNXT_ULP_CLASS_HID_65320,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98308UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2269] = {
	.class_hid = BNXT_ULP_CLASS_HID_68308,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2270] = {
	.class_hid = BNXT_ULP_CLASS_HID_6e430,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98372UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2271] = {
	.class_hid = BNXT_ULP_CLASS_HID_e0c30,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2272] = {
	.class_hid = BNXT_ULP_CLASS_HID_e6d58,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114692UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2273] = {
	.class_hid = BNXT_ULP_CLASS_HID_e9d40,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2274] = {
	.class_hid = BNXT_ULP_CLASS_HID_efe68,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114756UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2275] = {
	.class_hid = BNXT_ULP_CLASS_HID_59b20,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2276] = {
	.class_hid = BNXT_ULP_CLASS_HID_5fc48,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163844UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2277] = {
	.class_hid = BNXT_ULP_CLASS_HID_52518,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2278] = {
	.class_hid = BNXT_ULP_CLASS_HID_58640,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163908UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2279] = {
	.class_hid = BNXT_ULP_CLASS_HID_d9558,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2280] = {
	.class_hid = BNXT_ULP_CLASS_HID_d0f68,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180228UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2281] = {
	.class_hid = BNXT_ULP_CLASS_HID_d3f50,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2282] = {
	.class_hid = BNXT_ULP_CLASS_HID_d9078,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180292UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2283] = {
	.class_hid = BNXT_ULP_CLASS_HID_750e8,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2284] = {
	.class_hid = BNXT_ULP_CLASS_HID_7b110,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229380UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2285] = {
	.class_hid = BNXT_ULP_CLASS_HID_7e1f8,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2286] = {
	.class_hid = BNXT_ULP_CLASS_HID_75b08,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229444UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2287] = {
	.class_hid = BNXT_ULP_CLASS_HID_f6a20,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2288] = {
	.class_hid = BNXT_ULP_CLASS_HID_fcb48,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245764UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2289] = {
	.class_hid = BNXT_ULP_CLASS_HID_ffb30,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2290] = {
	.class_hid = BNXT_ULP_CLASS_HID_f5540,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245828UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2291] = {
	.class_hid = BNXT_ULP_CLASS_HID_11a88,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2292] = {
	.class_hid = BNXT_ULP_CLASS_HID_17c50,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131076UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2293] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ac78,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2294] = {
	.class_hid = BNXT_ULP_CLASS_HID_10668,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131140UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2295] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c6a8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2296] = {
	.class_hid = BNXT_ULP_CLASS_HID_33098,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196612UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2297] = {
	.class_hid = BNXT_ULP_CLASS_HID_360a0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2298] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c188,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196676UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2299] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c980,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2300] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ab68,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393220UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2301] = {
	.class_hid = BNXT_ULP_CLASS_HID_1db70,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2302] = {
	.class_hid = BNXT_ULP_CLASS_HID_1b560,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393284UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2303] = {
	.class_hid = BNXT_ULP_CLASS_HID_38ec8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2304] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ef90,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458756UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2305] = {
	.class_hid = BNXT_ULP_CLASS_HID_39fb8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2306] = {
	.class_hid = BNXT_ULP_CLASS_HID_389a8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458820UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2307] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ee70,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2308] = {
	.class_hid = BNXT_ULP_CLASS_HID_15860,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655364UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2309] = {
	.class_hid = BNXT_ULP_CLASS_HID_17788,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2310] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e950,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655428UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2311] = {
	.class_hid = BNXT_ULP_CLASS_HID_362b8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2312] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c380,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720900UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2313] = {
	.class_hid = BNXT_ULP_CLASS_HID_34cb0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2314] = {
	.class_hid = BNXT_ULP_CLASS_HID_36d98,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720964UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2315] = {
	.class_hid = BNXT_ULP_CLASS_HID_1dc88,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2316] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f778,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917508UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2317] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e680,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2318] = {
	.class_hid = BNXT_ULP_CLASS_HID_1d868,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917572UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2319] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d1b0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2320] = {
	.class_hid = BNXT_ULP_CLASS_HID_3cba0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983044UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2321] = {
	.class_hid = BNXT_ULP_CLASS_HID_3fbc8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2322] = {
	.class_hid = BNXT_ULP_CLASS_HID_3dc90,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983108UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2323] = {
	.class_hid = BNXT_ULP_CLASS_HID_43d70,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2324] = {
	.class_hid = BNXT_ULP_CLASS_HID_49e18,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32772UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2325] = {
	.class_hid = BNXT_ULP_CLASS_HID_4ce00,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2326] = {
	.class_hid = BNXT_ULP_CLASS_HID_43810,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32836UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2327] = {
	.class_hid = BNXT_ULP_CLASS_HID_c3728,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2328] = {
	.class_hid = BNXT_ULP_CLASS_HID_ca9d0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49156UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2329] = {
	.class_hid = BNXT_ULP_CLASS_HID_cd838,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2330] = {
	.class_hid = BNXT_ULP_CLASS_HID_c33c8,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49220UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2331] = {
	.class_hid = BNXT_ULP_CLASS_HID_6f950,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2332] = {
	.class_hid = BNXT_ULP_CLASS_HID_65360,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98308UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2333] = {
	.class_hid = BNXT_ULP_CLASS_HID_68348,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2334] = {
	.class_hid = BNXT_ULP_CLASS_HID_6e470,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98372UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2335] = {
	.class_hid = BNXT_ULP_CLASS_HID_e0c70,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2336] = {
	.class_hid = BNXT_ULP_CLASS_HID_e6d18,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114692UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2337] = {
	.class_hid = BNXT_ULP_CLASS_HID_e9d00,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2338] = {
	.class_hid = BNXT_ULP_CLASS_HID_efe28,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114756UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2339] = {
	.class_hid = BNXT_ULP_CLASS_HID_59b60,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2340] = {
	.class_hid = BNXT_ULP_CLASS_HID_5fc08,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163844UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2341] = {
	.class_hid = BNXT_ULP_CLASS_HID_52558,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2342] = {
	.class_hid = BNXT_ULP_CLASS_HID_58600,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163908UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2343] = {
	.class_hid = BNXT_ULP_CLASS_HID_d9518,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2344] = {
	.class_hid = BNXT_ULP_CLASS_HID_d0f28,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180228UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2345] = {
	.class_hid = BNXT_ULP_CLASS_HID_d3f10,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2346] = {
	.class_hid = BNXT_ULP_CLASS_HID_d9038,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180292UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2347] = {
	.class_hid = BNXT_ULP_CLASS_HID_750a8,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2348] = {
	.class_hid = BNXT_ULP_CLASS_HID_7b150,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229380UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2349] = {
	.class_hid = BNXT_ULP_CLASS_HID_7e1b8,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2350] = {
	.class_hid = BNXT_ULP_CLASS_HID_75b48,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229444UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2351] = {
	.class_hid = BNXT_ULP_CLASS_HID_f6a60,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2352] = {
	.class_hid = BNXT_ULP_CLASS_HID_fcb08,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245764UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2353] = {
	.class_hid = BNXT_ULP_CLASS_HID_ffb70,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2354] = {
	.class_hid = BNXT_ULP_CLASS_HID_f5500,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245828UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2355] = {
	.class_hid = BNXT_ULP_CLASS_HID_11a48,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2356] = {
	.class_hid = BNXT_ULP_CLASS_HID_17c90,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131076UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2357] = {
	.class_hid = BNXT_ULP_CLASS_HID_1acb8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2358] = {
	.class_hid = BNXT_ULP_CLASS_HID_106a8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131140UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2359] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c668,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2360] = {
	.class_hid = BNXT_ULP_CLASS_HID_33058,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196612UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2361] = {
	.class_hid = BNXT_ULP_CLASS_HID_36060,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2362] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c148,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196676UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2363] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c940,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2364] = {
	.class_hid = BNXT_ULP_CLASS_HID_1aba8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393220UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2365] = {
	.class_hid = BNXT_ULP_CLASS_HID_1dbb0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2366] = {
	.class_hid = BNXT_ULP_CLASS_HID_1b5a0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393284UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2367] = {
	.class_hid = BNXT_ULP_CLASS_HID_38e08,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2368] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ef50,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458756UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2369] = {
	.class_hid = BNXT_ULP_CLASS_HID_39f78,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2370] = {
	.class_hid = BNXT_ULP_CLASS_HID_38968,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458820UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2371] = {
	.class_hid = BNXT_ULP_CLASS_HID_1eeb0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2372] = {
	.class_hid = BNXT_ULP_CLASS_HID_158a0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655364UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2373] = {
	.class_hid = BNXT_ULP_CLASS_HID_17748,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2374] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e990,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655428UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2375] = {
	.class_hid = BNXT_ULP_CLASS_HID_36278,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2376] = {
	.class_hid = BNXT_ULP_CLASS_HID_3c340,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720900UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2377] = {
	.class_hid = BNXT_ULP_CLASS_HID_34c70,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2378] = {
	.class_hid = BNXT_ULP_CLASS_HID_36d58,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720964UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2379] = {
	.class_hid = BNXT_ULP_CLASS_HID_1dc48,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2380] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f7b8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917508UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2381] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e640,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2382] = {
	.class_hid = BNXT_ULP_CLASS_HID_1d8a8,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917572UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2383] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d170,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2384] = {
	.class_hid = BNXT_ULP_CLASS_HID_3cb60,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983044UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2385] = {
	.class_hid = BNXT_ULP_CLASS_HID_3fb08,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2386] = {
	.class_hid = BNXT_ULP_CLASS_HID_3dc50,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983108UL,
	.flow_pattern_id = 0,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2387] = {
	.class_hid = BNXT_ULP_CLASS_HID_20dc,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[2388] = {
	.class_hid = BNXT_ULP_CLASS_HID_729c,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_0_BITMASK_O_IPV6_DST_ADDR }
	},
	[2389] = {
	.class_hid = BNXT_ULP_CLASS_HID_80214,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[2390] = {
	.class_hid = BNXT_ULP_CLASS_HID_181684,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_1_BITMASK_O_IPV4_DST_ADDR }
	},
	[2391] = {
	.class_hid = BNXT_ULP_CLASS_HID_488e8,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2392] = {
	.class_hid = BNXT_ULP_CLASS_HID_412e0,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2393] = {
	.class_hid = BNXT_ULP_CLASS_HID_c82a0,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2394] = {
	.class_hid = BNXT_ULP_CLASS_HID_c2c98,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_2_BITMASK_O_IPV6_DST_ADDR }
	},
	[2395] = {
	.class_hid = BNXT_ULP_CLASS_HID_155c0,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2396] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e730,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2397] = {
	.class_hid = BNXT_ULP_CLASS_HID_32a88,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2398] = {
	.class_hid = BNXT_ULP_CLASS_HID_3bbf8,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_3_BITMASK_O_IPV4_DST_ADDR }
	},
	[2399] = {
	.class_hid = BNXT_ULP_CLASS_HID_209c,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[2400] = {
	.class_hid = BNXT_ULP_CLASS_HID_72dc,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR }
	},
	[2401] = {
	.class_hid = BNXT_ULP_CLASS_HID_10352c,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[2402] = {
	.class_hid = BNXT_ULP_CLASS_HID_10876c,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT }
	},
	[2403] = {
	.class_hid = BNXT_ULP_CLASS_HID_83b64,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2404] = {
	.class_hid = BNXT_ULP_CLASS_HID_88ca4,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2405] = {
	.class_hid = BNXT_ULP_CLASS_HID_184ff4,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2406] = {
	.class_hid = BNXT_ULP_CLASS_HID_189134,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_4_BITMASK_O_TCP_DST_PORT }
	},
	[2407] = {
	.class_hid = BNXT_ULP_CLASS_HID_80254,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[2408] = {
	.class_hid = BNXT_ULP_CLASS_HID_1816c4,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR }
	},
	[2409] = {
	.class_hid = BNXT_ULP_CLASS_HID_c828c,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[2410] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c973c,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT }
	},
	[2411] = {
	.class_hid = BNXT_ULP_CLASS_HID_ace74,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2412] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad2e4,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2413] = {
	.class_hid = BNXT_ULP_CLASS_HID_e47c4,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2414] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e6c74,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_5_BITMASK_O_TCP_DST_PORT }
	},
	[2415] = {
	.class_hid = BNXT_ULP_CLASS_HID_205c,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 4096UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[2416] = {
	.class_hid = BNXT_ULP_CLASS_HID_721c,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 6144UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR }
	},
	[2417] = {
	.class_hid = BNXT_ULP_CLASS_HID_1035ec,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 12288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[2418] = {
	.class_hid = BNXT_ULP_CLASS_HID_1087ac,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 14336UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT }
	},
	[2419] = {
	.class_hid = BNXT_ULP_CLASS_HID_83ba4,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 20480UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2420] = {
	.class_hid = BNXT_ULP_CLASS_HID_88c64,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 22528UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2421] = {
	.class_hid = BNXT_ULP_CLASS_HID_184f34,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 28672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2422] = {
	.class_hid = BNXT_ULP_CLASS_HID_1891f4,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 30720UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_6_BITMASK_O_UDP_DST_PORT }
	},
	[2423] = {
	.class_hid = BNXT_ULP_CLASS_HID_80294,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 16384UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[2424] = {
	.class_hid = BNXT_ULP_CLASS_HID_181604,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 24576UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR }
	},
	[2425] = {
	.class_hid = BNXT_ULP_CLASS_HID_c824c,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[2426] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c97fc,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 57344UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT }
	},
	[2427] = {
	.class_hid = BNXT_ULP_CLASS_HID_aceb4,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 81920UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2428] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ad224,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 90112UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2429] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4704,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2430] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e6cb4,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 122880UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_7_BITMASK_O_UDP_DST_PORT }
	},
	[2431] = {
	.class_hid = BNXT_ULP_CLASS_HID_48828,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2432] = {
	.class_hid = BNXT_ULP_CLASS_HID_41220,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2433] = {
	.class_hid = BNXT_ULP_CLASS_HID_c8260,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2434] = {
	.class_hid = BNXT_ULP_CLASS_HID_c2c58,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR }
	},
	[2435] = {
	.class_hid = BNXT_ULP_CLASS_HID_64df0,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2436] = {
	.class_hid = BNXT_ULP_CLASS_HID_6de00,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2437] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4728,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2438] = {
	.class_hid = BNXT_ULP_CLASS_HID_ee838,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT }
	},
	[2439] = {
	.class_hid = BNXT_ULP_CLASS_HID_5d618,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2440] = {
	.class_hid = BNXT_ULP_CLASS_HID_57010,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2441] = {
	.class_hid = BNXT_ULP_CLASS_HID_de050,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2442] = {
	.class_hid = BNXT_ULP_CLASS_HID_d8a48,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2443] = {
	.class_hid = BNXT_ULP_CLASS_HID_7abe0,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2444] = {
	.class_hid = BNXT_ULP_CLASS_HID_735d8,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2445] = {
	.class_hid = BNXT_ULP_CLASS_HID_fa518,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2446] = {
	.class_hid = BNXT_ULP_CLASS_HID_f4f10,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_8_BITMASK_O_TCP_DST_PORT }
	},
	[2447] = {
	.class_hid = BNXT_ULP_CLASS_HID_15580,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2448] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e770,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2449] = {
	.class_hid = BNXT_ULP_CLASS_HID_32ac8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2450] = {
	.class_hid = BNXT_ULP_CLASS_HID_3bbb8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR }
	},
	[2451] = {
	.class_hid = BNXT_ULP_CLASS_HID_18498,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2452] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae90,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2453] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d9c0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2454] = {
	.class_hid = BNXT_ULP_CLASS_HID_3eab0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT }
	},
	[2455] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f888,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2456] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c280,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2457] = {
	.class_hid = BNXT_ULP_CLASS_HID_3fdb0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2458] = {
	.class_hid = BNXT_ULP_CLASS_HID_347c8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2459] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e0a8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2460] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f198,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2461] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ecc8,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2462] = {
	.class_hid = BNXT_ULP_CLASS_HID_3f6c0,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_SRC_PORT |
		BNXT_ULP_HF_0_3_9_BITMASK_O_TCP_DST_PORT }
	},
	[2463] = {
	.class_hid = BNXT_ULP_CLASS_HID_48868,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32768UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2464] = {
	.class_hid = BNXT_ULP_CLASS_HID_41260,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 32832UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2465] = {
	.class_hid = BNXT_ULP_CLASS_HID_c8220,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49152UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2466] = {
	.class_hid = BNXT_ULP_CLASS_HID_c2c18,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 49216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR }
	},
	[2467] = {
	.class_hid = BNXT_ULP_CLASS_HID_64db0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98304UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2468] = {
	.class_hid = BNXT_ULP_CLASS_HID_6de40,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 98368UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2469] = {
	.class_hid = BNXT_ULP_CLASS_HID_e4768,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114688UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2470] = {
	.class_hid = BNXT_ULP_CLASS_HID_ee878,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 114752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT }
	},
	[2471] = {
	.class_hid = BNXT_ULP_CLASS_HID_5d658,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163840UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2472] = {
	.class_hid = BNXT_ULP_CLASS_HID_57050,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 163904UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2473] = {
	.class_hid = BNXT_ULP_CLASS_HID_de010,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180224UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2474] = {
	.class_hid = BNXT_ULP_CLASS_HID_d8a08,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 180288UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2475] = {
	.class_hid = BNXT_ULP_CLASS_HID_7aba0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229376UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2476] = {
	.class_hid = BNXT_ULP_CLASS_HID_73598,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 229440UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2477] = {
	.class_hid = BNXT_ULP_CLASS_HID_fa558,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245760UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2478] = {
	.class_hid = BNXT_ULP_CLASS_HID_f4f50,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 245824UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_SRC_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_IPV6_DST_ADDR |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_10_BITMASK_O_UDP_DST_PORT }
	},
	[2479] = {
	.class_hid = BNXT_ULP_CLASS_HID_15540,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131072UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2480] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e7b0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 131136UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2481] = {
	.class_hid = BNXT_ULP_CLASS_HID_32a08,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196608UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2482] = {
	.class_hid = BNXT_ULP_CLASS_HID_3bb78,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 196672UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR }
	},
	[2483] = {
	.class_hid = BNXT_ULP_CLASS_HID_18458,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393216UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2484] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ae50,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 393280UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2485] = {
	.class_hid = BNXT_ULP_CLASS_HID_3d900,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458752UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2486] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ea70,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 458816UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT }
	},
	[2487] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f848,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655360UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2488] = {
	.class_hid = BNXT_ULP_CLASS_HID_1c240,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 655424UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2489] = {
	.class_hid = BNXT_ULP_CLASS_HID_3fd70,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720896UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2490] = {
	.class_hid = BNXT_ULP_CLASS_HID_34708,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 720960UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2491] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e068,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917504UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2492] = {
	.class_hid = BNXT_ULP_CLASS_HID_1f158,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 917568UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2493] = {
	.class_hid = BNXT_ULP_CLASS_HID_3ec08,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983040UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2494] = {
	.class_hid = BNXT_ULP_CLASS_HID_3f600,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 983104UL,
	.flow_pattern_id = 1,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_SRC_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_IPV4_DST_ADDR |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_SRC_PORT |
		BNXT_ULP_HF_0_3_11_BITMASK_O_UDP_DST_PORT }
	},
	[2495] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e0c,
	.class_tid = 3,
	.hdr_sig_id = 0,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_0_BITMASK_O_ETH_SMAC }
	},
	[2496] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e1c,
	.class_tid = 3,
	.hdr_sig_id = 1,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_1_BITMASK_O_ETH_SMAC }
	},
	[2497] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e70,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC }
	},
	[2498] = {
	.class_hid = BNXT_ULP_CLASS_HID_af00,
	.class_tid = 3,
	.hdr_sig_id = 2,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_2_BITMASK_OO_VLAN_VID }
	},
	[2499] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e00,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC }
	},
	[2500] = {
	.class_hid = BNXT_ULP_CLASS_HID_af70,
	.class_tid = 3,
	.hdr_sig_id = 3,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_3_BITMASK_OO_VLAN_VID }
	},
	[2501] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e4c,
	.class_tid = 3,
	.hdr_sig_id = 4,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_4_BITMASK_O_ETH_SMAC }
	},
	[2502] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e5c,
	.class_tid = 3,
	.hdr_sig_id = 5,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_5_BITMASK_O_ETH_SMAC }
	},
	[2503] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e8c,
	.class_tid = 3,
	.hdr_sig_id = 6,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_6_BITMASK_O_ETH_SMAC }
	},
	[2504] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e9c,
	.class_tid = 3,
	.hdr_sig_id = 7,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_7_BITMASK_O_ETH_SMAC }
	},
	[2505] = {
	.class_hid = BNXT_ULP_CLASS_HID_1eb0,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC }
	},
	[2506] = {
	.class_hid = BNXT_ULP_CLASS_HID_afc0,
	.class_tid = 3,
	.hdr_sig_id = 8,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_8_BITMASK_OO_VLAN_VID }
	},
	[2507] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e40,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC }
	},
	[2508] = {
	.class_hid = BNXT_ULP_CLASS_HID_af30,
	.class_tid = 3,
	.hdr_sig_id = 9,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_TCP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_9_BITMASK_OO_VLAN_VID }
	},
	[2509] = {
	.class_hid = BNXT_ULP_CLASS_HID_1ef0,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC }
	},
	[2510] = {
	.class_hid = BNXT_ULP_CLASS_HID_af80,
	.class_tid = 3,
	.hdr_sig_id = 10,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV6 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_10_BITMASK_OO_VLAN_VID }
	},
	[2511] = {
	.class_hid = BNXT_ULP_CLASS_HID_1e80,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 4UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC }
	},
	[2512] = {
	.class_hid = BNXT_ULP_CLASS_HID_aff0,
	.class_tid = 3,
	.hdr_sig_id = 11,
	.flow_sig_id = 68UL,
	.flow_pattern_id = 2,
	.app_sig = 0,
	.hdr_sig = { .bits =
		BNXT_ULP_HDR_BIT_O_ETH |
		BNXT_ULP_HDR_BIT_OO_VLAN |
		BNXT_ULP_HDR_BIT_O_IPV4 |
		BNXT_ULP_HDR_BIT_O_UDP |
		BNXT_ULP_FLOW_DIR_BITMASK_EGR },
	.field_sig = { .bits =
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_DMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_O_ETH_SMAC |
		BNXT_ULP_HF_0_3_11_BITMASK_OO_VLAN_VID }
	}
};

