/* SPDX-License-Identifier: BSD-3-Clause
 * Copyright(c) 2014-2022 Broadcom
 * All rights reserved.
 */

/* date: Wed Apr  6 11:15:00 2022 */

#ifndef ULP_TEMPLATE_DB_H_
#define ULP_TEMPLATE_DB_H_

#define BNXT_ULP_REGFILE_MAX_SZ 49
#define BNXT_ULP_MAX_NUM_DEVICES 4
#define BNXT_ULP_LOG2_MAX_NUM_DEV 2
#define BNXT_ULP_GEN_TBL_MAX_SZ 24
#define BNXT_ULP_CLASS_SIG_TBL_MAX_SZ 2097152
#define BNXT_ULP_CLASS_MATCH_LIST_MAX_SZ 2513
#define BNXT_ULP_CLASS_HID_LOW_PRIME 7907
#define BNXT_ULP_CLASS_HID_HIGH_PRIME 4721
#define BNXT_ULP_CLASS_HID_SHFTR 30
#define BNXT_ULP_CLASS_HID_SHFTL 31
#define BNXT_ULP_CLASS_HID_MASK 2097151
#define BNXT_ULP_ACT_SIG_TBL_MAX_SZ 2048
#define BNXT_ULP_ACT_MATCH_LIST_MAX_SZ 100
#define BNXT_ULP_ACT_HID_LOW_PRIME 7919
#define BNXT_ULP_ACT_HID_HIGH_PRIME 3793
#define BNXT_ULP_ACT_HID_SHFTR 28
#define BNXT_ULP_ACT_HID_SHFTL 27
#define BNXT_ULP_ACT_HID_MASK 2047
#define BNXT_ULP_APP_RESOURCE_RESV_LIST_MAX_SZ 2
#define BNXT_ULP_GLB_RESOURCE_TBL_MAX_SZ 96
#define BNXT_ULP_APP_GLB_RESOURCE_TBL_MAX_SZ 2
#define BNXT_ULP_RESOURCE_RESV_LIST_MAX_SZ 142
#define BNXT_ULP_APP_CAP_TBL_MAX_SZ 4
#define BNXT_ULP_COND_GOTO_REJECT 1023
#define BNXT_ULP_COND_GOTO_RF 0x10000
#define BNXT_ULP_GLB_FIELD_TBL_SHIFT 7
#define BNXT_ULP_HDR_SIG_ID_SHIFT 5
#define BNXT_ULP_APP_ID_CONFIG 0
#define BNXT_ULP_APP_ID_SHIFT 4
#define BNXT_ULP_GLB_FIELD_TBL_SIZE 13787
#define ULP_WH_PLUS_CLASS_TMPL_LIST_SIZE 6
#define ULP_WH_PLUS_CLASS_TBL_LIST_SIZE 89
#define ULP_WH_PLUS_CLASS_KEY_INFO_LIST_SIZE 600
#define ULP_WH_PLUS_CLASS_IDENT_LIST_SIZE 26
#define ULP_WH_PLUS_CLASS_RESULT_FIELD_LIST_SIZE 618
#define ULP_WH_PLUS_CLASS_COND_LIST_SIZE 49
#define ULP_THOR_CLASS_TMPL_LIST_SIZE 6
#define ULP_THOR_CLASS_TBL_LIST_SIZE 119
#define ULP_THOR_CLASS_KEY_INFO_LIST_SIZE 2485
#define ULP_THOR_CLASS_IDENT_LIST_SIZE 36
#define ULP_THOR_CLASS_RESULT_FIELD_LIST_SIZE 1508
#define ULP_THOR_CLASS_COND_LIST_SIZE 53
#define ULP_WH_PLUS_ACT_TMPL_LIST_SIZE 9
#define ULP_WH_PLUS_ACT_TBL_LIST_SIZE 45
#define ULP_WH_PLUS_ACT_KEY_INFO_LIST_SIZE 2
#define ULP_WH_PLUS_ACT_IDENT_LIST_SIZE 1
#define ULP_WH_PLUS_ACT_RESULT_FIELD_LIST_SIZE 616
#define ULP_WH_PLUS_ACT_COND_LIST_SIZE 48
#define ULP_THOR_ACT_TMPL_LIST_SIZE 9
#define ULP_THOR_ACT_TBL_LIST_SIZE 44
#define ULP_THOR_ACT_KEY_INFO_LIST_SIZE 16
#define ULP_THOR_ACT_IDENT_LIST_SIZE 3
#define ULP_THOR_ACT_RESULT_FIELD_LIST_SIZE 597
#define ULP_THOR_ACT_COND_LIST_SIZE 33

enum bnxt_ulp_act_bit {
	BNXT_ULP_ACT_BIT_MARK                = 0x0000000000000001,
	BNXT_ULP_ACT_BIT_DROP                = 0x0000000000000002,
	BNXT_ULP_ACT_BIT_COUNT               = 0x0000000000000004,
	BNXT_ULP_ACT_BIT_RSS                 = 0x0000000000000008,
	BNXT_ULP_ACT_BIT_METER               = 0x0000000000000010,
	BNXT_ULP_ACT_BIT_VXLAN_DECAP         = 0x0000000000000020,
	BNXT_ULP_ACT_BIT_POP_MPLS            = 0x0000000000000040,
	BNXT_ULP_ACT_BIT_PUSH_MPLS           = 0x0000000000000080,
	BNXT_ULP_ACT_BIT_MAC_SWAP            = 0x0000000000000100,
	BNXT_ULP_ACT_BIT_SET_MAC_SRC         = 0x0000000000000200,
	BNXT_ULP_ACT_BIT_SET_MAC_DST         = 0x0000000000000400,
	BNXT_ULP_ACT_BIT_POP_VLAN            = 0x0000000000000800,
	BNXT_ULP_ACT_BIT_PUSH_VLAN           = 0x0000000000001000,
	BNXT_ULP_ACT_BIT_SET_VLAN_PCP        = 0x0000000000002000,
	BNXT_ULP_ACT_BIT_SET_VLAN_VID        = 0x0000000000004000,
	BNXT_ULP_ACT_BIT_SET_IPV4_SRC        = 0x0000000000008000,
	BNXT_ULP_ACT_BIT_SET_IPV4_DST        = 0x0000000000010000,
	BNXT_ULP_ACT_BIT_SET_IPV6_SRC        = 0x0000000000020000,
	BNXT_ULP_ACT_BIT_SET_IPV6_DST        = 0x0000000000040000,
	BNXT_ULP_ACT_BIT_DEC_TTL             = 0x0000000000080000,
	BNXT_ULP_ACT_BIT_SET_TP_SRC          = 0x0000000000100000,
	BNXT_ULP_ACT_BIT_SET_TP_DST          = 0x0000000000200000,
	BNXT_ULP_ACT_BIT_VXLAN_ENCAP         = 0x0000000000400000,
	BNXT_ULP_ACT_BIT_JUMP                = 0x0000000000800000,
	BNXT_ULP_ACT_BIT_SHARED              = 0x0000000001000000,
	BNXT_ULP_ACT_BIT_SAMPLE              = 0x0000000002000000,
	BNXT_ULP_ACT_BIT_SHARED_SAMPLE       = 0x0000000004000000,
	BNXT_ULP_ACT_BIT_QUEUE               = 0x0000000008000000,
	BNXT_ULP_ACT_BIT_VF_TO_VF            = 0x0000000010000000,
	BNXT_ULP_ACT_BIT_LAST                = 0x0000000020000000
};

enum bnxt_ulp_hdr_bit {
	BNXT_ULP_HDR_BIT_O_ETH               = 0x0000000000000001,
	BNXT_ULP_HDR_BIT_OO_VLAN             = 0x0000000000000002,
	BNXT_ULP_HDR_BIT_OI_VLAN             = 0x0000000000000004,
	BNXT_ULP_HDR_BIT_O_IPV4              = 0x0000000000000008,
	BNXT_ULP_HDR_BIT_O_IPV6              = 0x0000000000000010,
	BNXT_ULP_HDR_BIT_O_TCP               = 0x0000000000000020,
	BNXT_ULP_HDR_BIT_O_UDP               = 0x0000000000000040,
	BNXT_ULP_HDR_BIT_O_ICMP              = 0x0000000000000080,
	BNXT_ULP_HDR_BIT_T_VXLAN             = 0x0000000000000100,
	BNXT_ULP_HDR_BIT_T_GRE               = 0x0000000000000200,
	BNXT_ULP_HDR_BIT_I_ETH               = 0x0000000000000400,
	BNXT_ULP_HDR_BIT_IO_VLAN             = 0x0000000000000800,
	BNXT_ULP_HDR_BIT_II_VLAN             = 0x0000000000001000,
	BNXT_ULP_HDR_BIT_I_IPV4              = 0x0000000000002000,
	BNXT_ULP_HDR_BIT_I_IPV6              = 0x0000000000004000,
	BNXT_ULP_HDR_BIT_I_TCP               = 0x0000000000008000,
	BNXT_ULP_HDR_BIT_I_UDP               = 0x0000000000010000,
	BNXT_ULP_HDR_BIT_I_ICMP              = 0x0000000000020000,
	BNXT_ULP_HDR_BIT_F1                  = 0x0000000000040000,
	BNXT_ULP_HDR_BIT_F2                  = 0x0000000000080000,
	BNXT_ULP_HDR_BIT_SVIF_IGNORE         = 0x0000000000100000,
	BNXT_ULP_HDR_BIT_LAST                = 0x0000000000200000
};

enum bnxt_ulp_accept_opc {
	BNXT_ULP_ACCEPT_OPC_ALWAYS = 0,
	BNXT_ULP_ACCEPT_OPC_FLOW_SIG_ID_MATCH = 1,
	BNXT_ULP_ACCEPT_OPC_LAST = 2
};

enum bnxt_ulp_act_type {
	BNXT_ULP_ACT_TYPE_NOT_SUPPORTED = 0,
	BNXT_ULP_ACT_TYPE_SUPPORTED = 1,
	BNXT_ULP_ACT_TYPE_END = 2,
	BNXT_ULP_ACT_TYPE_LAST = 3
};

enum bnxt_ulp_byte_order {
	BNXT_ULP_BYTE_ORDER_BE = 0,
	BNXT_ULP_BYTE_ORDER_LE = 1,
	BNXT_ULP_BYTE_ORDER_LAST = 2
};

enum bnxt_ulp_cf_idx {
	BNXT_ULP_CF_IDX_NOT_USED = 0,
	BNXT_ULP_CF_IDX_MPLS_TAG_NUM = 1,
	BNXT_ULP_CF_IDX_O_VTAG_NUM = 2,
	BNXT_ULP_CF_IDX_O_NO_VTAG = 3,
	BNXT_ULP_CF_IDX_O_ONE_VTAG = 4,
	BNXT_ULP_CF_IDX_O_TWO_VTAGS = 5,
	BNXT_ULP_CF_IDX_I_VTAG_NUM = 6,
	BNXT_ULP_CF_IDX_I_NO_VTAG = 7,
	BNXT_ULP_CF_IDX_I_ONE_VTAG = 8,
	BNXT_ULP_CF_IDX_I_TWO_VTAGS = 9,
	BNXT_ULP_CF_IDX_INCOMING_IF = 10,
	BNXT_ULP_CF_IDX_DIRECTION = 11,
	BNXT_ULP_CF_IDX_SVIF_FLAG = 12,
	BNXT_ULP_CF_IDX_O_L3 = 13,
	BNXT_ULP_CF_IDX_I_L3 = 14,
	BNXT_ULP_CF_IDX_O_L4 = 15,
	BNXT_ULP_CF_IDX_I_L4 = 16,
	BNXT_ULP_CF_IDX_O_L4_SRC_PORT = 17,
	BNXT_ULP_CF_IDX_O_L4_DST_PORT = 18,
	BNXT_ULP_CF_IDX_I_L4_SRC_PORT = 19,
	BNXT_ULP_CF_IDX_I_L4_DST_PORT = 20,
	BNXT_ULP_CF_IDX_O_L4_SRC_PORT_MASK = 21,
	BNXT_ULP_CF_IDX_O_L4_DST_PORT_MASK = 22,
	BNXT_ULP_CF_IDX_I_L4_SRC_PORT_MASK = 23,
	BNXT_ULP_CF_IDX_I_L4_DST_PORT_MASK = 24,
	BNXT_ULP_CF_IDX_O_L4_FB_SRC_PORT = 25,
	BNXT_ULP_CF_IDX_O_L4_FB_DST_PORT = 26,
	BNXT_ULP_CF_IDX_I_L4_FB_SRC_PORT = 27,
	BNXT_ULP_CF_IDX_I_L4_FB_DST_PORT = 28,
	BNXT_ULP_CF_IDX_O_L3_FB_PROTO_ID = 29,
	BNXT_ULP_CF_IDX_I_L3_FB_PROTO_ID = 30,
	BNXT_ULP_CF_IDX_O_L3_PROTO_ID = 31,
	BNXT_ULP_CF_IDX_I_L3_PROTO_ID = 32,
	BNXT_ULP_CF_IDX_DEV_PORT_ID = 33,
	BNXT_ULP_CF_IDX_DRV_FUNC_SVIF = 34,
	BNXT_ULP_CF_IDX_DRV_FUNC_SPIF = 35,
	BNXT_ULP_CF_IDX_DRV_FUNC_PARIF = 36,
	BNXT_ULP_CF_IDX_DRV_FUNC_VNIC = 37,
	BNXT_ULP_CF_IDX_DRV_FUNC_PHY_PORT = 38,
	BNXT_ULP_CF_IDX_VF_FUNC_SVIF = 39,
	BNXT_ULP_CF_IDX_VF_FUNC_SPIF = 40,
	BNXT_ULP_CF_IDX_VF_FUNC_PARIF = 41,
	BNXT_ULP_CF_IDX_VF_FUNC_VNIC = 42,
	BNXT_ULP_CF_IDX_PHY_PORT_SVIF = 43,
	BNXT_ULP_CF_IDX_PHY_PORT_SPIF = 44,
	BNXT_ULP_CF_IDX_PHY_PORT_PARIF = 45,
	BNXT_ULP_CF_IDX_PHY_PORT_VPORT = 46,
	BNXT_ULP_CF_IDX_ACT_ENCAP_IPV4_FLAG = 47,
	BNXT_ULP_CF_IDX_ACT_ENCAP_IPV6_FLAG = 48,
	BNXT_ULP_CF_IDX_ACT_DEC_TTL = 49,
	BNXT_ULP_CF_IDX_ACT_T_DEC_TTL = 50,
	BNXT_ULP_CF_IDX_ACT_PORT_IS_SET = 51,
	BNXT_ULP_CF_IDX_ACT_PORT_TYPE = 52,
	BNXT_ULP_CF_IDX_MATCH_PORT_TYPE = 53,
	BNXT_ULP_CF_IDX_MATCH_PORT_IS_VFREP = 54,
	BNXT_ULP_CF_IDX_MATCH_PORT_IS_PF = 55,
	BNXT_ULP_CF_IDX_VF_TO_VF = 56,
	BNXT_ULP_CF_IDX_L3_HDR_CNT = 57,
	BNXT_ULP_CF_IDX_L4_HDR_CNT = 58,
	BNXT_ULP_CF_IDX_VFR_MODE = 59,
	BNXT_ULP_CF_IDX_L3_TUN = 60,
	BNXT_ULP_CF_IDX_L3_TUN_DECAP = 61,
	BNXT_ULP_CF_IDX_FID = 62,
	BNXT_ULP_CF_IDX_HDR_SIG_ID = 63,
	BNXT_ULP_CF_IDX_FLOW_SIG_ID = 64,
	BNXT_ULP_CF_IDX_WC_MATCH = 65,
	BNXT_ULP_CF_IDX_WC_IS_HA_HIGH_REG = 66,
	BNXT_ULP_CF_IDX_TUNNEL_ID = 67,
	BNXT_ULP_CF_IDX_TUN_OFF_DIP_ID = 68,
	BNXT_ULP_CF_IDX_TUN_OFF_DMAC_ID = 69,
	BNXT_ULP_CF_IDX_OO_VLAN_FB_VID = 70,
	BNXT_ULP_CF_IDX_OI_VLAN_FB_VID = 71,
	BNXT_ULP_CF_IDX_IO_VLAN_FB_VID = 72,
	BNXT_ULP_CF_IDX_II_VLAN_FB_VID = 73,
	BNXT_ULP_CF_IDX_SOCKET_DIRECT = 74,
	BNXT_ULP_CF_IDX_SOCKET_DIRECT_VPORT = 75,
	BNXT_ULP_CF_IDX_TUNNEL_SPORT = 76,
	BNXT_ULP_CF_IDX_VF_META_FID = 77,
	BNXT_ULP_CF_IDX_DEV_ACT_PORT_ID = 78,
	BNXT_ULP_CF_IDX_LAST = 79
};

enum bnxt_ulp_cond_list_opc {
	BNXT_ULP_COND_LIST_OPC_TRUE = 0,
	BNXT_ULP_COND_LIST_OPC_FALSE = 1,
	BNXT_ULP_COND_LIST_OPC_OR = 2,
	BNXT_ULP_COND_LIST_OPC_AND = 3,
	BNXT_ULP_COND_LIST_OPC_LAST = 4
};

enum bnxt_ulp_cond_opc {
	BNXT_ULP_COND_OPC_CF_IS_SET = 0,
	BNXT_ULP_COND_OPC_CF_NOT_SET = 1,
	BNXT_ULP_COND_OPC_ACT_BIT_IS_SET = 2,
	BNXT_ULP_COND_OPC_ACT_BIT_NOT_SET = 3,
	BNXT_ULP_COND_OPC_HDR_BIT_IS_SET = 4,
	BNXT_ULP_COND_OPC_HDR_BIT_NOT_SET = 5,
	BNXT_ULP_COND_OPC_FIELD_BIT_IS_SET = 6,
	BNXT_ULP_COND_OPC_FIELD_BIT_NOT_SET = 7,
	BNXT_ULP_COND_OPC_RF_IS_SET = 8,
	BNXT_ULP_COND_OPC_RF_NOT_SET = 9,
	BNXT_ULP_COND_OPC_FLOW_PAT_MATCH = 10,
	BNXT_ULP_COND_OPC_ACT_PAT_MATCH = 11,
	BNXT_ULP_COND_OPC_EXT_MEM_IS_SET = 12,
	BNXT_ULP_COND_OPC_EXT_MEM_NOT_SET = 13,
	BNXT_ULP_COND_OPC_ENC_HDR_BIT_IS_SET = 14,
	BNXT_ULP_COND_OPC_ENC_HDR_BIT_NOT_SET = 15,
	BNXT_ULP_COND_OPC_LAST = 16
};

enum bnxt_ulp_critical_resource {
	BNXT_ULP_CRITICAL_RESOURCE_NO = 0,
	BNXT_ULP_CRITICAL_RESOURCE_YES = 1,
	BNXT_ULP_CRITICAL_RESOURCE_LAST = 2
};

enum bnxt_ulp_device_id {
	BNXT_ULP_DEVICE_ID_WH_PLUS = 0,
	BNXT_ULP_DEVICE_ID_THOR = 1,
	BNXT_ULP_DEVICE_ID_STINGRAY = 2,
	BNXT_ULP_DEVICE_ID_STINGRAY2 = 3,
	BNXT_ULP_DEVICE_ID_LAST = 4
};

enum bnxt_ulp_df_param_type {
	BNXT_ULP_DF_PARAM_TYPE_DEV_PORT_ID = 0,
	BNXT_ULP_DF_PARAM_TYPE_LAST = 1
};

enum bnxt_ulp_direction {
	BNXT_ULP_DIRECTION_INGRESS = 0,
	BNXT_ULP_DIRECTION_EGRESS = 1,
	BNXT_ULP_DIRECTION_LAST = 2
};

enum bnxt_ulp_enc_field {
	BNXT_ULP_ENC_FIELD_ETH_DMAC = 0,
	BNXT_ULP_ENC_FIELD_ETH_SMAC = 1,
	BNXT_ULP_ENC_FIELD_ETH_TYPE = 2,
	BNXT_ULP_ENC_FIELD_O_VLAN_TCI = 3,
	BNXT_ULP_ENC_FIELD_O_VLAN_TYPE = 4,
	BNXT_ULP_ENC_FIELD_I_VLAN_TCI = 5,
	BNXT_ULP_ENC_FIELD_I_VLAN_TYPE = 6,
	BNXT_ULP_ENC_FIELD_IPV4_IHL = 7,
	BNXT_ULP_ENC_FIELD_IPV4_TOS = 8,
	BNXT_ULP_ENC_FIELD_IPV4_PKT_ID = 9,
	BNXT_ULP_ENC_FIELD_IPV4_FRAG = 10,
	BNXT_ULP_ENC_FIELD_IPV4_TTL = 11,
	BNXT_ULP_ENC_FIELD_IPV4_PROTO = 12,
	BNXT_ULP_ENC_FIELD_IPV4_SADDR = 13,
	BNXT_ULP_ENC_FIELD_IPV4_DADDR = 14,
	BNXT_ULP_ENC_FIELD_IPV6_VTC_FLOW = 15,
	BNXT_ULP_ENC_FIELD_IPV6_PROTO = 16,
	BNXT_ULP_ENC_FIELD_IPV6_TTL = 17,
	BNXT_ULP_ENC_FIELD_IPV6_SADDR = 18,
	BNXT_ULP_ENC_FIELD_IPV6_DADDR = 19,
	BNXT_ULP_ENC_FIELD_UDP_SPORT = 20,
	BNXT_ULP_ENC_FIELD_UDP_DPORT = 21,
	BNXT_ULP_ENC_FIELD_VXLAN_FLAGS = 22,
	BNXT_ULP_ENC_FIELD_VXLAN_RSVD0 = 23,
	BNXT_ULP_ENC_FIELD_VXLAN_VNI = 24,
	BNXT_ULP_ENC_FIELD_VXLAN_RSVD1 = 25,
	BNXT_ULP_ENC_FIELD_LAST = 26
};

enum bnxt_ulp_fdb_opc {
	BNXT_ULP_FDB_OPC_PUSH_FID = 0,
	BNXT_ULP_FDB_OPC_PUSH_RID_REGFILE = 1,
	BNXT_ULP_FDB_OPC_ALLOC_RID_REGFILE = 2,
	BNXT_ULP_FDB_OPC_NOP = 3,
	BNXT_ULP_FDB_OPC_LAST = 4
};

enum bnxt_ulp_fdb_type {
	BNXT_ULP_FDB_TYPE_REGULAR = 0,
	BNXT_ULP_FDB_TYPE_DEFAULT = 1,
	BNXT_ULP_FDB_TYPE_RID = 2,
	BNXT_ULP_FDB_TYPE_LAST = 3
};

enum bnxt_ulp_field_opc {
	BNXT_ULP_FIELD_OPC_SRC1 = 0,
	BNXT_ULP_FIELD_OPC_SRC1_THEN_SRC2_ELSE_SRC3 = 1,
	BNXT_ULP_FIELD_OPC_SRC1_PLUS_SRC2 = 2,
	BNXT_ULP_FIELD_OPC_SRC1_MINUS_SRC2 = 3,
	BNXT_ULP_FIELD_OPC_SRC1_PLUS_SRC2_POST = 4,
	BNXT_ULP_FIELD_OPC_SRC1_MINUS_SRC2_POST = 5,
	BNXT_ULP_FIELD_OPC_SRC1_OR_SRC2 = 6,
	BNXT_ULP_FIELD_OPC_SRC1_OR_SRC2_OR_SRC3 = 7,
	BNXT_ULP_FIELD_OPC_SRC1_AND_SRC2 = 8,
	BNXT_ULP_FIELD_OPC_SRC1_AND_SRC2_OR_SRC3 = 9,
	BNXT_ULP_FIELD_OPC_SKIP = 10,
	BNXT_ULP_FIELD_OPC_LAST = 11
};

enum bnxt_ulp_field_src {
	BNXT_ULP_FIELD_SRC_ZERO = 0,
	BNXT_ULP_FIELD_SRC_ONES = 1,
	BNXT_ULP_FIELD_SRC_CONST = 2,
	BNXT_ULP_FIELD_SRC_CF = 3,
	BNXT_ULP_FIELD_SRC_RF = 4,
	BNXT_ULP_FIELD_SRC_ACT_PROP = 5,
	BNXT_ULP_FIELD_SRC_ACT_PROP_SZ = 6,
	BNXT_ULP_FIELD_SRC_GLB_RF = 7,
	BNXT_ULP_FIELD_SRC_HF = 8,
	BNXT_ULP_FIELD_SRC_SUB_HF = 9,
	BNXT_ULP_FIELD_SRC_HDR_BIT = 10,
	BNXT_ULP_FIELD_SRC_ACT_BIT = 11,
	BNXT_ULP_FIELD_SRC_FIELD_BIT = 12,
	BNXT_ULP_FIELD_SRC_SKIP = 13,
	BNXT_ULP_FIELD_SRC_REJECT = 14,
	BNXT_ULP_FIELD_SRC_PORT_TABLE = 15,
	BNXT_ULP_FIELD_SRC_ENC_HDR_BIT = 16,
	BNXT_ULP_FIELD_SRC_ENC_FIELD = 17,
	BNXT_ULP_FIELD_SRC_LAST = 18
};

enum bnxt_ulp_func_opc {
	BNXT_ULP_FUNC_OPC_NOP = 0,
	BNXT_ULP_FUNC_OPC_EQ = 1,
	BNXT_ULP_FUNC_OPC_NE = 2,
	BNXT_ULP_FUNC_OPC_GT = 3,
	BNXT_ULP_FUNC_OPC_GE = 4,
	BNXT_ULP_FUNC_OPC_LT = 5,
	BNXT_ULP_FUNC_OPC_LE = 6,
	BNXT_ULP_FUNC_OPC_COPY_SRC1_TO_RF = 7,
	BNXT_ULP_FUNC_OPC_RSS_CONFIG = 8,
	BNXT_ULP_FUNC_OPC_GET_PARENT_MAC_ADDR = 9,
	BNXT_ULP_FUNC_OPC_ALLOC_L2_CTX_ID = 10,
	BNXT_ULP_FUNC_OPC_LAST = 11
};

enum bnxt_ulp_func_src {
	BNXT_ULP_FUNC_SRC_REGFILE = 0,
	BNXT_ULP_FUNC_SRC_GLB_REGFILE = 1,
	BNXT_ULP_FUNC_SRC_COMP_FIELD = 2,
	BNXT_ULP_FUNC_SRC_CONST = 3,
	BNXT_ULP_FUNC_SRC_LAST = 4
};

enum bnxt_ulp_generic_tbl_lkup_type {
	BNXT_ULP_GENERIC_TBL_LKUP_TYPE_INDEX = 0,
	BNXT_ULP_GENERIC_TBL_LKUP_TYPE_HASH = 1,
	BNXT_ULP_GENERIC_TBL_LKUP_TYPE_LAST = 2
};

enum bnxt_ulp_generic_tbl_opc {
	BNXT_ULP_GENERIC_TBL_OPC_NOT_USED = 0,
	BNXT_ULP_GENERIC_TBL_OPC_READ = 1,
	BNXT_ULP_GENERIC_TBL_OPC_WRITE = 2,
	BNXT_ULP_GENERIC_TBL_OPC_LAST = 3
};

enum bnxt_ulp_glb_rf_idx {
	BNXT_ULP_GLB_RF_IDX_NOT_USED = 0,
	BNXT_ULP_GLB_RF_IDX_GLB_PROF_FUNC_ID = 1,
	BNXT_ULP_GLB_RF_IDX_GLB_LB_AREC_PTR = 2,
	BNXT_ULP_GLB_RF_IDX_L2_PROF_FUNC_ID = 3,
	BNXT_ULP_GLB_RF_IDX_VXLAN_PROF_FUNC_ID = 4,
	BNXT_ULP_GLB_RF_IDX_VF_2_VFR_PROF_FUNC_ID = 5,
	BNXT_ULP_GLB_RF_IDX_ANY_2_VF_PROF_FUNC_ID = 6,
	BNXT_ULP_GLB_RF_IDX_GLB_MODIFY_PTR = 7,
	BNXT_ULP_GLB_RF_IDX_GLB_DROP_AREC_PTR = 8,
	BNXT_ULP_GLB_RF_IDX_ENCAP_MAC_PTR = 9,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_0 = 10,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_1 = 11,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_2 = 12,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_3 = 13,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_4 = 14,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_5 = 15,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_6 = 16,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_7 = 17,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_0 = 18,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_1 = 19,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_2 = 20,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_3 = 21,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_4 = 22,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_0 = 23,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_1 = 24,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_2 = 25,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_3 = 26,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_4 = 27,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_5 = 28,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_6 = 29,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_7 = 30,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_KEY_ID_0 = 31,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_KEY_ID_1 = 32,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_KEY_ID_2 = 33,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_KEY_ID_3 = 34,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_KEY_ID_4 = 35,
	BNXT_ULP_GLB_RF_IDX_GLB_METADATA_PROF_0 = 36,
	BNXT_ULP_GLB_RF_IDX_GLB_METADATA_PROF_1 = 37,
	BNXT_ULP_GLB_RF_IDX_GLB_VFR_EM_KEY_ID_0 = 38,
	BNXT_ULP_GLB_RF_IDX_GLB_VFR_EM_KEY_ID_1 = 39,
	BNXT_ULP_GLB_RF_IDX_GLB_VFR_EM_PROF_ID_0 = 40,
	BNXT_ULP_GLB_RF_IDX_GLB_VFR_EM_PROF_ID_1 = 41,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_PROF_FUNC_ID_0 = 42,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_PROF_FUNC_ID_1 = 43,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_PROF_FUNC_ID_2 = 44,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_PROF_FUNC_ID_3 = 45,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_L2_CNTXT_ID_0 = 46,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_L2_CNTXT_ID_1 = 47,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_EM_PROFILE_ID_0 = 48,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_EM_PROFILE_ID_1 = 49,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_0 = 50,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_1 = 51,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_2 = 52,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_3 = 53,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_4 = 54,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_5 = 55,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_6 = 56,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_7 = 57,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_8 = 58,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_9 = 59,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_10 = 60,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_EM_KEY_ID_0 = 61,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_EM_KEY_ID_1 = 62,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_KEY_ID_0 = 63,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_KEY_ID_1 = 64,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_KEY_ID_2 = 65,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_KEY_ID_3 = 66,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_KEY_ID_4 = 67,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_AREC_PTR_0 = 68,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_AREC_PTR_1 = 69,
	BNXT_ULP_GLB_RF_IDX_GRE_PROF_FUNC_ID = 70,
	BNXT_ULP_GLB_RF_IDX_LAST = 71
};

enum bnxt_ulp_hdr_type {
	BNXT_ULP_HDR_TYPE_NOT_SUPPORTED = 0,
	BNXT_ULP_HDR_TYPE_SUPPORTED = 1,
	BNXT_ULP_HDR_TYPE_END = 2,
	BNXT_ULP_HDR_TYPE_LAST = 3
};

enum bnxt_ulp_if_tbl_opc {
	BNXT_ULP_IF_TBL_OPC_NOT_USED = 0,
	BNXT_ULP_IF_TBL_OPC_WR_COMP_FIELD = 1,
	BNXT_ULP_IF_TBL_OPC_WR_REGFILE = 2,
	BNXT_ULP_IF_TBL_OPC_WR_CONST = 3,
	BNXT_ULP_IF_TBL_OPC_RD_COMP_FIELD = 4,
	BNXT_ULP_IF_TBL_OPC_LAST = 5
};

enum bnxt_ulp_index_tbl_opc {
	BNXT_ULP_INDEX_TBL_OPC_NOT_USED = 0,
	BNXT_ULP_INDEX_TBL_OPC_ALLOC_REGFILE = 1,
	BNXT_ULP_INDEX_TBL_OPC_WR_REGFILE = 2,
	BNXT_ULP_INDEX_TBL_OPC_ALLOC_WR_REGFILE = 3,
	BNXT_ULP_INDEX_TBL_OPC_RD_REGFILE = 4,
	BNXT_ULP_INDEX_TBL_OPC_ALLOC_WR_GLB_REGFILE = 5,
	BNXT_ULP_INDEX_TBL_OPC_WR_GLB_REGFILE = 6,
	BNXT_ULP_INDEX_TBL_OPC_LAST = 7
};

enum bnxt_ulp_mark_db_opc {
	BNXT_ULP_MARK_DB_OPC_NOP = 0,
	BNXT_ULP_MARK_DB_OPC_PUSH_IF_MARK_ACTION = 1,
	BNXT_ULP_MARK_DB_OPC_PUSH_AND_SET_VFR_FLAG = 2,
	BNXT_ULP_MARK_DB_OPC_LAST = 3
};

enum bnxt_ulp_match_type {
	BNXT_ULP_MATCH_TYPE_EM = 0,
	BNXT_ULP_MATCH_TYPE_WM = 1,
	BNXT_ULP_MATCH_TYPE_LAST = 2
};

enum bnxt_ulp_port_table {
	BNXT_ULP_PORT_TABLE_DRV_FUNC_PARENT_MAC = 0,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_PARENT_VNIC = 1,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_SVIF = 2,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_SPIF = 3,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_PARIF = 4,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_VNIC = 5,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_PHY_PORT = 6,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_MAC = 7,
	BNXT_ULP_PORT_TABLE_VF_FUNC_SVIF = 8,
	BNXT_ULP_PORT_TABLE_VF_FUNC_SPIF = 9,
	BNXT_ULP_PORT_TABLE_VF_FUNC_PARIF = 10,
	BNXT_ULP_PORT_TABLE_VF_FUNC_VNIC = 11,
	BNXT_ULP_PORT_TABLE_VF_FUNC_MAC = 12,
	BNXT_ULP_PORT_TABLE_PHY_PORT_SVIF = 13,
	BNXT_ULP_PORT_TABLE_PHY_PORT_SPIF = 14,
	BNXT_ULP_PORT_TABLE_PHY_PORT_PARIF = 15,
	BNXT_ULP_PORT_TABLE_PHY_PORT_VPORT = 16,
	BNXT_ULP_PORT_TABLE_PORT_IS_PF = 17,
	BNXT_ULP_PORT_TABLE_VF_FUNC_METADATA = 18,
	BNXT_ULP_PORT_TABLE_LAST = 19
};

enum bnxt_ulp_pri_opc {
	BNXT_ULP_PRI_OPC_NOT_USED = 0,
	BNXT_ULP_PRI_OPC_CONST = 1,
	BNXT_ULP_PRI_OPC_APP_PRI = 2,
	BNXT_ULP_PRI_OPC_LAST = 3
};

enum bnxt_ulp_rf_idx {
	BNXT_ULP_RF_IDX_NOT_USED = 0,
	BNXT_ULP_RF_IDX_L2_CNTXT_ID_0 = 1,
	BNXT_ULP_RF_IDX_L2_CNTXT_ID_1 = 2,
	BNXT_ULP_RF_IDX_PROF_FUNC_ID_0 = 3,
	BNXT_ULP_RF_IDX_PROF_FUNC_ID_1 = 4,
	BNXT_ULP_RF_IDX_EM_PROFILE_ID_0 = 5,
	BNXT_ULP_RF_IDX_EM_PROFILE_ID_1 = 6,
	BNXT_ULP_RF_IDX_WC_PROFILE_ID_0 = 7,
	BNXT_ULP_RF_IDX_WC_PROFILE_ID_1 = 8,
	BNXT_ULP_RF_IDX_MAIN_ACTION_PTR = 9,
	BNXT_ULP_RF_IDX_ACTION_PTR_0 = 10,
	BNXT_ULP_RF_IDX_ENCAP_PTR_0 = 11,
	BNXT_ULP_RF_IDX_ENCAP_PTR_1 = 12,
	BNXT_ULP_RF_IDX_CRITICAL_RESOURCE = 13,
	BNXT_ULP_RF_IDX_FLOW_CNTR_PTR_0 = 14,
	BNXT_ULP_RF_IDX_MAIN_SP_PTR = 15,
	BNXT_ULP_RF_IDX_MODIFY_IPV4_SRC_PTR_0 = 16,
	BNXT_ULP_RF_IDX_MODIFY_IPV4_DST_PTR_0 = 17,
	BNXT_ULP_RF_IDX_ACTION_REC_SIZE = 18,
	BNXT_ULP_RF_IDX_L2_CNTXT_TCAM_INDEX_0 = 19,
	BNXT_ULP_RF_IDX_L2_CNTXT_TCAM_INDEX_1 = 20,
	BNXT_ULP_RF_IDX_PROFILE_TCAM_INDEX_0 = 21,
	BNXT_ULP_RF_IDX_PROFILE_TCAM_INDEX_1 = 22,
	BNXT_ULP_RF_IDX_WC_TCAM_INDEX_0 = 23,
	BNXT_ULP_RF_IDX_WC_TCAM_INDEX_1 = 24,
	BNXT_ULP_RF_IDX_SRC_PROPERTY_PTR = 25,
	BNXT_ULP_RF_IDX_GENERIC_TBL_MISS = 26,
	BNXT_ULP_RF_IDX_MIRROR_PTR_0 = 27,
	BNXT_ULP_RF_IDX_MIRROR_ID_0 = 28,
	BNXT_ULP_RF_IDX_HDR_SIG_ID = 29,
	BNXT_ULP_RF_IDX_FLOW_SIG_ID = 30,
	BNXT_ULP_RF_IDX_RID = 31,
	BNXT_ULP_RF_IDX_WC_KEY_ID_0 = 32,
	BNXT_ULP_RF_IDX_EM_KEY_ID_0 = 33,
	BNXT_ULP_RF_IDX_DRV_FUNC_MAC = 34,
	BNXT_ULP_RF_IDX_DRV_FUNC_PARENT_MAC = 35,
	BNXT_ULP_RF_IDX_DEFAULT_AREC_PTR = 36,
	BNXT_ULP_RF_IDX_CC = 37,
	BNXT_ULP_RF_IDX_CF_FLOW_SIG_ID = 38,
	BNXT_ULP_RF_IDX_PHY_PORT = 39,
	BNXT_ULP_RF_IDX_METADATA_PROF = 40,
	BNXT_ULP_RF_IDX_MODIFY_PTR = 41,
	BNXT_ULP_RF_IDX_SOCK_DIR_SVIF = 42,
	BNXT_ULP_RF_IDX_SOCK_DIR_PARIF = 43,
	BNXT_ULP_RF_IDX_SOCK_DIR_ACT_PTR = 44,
	BNXT_ULP_RF_IDX_SOCK_DIR_PARENT_MAC = 45,
	BNXT_ULP_RF_IDX_RSS_VNIC = 46,
	BNXT_ULP_RF_IDX_PORT_IS_PF = 47,
	BNXT_ULP_RF_IDX_VF_FUNC_METADATA = 48,
	BNXT_ULP_RF_IDX_LAST = 49
};

enum bnxt_ulp_shared_session {
	BNXT_ULP_SHARED_SESSION_NO = 0,
	BNXT_ULP_SHARED_SESSION_YES = 1,
	BNXT_ULP_SHARED_SESSION_LAST = 2
};

enum bnxt_ulp_tcam_tbl_opc {
	BNXT_ULP_TCAM_TBL_OPC_NOT_USED = 0,
	BNXT_ULP_TCAM_TBL_OPC_ALLOC_WR_REGFILE = 1,
	BNXT_ULP_TCAM_TBL_OPC_SRCH_ALLOC_WR_REGFILE = 2,
	BNXT_ULP_TCAM_TBL_OPC_ALLOC_REGFILE = 3,
	BNXT_ULP_TCAM_TBL_OPC_WR_REGFILE = 4,
	BNXT_ULP_TCAM_TBL_OPC_ALLOC_IDENT = 5,
	BNXT_ULP_TCAM_TBL_OPC_LAST = 6
};

enum bnxt_ulp_template_type {
	BNXT_ULP_TEMPLATE_TYPE_CLASS = 0,
	BNXT_ULP_TEMPLATE_TYPE_ACTION = 1,
	BNXT_ULP_TEMPLATE_TYPE_LAST = 2
};

enum bnxt_ulp_vnic_tbl_opc {
	BNXT_ULP_VNIC_TBL_OPC_NOT_USED = 0,
	BNXT_ULP_VNIC_TBL_OPC_ALLOC_WR_REGFILE = 1,
	BNXT_ULP_VNIC_TBL_OPC_LAST = 2
};

enum bnxt_ulp_app_cap {
	BNXT_ULP_APP_CAP_SHARED_EN = 0x00000001,
	BNXT_ULP_APP_CAP_HOT_UPGRADE_EN = 0x00000002,
	BNXT_ULP_APP_CAP_UNICAST_ONLY = 0x00000004,
	BNXT_ULP_APP_CAP_SOCKET_DIRECT = 0x00000008,
	BNXT_ULP_APP_CAP_IP_TOS_PROTO_SUPPORT = 0x00000010,
	BNXT_ULP_APP_CAP_BC_MC_SUPPORT = 0x00000020
};

enum bnxt_ulp_fdb_resource_flags {
	BNXT_ULP_FDB_RESOURCE_FLAGS_DIR_INGR = 0x00,
	BNXT_ULP_FDB_RESOURCE_FLAGS_DIR_EGR = 0x01
};

enum bnxt_ulp_flow_dir_bitmask {
	BNXT_ULP_FLOW_DIR_BITMASK_ING = 0x0000000000000000,
	BNXT_ULP_FLOW_DIR_BITMASK_EGR = 0x8000000000000000
};

enum bnxt_ulp_resource_func {
	BNXT_ULP_RESOURCE_FUNC_INVALID = 0x00,
	BNXT_ULP_RESOURCE_FUNC_EM_TABLE = 0x20,
	BNXT_ULP_RESOURCE_FUNC_RSVD1 = 0x40,
	BNXT_ULP_RESOURCE_FUNC_RSVD2 = 0x60,
	BNXT_ULP_RESOURCE_FUNC_TCAM_TABLE = 0x80,
	BNXT_ULP_RESOURCE_FUNC_INDEX_TABLE = 0x81,
	BNXT_ULP_RESOURCE_FUNC_GENERIC_TABLE = 0x82,
	BNXT_ULP_RESOURCE_FUNC_IDENTIFIER = 0x83,
	BNXT_ULP_RESOURCE_FUNC_IF_TABLE = 0x84,
	BNXT_ULP_RESOURCE_FUNC_HW_FID = 0x85,
	BNXT_ULP_RESOURCE_FUNC_PARENT_FLOW = 0x86,
	BNXT_ULP_RESOURCE_FUNC_CHILD_FLOW = 0x87,
	BNXT_ULP_RESOURCE_FUNC_CTRL_TABLE = 0x88,
	BNXT_ULP_RESOURCE_FUNC_VNIC_TABLE = 0x89
};

enum bnxt_ulp_resource_sub_type {
	BNXT_ULP_RESOURCE_SUB_TYPE_NOT_USED = 0,
	BNXT_ULP_RESOURCE_SUB_TYPE_INDEX_TABLE_NORMAL = 0,
	BNXT_ULP_RESOURCE_SUB_TYPE_INDEX_TABLE_VFR_CFA_ACTION = 1,
	BNXT_ULP_RESOURCE_SUB_TYPE_INDEX_TABLE_INT_COUNT = 2,
	BNXT_ULP_RESOURCE_SUB_TYPE_INDEX_TABLE_INT_COUNT_ACC = 3,
	BNXT_ULP_RESOURCE_SUB_TYPE_INDEX_TABLE_EXT_COUNT = 4,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_L2_CNTXT_TCAM = 0,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_PROFILE_TCAM = 1,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_SHARED_MIRROR = 2,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_MAC_ADDR_CACHE = 3,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_PORT_TABLE = 4,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_TUNNEL_CACHE = 5,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_SOURCE_PROPERTY_CACHE = 6,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_VXLAN_ENCAP_REC_CACHE = 7,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_SOCKET_DIRECT_CACHE = 8,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_VXLAN_ENCAP_IPV6_REC_CACHE = 9,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_SOURCE_PROPERTY_IPV6_CACHE = 10,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_OUTER_TUNNEL_CACHE = 11,
	BNXT_ULP_RESOURCE_SUB_TYPE_VNIC_TABLE_RSS = 0,
	BNXT_ULP_RESOURCE_SUB_TYPE_VNIC_TABLE_QUEUE = 1
};

enum bnxt_ulp_act_prop_sz {
	BNXT_ULP_ACT_PROP_SZ_ENCAP_TUN_SZ = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_IP_SZ = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_VTAG_SZ = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_VTAG_TYPE = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_VTAG_NUM = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_L3_TYPE = 4,
	BNXT_ULP_ACT_PROP_SZ_MPLS_POP_NUM = 4,
	BNXT_ULP_ACT_PROP_SZ_MPLS_PUSH_NUM = 4,
	BNXT_ULP_ACT_PROP_SZ_PORT_ID = 4,
	BNXT_ULP_ACT_PROP_SZ_VNIC = 4,
	BNXT_ULP_ACT_PROP_SZ_VPORT = 4,
	BNXT_ULP_ACT_PROP_SZ_MARK = 4,
	BNXT_ULP_ACT_PROP_SZ_COUNT = 4,
	BNXT_ULP_ACT_PROP_SZ_METER = 4,
	BNXT_ULP_ACT_PROP_SZ_SET_MAC_SRC = 6,
	BNXT_ULP_ACT_PROP_SZ_SET_MAC_DST = 6,
	BNXT_ULP_ACT_PROP_SZ_PUSH_VLAN = 2,
	BNXT_ULP_ACT_PROP_SZ_SET_VLAN_PCP = 1,
	BNXT_ULP_ACT_PROP_SZ_SET_VLAN_VID = 2,
	BNXT_ULP_ACT_PROP_SZ_SET_IPV4_SRC = 4,
	BNXT_ULP_ACT_PROP_SZ_SET_IPV4_DST = 4,
	BNXT_ULP_ACT_PROP_SZ_SET_IPV6_SRC = 16,
	BNXT_ULP_ACT_PROP_SZ_SET_IPV6_DST = 16,
	BNXT_ULP_ACT_PROP_SZ_SET_TP_SRC = 2,
	BNXT_ULP_ACT_PROP_SZ_SET_TP_DST = 2,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_0 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_1 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_2 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_3 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_4 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_5 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_6 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_7 = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_L2_DMAC = 6,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_L2_SMAC = 6,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_VTAG = 8,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_IP = 32,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_IP_SRC = 16,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_UDP = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_TUN = 32,
	BNXT_ULP_ACT_PROP_SZ_JUMP = 4,
	BNXT_ULP_ACT_PROP_SZ_SHARED_HANDLE = 8,
	BNXT_ULP_ACT_PROP_SZ_RSS_TYPES = 8,
	BNXT_ULP_ACT_PROP_SZ_RSS_LEVEL = 4,
	BNXT_ULP_ACT_PROP_SZ_RSS_KEY_LEN = 4,
	BNXT_ULP_ACT_PROP_SZ_RSS_KEY = 40,
	BNXT_ULP_ACT_PROP_SZ_RSS_QUEUE_NUM = 2,
	BNXT_ULP_ACT_PROP_SZ_RSS_QUEUE = 32,
	BNXT_ULP_ACT_PROP_SZ_QUEUE_INDEX = 2,
	BNXT_ULP_ACT_PROP_SZ_LAST = 4
};

enum bnxt_ulp_act_prop_idx {
	BNXT_ULP_ACT_PROP_IDX_ENCAP_TUN_SZ = 0,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_IP_SZ = 4,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_VTAG_SZ = 8,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_VTAG_TYPE = 12,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_VTAG_NUM = 16,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_L3_TYPE = 20,
	BNXT_ULP_ACT_PROP_IDX_MPLS_POP_NUM = 24,
	BNXT_ULP_ACT_PROP_IDX_MPLS_PUSH_NUM = 28,
	BNXT_ULP_ACT_PROP_IDX_PORT_ID = 32,
	BNXT_ULP_ACT_PROP_IDX_VNIC = 36,
	BNXT_ULP_ACT_PROP_IDX_VPORT = 40,
	BNXT_ULP_ACT_PROP_IDX_MARK = 44,
	BNXT_ULP_ACT_PROP_IDX_COUNT = 48,
	BNXT_ULP_ACT_PROP_IDX_METER = 52,
	BNXT_ULP_ACT_PROP_IDX_SET_MAC_SRC = 56,
	BNXT_ULP_ACT_PROP_IDX_SET_MAC_DST = 62,
	BNXT_ULP_ACT_PROP_IDX_PUSH_VLAN = 68,
	BNXT_ULP_ACT_PROP_IDX_SET_VLAN_PCP = 70,
	BNXT_ULP_ACT_PROP_IDX_SET_VLAN_VID = 71,
	BNXT_ULP_ACT_PROP_IDX_SET_IPV4_SRC = 73,
	BNXT_ULP_ACT_PROP_IDX_SET_IPV4_DST = 77,
	BNXT_ULP_ACT_PROP_IDX_SET_IPV6_SRC = 81,
	BNXT_ULP_ACT_PROP_IDX_SET_IPV6_DST = 97,
	BNXT_ULP_ACT_PROP_IDX_SET_TP_SRC = 113,
	BNXT_ULP_ACT_PROP_IDX_SET_TP_DST = 115,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_0 = 117,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_1 = 121,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_2 = 125,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_3 = 129,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_4 = 133,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_5 = 137,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_6 = 141,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_7 = 145,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_L2_DMAC = 149,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_L2_SMAC = 155,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_VTAG = 161,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_IP = 169,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_IP_SRC = 201,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_UDP = 217,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_TUN = 221,
	BNXT_ULP_ACT_PROP_IDX_JUMP = 253,
	BNXT_ULP_ACT_PROP_IDX_SHARED_HANDLE = 257,
	BNXT_ULP_ACT_PROP_IDX_RSS_TYPES = 265,
	BNXT_ULP_ACT_PROP_IDX_RSS_LEVEL = 273,
	BNXT_ULP_ACT_PROP_IDX_RSS_KEY_LEN = 277,
	BNXT_ULP_ACT_PROP_IDX_RSS_KEY = 281,
	BNXT_ULP_ACT_PROP_IDX_RSS_QUEUE_NUM = 321,
	BNXT_ULP_ACT_PROP_IDX_RSS_QUEUE = 323,
	BNXT_ULP_ACT_PROP_IDX_QUEUE_INDEX = 355,
	BNXT_ULP_ACT_PROP_IDX_LAST = 357
};

enum ulp_wp_sym {
	ULP_WP_SYM_METADATA_OP_NORMAL = 0,
	ULP_WP_SYM_METADATA_OP_L2_HASH = 0,
	ULP_WP_SYM_METADATA_OP_L4_HASH = 0,
	ULP_WP_SYM_FWD_OP_BYPASS_CFA = 0,
	ULP_WP_SYM_FWD_OP_BYPASS_CFA_ROCE = 0,
	ULP_WP_SYM_FWD_OP_BYPASS_LKUP = 0,
	ULP_WP_SYM_FWD_OP_NORMAL_FLOW = 0,
	ULP_WP_SYM_CTXT_OPCODE_BYPASS_CFA = 0,
	ULP_WP_SYM_CTXT_OPCODE_BYPASS_LKUP = 0,
	ULP_WP_SYM_CTXT_OPCODE_META_UPDATE = 0,
	ULP_WP_SYM_CTXT_OPCODE_NORMAL_FLOW = 0,
	ULP_WP_SYM_CTXT_OPCODE_DROP = 0,
	ULP_WP_SYM_PKT_TYPE_IGNORE = 0,
	ULP_WP_SYM_PKT_TYPE_L2 = 0,
	ULP_WP_SYM_PKT_TYPE_0_IGNORE = 0,
	ULP_WP_SYM_PKT_TYPE_0_L2 = 0,
	ULP_WP_SYM_PKT_TYPE_1_IGNORE = 0,
	ULP_WP_SYM_PKT_TYPE_1_L2 = 0,
	ULP_WP_SYM_RECYCLE_CNT_IGNORE = 0,
	ULP_WP_SYM_RECYCLE_CNT_ZERO = 0,
	ULP_WP_SYM_RECYCLE_CNT_ONE = 1,
	ULP_WP_SYM_RECYCLE_CNT_TWO = 2,
	ULP_WP_SYM_RECYCLE_CNT_THREE = 3,
	ULP_WP_SYM_AGG_ERROR_IGNORE = 0,
	ULP_WP_SYM_AGG_ERROR_NO = 0,
	ULP_WP_SYM_AGG_ERROR_YES = 1,
	ULP_WP_SYM_RESERVED_IGNORE = 0,
	ULP_WP_SYM_HREC_NEXT_IGNORE = 0,
	ULP_WP_SYM_HREC_NEXT_NO = 0,
	ULP_WP_SYM_HREC_NEXT_YES = 1,
	ULP_WP_SYM_TL2_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_TL2_HDR_VALID_NO = 0,
	ULP_WP_SYM_TL2_HDR_VALID_YES = 1,
	ULP_WP_SYM_TL2_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_TL2_HDR_TYPE_DIX = 0,
	ULP_WP_SYM_TL2_UC_MC_BC_IGNORE = 0,
	ULP_WP_SYM_TL2_UC_MC_BC_UC = 0,
	ULP_WP_SYM_TL2_UC_MC_BC_MC = 2,
	ULP_WP_SYM_TL2_UC_MC_BC_BC = 3,
	ULP_WP_SYM_TL2_VTAG_PRESENT_IGNORE = 0,
	ULP_WP_SYM_TL2_VTAG_PRESENT_NO = 0,
	ULP_WP_SYM_TL2_VTAG_PRESENT_YES = 1,
	ULP_WP_SYM_TL2_TWO_VTAGS_IGNORE = 0,
	ULP_WP_SYM_TL2_TWO_VTAGS_NO = 0,
	ULP_WP_SYM_TL2_TWO_VTAGS_YES = 1,
	ULP_WP_SYM_TL3_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_TL3_HDR_VALID_NO = 0,
	ULP_WP_SYM_TL3_HDR_VALID_YES = 1,
	ULP_WP_SYM_TL3_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_TL3_HDR_ERROR_NO = 0,
	ULP_WP_SYM_TL3_HDR_ERROR_YES = 1,
	ULP_WP_SYM_TL3_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_TL3_HDR_TYPE_IPV4 = 0,
	ULP_WP_SYM_TL3_HDR_TYPE_IPV6 = 1,
	ULP_WP_SYM_TL3_HDR_ISIP_IGNORE = 0,
	ULP_WP_SYM_TL3_HDR_ISIP_NO = 0,
	ULP_WP_SYM_TL3_HDR_ISIP_YES = 1,
	ULP_WP_SYM_TL3_IPV6_CMP_SRC_IGNORE = 0,
	ULP_WP_SYM_TL3_IPV6_CMP_SRC_NO = 0,
	ULP_WP_SYM_TL3_IPV6_CMP_SRC_YES = 1,
	ULP_WP_SYM_TL3_IPV6_CMP_DST_IGNORE = 0,
	ULP_WP_SYM_TL3_IPV6_CMP_DST_NO = 0,
	ULP_WP_SYM_TL3_IPV6_CMP_DST_YES = 1,
	ULP_WP_SYM_TL4_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_TL4_HDR_VALID_NO = 0,
	ULP_WP_SYM_TL4_HDR_VALID_YES = 1,
	ULP_WP_SYM_TL4_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_TL4_HDR_ERROR_NO = 0,
	ULP_WP_SYM_TL4_HDR_ERROR_YES = 1,
	ULP_WP_SYM_TL4_HDR_IS_UDP_TCP_IGNORE = 0,
	ULP_WP_SYM_TL4_HDR_IS_UDP_TCP_NO = 0,
	ULP_WP_SYM_TL4_HDR_IS_UDP_TCP_YES = 1,
	ULP_WP_SYM_TL4_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_TL4_HDR_TYPE_TCP = 0,
	ULP_WP_SYM_TL4_HDR_TYPE_UDP = 1,
	ULP_WP_SYM_TUN_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_TUN_HDR_VALID_NO = 0,
	ULP_WP_SYM_TUN_HDR_VALID_YES = 1,
	ULP_WP_SYM_TUN_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_TUN_HDR_ERROR_NO = 0,
	ULP_WP_SYM_TUN_HDR_ERROR_YES = 1,
	ULP_WP_SYM_TUN_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_TUN_HDR_TYPE_VXLAN = 0,
	ULP_WP_SYM_TUN_HDR_TYPE_GENEVE = 1,
	ULP_WP_SYM_TUN_HDR_TYPE_NVGRE = 2,
	ULP_WP_SYM_TUN_HDR_TYPE_GRE = 3,
	ULP_WP_SYM_TUN_HDR_TYPE_IPV4 = 4,
	ULP_WP_SYM_TUN_HDR_TYPE_IPV6 = 5,
	ULP_WP_SYM_TUN_HDR_TYPE_PPPOE = 6,
	ULP_WP_SYM_TUN_HDR_TYPE_MPLS = 7,
	ULP_WP_SYM_TUN_HDR_TYPE_UPAR1 = 8,
	ULP_WP_SYM_TUN_HDR_TYPE_UPAR2 = 9,
	ULP_WP_SYM_TUN_HDR_TYPE_NONE = 15,
	ULP_WP_SYM_TUN_HDR_FLAGS_IGNORE = 0,
	ULP_WP_SYM_L2_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_L2_HDR_VALID_NO = 0,
	ULP_WP_SYM_L2_HDR_VALID_YES = 1,
	ULP_WP_SYM_L2_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_L2_HDR_ERROR_NO = 0,
	ULP_WP_SYM_L2_HDR_ERROR_YES = 1,
	ULP_WP_SYM_L2_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_L2_HDR_TYPE_DIX = 0,
	ULP_WP_SYM_L2_HDR_TYPE_LLC_SNAP = 1,
	ULP_WP_SYM_L2_HDR_TYPE_LLC = 2,
	ULP_WP_SYM_L2_UC_MC_BC_IGNORE = 0,
	ULP_WP_SYM_L2_UC_MC_BC_UC = 0,
	ULP_WP_SYM_L2_UC_MC_BC_MC = 2,
	ULP_WP_SYM_L2_UC_MC_BC_BC = 3,
	ULP_WP_SYM_L2_VTAG_PRESENT_IGNORE = 0,
	ULP_WP_SYM_L2_VTAG_PRESENT_NO = 0,
	ULP_WP_SYM_L2_VTAG_PRESENT_YES = 1,
	ULP_WP_SYM_L2_TWO_VTAGS_IGNORE = 0,
	ULP_WP_SYM_L2_TWO_VTAGS_NO = 0,
	ULP_WP_SYM_L2_TWO_VTAGS_YES = 1,
	ULP_WP_SYM_L3_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_L3_HDR_VALID_NO = 0,
	ULP_WP_SYM_L3_HDR_VALID_YES = 1,
	ULP_WP_SYM_L3_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_L3_HDR_ERROR_NO = 0,
	ULP_WP_SYM_L3_HDR_ERROR_YES = 1,
	ULP_WP_SYM_L3_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_L3_HDR_TYPE_IPV4 = 0,
	ULP_WP_SYM_L3_HDR_TYPE_IPV6 = 1,
	ULP_WP_SYM_L3_HDR_TYPE_ARP = 2,
	ULP_WP_SYM_L3_HDR_TYPE_PTP = 3,
	ULP_WP_SYM_L3_HDR_TYPE_EAPOL = 4,
	ULP_WP_SYM_L3_HDR_TYPE_ROCE = 5,
	ULP_WP_SYM_L3_HDR_TYPE_FCOE = 6,
	ULP_WP_SYM_L3_HDR_TYPE_UPAR1 = 7,
	ULP_WP_SYM_L3_HDR_TYPE_UPAR2 = 8,
	ULP_WP_SYM_L3_HDR_ISIP_IGNORE = 0,
	ULP_WP_SYM_L3_HDR_ISIP_NO = 0,
	ULP_WP_SYM_L3_HDR_ISIP_YES = 1,
	ULP_WP_SYM_L3_IPV6_CMP_SRC_IGNORE = 0,
	ULP_WP_SYM_L3_IPV6_CMP_SRC_NO = 0,
	ULP_WP_SYM_L3_IPV6_CMP_SRC_YES = 1,
	ULP_WP_SYM_L3_IPV6_CMP_DST_IGNORE = 0,
	ULP_WP_SYM_L3_IPV6_CMP_DST_NO = 0,
	ULP_WP_SYM_L3_IPV6_CMP_DST_YES = 1,
	ULP_WP_SYM_L4_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_L4_HDR_VALID_NO = 0,
	ULP_WP_SYM_L4_HDR_VALID_YES = 1,
	ULP_WP_SYM_L4_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_L4_HDR_ERROR_NO = 0,
	ULP_WP_SYM_L4_HDR_ERROR_YES = 1,
	ULP_WP_SYM_L4_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_L4_HDR_TYPE_TCP = 0,
	ULP_WP_SYM_L4_HDR_TYPE_UDP = 1,
	ULP_WP_SYM_L4_HDR_TYPE_ICMP = 2,
	ULP_WP_SYM_L4_HDR_TYPE_UPAR1 = 3,
	ULP_WP_SYM_L4_HDR_TYPE_UPAR2 = 4,
	ULP_WP_SYM_L4_HDR_TYPE_BTH_V1 = 5,
	ULP_WP_SYM_L4_HDR_IS_UDP_TCP_IGNORE = 0,
	ULP_WP_SYM_L4_HDR_IS_UDP_TCP_NO = 0,
	ULP_WP_SYM_L4_HDR_IS_UDP_TCP_YES = 1,
	ULP_WP_SYM_EM_WM_OPCODE_OP_NORMAL = 0,
	ULP_WP_SYM_EM_WM_OPCODE_OP_RFS_FAST = 0,
	ULP_WP_SYM_EM_WM_OPCODE_OP_FAST = 0,
	ULP_WP_SYM_EM_WM_OPCODE_OP_RFS_ACT = 0,
	ULP_WP_SYM_EM_WM_OPCODE_OP_RECYCLE = 0,
	ULP_WP_SYM_POP_VLAN_NO = 0,
	ULP_WP_SYM_POP_VLAN_YES = 1,
	ULP_WP_SYM_VLAN_DEL_RPT_DISABLED = 0,
	ULP_WP_SYM_VLAN_DEL_RPT_STRIP_OUTER = 0,
	ULP_WP_SYM_VLAN_DEL_RPT_STRIP_BOTH = 0,
	ULP_WP_SYM_VLAN_DEL_RPT_DYN_STRIP = 0,
	ULP_WP_SYM_DECAP_FUNC_NONE = 0,
	ULP_WP_SYM_DECAP_FUNC_THRU_TL2 = 3,
	ULP_WP_SYM_DECAP_FUNC_THRU_TL3 = 8,
	ULP_WP_SYM_DECAP_FUNC_THRU_TL4 = 9,
	ULP_WP_SYM_DECAP_FUNC_THRU_TUN = 10,
	ULP_WP_SYM_DECAP_FUNC_THRU_L2 = 11,
	ULP_WP_SYM_DECAP_FUNC_THRU_L3 = 12,
	ULP_WP_SYM_DECAP_FUNC_THRU_L4 = 13,
	ULP_WP_SYM_ECV_VALID_NO = 0,
	ULP_WP_SYM_ECV_VALID_YES = 1,
	ULP_WP_SYM_ECV_CUSTOM_EN_NO = 0,
	ULP_WP_SYM_ECV_CUSTOM_EN_YES = 1,
	ULP_WP_SYM_ECV_L2_EN_NO = 0,
	ULP_WP_SYM_ECV_L2_EN_YES = 1,
	ULP_WP_SYM_ECV_VTAG_TYPE_NOP = 0,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_1_ENCAP_PRI = 1,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_1_IVLAN_PRI = 2,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_1_REMAP_DIFFSERV = 3,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_2_ENCAP_PRI = 4,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_2_REMAP_DIFFSERV = 5,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_ENCAP_PRI = 6,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_REMAP_DIFFSERV = 7,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_0 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_1 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_2 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_3 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_4 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_5 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_6 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_7 = 8,
	ULP_WP_SYM_ECV_L3_TYPE_NONE = 0,
	ULP_WP_SYM_ECV_L3_TYPE_IPV4 = 4,
	ULP_WP_SYM_ECV_L3_TYPE_IPV6 = 5,
	ULP_WP_SYM_ECV_L3_TYPE_MPLS_8847 = 6,
	ULP_WP_SYM_ECV_L3_TYPE_MPLS_8848 = 7,
	ULP_WP_SYM_ECV_L4_TYPE_NONE = 0,
	ULP_WP_SYM_ECV_L4_TYPE_UDP = 4,
	ULP_WP_SYM_ECV_L4_TYPE_UDP_CSUM = 5,
	ULP_WP_SYM_ECV_L4_TYPE_UDP_ENTROPY = 6,
	ULP_WP_SYM_ECV_L4_TYPE_UDP_ENTROPY_CSUM = 7,
	ULP_WP_SYM_ECV_TUN_TYPE_NONE = 0,
	ULP_WP_SYM_ECV_TUN_TYPE_GENERIC = 1,
	ULP_WP_SYM_ECV_TUN_TYPE_VXLAN = 2,
	ULP_WP_SYM_ECV_TUN_TYPE_NGE = 3,
	ULP_WP_SYM_ECV_TUN_TYPE_NVGRE = 4,
	ULP_WP_SYM_ECV_TUN_TYPE_GRE = 5,
	ULP_WP_SYM_EEM_ACT_REC_INT = 1,
	ULP_WP_SYM_EEM_EXT_FLOW_CNTR = 0,
	ULP_WP_SYM_UC_ACT_REC = 0,
	ULP_WP_SYM_MC_ACT_REC = 1,
	ULP_WP_SYM_ACT_REC_DROP_YES = 1,
	ULP_WP_SYM_ACT_REC_DROP_NO = 0,
	ULP_WP_SYM_ACT_REC_POP_VLAN_YES = 1,
	ULP_WP_SYM_ACT_REC_POP_VLAN_NO = 0,
	ULP_WP_SYM_ACT_REC_METER_EN_YES = 1,
	ULP_WP_SYM_ACT_REC_METER_EN_NO = 0,
	ULP_WP_SYM_LOOPBACK_PORT = 4,
	ULP_WP_SYM_LOOPBACK_PARIF = 15,
	ULP_WP_SYM_EXT_EM_MAX_KEY_SIZE = 448,
	ULP_WP_SYM_MATCH_TYPE_EM = 0,
	ULP_WP_SYM_MATCH_TYPE_WM = 1,
	ULP_WP_SYM_IP_PROTO_ICMP = 1,
	ULP_WP_SYM_IP_PROTO_IGMP = 2,
	ULP_WP_SYM_IP_PROTO_IP_IN_IP = 4,
	ULP_WP_SYM_IP_PROTO_TCP = 6,
	ULP_WP_SYM_IP_PROTO_UDP = 17,
	ULP_WP_SYM_VF_FUNC_PARIF = 15,
	ULP_WP_SYM_NO = 0,
	ULP_WP_SYM_YES = 1,
	ULP_WP_SYM_RECYCLE_DST = 0x800,
	ULP_WP_SYM_VF_2_VFR_META_VAL = 0,
	ULP_WP_SYM_VF_2_VF_META_VAL = 0,
	ULP_WP_SYM_VF_2_VFR_META_MASK = 0,
	ULP_WP_SYM_META_PROFILE_0 = 0
};

enum ulp_thor_sym {
	ULP_THOR_SYM_METADATA_OP_NORMAL = 0,
	ULP_THOR_SYM_METADATA_OP_L2_HASH = 1,
	ULP_THOR_SYM_METADATA_OP_L4_HASH = 2,
	ULP_THOR_SYM_FWD_OP_BYPASS_CFA = 0,
	ULP_THOR_SYM_FWD_OP_BYPASS_CFA_ROCE = 1,
	ULP_THOR_SYM_FWD_OP_BYPASS_LKUP = 2,
	ULP_THOR_SYM_FWD_OP_NORMAL_FLOW = 3,
	ULP_THOR_SYM_CTXT_OPCODE_BYPASS_CFA = 0,
	ULP_THOR_SYM_CTXT_OPCODE_BYPASS_LKUP = 1,
	ULP_THOR_SYM_CTXT_OPCODE_META_UPDATE = 2,
	ULP_THOR_SYM_CTXT_OPCODE_NORMAL_FLOW = 3,
	ULP_THOR_SYM_CTXT_OPCODE_DROP = 4,
	ULP_THOR_SYM_PKT_TYPE_IGNORE = 0,
	ULP_THOR_SYM_PKT_TYPE_L2 = 0,
	ULP_THOR_SYM_PKT_TYPE_0_IGNORE = 0,
	ULP_THOR_SYM_PKT_TYPE_0_L2 = 0,
	ULP_THOR_SYM_PKT_TYPE_1_IGNORE = 0,
	ULP_THOR_SYM_PKT_TYPE_1_L2 = 0,
	ULP_THOR_SYM_RECYCLE_CNT_IGNORE = 0,
	ULP_THOR_SYM_RECYCLE_CNT_ZERO = 0,
	ULP_THOR_SYM_RECYCLE_CNT_ONE = 1,
	ULP_THOR_SYM_RECYCLE_CNT_TWO = 2,
	ULP_THOR_SYM_RECYCLE_CNT_THREE = 3,
	ULP_THOR_SYM_AGG_ERROR_IGNORE = 0,
	ULP_THOR_SYM_AGG_ERROR_NO = 0,
	ULP_THOR_SYM_AGG_ERROR_YES = 1,
	ULP_THOR_SYM_RESERVED_IGNORE = 0,
	ULP_THOR_SYM_HREC_NEXT_IGNORE = 0,
	ULP_THOR_SYM_HREC_NEXT_NO = 0,
	ULP_THOR_SYM_HREC_NEXT_YES = 1,
	ULP_THOR_SYM_TL2_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_TL2_HDR_VALID_NO = 0,
	ULP_THOR_SYM_TL2_HDR_VALID_YES = 1,
	ULP_THOR_SYM_TL2_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_TL2_HDR_TYPE_DIX = 0,
	ULP_THOR_SYM_TL2_UC_MC_BC_IGNORE = 0,
	ULP_THOR_SYM_TL2_UC_MC_BC_UC = 0,
	ULP_THOR_SYM_TL2_UC_MC_BC_MC = 2,
	ULP_THOR_SYM_TL2_UC_MC_BC_BC = 3,
	ULP_THOR_SYM_TL2_VTAG_PRESENT_IGNORE = 0,
	ULP_THOR_SYM_TL2_VTAG_PRESENT_NO = 0,
	ULP_THOR_SYM_TL2_VTAG_PRESENT_YES = 1,
	ULP_THOR_SYM_TL2_TWO_VTAGS_IGNORE = 0,
	ULP_THOR_SYM_TL2_TWO_VTAGS_NO = 0,
	ULP_THOR_SYM_TL2_TWO_VTAGS_YES = 1,
	ULP_THOR_SYM_TL3_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_TL3_HDR_VALID_NO = 0,
	ULP_THOR_SYM_TL3_HDR_VALID_YES = 1,
	ULP_THOR_SYM_TL3_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_TL3_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_TL3_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_TL3_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_TL3_HDR_TYPE_IPV4 = 0,
	ULP_THOR_SYM_TL3_HDR_TYPE_IPV6 = 1,
	ULP_THOR_SYM_TL3_HDR_ISIP_IGNORE = 0,
	ULP_THOR_SYM_TL3_HDR_ISIP_NO = 0,
	ULP_THOR_SYM_TL3_HDR_ISIP_YES = 1,
	ULP_THOR_SYM_TL3_IPV6_CMP_SRC_IGNORE = 0,
	ULP_THOR_SYM_TL3_IPV6_CMP_SRC_NO = 0,
	ULP_THOR_SYM_TL3_IPV6_CMP_SRC_YES = 1,
	ULP_THOR_SYM_TL3_IPV6_CMP_DST_IGNORE = 0,
	ULP_THOR_SYM_TL3_IPV6_CMP_DST_NO = 0,
	ULP_THOR_SYM_TL3_IPV6_CMP_DST_YES = 1,
	ULP_THOR_SYM_TL4_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_TL4_HDR_VALID_NO = 0,
	ULP_THOR_SYM_TL4_HDR_VALID_YES = 1,
	ULP_THOR_SYM_TL4_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_TL4_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_TL4_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_TL4_HDR_IS_UDP_TCP_IGNORE = 0,
	ULP_THOR_SYM_TL4_HDR_IS_UDP_TCP_NO = 0,
	ULP_THOR_SYM_TL4_HDR_IS_UDP_TCP_YES = 1,
	ULP_THOR_SYM_TL4_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_TL4_HDR_TYPE_TCP = 0,
	ULP_THOR_SYM_TL4_HDR_TYPE_UDP = 1,
	ULP_THOR_SYM_TUN_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_TUN_HDR_VALID_NO = 0,
	ULP_THOR_SYM_TUN_HDR_VALID_YES = 1,
	ULP_THOR_SYM_TUN_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_TUN_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_TUN_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_TUN_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_TUN_HDR_TYPE_VXLAN = 0,
	ULP_THOR_SYM_TUN_HDR_TYPE_GENEVE = 1,
	ULP_THOR_SYM_TUN_HDR_TYPE_NVGRE = 2,
	ULP_THOR_SYM_TUN_HDR_TYPE_GRE = 3,
	ULP_THOR_SYM_TUN_HDR_TYPE_IPV4 = 4,
	ULP_THOR_SYM_TUN_HDR_TYPE_IPV6 = 5,
	ULP_THOR_SYM_TUN_HDR_TYPE_PPPOE = 6,
	ULP_THOR_SYM_TUN_HDR_TYPE_MPLS = 7,
	ULP_THOR_SYM_TUN_HDR_TYPE_UPAR1 = 8,
	ULP_THOR_SYM_TUN_HDR_TYPE_UPAR2 = 9,
	ULP_THOR_SYM_TUN_HDR_TYPE_NONE = 15,
	ULP_THOR_SYM_TUN_HDR_FLAGS_IGNORE = 0,
	ULP_THOR_SYM_L2_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_L2_HDR_VALID_NO = 0,
	ULP_THOR_SYM_L2_HDR_VALID_YES = 1,
	ULP_THOR_SYM_L2_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_L2_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_L2_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_L2_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_L2_HDR_TYPE_DIX = 0,
	ULP_THOR_SYM_L2_HDR_TYPE_LLC_SNAP = 1,
	ULP_THOR_SYM_L2_HDR_TYPE_LLC = 2,
	ULP_THOR_SYM_L2_UC_MC_BC_IGNORE = 0,
	ULP_THOR_SYM_L2_UC_MC_BC_UC = 0,
	ULP_THOR_SYM_L2_UC_MC_BC_MC = 2,
	ULP_THOR_SYM_L2_UC_MC_BC_BC = 3,
	ULP_THOR_SYM_L2_VTAG_PRESENT_IGNORE = 0,
	ULP_THOR_SYM_L2_VTAG_PRESENT_NO = 0,
	ULP_THOR_SYM_L2_VTAG_PRESENT_YES = 1,
	ULP_THOR_SYM_L2_TWO_VTAGS_IGNORE = 0,
	ULP_THOR_SYM_L2_TWO_VTAGS_NO = 0,
	ULP_THOR_SYM_L2_TWO_VTAGS_YES = 1,
	ULP_THOR_SYM_L3_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_L3_HDR_VALID_NO = 0,
	ULP_THOR_SYM_L3_HDR_VALID_YES = 1,
	ULP_THOR_SYM_L3_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_L3_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_L3_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_L3_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_L3_HDR_TYPE_IPV4 = 0,
	ULP_THOR_SYM_L3_HDR_TYPE_IPV6 = 1,
	ULP_THOR_SYM_L3_HDR_TYPE_ARP = 2,
	ULP_THOR_SYM_L3_HDR_TYPE_PTP = 3,
	ULP_THOR_SYM_L3_HDR_TYPE_EAPOL = 4,
	ULP_THOR_SYM_L3_HDR_TYPE_ROCE = 5,
	ULP_THOR_SYM_L3_HDR_TYPE_FCOE = 6,
	ULP_THOR_SYM_L3_HDR_TYPE_UPAR1 = 7,
	ULP_THOR_SYM_L3_HDR_TYPE_UPAR2 = 8,
	ULP_THOR_SYM_L3_HDR_ISIP_IGNORE = 0,
	ULP_THOR_SYM_L3_HDR_ISIP_NO = 0,
	ULP_THOR_SYM_L3_HDR_ISIP_YES = 1,
	ULP_THOR_SYM_L3_IPV6_CMP_SRC_IGNORE = 0,
	ULP_THOR_SYM_L3_IPV6_CMP_SRC_NO = 0,
	ULP_THOR_SYM_L3_IPV6_CMP_SRC_YES = 1,
	ULP_THOR_SYM_L3_IPV6_CMP_DST_IGNORE = 0,
	ULP_THOR_SYM_L3_IPV6_CMP_DST_NO = 0,
	ULP_THOR_SYM_L3_IPV6_CMP_DST_YES = 1,
	ULP_THOR_SYM_L4_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_L4_HDR_VALID_NO = 0,
	ULP_THOR_SYM_L4_HDR_VALID_YES = 1,
	ULP_THOR_SYM_L4_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_L4_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_L4_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_L4_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_L4_HDR_TYPE_TCP = 0,
	ULP_THOR_SYM_L4_HDR_TYPE_UDP = 1,
	ULP_THOR_SYM_L4_HDR_TYPE_ICMP = 2,
	ULP_THOR_SYM_L4_HDR_TYPE_UPAR1 = 3,
	ULP_THOR_SYM_L4_HDR_TYPE_UPAR2 = 4,
	ULP_THOR_SYM_L4_HDR_TYPE_BTH_V1 = 5,
	ULP_THOR_SYM_L4_HDR_IS_UDP_TCP_IGNORE = 0,
	ULP_THOR_SYM_L4_HDR_IS_UDP_TCP_NO = 0,
	ULP_THOR_SYM_L4_HDR_IS_UDP_TCP_YES = 1,
	ULP_THOR_SYM_EM_WM_OPCODE_OP_NORMAL = 0,
	ULP_THOR_SYM_EM_WM_OPCODE_OP_RFS_FAST = 1,
	ULP_THOR_SYM_EM_WM_OPCODE_OP_FAST = 2,
	ULP_THOR_SYM_EM_WM_OPCODE_OP_RFS_ACT = 3,
	ULP_THOR_SYM_EM_WM_OPCODE_OP_RECYCLE = 4,
	ULP_THOR_SYM_POP_VLAN_NO = 0,
	ULP_THOR_SYM_POP_VLAN_YES = 1,
	ULP_THOR_SYM_VLAN_DEL_RPT_DISABLED = 0,
	ULP_THOR_SYM_VLAN_DEL_RPT_STRIP_OUTER = 1,
	ULP_THOR_SYM_VLAN_DEL_RPT_STRIP_BOTH = 2,
	ULP_THOR_SYM_VLAN_DEL_RPT_DYN_STRIP = 3,
	ULP_THOR_SYM_DECAP_FUNC_NONE = 0,
	ULP_THOR_SYM_DECAP_FUNC_THRU_TL2 = 3,
	ULP_THOR_SYM_DECAP_FUNC_THRU_TL3 = 8,
	ULP_THOR_SYM_DECAP_FUNC_THRU_TL4 = 9,
	ULP_THOR_SYM_DECAP_FUNC_THRU_TUN = 10,
	ULP_THOR_SYM_DECAP_FUNC_THRU_L2 = 11,
	ULP_THOR_SYM_DECAP_FUNC_THRU_L3 = 12,
	ULP_THOR_SYM_DECAP_FUNC_THRU_L4 = 13,
	ULP_THOR_SYM_ECV_VALID_NO = 0,
	ULP_THOR_SYM_ECV_VALID_YES = 1,
	ULP_THOR_SYM_ECV_CUSTOM_EN_NO = 0,
	ULP_THOR_SYM_ECV_CUSTOM_EN_YES = 1,
	ULP_THOR_SYM_ECV_L2_EN_NO = 0,
	ULP_THOR_SYM_ECV_L2_EN_YES = 1,
	ULP_THOR_SYM_ECV_VTAG_TYPE_NOP = 0,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_1_ENCAP_PRI = 1,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_1_IVLAN_PRI = 2,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_1_REMAP_DIFFSERV = 3,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_2_ENCAP_PRI = 4,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_2_REMAP_DIFFSERV = 5,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_ENCAP_PRI = 6,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_REMAP_DIFFSERV = 7,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_0 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_1 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_2 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_3 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_4 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_5 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_6 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_7 = 8,
	ULP_THOR_SYM_ECV_L3_TYPE_NONE = 0,
	ULP_THOR_SYM_ECV_L3_TYPE_IPV4 = 4,
	ULP_THOR_SYM_ECV_L3_TYPE_IPV6 = 5,
	ULP_THOR_SYM_ECV_L3_TYPE_MPLS_8847 = 6,
	ULP_THOR_SYM_ECV_L3_TYPE_MPLS_8848 = 7,
	ULP_THOR_SYM_ECV_L4_TYPE_NONE = 0,
	ULP_THOR_SYM_ECV_L4_TYPE_UDP = 4,
	ULP_THOR_SYM_ECV_L4_TYPE_UDP_CSUM = 5,
	ULP_THOR_SYM_ECV_L4_TYPE_UDP_ENTROPY = 6,
	ULP_THOR_SYM_ECV_L4_TYPE_UDP_ENTROPY_CSUM = 7,
	ULP_THOR_SYM_ECV_TUN_TYPE_NONE = 0,
	ULP_THOR_SYM_ECV_TUN_TYPE_GENERIC = 1,
	ULP_THOR_SYM_ECV_TUN_TYPE_VXLAN = 2,
	ULP_THOR_SYM_ECV_TUN_TYPE_NGE = 3,
	ULP_THOR_SYM_ECV_TUN_TYPE_NVGRE = 4,
	ULP_THOR_SYM_ECV_TUN_TYPE_GRE = 5,
	ULP_THOR_SYM_EEM_ACT_REC_INT = 0,
	ULP_THOR_SYM_EEM_EXT_FLOW_CNTR = 0,
	ULP_THOR_SYM_UC_ACT_REC = 0,
	ULP_THOR_SYM_MC_ACT_REC = 1,
	ULP_THOR_SYM_ACT_REC_DROP_YES = 1,
	ULP_THOR_SYM_ACT_REC_DROP_NO = 0,
	ULP_THOR_SYM_ACT_REC_POP_VLAN_YES = 1,
	ULP_THOR_SYM_ACT_REC_POP_VLAN_NO = 0,
	ULP_THOR_SYM_ACT_REC_METER_EN_YES = 1,
	ULP_THOR_SYM_ACT_REC_METER_EN_NO = 0,
	ULP_THOR_SYM_LOOPBACK_PORT = 16,
	ULP_THOR_SYM_LOOPBACK_PARIF = 15,
	ULP_THOR_SYM_EXT_EM_MAX_KEY_SIZE = 0,
	ULP_THOR_SYM_MATCH_TYPE_EM = 0,
	ULP_THOR_SYM_MATCH_TYPE_WM = 1,
	ULP_THOR_SYM_IP_PROTO_ICMP = 1,
	ULP_THOR_SYM_IP_PROTO_IGMP = 2,
	ULP_THOR_SYM_IP_PROTO_IP_IN_IP = 4,
	ULP_THOR_SYM_IP_PROTO_TCP = 6,
	ULP_THOR_SYM_IP_PROTO_UDP = 17,
	ULP_THOR_SYM_VF_FUNC_PARIF = 15,
	ULP_THOR_SYM_NO = 0,
	ULP_THOR_SYM_YES = 1,
	ULP_THOR_SYM_RECYCLE_DST = 0x800,
	ULP_THOR_SYM_VF_2_VFR_META_VAL = 8192,
	ULP_THOR_SYM_VF_2_VF_META_VAL = 4096,
	ULP_THOR_SYM_VF_2_VFR_META_MASK = 61440,
	ULP_THOR_SYM_META_PROFILE_0 = 0
};

enum bnxt_ulp_class_hid {
	BNXT_ULP_CLASS_HID_8a2a = 0x8a2a,
	BNXT_ULP_CLASS_HID_3f32 = 0x3f32,
	BNXT_ULP_CLASS_HID_dbea = 0xdbea,
	BNXT_ULP_CLASS_HID_90f2 = 0x90f2,
	BNXT_ULP_CLASS_HID_86b72 = 0x86b72,
	BNXT_ULP_CLASS_HID_8207a = 0x8207a,
	BNXT_ULP_CLASS_HID_187fc2 = 0x187fc2,
	BNXT_ULP_CLASS_HID_1834ca = 0x1834ca,
	BNXT_ULP_CLASS_HID_4e1f6 = 0x4e1f6,
	BNXT_ULP_CLASS_HID_496fe = 0x496fe,
	BNXT_ULP_CLASS_HID_47bee = 0x47bee,
	BNXT_ULP_CLASS_HID_430f6 = 0x430f6,
	BNXT_ULP_CLASS_HID_cec2e = 0xcec2e,
	BNXT_ULP_CLASS_HID_ca136 = 0xca136,
	BNXT_ULP_CLASS_HID_c8626 = 0xc8626,
	BNXT_ULP_CLASS_HID_c3b2e = 0xc3b2e,
	BNXT_ULP_CLASS_HID_1bf0e = 0x1bf0e,
	BNXT_ULP_CLASS_HID_17436 = 0x17436,
	BNXT_ULP_CLASS_HID_15906 = 0x15906,
	BNXT_ULP_CLASS_HID_10e0e = 0x10e0e,
	BNXT_ULP_CLASS_HID_383f6 = 0x383f6,
	BNXT_ULP_CLASS_HID_338fe = 0x338fe,
	BNXT_ULP_CLASS_HID_31dce = 0x31dce,
	BNXT_ULP_CLASS_HID_3c9ee = 0x3c9ee,
	BNXT_ULP_CLASS_HID_8a6a = 0x8a6a,
	BNXT_ULP_CLASS_HID_3f72 = 0x3f72,
	BNXT_ULP_CLASS_HID_dbaa = 0xdbaa,
	BNXT_ULP_CLASS_HID_90b2 = 0x90b2,
	BNXT_ULP_CLASS_HID_109e1a = 0x109e1a,
	BNXT_ULP_CLASS_HID_1053e2 = 0x1053e2,
	BNXT_ULP_CLASS_HID_10f05a = 0x10f05a,
	BNXT_ULP_CLASS_HID_10a522 = 0x10a522,
	BNXT_ULP_CLASS_HID_89422 = 0x89422,
	BNXT_ULP_CLASS_HID_8492a = 0x8492a,
	BNXT_ULP_CLASS_HID_8e662 = 0x8e662,
	BNXT_ULP_CLASS_HID_89b6a = 0x89b6a,
	BNXT_ULP_CLASS_HID_18a8d2 = 0x18a8d2,
	BNXT_ULP_CLASS_HID_185dda = 0x185dda,
	BNXT_ULP_CLASS_HID_18033a = 0x18033a,
	BNXT_ULP_CLASS_HID_18af1a = 0x18af1a,
	BNXT_ULP_CLASS_HID_86b32 = 0x86b32,
	BNXT_ULP_CLASS_HID_8203a = 0x8203a,
	BNXT_ULP_CLASS_HID_187f82 = 0x187f82,
	BNXT_ULP_CLASS_HID_18348a = 0x18348a,
	BNXT_ULP_CLASS_HID_cec5a = 0xcec5a,
	BNXT_ULP_CLASS_HID_ca142 = 0xca142,
	BNXT_ULP_CLASS_HID_1c0932 = 0x1c0932,
	BNXT_ULP_CLASS_HID_1cb5d2 = 0x1cb5d2,
	BNXT_ULP_CLASS_HID_a307a = 0xa307a,
	BNXT_ULP_CLASS_HID_adc1a = 0xadc1a,
	BNXT_ULP_CLASS_HID_1a44ca = 0x1a44ca,
	BNXT_ULP_CLASS_HID_1af0ea = 0x1af0ea,
	BNXT_ULP_CLASS_HID_eb082 = 0xeb082,
	BNXT_ULP_CLASS_HID_e658a = 0xe658a,
	BNXT_ULP_CLASS_HID_1ec512 = 0x1ec512,
	BNXT_ULP_CLASS_HID_1e7a1a = 0x1e7a1a,
	BNXT_ULP_CLASS_HID_8aaa = 0x8aaa,
	BNXT_ULP_CLASS_HID_3fb2 = 0x3fb2,
	BNXT_ULP_CLASS_HID_db6a = 0xdb6a,
	BNXT_ULP_CLASS_HID_9072 = 0x9072,
	BNXT_ULP_CLASS_HID_109eda = 0x109eda,
	BNXT_ULP_CLASS_HID_105322 = 0x105322,
	BNXT_ULP_CLASS_HID_10f09a = 0x10f09a,
	BNXT_ULP_CLASS_HID_10a5e2 = 0x10a5e2,
	BNXT_ULP_CLASS_HID_894e2 = 0x894e2,
	BNXT_ULP_CLASS_HID_849ea = 0x849ea,
	BNXT_ULP_CLASS_HID_8e6a2 = 0x8e6a2,
	BNXT_ULP_CLASS_HID_89baa = 0x89baa,
	BNXT_ULP_CLASS_HID_18a812 = 0x18a812,
	BNXT_ULP_CLASS_HID_185d1a = 0x185d1a,
	BNXT_ULP_CLASS_HID_1803fa = 0x1803fa,
	BNXT_ULP_CLASS_HID_18afda = 0x18afda,
	BNXT_ULP_CLASS_HID_86bf2 = 0x86bf2,
	BNXT_ULP_CLASS_HID_820fa = 0x820fa,
	BNXT_ULP_CLASS_HID_187f42 = 0x187f42,
	BNXT_ULP_CLASS_HID_18344a = 0x18344a,
	BNXT_ULP_CLASS_HID_cec9a = 0xcec9a,
	BNXT_ULP_CLASS_HID_ca182 = 0xca182,
	BNXT_ULP_CLASS_HID_1c09f2 = 0x1c09f2,
	BNXT_ULP_CLASS_HID_1cb512 = 0x1cb512,
	BNXT_ULP_CLASS_HID_a30ba = 0xa30ba,
	BNXT_ULP_CLASS_HID_adcda = 0xadcda,
	BNXT_ULP_CLASS_HID_1a440a = 0x1a440a,
	BNXT_ULP_CLASS_HID_1af02a = 0x1af02a,
	BNXT_ULP_CLASS_HID_eb042 = 0xeb042,
	BNXT_ULP_CLASS_HID_e654a = 0xe654a,
	BNXT_ULP_CLASS_HID_1ec5d2 = 0x1ec5d2,
	BNXT_ULP_CLASS_HID_1e7ada = 0x1e7ada,
	BNXT_ULP_CLASS_HID_4e1b6 = 0x4e1b6,
	BNXT_ULP_CLASS_HID_496be = 0x496be,
	BNXT_ULP_CLASS_HID_47bae = 0x47bae,
	BNXT_ULP_CLASS_HID_430b6 = 0x430b6,
	BNXT_ULP_CLASS_HID_cec6e = 0xcec6e,
	BNXT_ULP_CLASS_HID_ca176 = 0xca176,
	BNXT_ULP_CLASS_HID_c8666 = 0xc8666,
	BNXT_ULP_CLASS_HID_c3b6e = 0xc3b6e,
	BNXT_ULP_CLASS_HID_6a6fe = 0x6a6fe,
	BNXT_ULP_CLASS_HID_65bc6 = 0x65bc6,
	BNXT_ULP_CLASS_HID_640f6 = 0x640f6,
	BNXT_ULP_CLASS_HID_6ecd6 = 0x6ecd6,
	BNXT_ULP_CLASS_HID_eb0b6 = 0xeb0b6,
	BNXT_ULP_CLASS_HID_e65be = 0xe65be,
	BNXT_ULP_CLASS_HID_e4aae = 0xe4aae,
	BNXT_ULP_CLASS_HID_ef68e = 0xef68e,
	BNXT_ULP_CLASS_HID_548ce = 0x548ce,
	BNXT_ULP_CLASS_HID_5f4ae = 0x5f4ae,
	BNXT_ULP_CLASS_HID_5d9de = 0x5d9de,
	BNXT_ULP_CLASS_HID_58ea6 = 0x58ea6,
	BNXT_ULP_CLASS_HID_d5286 = 0xd5286,
	BNXT_ULP_CLASS_HID_d078e = 0xd078e,
	BNXT_ULP_CLASS_HID_de396 = 0xde396,
	BNXT_ULP_CLASS_HID_d989e = 0xd989e,
	BNXT_ULP_CLASS_HID_70d16 = 0x70d16,
	BNXT_ULP_CLASS_HID_7b9f6 = 0x7b9f6,
	BNXT_ULP_CLASS_HID_79ee6 = 0x79ee6,
	BNXT_ULP_CLASS_HID_753ee = 0x753ee,
	BNXT_ULP_CLASS_HID_f17ce = 0xf17ce,
	BNXT_ULP_CLASS_HID_fc3ae = 0xfc3ae,
	BNXT_ULP_CLASS_HID_fa8de = 0xfa8de,
	BNXT_ULP_CLASS_HID_f5da6 = 0xf5da6,
	BNXT_ULP_CLASS_HID_1bf4e = 0x1bf4e,
	BNXT_ULP_CLASS_HID_17476 = 0x17476,
	BNXT_ULP_CLASS_HID_15946 = 0x15946,
	BNXT_ULP_CLASS_HID_10e4e = 0x10e4e,
	BNXT_ULP_CLASS_HID_383b6 = 0x383b6,
	BNXT_ULP_CLASS_HID_338be = 0x338be,
	BNXT_ULP_CLASS_HID_31d8e = 0x31d8e,
	BNXT_ULP_CLASS_HID_3c9ae = 0x3c9ae,
	BNXT_ULP_CLASS_HID_1ee46 = 0x1ee46,
	BNXT_ULP_CLASS_HID_1a34e = 0x1a34e,
	BNXT_ULP_CLASS_HID_1885e = 0x1885e,
	BNXT_ULP_CLASS_HID_1bd46 = 0x1bd46,
	BNXT_ULP_CLASS_HID_3b28e = 0x3b28e,
	BNXT_ULP_CLASS_HID_3e7b6 = 0x3e7b6,
	BNXT_ULP_CLASS_HID_3cc86 = 0x3cc86,
	BNXT_ULP_CLASS_HID_3818e = 0x3818e,
	BNXT_ULP_CLASS_HID_15b5e = 0x15b5e,
	BNXT_ULP_CLASS_HID_15046 = 0x15046,
	BNXT_ULP_CLASS_HID_1ec4e = 0x1ec4e,
	BNXT_ULP_CLASS_HID_1e176 = 0x1e176,
	BNXT_ULP_CLASS_HID_35f86 = 0x35f86,
	BNXT_ULP_CLASS_HID_3cba6 = 0x3cba6,
	BNXT_ULP_CLASS_HID_3f0b6 = 0x3f0b6,
	BNXT_ULP_CLASS_HID_365be = 0x365be,
	BNXT_ULP_CLASS_HID_1ca56 = 0x1ca56,
	BNXT_ULP_CLASS_HID_1ff5e = 0x1ff5e,
	BNXT_ULP_CLASS_HID_1e3ae = 0x1e3ae,
	BNXT_ULP_CLASS_HID_1d04e = 0x1d04e,
	BNXT_ULP_CLASS_HID_3ce9e = 0x3ce9e,
	BNXT_ULP_CLASS_HID_3c386 = 0x3c386,
	BNXT_ULP_CLASS_HID_3df8e = 0x3df8e,
	BNXT_ULP_CLASS_HID_3d4b6 = 0x3d4b6,
	BNXT_ULP_CLASS_HID_4e176 = 0x4e176,
	BNXT_ULP_CLASS_HID_4967e = 0x4967e,
	BNXT_ULP_CLASS_HID_47b6e = 0x47b6e,
	BNXT_ULP_CLASS_HID_43076 = 0x43076,
	BNXT_ULP_CLASS_HID_cecae = 0xcecae,
	BNXT_ULP_CLASS_HID_ca1b6 = 0xca1b6,
	BNXT_ULP_CLASS_HID_c86a6 = 0xc86a6,
	BNXT_ULP_CLASS_HID_c3bae = 0xc3bae,
	BNXT_ULP_CLASS_HID_6a63e = 0x6a63e,
	BNXT_ULP_CLASS_HID_65b06 = 0x65b06,
	BNXT_ULP_CLASS_HID_64036 = 0x64036,
	BNXT_ULP_CLASS_HID_6ec16 = 0x6ec16,
	BNXT_ULP_CLASS_HID_eb076 = 0xeb076,
	BNXT_ULP_CLASS_HID_e657e = 0xe657e,
	BNXT_ULP_CLASS_HID_e4a6e = 0xe4a6e,
	BNXT_ULP_CLASS_HID_ef64e = 0xef64e,
	BNXT_ULP_CLASS_HID_5480e = 0x5480e,
	BNXT_ULP_CLASS_HID_5f46e = 0x5f46e,
	BNXT_ULP_CLASS_HID_5d91e = 0x5d91e,
	BNXT_ULP_CLASS_HID_58e66 = 0x58e66,
	BNXT_ULP_CLASS_HID_d5246 = 0xd5246,
	BNXT_ULP_CLASS_HID_d074e = 0xd074e,
	BNXT_ULP_CLASS_HID_de356 = 0xde356,
	BNXT_ULP_CLASS_HID_d985e = 0xd985e,
	BNXT_ULP_CLASS_HID_70dd6 = 0x70dd6,
	BNXT_ULP_CLASS_HID_7b936 = 0x7b936,
	BNXT_ULP_CLASS_HID_79e26 = 0x79e26,
	BNXT_ULP_CLASS_HID_7532e = 0x7532e,
	BNXT_ULP_CLASS_HID_f170e = 0xf170e,
	BNXT_ULP_CLASS_HID_fc36e = 0xfc36e,
	BNXT_ULP_CLASS_HID_fa81e = 0xfa81e,
	BNXT_ULP_CLASS_HID_f5d66 = 0xf5d66,
	BNXT_ULP_CLASS_HID_1bf8e = 0x1bf8e,
	BNXT_ULP_CLASS_HID_174b6 = 0x174b6,
	BNXT_ULP_CLASS_HID_15986 = 0x15986,
	BNXT_ULP_CLASS_HID_10e8e = 0x10e8e,
	BNXT_ULP_CLASS_HID_38376 = 0x38376,
	BNXT_ULP_CLASS_HID_3387e = 0x3387e,
	BNXT_ULP_CLASS_HID_31d4e = 0x31d4e,
	BNXT_ULP_CLASS_HID_3c96e = 0x3c96e,
	BNXT_ULP_CLASS_HID_1ee86 = 0x1ee86,
	BNXT_ULP_CLASS_HID_1a38e = 0x1a38e,
	BNXT_ULP_CLASS_HID_1889e = 0x1889e,
	BNXT_ULP_CLASS_HID_1bd86 = 0x1bd86,
	BNXT_ULP_CLASS_HID_3b24e = 0x3b24e,
	BNXT_ULP_CLASS_HID_3e776 = 0x3e776,
	BNXT_ULP_CLASS_HID_3cc46 = 0x3cc46,
	BNXT_ULP_CLASS_HID_3814e = 0x3814e,
	BNXT_ULP_CLASS_HID_15b9e = 0x15b9e,
	BNXT_ULP_CLASS_HID_15086 = 0x15086,
	BNXT_ULP_CLASS_HID_1ec8e = 0x1ec8e,
	BNXT_ULP_CLASS_HID_1e1b6 = 0x1e1b6,
	BNXT_ULP_CLASS_HID_35f46 = 0x35f46,
	BNXT_ULP_CLASS_HID_3cb66 = 0x3cb66,
	BNXT_ULP_CLASS_HID_3f076 = 0x3f076,
	BNXT_ULP_CLASS_HID_3657e = 0x3657e,
	BNXT_ULP_CLASS_HID_1ca96 = 0x1ca96,
	BNXT_ULP_CLASS_HID_1ff9e = 0x1ff9e,
	BNXT_ULP_CLASS_HID_1e36e = 0x1e36e,
	BNXT_ULP_CLASS_HID_1d08e = 0x1d08e,
	BNXT_ULP_CLASS_HID_3ce5e = 0x3ce5e,
	BNXT_ULP_CLASS_HID_3c346 = 0x3c346,
	BNXT_ULP_CLASS_HID_3df4e = 0x3df4e,
	BNXT_ULP_CLASS_HID_3d476 = 0x3d476,
	BNXT_ULP_CLASS_HID_28c2 = 0x28c2,
	BNXT_ULP_CLASS_HID_7a82 = 0x7a82,
	BNXT_ULP_CLASS_HID_80a2a = 0x80a2a,
	BNXT_ULP_CLASS_HID_181eba = 0x181eba,
	BNXT_ULP_CLASS_HID_4808e = 0x4808e,
	BNXT_ULP_CLASS_HID_41a86 = 0x41a86,
	BNXT_ULP_CLASS_HID_c8ac6 = 0xc8ac6,
	BNXT_ULP_CLASS_HID_c24fe = 0xc24fe,
	BNXT_ULP_CLASS_HID_15de6 = 0x15de6,
	BNXT_ULP_CLASS_HID_1ef16 = 0x1ef16,
	BNXT_ULP_CLASS_HID_322ae = 0x322ae,
	BNXT_ULP_CLASS_HID_3b3de = 0x3b3de,
	BNXT_ULP_CLASS_HID_2882 = 0x2882,
	BNXT_ULP_CLASS_HID_7ac2 = 0x7ac2,
	BNXT_ULP_CLASS_HID_103d32 = 0x103d32,
	BNXT_ULP_CLASS_HID_108f72 = 0x108f72,
	BNXT_ULP_CLASS_HID_8337a = 0x8337a,
	BNXT_ULP_CLASS_HID_884ba = 0x884ba,
	BNXT_ULP_CLASS_HID_1847ea = 0x1847ea,
	BNXT_ULP_CLASS_HID_18992a = 0x18992a,
	BNXT_ULP_CLASS_HID_80a6a = 0x80a6a,
	BNXT_ULP_CLASS_HID_181efa = 0x181efa,
	BNXT_ULP_CLASS_HID_c8ab2 = 0xc8ab2,
	BNXT_ULP_CLASS_HID_1c9f02 = 0x1c9f02,
	BNXT_ULP_CLASS_HID_ac64a = 0xac64a,
	BNXT_ULP_CLASS_HID_1adada = 0x1adada,
	BNXT_ULP_CLASS_HID_e4ffa = 0xe4ffa,
	BNXT_ULP_CLASS_HID_1e644a = 0x1e644a,
	BNXT_ULP_CLASS_HID_2842 = 0x2842,
	BNXT_ULP_CLASS_HID_7a02 = 0x7a02,
	BNXT_ULP_CLASS_HID_103df2 = 0x103df2,
	BNXT_ULP_CLASS_HID_108fb2 = 0x108fb2,
	BNXT_ULP_CLASS_HID_833ba = 0x833ba,
	BNXT_ULP_CLASS_HID_8847a = 0x8847a,
	BNXT_ULP_CLASS_HID_18472a = 0x18472a,
	BNXT_ULP_CLASS_HID_1899ea = 0x1899ea,
	BNXT_ULP_CLASS_HID_80aaa = 0x80aaa,
	BNXT_ULP_CLASS_HID_181e3a = 0x181e3a,
	BNXT_ULP_CLASS_HID_c8a72 = 0xc8a72,
	BNXT_ULP_CLASS_HID_1c9fc2 = 0x1c9fc2,
	BNXT_ULP_CLASS_HID_ac68a = 0xac68a,
	BNXT_ULP_CLASS_HID_1ada1a = 0x1ada1a,
	BNXT_ULP_CLASS_HID_e4f3a = 0xe4f3a,
	BNXT_ULP_CLASS_HID_1e648a = 0x1e648a,
	BNXT_ULP_CLASS_HID_480ce = 0x480ce,
	BNXT_ULP_CLASS_HID_41ac6 = 0x41ac6,
	BNXT_ULP_CLASS_HID_c8a86 = 0xc8a86,
	BNXT_ULP_CLASS_HID_c24be = 0xc24be,
	BNXT_ULP_CLASS_HID_64516 = 0x64516,
	BNXT_ULP_CLASS_HID_6d6e6 = 0x6d6e6,
	BNXT_ULP_CLASS_HID_e4fce = 0xe4fce,
	BNXT_ULP_CLASS_HID_ee0de = 0xee0de,
	BNXT_ULP_CLASS_HID_5defe = 0x5defe,
	BNXT_ULP_CLASS_HID_578f6 = 0x578f6,
	BNXT_ULP_CLASS_HID_de8b6 = 0xde8b6,
	BNXT_ULP_CLASS_HID_d82ae = 0xd82ae,
	BNXT_ULP_CLASS_HID_7a306 = 0x7a306,
	BNXT_ULP_CLASS_HID_73d3e = 0x73d3e,
	BNXT_ULP_CLASS_HID_fadfe = 0xfadfe,
	BNXT_ULP_CLASS_HID_f47f6 = 0xf47f6,
	BNXT_ULP_CLASS_HID_15da6 = 0x15da6,
	BNXT_ULP_CLASS_HID_1ef56 = 0x1ef56,
	BNXT_ULP_CLASS_HID_322ee = 0x322ee,
	BNXT_ULP_CLASS_HID_3b39e = 0x3b39e,
	BNXT_ULP_CLASS_HID_18cbe = 0x18cbe,
	BNXT_ULP_CLASS_HID_1a6b6 = 0x1a6b6,
	BNXT_ULP_CLASS_HID_3d1e6 = 0x3d1e6,
	BNXT_ULP_CLASS_HID_3e296 = 0x3e296,
	BNXT_ULP_CLASS_HID_1f0ae = 0x1f0ae,
	BNXT_ULP_CLASS_HID_1caa6 = 0x1caa6,
	BNXT_ULP_CLASS_HID_3f596 = 0x3f596,
	BNXT_ULP_CLASS_HID_34fee = 0x34fee,
	BNXT_ULP_CLASS_HID_1e88e = 0x1e88e,
	BNXT_ULP_CLASS_HID_1f9be = 0x1f9be,
	BNXT_ULP_CLASS_HID_3e4ee = 0x3e4ee,
	BNXT_ULP_CLASS_HID_3fee6 = 0x3fee6,
	BNXT_ULP_CLASS_HID_4800e = 0x4800e,
	BNXT_ULP_CLASS_HID_41a06 = 0x41a06,
	BNXT_ULP_CLASS_HID_c8a46 = 0xc8a46,
	BNXT_ULP_CLASS_HID_c247e = 0xc247e,
	BNXT_ULP_CLASS_HID_645d6 = 0x645d6,
	BNXT_ULP_CLASS_HID_6d626 = 0x6d626,
	BNXT_ULP_CLASS_HID_e4f0e = 0xe4f0e,
	BNXT_ULP_CLASS_HID_ee01e = 0xee01e,
	BNXT_ULP_CLASS_HID_5de3e = 0x5de3e,
	BNXT_ULP_CLASS_HID_57836 = 0x57836,
	BNXT_ULP_CLASS_HID_de876 = 0xde876,
	BNXT_ULP_CLASS_HID_d826e = 0xd826e,
	BNXT_ULP_CLASS_HID_7a3c6 = 0x7a3c6,
	BNXT_ULP_CLASS_HID_73dfe = 0x73dfe,
	BNXT_ULP_CLASS_HID_fad3e = 0xfad3e,
	BNXT_ULP_CLASS_HID_f4736 = 0xf4736,
	BNXT_ULP_CLASS_HID_15d66 = 0x15d66,
	BNXT_ULP_CLASS_HID_1ef96 = 0x1ef96,
	BNXT_ULP_CLASS_HID_3222e = 0x3222e,
	BNXT_ULP_CLASS_HID_3b35e = 0x3b35e,
	BNXT_ULP_CLASS_HID_18c7e = 0x18c7e,
	BNXT_ULP_CLASS_HID_1a676 = 0x1a676,
	BNXT_ULP_CLASS_HID_3d126 = 0x3d126,
	BNXT_ULP_CLASS_HID_3e256 = 0x3e256,
	BNXT_ULP_CLASS_HID_1f06e = 0x1f06e,
	BNXT_ULP_CLASS_HID_1ca66 = 0x1ca66,
	BNXT_ULP_CLASS_HID_3f556 = 0x3f556,
	BNXT_ULP_CLASS_HID_34f2e = 0x34f2e,
	BNXT_ULP_CLASS_HID_1e84e = 0x1e84e,
	BNXT_ULP_CLASS_HID_1f97e = 0x1f97e,
	BNXT_ULP_CLASS_HID_3e42e = 0x3e42e,
	BNXT_ULP_CLASS_HID_3fe26 = 0x3fe26,
	BNXT_ULP_CLASS_HID_1612 = 0x1612,
	BNXT_ULP_CLASS_HID_1622 = 0x1622,
	BNXT_ULP_CLASS_HID_1616 = 0x1616,
	BNXT_ULP_CLASS_HID_a766 = 0xa766,
	BNXT_ULP_CLASS_HID_1626 = 0x1626,
	BNXT_ULP_CLASS_HID_a756 = 0xa756,
	BNXT_ULP_CLASS_HID_1652 = 0x1652,
	BNXT_ULP_CLASS_HID_1662 = 0x1662,
	BNXT_ULP_CLASS_HID_1692 = 0x1692,
	BNXT_ULP_CLASS_HID_16a2 = 0x16a2,
	BNXT_ULP_CLASS_HID_1656 = 0x1656,
	BNXT_ULP_CLASS_HID_a726 = 0xa726,
	BNXT_ULP_CLASS_HID_1666 = 0x1666,
	BNXT_ULP_CLASS_HID_a716 = 0xa716,
	BNXT_ULP_CLASS_HID_1696 = 0x1696,
	BNXT_ULP_CLASS_HID_a7e6 = 0xa7e6,
	BNXT_ULP_CLASS_HID_16a6 = 0x16a6,
	BNXT_ULP_CLASS_HID_a7d6 = 0xa7d6,
	BNXT_ULP_CLASS_HID_869f2 = 0x869f2,
	BNXT_ULP_CLASS_HID_a32ba = 0xa32ba,
	BNXT_ULP_CLASS_HID_a262c = 0xa262c,
	BNXT_ULP_CLASS_HID_aca4c = 0xaca4c,
	BNXT_ULP_CLASS_HID_b6ca = 0xb6ca,
	BNXT_ULP_CLASS_HID_10da7a = 0x10da7a,
	BNXT_ULP_CLASS_HID_e9da = 0xe9da,
	BNXT_ULP_CLASS_HID_10b462 = 0x10b462,
	BNXT_ULP_CLASS_HID_8442 = 0x8442,
	BNXT_ULP_CLASS_HID_10aff2 = 0x10aff2,
	BNXT_ULP_CLASS_HID_e64a = 0xe64a,
	BNXT_ULP_CLASS_HID_10e9fa = 0x10e9fa,
	BNXT_ULP_CLASS_HID_f052 = 0xf052,
	BNXT_ULP_CLASS_HID_1092fa = 0x1092fa,
	BNXT_ULP_CLASS_HID_a25a = 0xa25a,
	BNXT_ULP_CLASS_HID_10f5fa = 0x10f5fa,
	BNXT_ULP_CLASS_HID_ccf2 = 0xccf2,
	BNXT_ULP_CLASS_HID_10e072 = 0x10e072,
	BNXT_ULP_CLASS_HID_aefa = 0xaefa,
	BNXT_ULP_CLASS_HID_10a27a = 0x10a27a,
	BNXT_ULP_CLASS_HID_8b32 = 0x8b32,
	BNXT_ULP_CLASS_HID_10bea2 = 0x10bea2,
	BNXT_ULP_CLASS_HID_ee02 = 0xee02,
	BNXT_ULP_CLASS_HID_10f1b2 = 0x10f1b2,
	BNXT_ULP_CLASS_HID_e882 = 0xe882,
	BNXT_ULP_CLASS_HID_108c32 = 0x108c32,
	BNXT_ULP_CLASS_HID_eab2 = 0xeab2,
	BNXT_ULP_CLASS_HID_10ee22 = 0x10ee22,
	BNXT_ULP_CLASS_HID_d492 = 0xd492,
	BNXT_ULP_CLASS_HID_10f832 = 0x10f832,
	BNXT_ULP_CLASS_HID_a6b2 = 0xa6b2,
	BNXT_ULP_CLASS_HID_10aa32 = 0x10aa32,
	BNXT_ULP_CLASS_HID_a132 = 0xa132,
	BNXT_ULP_CLASS_HID_10c4b2 = 0x10c4b2,
	BNXT_ULP_CLASS_HID_a332 = 0xa332,
	BNXT_ULP_CLASS_HID_10a6d2 = 0x10a6d2,
	BNXT_ULP_CLASS_HID_adec = 0xadec,
	BNXT_ULP_CLASS_HID_10c15c = 0x10c15c,
	BNXT_ULP_CLASS_HID_f2fc = 0xf2fc,
	BNXT_ULP_CLASS_HID_10af44 = 0x10af44,
	BNXT_ULP_CLASS_HID_9f64 = 0x9f64,
	BNXT_ULP_CLASS_HID_10b4d4 = 0x10b4d4,
	BNXT_ULP_CLASS_HID_fd6c = 0xfd6c,
	BNXT_ULP_CLASS_HID_10f2dc = 0x10f2dc,
	BNXT_ULP_CLASS_HID_9a40 = 0x9a40,
	BNXT_ULP_CLASS_HID_10ae30 = 0x10ae30,
	BNXT_ULP_CLASS_HID_e848 = 0xe848,
	BNXT_ULP_CLASS_HID_10fc38 = 0x10fc38,
	BNXT_ULP_CLASS_HID_9530 = 0x9530,
	BNXT_ULP_CLASS_HID_109aa0 = 0x109aa0,
	BNXT_ULP_CLASS_HID_fbc0 = 0xfbc0,
	BNXT_ULP_CLASS_HID_10ffb0 = 0x10ffb0,
	BNXT_ULP_CLASS_HID_dfae = 0xdfae,
	BNXT_ULP_CLASS_HID_10f31e = 0x10f31e,
	BNXT_ULP_CLASS_HID_ad96 = 0xad96,
	BNXT_ULP_CLASS_HID_10e106 = 0x10e106,
	BNXT_ULP_CLASS_HID_da1e = 0xda1e,
	BNXT_ULP_CLASS_HID_10df8e = 0x10df8e,
	BNXT_ULP_CLASS_HID_b806 = 0xb806,
	BNXT_ULP_CLASS_HID_10bdf6 = 0x10bdf6,
	BNXT_ULP_CLASS_HID_d57a = 0xd57a,
	BNXT_ULP_CLASS_HID_10eaea = 0x10eaea,
	BNXT_ULP_CLASS_HID_a362 = 0xa362,
	BNXT_ULP_CLASS_HID_10b8d2 = 0x10b8d2,
	BNXT_ULP_CLASS_HID_b8f2 = 0xb8f2,
	BNXT_ULP_CLASS_HID_10dc62 = 0x10dc62,
	BNXT_ULP_CLASS_HID_b6fa = 0xb6fa,
	BNXT_ULP_CLASS_HID_10ba6a = 0x10ba6a,
	BNXT_ULP_CLASS_HID_b49c = 0xb49c,
	BNXT_ULP_CLASS_HID_10d82c = 0x10d82c,
	BNXT_ULP_CLASS_HID_eb8c = 0xeb8c,
	BNXT_ULP_CLASS_HID_10b634 = 0x10b634,
	BNXT_ULP_CLASS_HID_8614 = 0x8614,
	BNXT_ULP_CLASS_HID_10ada4 = 0x10ada4,
	BNXT_ULP_CLASS_HID_e41c = 0xe41c,
	BNXT_ULP_CLASS_HID_10ebac = 0x10ebac,
	BNXT_ULP_CLASS_HID_f204 = 0xf204,
	BNXT_ULP_CLASS_HID_1090ac = 0x1090ac,
	BNXT_ULP_CLASS_HID_a00c = 0xa00c,
	BNXT_ULP_CLASS_HID_10f7ac = 0x10f7ac,
	BNXT_ULP_CLASS_HID_cea4 = 0xcea4,
	BNXT_ULP_CLASS_HID_10e224 = 0x10e224,
	BNXT_ULP_CLASS_HID_acac = 0xacac,
	BNXT_ULP_CLASS_HID_10a02c = 0x10a02c,
	BNXT_ULP_CLASS_HID_8964 = 0x8964,
	BNXT_ULP_CLASS_HID_10bcf4 = 0x10bcf4,
	BNXT_ULP_CLASS_HID_ec54 = 0xec54,
	BNXT_ULP_CLASS_HID_10f3e4 = 0x10f3e4,
	BNXT_ULP_CLASS_HID_ead4 = 0xead4,
	BNXT_ULP_CLASS_HID_108e64 = 0x108e64,
	BNXT_ULP_CLASS_HID_e8e4 = 0xe8e4,
	BNXT_ULP_CLASS_HID_10ec74 = 0x10ec74,
	BNXT_ULP_CLASS_HID_d6c4 = 0xd6c4,
	BNXT_ULP_CLASS_HID_10fa64 = 0x10fa64,
	BNXT_ULP_CLASS_HID_a4e4 = 0xa4e4,
	BNXT_ULP_CLASS_HID_10a864 = 0x10a864,
	BNXT_ULP_CLASS_HID_a364 = 0xa364,
	BNXT_ULP_CLASS_HID_10c6e4 = 0x10c6e4,
	BNXT_ULP_CLASS_HID_a164 = 0xa164,
	BNXT_ULP_CLASS_HID_10a484 = 0x10a484,
	BNXT_ULP_CLASS_HID_8330 = 0x8330,
	BNXT_ULP_CLASS_HID_10b740 = 0x10b740,
	BNXT_ULP_CLASS_HID_f138 = 0xf138,
	BNXT_ULP_CLASS_HID_10e548 = 0x10e548,
	BNXT_ULP_CLASS_HID_8c40 = 0x8c40,
	BNXT_ULP_CLASS_HID_1083d0 = 0x1083d0,
	BNXT_ULP_CLASS_HID_e2b0 = 0xe2b0,
	BNXT_ULP_CLASS_HID_10e6c0 = 0x10e6c0,
	BNXT_ULP_CLASS_HID_f840 = 0xf840,
	BNXT_ULP_CLASS_HID_10efc0 = 0x10efc0,
	BNXT_ULP_CLASS_HID_b648 = 0xb648,
	BNXT_ULP_CLASS_HID_10fdc8 = 0x10fdc8,
	BNXT_ULP_CLASS_HID_cd28 = 0xcd28,
	BNXT_ULP_CLASS_HID_10c148 = 0x10c148,
	BNXT_ULP_CLASS_HID_abc0 = 0xabc0,
	BNXT_ULP_CLASS_HID_10af40 = 0x10af40,
	BNXT_ULP_CLASS_HID_e7f0 = 0xe7f0,
	BNXT_ULP_CLASS_HID_108b00 = 0x108b00,
	BNXT_ULP_CLASS_HID_f580 = 0xf580,
	BNXT_ULP_CLASS_HID_10f910 = 0x10f910,
	BNXT_ULP_CLASS_HID_e970 = 0xe970,
	BNXT_ULP_CLASS_HID_10ec80 = 0x10ec80,
	BNXT_ULP_CLASS_HID_a770 = 0xa770,
	BNXT_ULP_CLASS_HID_10ea80 = 0x10ea80,
	BNXT_ULP_CLASS_HID_dc00 = 0xdc00,
	BNXT_ULP_CLASS_HID_10c380 = 0x10c380,
	BNXT_ULP_CLASS_HID_aa00 = 0xaa00,
	BNXT_ULP_CLASS_HID_10b1a0 = 0x10b1a0,
	BNXT_ULP_CLASS_HID_a180 = 0xa180,
	BNXT_ULP_CLASS_HID_10a500 = 0x10a500,
	BNXT_ULP_CLASS_HID_ef80 = 0xef80,
	BNXT_ULP_CLASS_HID_10a300 = 0x10a300,
	BNXT_ULP_CLASS_HID_c6de = 0xc6de,
	BNXT_ULP_CLASS_HID_10ea6e = 0x10ea6e,
	BNXT_ULP_CLASS_HID_b4e6 = 0xb4e6,
	BNXT_ULP_CLASS_HID_10f876 = 0x10f876,
	BNXT_ULP_CLASS_HID_c36e = 0xc36e,
	BNXT_ULP_CLASS_HID_10c6fe = 0x10c6fe,
	BNXT_ULP_CLASS_HID_a176 = 0xa176,
	BNXT_ULP_CLASS_HID_10a486 = 0x10a486,
	BNXT_ULP_CLASS_HID_bf6e = 0xbf6e,
	BNXT_ULP_CLASS_HID_10a2ee = 0x10a2ee,
	BNXT_ULP_CLASS_HID_ed66 = 0xed66,
	BNXT_ULP_CLASS_HID_10b086 = 0x10b086,
	BNXT_ULP_CLASS_HID_8bee = 0x8bee,
	BNXT_ULP_CLASS_HID_10af0e = 0x10af0e,
	BNXT_ULP_CLASS_HID_eeee = 0xeeee,
	BNXT_ULP_CLASS_HID_10e26e = 0x10e26e,
	BNXT_ULP_CLASS_HID_daa6 = 0xdaa6,
	BNXT_ULP_CLASS_HID_10ce36 = 0x10ce36,
	BNXT_ULP_CLASS_HID_a8a6 = 0xa8a6,
	BNXT_ULP_CLASS_HID_10bc36 = 0x10bc36,
	BNXT_ULP_CLASS_HID_a736 = 0xa736,
	BNXT_ULP_CLASS_HID_10cb46 = 0x10cb46,
	BNXT_ULP_CLASS_HID_ea26 = 0xea26,
	BNXT_ULP_CLASS_HID_10a946 = 0x10a946,
	BNXT_ULP_CLASS_HID_9326 = 0x9326,
	BNXT_ULP_CLASS_HID_108746 = 0x108746,
	BNXT_ULP_CLASS_HID_e126 = 0xe126,
	BNXT_ULP_CLASS_HID_10f546 = 0x10f546,
	BNXT_ULP_CLASS_HID_e4a6 = 0xe4a6,
	BNXT_ULP_CLASS_HID_1083c6 = 0x1083c6,
	BNXT_ULP_CLASS_HID_a2a6 = 0xa2a6,
	BNXT_ULP_CLASS_HID_10e6c6 = 0x10e6c6,
	BNXT_ULP_CLASS_HID_cc0a = 0xcc0a,
	BNXT_ULP_CLASS_HID_10f39a = 0x10f39a,
	BNXT_ULP_CLASS_HID_ba12 = 0xba12,
	BNXT_ULP_CLASS_HID_10a1a2 = 0x10a1a2,
	BNXT_ULP_CLASS_HID_a182 = 0xa182,
	BNXT_ULP_CLASS_HID_10c512 = 0x10c512,
	BNXT_ULP_CLASS_HID_af8a = 0xaf8a,
	BNXT_ULP_CLASS_HID_10a31a = 0x10a31a,
	BNXT_ULP_CLASS_HID_848a = 0x848a,
	BNXT_ULP_CLASS_HID_10a82a = 0x10a82a,
	BNXT_ULP_CLASS_HID_fb8a = 0xfb8a,
	BNXT_ULP_CLASS_HID_10ef0a = 0x10ef0a,
	BNXT_ULP_CLASS_HID_e602 = 0xe602,
	BNXT_ULP_CLASS_HID_108da2 = 0x108da2,
	BNXT_ULP_CLASS_HID_e40a = 0xe40a,
	BNXT_ULP_CLASS_HID_10ebaa = 0x10ebaa,
	BNXT_ULP_CLASS_HID_a0d2 = 0xa0d2,
	BNXT_ULP_CLASS_HID_10d462 = 0x10d462,
	BNXT_ULP_CLASS_HID_bed2 = 0xbed2,
	BNXT_ULP_CLASS_HID_10a262 = 0x10a262,
	BNXT_ULP_CLASS_HID_8242 = 0x8242,
	BNXT_ULP_CLASS_HID_10a9d2 = 0x10a9d2,
	BNXT_ULP_CLASS_HID_e052 = 0xe052,
	BNXT_ULP_CLASS_HID_10e7e2 = 0x10e7e2,
	BNXT_ULP_CLASS_HID_9962 = 0x9962,
	BNXT_ULP_CLASS_HID_108ce2 = 0x108ce2,
	BNXT_ULP_CLASS_HID_fc42 = 0xfc42,
	BNXT_ULP_CLASS_HID_10e3e2 = 0x10e3e2,
	BNXT_ULP_CLASS_HID_eac2 = 0xeac2,
	BNXT_ULP_CLASS_HID_10ee62 = 0x10ee62,
	BNXT_ULP_CLASS_HID_a8e2 = 0xa8e2,
	BNXT_ULP_CLASS_HID_10ec62 = 0x10ec62,
	BNXT_ULP_CLASS_HID_8ea0 = 0x8ea0,
	BNXT_ULP_CLASS_HID_10e210 = 0x10e210,
	BNXT_ULP_CLASS_HID_d1b0 = 0xd1b0,
	BNXT_ULP_CLASS_HID_108c08 = 0x108c08,
	BNXT_ULP_CLASS_HID_bc28 = 0xbc28,
	BNXT_ULP_CLASS_HID_109798 = 0x109798,
	BNXT_ULP_CLASS_HID_de20 = 0xde20,
	BNXT_ULP_CLASS_HID_10d190 = 0x10d190,
	BNXT_ULP_CLASS_HID_b90c = 0xb90c,
	BNXT_ULP_CLASS_HID_108d7c = 0x108d7c,
	BNXT_ULP_CLASS_HID_cb04 = 0xcb04,
	BNXT_ULP_CLASS_HID_10df74 = 0x10df74,
	BNXT_ULP_CLASS_HID_b67c = 0xb67c,
	BNXT_ULP_CLASS_HID_10b9ec = 0x10b9ec,
	BNXT_ULP_CLASS_HID_d88c = 0xd88c,
	BNXT_ULP_CLASS_HID_10dcfc = 0x10dcfc,
	BNXT_ULP_CLASS_HID_fce2 = 0xfce2,
	BNXT_ULP_CLASS_HID_10d052 = 0x10d052,
	BNXT_ULP_CLASS_HID_8eda = 0x8eda,
	BNXT_ULP_CLASS_HID_10c24a = 0x10c24a,
	BNXT_ULP_CLASS_HID_f952 = 0xf952,
	BNXT_ULP_CLASS_HID_10fcc2 = 0x10fcc2,
	BNXT_ULP_CLASS_HID_9b4a = 0x9b4a,
	BNXT_ULP_CLASS_HID_109eba = 0x109eba,
	BNXT_ULP_CLASS_HID_f636 = 0xf636,
	BNXT_ULP_CLASS_HID_10c9a6 = 0x10c9a6,
	BNXT_ULP_CLASS_HID_802e = 0x802e,
	BNXT_ULP_CLASS_HID_109b9e = 0x109b9e,
	BNXT_ULP_CLASS_HID_9bbe = 0x9bbe,
	BNXT_ULP_CLASS_HID_10ff2e = 0x10ff2e,
	BNXT_ULP_CLASS_HID_95b6 = 0x95b6,
	BNXT_ULP_CLASS_HID_109926 = 0x109926,
	BNXT_ULP_CLASS_HID_a5c1 = 0xa5c1,
	BNXT_ULP_CLASS_HID_10b931 = 0x10b931,
	BNXT_ULP_CLASS_HID_d7b9 = 0xd7b9,
	BNXT_ULP_CLASS_HID_10cb29 = 0x10cb29,
	BNXT_ULP_CLASS_HID_db49 = 0xdb49,
	BNXT_ULP_CLASS_HID_10b5a1 = 0x10b5a1,
	BNXT_ULP_CLASS_HID_9541 = 0x9541,
	BNXT_ULP_CLASS_HID_10d8b1 = 0x10d8b1,
	BNXT_ULP_CLASS_HID_d02d = 0xd02d,
	BNXT_ULP_CLASS_HID_10b285 = 0x10b285,
	BNXT_ULP_CLASS_HID_c225 = 0xc225,
	BNXT_ULP_CLASS_HID_10d595 = 0x10d595,
	BNXT_ULP_CLASS_HID_fc9d = 0xfc9d,
	BNXT_ULP_CLASS_HID_10d00d = 0x10d00d,
	BNXT_ULP_CLASS_HID_9e95 = 0x9e95,
	BNXT_ULP_CLASS_HID_10d205 = 0x10d205,
	BNXT_ULP_CLASS_HID_e2eb = 0xe2eb,
	BNXT_ULP_CLASS_HID_10f65b = 0x10f65b,
	BNXT_ULP_CLASS_HID_8ce3 = 0x8ce3,
	BNXT_ULP_CLASS_HID_108053 = 0x108053,
	BNXT_ULP_CLASS_HID_9073 = 0x9073,
	BNXT_ULP_CLASS_HID_109be3 = 0x109be3,
	BNXT_ULP_CLASS_HID_d26b = 0xd26b,
	BNXT_ULP_CLASS_HID_1095db = 0x1095db,
	BNXT_ULP_CLASS_HID_8d57 = 0x8d57,
	BNXT_ULP_CLASS_HID_10e0c7 = 0x10e0c7,
	BNXT_ULP_CLASS_HID_df4f = 0xdf4f,
	BNXT_ULP_CLASS_HID_1092bf = 0x1092bf,
	BNXT_ULP_CLASS_HID_b9c7 = 0xb9c7,
	BNXT_ULP_CLASS_HID_109d37 = 0x109d37,
	BNXT_ULP_CLASS_HID_dcd7 = 0xdcd7,
	BNXT_ULP_CLASS_HID_10d047 = 0x10d047,
	BNXT_ULP_CLASS_HID_fa30 = 0xfa30,
	BNXT_ULP_CLASS_HID_10cda0 = 0x10cda0,
	BNXT_ULP_CLASS_HID_8428 = 0x8428,
	BNXT_ULP_CLASS_HID_109f98 = 0x109f98,
	BNXT_ULP_CLASS_HID_9fb8 = 0x9fb8,
	BNXT_ULP_CLASS_HID_10f328 = 0x10f328,
	BNXT_ULP_CLASS_HID_99b0 = 0x99b0,
	BNXT_ULP_CLASS_HID_109d20 = 0x109d20,
	BNXT_ULP_CLASS_HID_e49c = 0xe49c,
	BNXT_ULP_CLASS_HID_10f80c = 0x10f80c,
	BNXT_ULP_CLASS_HID_9694 = 0x9694,
	BNXT_ULP_CLASS_HID_108a04 = 0x108a04,
	BNXT_ULP_CLASS_HID_910c = 0x910c,
	BNXT_ULP_CLASS_HID_10f57c = 0x10f57c,
	BNXT_ULP_CLASS_HID_9304 = 0x9304,
	BNXT_ULP_CLASS_HID_109774 = 0x109774,
	BNXT_ULP_CLASS_HID_b75a = 0xb75a,
	BNXT_ULP_CLASS_HID_108aca = 0x108aca,
	BNXT_ULP_CLASS_HID_da6a = 0xda6a,
	BNXT_ULP_CLASS_HID_10cdda = 0x10cdda,
	BNXT_ULP_CLASS_HID_d4e2 = 0xd4e2,
	BNXT_ULP_CLASS_HID_10b852 = 0x10b852,
	BNXT_ULP_CLASS_HID_d6da = 0xd6da,
	BNXT_ULP_CLASS_HID_10da4a = 0x10da4a,
	BNXT_ULP_CLASS_HID_a1c6 = 0xa1c6,
	BNXT_ULP_CLASS_HID_10b536 = 0x10b536,
	BNXT_ULP_CLASS_HID_d3be = 0xd3be,
	BNXT_ULP_CLASS_HID_10c72e = 0x10c72e,
	BNXT_ULP_CLASS_HID_d74e = 0xd74e,
	BNXT_ULP_CLASS_HID_10b1a6 = 0x10b1a6,
	BNXT_ULP_CLASS_HID_9146 = 0x9146,
	BNXT_ULP_CLASS_HID_10d4b6 = 0x10d4b6,
	BNXT_ULP_CLASS_HID_9151 = 0x9151,
	BNXT_ULP_CLASS_HID_10e4c1 = 0x10e4c1,
	BNXT_ULP_CLASS_HID_8349 = 0x8349,
	BNXT_ULP_CLASS_HID_1096b9 = 0x1096b9,
	BNXT_ULP_CLASS_HID_bdc1 = 0xbdc1,
	BNXT_ULP_CLASS_HID_109131 = 0x109131,
	BNXT_ULP_CLASS_HID_d0d1 = 0xd0d1,
	BNXT_ULP_CLASS_HID_109329 = 0x109329,
	BNXT_ULP_CLASS_HID_8aa5 = 0x8aa5,
	BNXT_ULP_CLASS_HID_109e15 = 0x109e15,
	BNXT_ULP_CLASS_HID_cdb5 = 0xcdb5,
	BNXT_ULP_CLASS_HID_10880d = 0x10880d,
	BNXT_ULP_CLASS_HID_b82d = 0xb82d,
	BNXT_ULP_CLASS_HID_10939d = 0x10939d,
	BNXT_ULP_CLASS_HID_da25 = 0xda25,
	BNXT_ULP_CLASS_HID_10dd95 = 0x10dd95,
	BNXT_ULP_CLASS_HID_ce7b = 0xce7b,
	BNXT_ULP_CLASS_HID_10a1eb = 0x10a1eb,
	BNXT_ULP_CLASS_HID_9873 = 0x9873,
	BNXT_ULP_CLASS_HID_10d3e3 = 0x10d3e3,
	BNXT_ULP_CLASS_HID_f303 = 0xf303,
	BNXT_ULP_CLASS_HID_10d773 = 0x10d773,
	BNXT_ULP_CLASS_HID_9dfb = 0x9dfb,
	BNXT_ULP_CLASS_HID_10916b = 0x10916b,
	BNXT_ULP_CLASS_HID_f8e7 = 0xf8e7,
	BNXT_ULP_CLASS_HID_10cc57 = 0x10cc57,
	BNXT_ULP_CLASS_HID_8adf = 0x8adf,
	BNXT_ULP_CLASS_HID_109e4f = 0x109e4f,
	BNXT_ULP_CLASS_HID_f557 = 0xf557,
	BNXT_ULP_CLASS_HID_10f8c7 = 0x10f8c7,
	BNXT_ULP_CLASS_HID_974f = 0x974f,
	BNXT_ULP_CLASS_HID_109abf = 0x109abf,
	BNXT_ULP_CLASS_HID_baae = 0xbaae,
	BNXT_ULP_CLASS_HID_10d61e = 0x10d61e,
	BNXT_ULP_CLASS_HID_e5be = 0xe5be,
	BNXT_ULP_CLASS_HID_10b806 = 0x10b806,
	BNXT_ULP_CLASS_HID_8826 = 0x8826,
	BNXT_ULP_CLASS_HID_10a396 = 0x10a396,
	BNXT_ULP_CLASS_HID_ea2e = 0xea2e,
	BNXT_ULP_CLASS_HID_10e59e = 0x10e59e,
	BNXT_ULP_CLASS_HID_fc36 = 0xfc36,
	BNXT_ULP_CLASS_HID_109e9e = 0x109e9e,
	BNXT_ULP_CLASS_HID_ae3e = 0xae3e,
	BNXT_ULP_CLASS_HID_10f99e = 0x10f99e,
	BNXT_ULP_CLASS_HID_c096 = 0xc096,
	BNXT_ULP_CLASS_HID_10ec16 = 0x10ec16,
	BNXT_ULP_CLASS_HID_a29e = 0xa29e,
	BNXT_ULP_CLASS_HID_10ae1e = 0x10ae1e,
	BNXT_ULP_CLASS_HID_8756 = 0x8756,
	BNXT_ULP_CLASS_HID_10b2c6 = 0x10b2c6,
	BNXT_ULP_CLASS_HID_e266 = 0xe266,
	BNXT_ULP_CLASS_HID_10fdd6 = 0x10fdd6,
	BNXT_ULP_CLASS_HID_e4e6 = 0xe4e6,
	BNXT_ULP_CLASS_HID_108056 = 0x108056,
	BNXT_ULP_CLASS_HID_e6d6 = 0xe6d6,
	BNXT_ULP_CLASS_HID_10e246 = 0x10e246,
	BNXT_ULP_CLASS_HID_d8f6 = 0xd8f6,
	BNXT_ULP_CLASS_HID_10f456 = 0x10f456,
	BNXT_ULP_CLASS_HID_aad6 = 0xaad6,
	BNXT_ULP_CLASS_HID_10a656 = 0x10a656,
	BNXT_ULP_CLASS_HID_ad56 = 0xad56,
	BNXT_ULP_CLASS_HID_10c8d6 = 0x10c8d6,
	BNXT_ULP_CLASS_HID_af56 = 0xaf56,
	BNXT_ULP_CLASS_HID_10aab6 = 0x10aab6,
	BNXT_ULP_CLASS_HID_8d02 = 0x8d02,
	BNXT_ULP_CLASS_HID_10b972 = 0x10b972,
	BNXT_ULP_CLASS_HID_ff0a = 0xff0a,
	BNXT_ULP_CLASS_HID_10eb7a = 0x10eb7a,
	BNXT_ULP_CLASS_HID_8272 = 0x8272,
	BNXT_ULP_CLASS_HID_108de2 = 0x108de2,
	BNXT_ULP_CLASS_HID_ec82 = 0xec82,
	BNXT_ULP_CLASS_HID_10e8f2 = 0x10e8f2,
	BNXT_ULP_CLASS_HID_f672 = 0xf672,
	BNXT_ULP_CLASS_HID_10e1f2 = 0x10e1f2,
	BNXT_ULP_CLASS_HID_b87a = 0xb87a,
	BNXT_ULP_CLASS_HID_10f3fa = 0x10f3fa,
	BNXT_ULP_CLASS_HID_c31a = 0xc31a,
	BNXT_ULP_CLASS_HID_10cf7a = 0x10cf7a,
	BNXT_ULP_CLASS_HID_a5f2 = 0xa5f2,
	BNXT_ULP_CLASS_HID_10a172 = 0x10a172,
	BNXT_ULP_CLASS_HID_e9c2 = 0xe9c2,
	BNXT_ULP_CLASS_HID_108532 = 0x108532,
	BNXT_ULP_CLASS_HID_fbb2 = 0xfbb2,
	BNXT_ULP_CLASS_HID_10f722 = 0x10f722,
	BNXT_ULP_CLASS_HID_e742 = 0xe742,
	BNXT_ULP_CLASS_HID_10e2b2 = 0x10e2b2,
	BNXT_ULP_CLASS_HID_a942 = 0xa942,
	BNXT_ULP_CLASS_HID_10e4b2 = 0x10e4b2,
	BNXT_ULP_CLASS_HID_d232 = 0xd232,
	BNXT_ULP_CLASS_HID_10cdb2 = 0x10cdb2,
	BNXT_ULP_CLASS_HID_a432 = 0xa432,
	BNXT_ULP_CLASS_HID_10bf92 = 0x10bf92,
	BNXT_ULP_CLASS_HID_afb2 = 0xafb2,
	BNXT_ULP_CLASS_HID_10ab32 = 0x10ab32,
	BNXT_ULP_CLASS_HID_e1b2 = 0xe1b2,
	BNXT_ULP_CLASS_HID_10ad32 = 0x10ad32,
	BNXT_ULP_CLASS_HID_c8ec = 0xc8ec,
	BNXT_ULP_CLASS_HID_10e45c = 0x10e45c,
	BNXT_ULP_CLASS_HID_bad4 = 0xbad4,
	BNXT_ULP_CLASS_HID_10f644 = 0x10f644,
	BNXT_ULP_CLASS_HID_cd5c = 0xcd5c,
	BNXT_ULP_CLASS_HID_10c8cc = 0x10c8cc,
	BNXT_ULP_CLASS_HID_af44 = 0xaf44,
	BNXT_ULP_CLASS_HID_10aab4 = 0x10aab4,
	BNXT_ULP_CLASS_HID_b15c = 0xb15c,
	BNXT_ULP_CLASS_HID_10acdc = 0x10acdc,
	BNXT_ULP_CLASS_HID_e354 = 0xe354,
	BNXT_ULP_CLASS_HID_10beb4 = 0x10beb4,
	BNXT_ULP_CLASS_HID_85dc = 0x85dc,
	BNXT_ULP_CLASS_HID_10a13c = 0x10a13c,
	BNXT_ULP_CLASS_HID_e0dc = 0xe0dc,
	BNXT_ULP_CLASS_HID_10ec5c = 0x10ec5c,
	BNXT_ULP_CLASS_HID_d494 = 0xd494,
	BNXT_ULP_CLASS_HID_10c004 = 0x10c004,
	BNXT_ULP_CLASS_HID_a694 = 0xa694,
	BNXT_ULP_CLASS_HID_10b204 = 0x10b204,
	BNXT_ULP_CLASS_HID_a904 = 0xa904,
	BNXT_ULP_CLASS_HID_10c574 = 0x10c574,
	BNXT_ULP_CLASS_HID_e414 = 0xe414,
	BNXT_ULP_CLASS_HID_10a774 = 0x10a774,
	BNXT_ULP_CLASS_HID_9d14 = 0x9d14,
	BNXT_ULP_CLASS_HID_108974 = 0x108974,
	BNXT_ULP_CLASS_HID_ef14 = 0xef14,
	BNXT_ULP_CLASS_HID_10fb74 = 0x10fb74,
	BNXT_ULP_CLASS_HID_ea94 = 0xea94,
	BNXT_ULP_CLASS_HID_108df4 = 0x108df4,
	BNXT_ULP_CLASS_HID_ac94 = 0xac94,
	BNXT_ULP_CLASS_HID_10e8f4 = 0x10e8f4,
	BNXT_ULP_CLASS_HID_c238 = 0xc238,
	BNXT_ULP_CLASS_HID_10fda8 = 0x10fda8,
	BNXT_ULP_CLASS_HID_b420 = 0xb420,
	BNXT_ULP_CLASS_HID_10af90 = 0x10af90,
	BNXT_ULP_CLASS_HID_afb0 = 0xafb0,
	BNXT_ULP_CLASS_HID_10cb20 = 0x10cb20,
	BNXT_ULP_CLASS_HID_a1b8 = 0xa1b8,
	BNXT_ULP_CLASS_HID_10ad28 = 0x10ad28,
	BNXT_ULP_CLASS_HID_8ab8 = 0x8ab8,
	BNXT_ULP_CLASS_HID_10a618 = 0x10a618,
	BNXT_ULP_CLASS_HID_f5b8 = 0xf5b8,
	BNXT_ULP_CLASS_HID_10e138 = 0x10e138,
	BNXT_ULP_CLASS_HID_e830 = 0xe830,
	BNXT_ULP_CLASS_HID_108390 = 0x108390,
	BNXT_ULP_CLASS_HID_ea38 = 0xea38,
	BNXT_ULP_CLASS_HID_10e598 = 0x10e598,
	BNXT_ULP_CLASS_HID_aee0 = 0xaee0,
	BNXT_ULP_CLASS_HID_10da50 = 0x10da50,
	BNXT_ULP_CLASS_HID_b0e0 = 0xb0e0,
	BNXT_ULP_CLASS_HID_10ac50 = 0x10ac50,
	BNXT_ULP_CLASS_HID_8c70 = 0x8c70,
	BNXT_ULP_CLASS_HID_10a7e0 = 0x10a7e0,
	BNXT_ULP_CLASS_HID_ee60 = 0xee60,
	BNXT_ULP_CLASS_HID_10e9d0 = 0x10e9d0,
	BNXT_ULP_CLASS_HID_9750 = 0x9750,
	BNXT_ULP_CLASS_HID_1082d0 = 0x1082d0,
	BNXT_ULP_CLASS_HID_f270 = 0xf270,
	BNXT_ULP_CLASS_HID_10edd0 = 0x10edd0,
	BNXT_ULP_CLASS_HID_e4f0 = 0xe4f0,
	BNXT_ULP_CLASS_HID_10e050 = 0x10e050,
	BNXT_ULP_CLASS_HID_a6d0 = 0xa6d0,
	BNXT_ULP_CLASS_HID_10e250 = 0x10e250,
	BNXT_ULP_CLASS_HID_8c72 = 0x8c72,
	BNXT_ULP_CLASS_HID_10e0c2 = 0x10e0c2,
	BNXT_ULP_CLASS_HID_d362 = 0xd362,
	BNXT_ULP_CLASS_HID_108eda = 0x108eda,
	BNXT_ULP_CLASS_HID_befa = 0xbefa,
	BNXT_ULP_CLASS_HID_10954a = 0x10954a,
	BNXT_ULP_CLASS_HID_dcf2 = 0xdcf2,
	BNXT_ULP_CLASS_HID_10d342 = 0x10d342,
	BNXT_ULP_CLASS_HID_bbde = 0xbbde,
	BNXT_ULP_CLASS_HID_108fae = 0x108fae,
	BNXT_ULP_CLASS_HID_c9d6 = 0xc9d6,
	BNXT_ULP_CLASS_HID_10dda6 = 0x10dda6,
	BNXT_ULP_CLASS_HID_b4ae = 0xb4ae,
	BNXT_ULP_CLASS_HID_10bb3e = 0x10bb3e,
	BNXT_ULP_CLASS_HID_da5e = 0xda5e,
	BNXT_ULP_CLASS_HID_10de2e = 0x10de2e,
	BNXT_ULP_CLASS_HID_fe30 = 0xfe30,
	BNXT_ULP_CLASS_HID_10d280 = 0x10d280,
	BNXT_ULP_CLASS_HID_8c08 = 0x8c08,
	BNXT_ULP_CLASS_HID_10c098 = 0x10c098,
	BNXT_ULP_CLASS_HID_fb80 = 0xfb80,
	BNXT_ULP_CLASS_HID_10fe10 = 0x10fe10,
	BNXT_ULP_CLASS_HID_9998 = 0x9998,
	BNXT_ULP_CLASS_HID_109c68 = 0x109c68,
	BNXT_ULP_CLASS_HID_f4e4 = 0xf4e4,
	BNXT_ULP_CLASS_HID_10cb74 = 0x10cb74,
	BNXT_ULP_CLASS_HID_82fc = 0x82fc,
	BNXT_ULP_CLASS_HID_10994c = 0x10994c,
	BNXT_ULP_CLASS_HID_996c = 0x996c,
	BNXT_ULP_CLASS_HID_10fdfc = 0x10fdfc,
	BNXT_ULP_CLASS_HID_9764 = 0x9764,
	BNXT_ULP_CLASS_HID_109bf4 = 0x109bf4,
	BNXT_ULP_CLASS_HID_a713 = 0xa713,
	BNXT_ULP_CLASS_HID_10bbe3 = 0x10bbe3,
	BNXT_ULP_CLASS_HID_d56b = 0xd56b,
	BNXT_ULP_CLASS_HID_10c9fb = 0x10c9fb,
	BNXT_ULP_CLASS_HID_d99b = 0xd99b,
	BNXT_ULP_CLASS_HID_10b773 = 0x10b773,
	BNXT_ULP_CLASS_HID_9793 = 0x9793,
	BNXT_ULP_CLASS_HID_10da63 = 0x10da63,
	BNXT_ULP_CLASS_HID_d2ff = 0xd2ff,
	BNXT_ULP_CLASS_HID_10b057 = 0x10b057,
	BNXT_ULP_CLASS_HID_c0f7 = 0xc0f7,
	BNXT_ULP_CLASS_HID_10d747 = 0x10d747,
	BNXT_ULP_CLASS_HID_fe4f = 0xfe4f,
	BNXT_ULP_CLASS_HID_10d2df = 0x10d2df,
	BNXT_ULP_CLASS_HID_9c47 = 0x9c47,
	BNXT_ULP_CLASS_HID_10d0d7 = 0x10d0d7,
	BNXT_ULP_CLASS_HID_e039 = 0xe039,
	BNXT_ULP_CLASS_HID_10f489 = 0x10f489,
	BNXT_ULP_CLASS_HID_8e31 = 0x8e31,
	BNXT_ULP_CLASS_HID_108281 = 0x108281,
	BNXT_ULP_CLASS_HID_92a1 = 0x92a1,
	BNXT_ULP_CLASS_HID_109931 = 0x109931,
	BNXT_ULP_CLASS_HID_d0b9 = 0xd0b9,
	BNXT_ULP_CLASS_HID_109709 = 0x109709,
	BNXT_ULP_CLASS_HID_8f85 = 0x8f85,
	BNXT_ULP_CLASS_HID_10e215 = 0x10e215,
	BNXT_ULP_CLASS_HID_dd9d = 0xdd9d,
	BNXT_ULP_CLASS_HID_10906d = 0x10906d,
	BNXT_ULP_CLASS_HID_bb15 = 0xbb15,
	BNXT_ULP_CLASS_HID_109fe5 = 0x109fe5,
	BNXT_ULP_CLASS_HID_de05 = 0xde05,
	BNXT_ULP_CLASS_HID_10d295 = 0x10d295,
	BNXT_ULP_CLASS_HID_f8e2 = 0xf8e2,
	BNXT_ULP_CLASS_HID_10cf72 = 0x10cf72,
	BNXT_ULP_CLASS_HID_86fa = 0x86fa,
	BNXT_ULP_CLASS_HID_109d4a = 0x109d4a,
	BNXT_ULP_CLASS_HID_9d6a = 0x9d6a,
	BNXT_ULP_CLASS_HID_10f1fa = 0x10f1fa,
	BNXT_ULP_CLASS_HID_9b62 = 0x9b62,
	BNXT_ULP_CLASS_HID_109ff2 = 0x109ff2,
	BNXT_ULP_CLASS_HID_e64e = 0xe64e,
	BNXT_ULP_CLASS_HID_10fade = 0x10fade,
	BNXT_ULP_CLASS_HID_9446 = 0x9446,
	BNXT_ULP_CLASS_HID_1088d6 = 0x1088d6,
	BNXT_ULP_CLASS_HID_93de = 0x93de,
	BNXT_ULP_CLASS_HID_10f7ae = 0x10f7ae,
	BNXT_ULP_CLASS_HID_91d6 = 0x91d6,
	BNXT_ULP_CLASS_HID_1095a6 = 0x1095a6,
	BNXT_ULP_CLASS_HID_b588 = 0xb588,
	BNXT_ULP_CLASS_HID_108818 = 0x108818,
	BNXT_ULP_CLASS_HID_d8b8 = 0xd8b8,
	BNXT_ULP_CLASS_HID_10cf08 = 0x10cf08,
	BNXT_ULP_CLASS_HID_d630 = 0xd630,
	BNXT_ULP_CLASS_HID_10ba80 = 0x10ba80,
	BNXT_ULP_CLASS_HID_d408 = 0xd408,
	BNXT_ULP_CLASS_HID_10d898 = 0x10d898,
	BNXT_ULP_CLASS_HID_a314 = 0xa314,
	BNXT_ULP_CLASS_HID_10b7e4 = 0x10b7e4,
	BNXT_ULP_CLASS_HID_d16c = 0xd16c,
	BNXT_ULP_CLASS_HID_10c5fc = 0x10c5fc,
	BNXT_ULP_CLASS_HID_d59c = 0xd59c,
	BNXT_ULP_CLASS_HID_10b374 = 0x10b374,
	BNXT_ULP_CLASS_HID_9394 = 0x9394,
	BNXT_ULP_CLASS_HID_10d664 = 0x10d664,
	BNXT_ULP_CLASS_HID_9383 = 0x9383,
	BNXT_ULP_CLASS_HID_10e613 = 0x10e613,
	BNXT_ULP_CLASS_HID_819b = 0x819b,
	BNXT_ULP_CLASS_HID_10946b = 0x10946b,
	BNXT_ULP_CLASS_HID_bf13 = 0xbf13,
	BNXT_ULP_CLASS_HID_1093e3 = 0x1093e3,
	BNXT_ULP_CLASS_HID_d203 = 0xd203,
	BNXT_ULP_CLASS_HID_1091fb = 0x1091fb,
	BNXT_ULP_CLASS_HID_8877 = 0x8877,
	BNXT_ULP_CLASS_HID_109cc7 = 0x109cc7,
	BNXT_ULP_CLASS_HID_cf67 = 0xcf67,
	BNXT_ULP_CLASS_HID_108adf = 0x108adf,
	BNXT_ULP_CLASS_HID_baff = 0xbaff,
	BNXT_ULP_CLASS_HID_10914f = 0x10914f,
	BNXT_ULP_CLASS_HID_d8f7 = 0xd8f7,
	BNXT_ULP_CLASS_HID_10df47 = 0x10df47,
	BNXT_ULP_CLASS_HID_cca9 = 0xcca9,
	BNXT_ULP_CLASS_HID_10a339 = 0x10a339,
	BNXT_ULP_CLASS_HID_9aa1 = 0x9aa1,
	BNXT_ULP_CLASS_HID_10d131 = 0x10d131,
	BNXT_ULP_CLASS_HID_f1d1 = 0xf1d1,
	BNXT_ULP_CLASS_HID_10d5a1 = 0x10d5a1,
	BNXT_ULP_CLASS_HID_9f29 = 0x9f29,
	BNXT_ULP_CLASS_HID_1093b9 = 0x1093b9,
	BNXT_ULP_CLASS_HID_fa35 = 0xfa35,
	BNXT_ULP_CLASS_HID_10ce85 = 0x10ce85,
	BNXT_ULP_CLASS_HID_880d = 0x880d,
	BNXT_ULP_CLASS_HID_109c9d = 0x109c9d,
	BNXT_ULP_CLASS_HID_f785 = 0xf785,
	BNXT_ULP_CLASS_HID_10fa15 = 0x10fa15,
	BNXT_ULP_CLASS_HID_959d = 0x959d,
	BNXT_ULP_CLASS_HID_10986d = 0x10986d,
	BNXT_ULP_CLASS_HID_b1d6 = 0xb1d6,
	BNXT_ULP_CLASS_HID_10dd66 = 0x10dd66,
	BNXT_ULP_CLASS_HID_eec6 = 0xeec6,
	BNXT_ULP_CLASS_HID_10b37e = 0x10b37e,
	BNXT_ULP_CLASS_HID_835e = 0x835e,
	BNXT_ULP_CLASS_HID_10a8ee = 0x10a8ee,
	BNXT_ULP_CLASS_HID_e156 = 0xe156,
	BNXT_ULP_CLASS_HID_10eee6 = 0x10eee6,
	BNXT_ULP_CLASS_HID_867a = 0x867a,
	BNXT_ULP_CLASS_HID_10b20a = 0x10b20a,
	BNXT_ULP_CLASS_HID_f472 = 0xf472,
	BNXT_ULP_CLASS_HID_10e002 = 0x10e002,
	BNXT_ULP_CLASS_HID_890a = 0x890a,
	BNXT_ULP_CLASS_HID_10869a = 0x10869a,
	BNXT_ULP_CLASS_HID_e7fa = 0xe7fa,
	BNXT_ULP_CLASS_HID_10e38a = 0x10e38a,
	BNXT_ULP_CLASS_HID_c394 = 0xc394,
	BNXT_ULP_CLASS_HID_10ef24 = 0x10ef24,
	BNXT_ULP_CLASS_HID_b1ac = 0xb1ac,
	BNXT_ULP_CLASS_HID_10fd3c = 0x10fd3c,
	BNXT_ULP_CLASS_HID_c624 = 0xc624,
	BNXT_ULP_CLASS_HID_10c3b4 = 0x10c3b4,
	BNXT_ULP_CLASS_HID_a43c = 0xa43c,
	BNXT_ULP_CLASS_HID_10a1cc = 0x10a1cc,
	BNXT_ULP_CLASS_HID_c940 = 0xc940,
	BNXT_ULP_CLASS_HID_10f6d0 = 0x10f6d0,
	BNXT_ULP_CLASS_HID_bf58 = 0xbf58,
	BNXT_ULP_CLASS_HID_10a4e8 = 0x10a4e8,
	BNXT_ULP_CLASS_HID_a4c8 = 0xa4c8,
	BNXT_ULP_CLASS_HID_10c058 = 0x10c058,
	BNXT_ULP_CLASS_HID_aac0 = 0xaac0,
	BNXT_ULP_CLASS_HID_10a650 = 0x10a650,
	BNXT_ULP_CLASS_HID_18e9b4 = 0x18e9b4,
	BNXT_ULP_CLASS_HID_188c8c = 0x188c8c,
	BNXT_ULP_CLASS_HID_1aaccc = 0x1aaccc,
	BNXT_ULP_CLASS_HID_1a47c4 = 0x1a47c4,
	BNXT_ULP_CLASS_HID_184e44 = 0x184e44,
	BNXT_ULP_CLASS_HID_18e624 = 0x18e624,
	BNXT_ULP_CLASS_HID_1a0d9c = 0x1a0d9c,
	BNXT_ULP_CLASS_HID_1aad7c = 0x1aad7c,
	BNXT_ULP_CLASS_HID_1889ec = 0x1889ec,
	BNXT_ULP_CLASS_HID_184ce4 = 0x184ce4,
	BNXT_ULP_CLASS_HID_1a4d24 = 0x1a4d24,
	BNXT_ULP_CLASS_HID_1a003c = 0x1a003c,
	BNXT_ULP_CLASS_HID_18e584 = 0x18e584,
	BNXT_ULP_CLASS_HID_18849c = 0x18849c,
	BNXT_ULP_CLASS_HID_1aa4dc = 0x1aa4dc,
	BNXT_ULP_CLASS_HID_1a6dd4 = 0x1a6dd4,
	BNXT_ULP_CLASS_HID_18866e = 0x18866e,
	BNXT_ULP_CLASS_HID_184966 = 0x184966,
	BNXT_ULP_CLASS_HID_1a69a6 = 0x1a69a6,
	BNXT_ULP_CLASS_HID_1a0cbe = 0x1a0cbe,
	BNXT_ULP_CLASS_HID_18ec06 = 0x18ec06,
	BNXT_ULP_CLASS_HID_18a71e = 0x18a71e,
	BNXT_ULP_CLASS_HID_1aa75e = 0x1aa75e,
	BNXT_ULP_CLASS_HID_1a6656 = 0x1a6656,
	BNXT_ULP_CLASS_HID_1844c6 = 0x1844c6,
	BNXT_ULP_CLASS_HID_1809de = 0x1809de,
	BNXT_ULP_CLASS_HID_1a081e = 0x1a081e,
	BNXT_ULP_CLASS_HID_1aa5fe = 0x1aa5fe,
	BNXT_ULP_CLASS_HID_18ac7e = 0x18ac7e,
	BNXT_ULP_CLASS_HID_184576 = 0x184576,
	BNXT_ULP_CLASS_HID_1a65b6 = 0x1a65b6,
	BNXT_ULP_CLASS_HID_1a048e = 0x1a048e,
	BNXT_ULP_CLASS_HID_184f8d = 0x184f8d,
	BNXT_ULP_CLASS_HID_18eb6d = 0x18eb6d,
	BNXT_ULP_CLASS_HID_1a02c5 = 0x1a02c5,
	BNXT_ULP_CLASS_HID_1aaea5 = 0x1aaea5,
	BNXT_ULP_CLASS_HID_188525 = 0x188525,
	BNXT_ULP_CLASS_HID_18443d = 0x18443d,
	BNXT_ULP_CLASS_HID_1a447d = 0x1a447d,
	BNXT_ULP_CLASS_HID_1a0f75 = 0x1a0f75,
	BNXT_ULP_CLASS_HID_18e0cd = 0x18e0cd,
	BNXT_ULP_CLASS_HID_18a9c5 = 0x18a9c5,
	BNXT_ULP_CLASS_HID_1aa405 = 0x1aa405,
	BNXT_ULP_CLASS_HID_1a6d1d = 0x1a6d1d,
	BNXT_ULP_CLASS_HID_18459d = 0x18459d,
	BNXT_ULP_CLASS_HID_18ed7d = 0x18ed7d,
	BNXT_ULP_CLASS_HID_1a04d5 = 0x1a04d5,
	BNXT_ULP_CLASS_HID_1aa4b5 = 0x1aa4b5,
	BNXT_ULP_CLASS_HID_18ed4f = 0x18ed4f,
	BNXT_ULP_CLASS_HID_18a047 = 0x18a047,
	BNXT_ULP_CLASS_HID_1aa087 = 0x1aa087,
	BNXT_ULP_CLASS_HID_1a6b9f = 0x1a6b9f,
	BNXT_ULP_CLASS_HID_184e1f = 0x184e1f,
	BNXT_ULP_CLASS_HID_180517 = 0x180517,
	BNXT_ULP_CLASS_HID_1a0557 = 0x1a0557,
	BNXT_ULP_CLASS_HID_1acd37 = 0x1acd37,
	BNXT_ULP_CLASS_HID_18ada7 = 0x18ada7,
	BNXT_ULP_CLASS_HID_1840bf = 0x1840bf,
	BNXT_ULP_CLASS_HID_1a60ff = 0x1a60ff,
	BNXT_ULP_CLASS_HID_1a29f7 = 0x1a29f7,
	BNXT_ULP_CLASS_HID_180c77 = 0x180c77,
	BNXT_ULP_CLASS_HID_18ac57 = 0x18ac57,
	BNXT_ULP_CLASS_HID_1acc97 = 0x1acc97,
	BNXT_ULP_CLASS_HID_1a6d6f = 0x1a6d6f,
	BNXT_ULP_CLASS_HID_18f296 = 0x18f296,
	BNXT_ULP_CLASS_HID_1897ae = 0x1897ae,
	BNXT_ULP_CLASS_HID_1ab7ee = 0x1ab7ee,
	BNXT_ULP_CLASS_HID_1a5ce6 = 0x1a5ce6,
	BNXT_ULP_CLASS_HID_185566 = 0x185566,
	BNXT_ULP_CLASS_HID_18fd06 = 0x18fd06,
	BNXT_ULP_CLASS_HID_1a16be = 0x1a16be,
	BNXT_ULP_CLASS_HID_1ab65e = 0x1ab65e,
	BNXT_ULP_CLASS_HID_1892ce = 0x1892ce,
	BNXT_ULP_CLASS_HID_1857c6 = 0x1857c6,
	BNXT_ULP_CLASS_HID_1a5606 = 0x1a5606,
	BNXT_ULP_CLASS_HID_1a1b1e = 0x1a1b1e,
	BNXT_ULP_CLASS_HID_18fea6 = 0x18fea6,
	BNXT_ULP_CLASS_HID_189fbe = 0x189fbe,
	BNXT_ULP_CLASS_HID_1abffe = 0x1abffe,
	BNXT_ULP_CLASS_HID_1a76f6 = 0x1a76f6,
	BNXT_ULP_CLASS_HID_18171e = 0x18171e,
	BNXT_ULP_CLASS_HID_18d33e = 0x18d33e,
	BNXT_ULP_CLASS_HID_1ad37e = 0x1ad37e,
	BNXT_ULP_CLASS_HID_1a9876 = 0x1a9876,
	BNXT_ULP_CLASS_HID_187ef6 = 0x187ef6,
	BNXT_ULP_CLASS_HID_18378e = 0x18378e,
	BNXT_ULP_CLASS_HID_1a37ce = 0x1a37ce,
	BNXT_ULP_CLASS_HID_1adfee = 0x1adfee,
	BNXT_ULP_CLASS_HID_18be5e = 0x18be5e,
	BNXT_ULP_CLASS_HID_187356 = 0x187356,
	BNXT_ULP_CLASS_HID_1a9396 = 0x1a9396,
	BNXT_ULP_CLASS_HID_1a3aae = 0x1a3aae,
	BNXT_ULP_CLASS_HID_181f2e = 0x181f2e,
	BNXT_ULP_CLASS_HID_18dece = 0x18dece,
	BNXT_ULP_CLASS_HID_1adf0e = 0x1adf0e,
	BNXT_ULP_CLASS_HID_1a9e06 = 0x1a9e06,
	BNXT_ULP_CLASS_HID_181146 = 0x181146,
	BNXT_ULP_CLASS_HID_18bd66 = 0x18bd66,
	BNXT_ULP_CLASS_HID_1abda6 = 0x1abda6,
	BNXT_ULP_CLASS_HID_1a72be = 0x1a72be,
	BNXT_ULP_CLASS_HID_18573e = 0x18573e,
	BNXT_ULP_CLASS_HID_181c36 = 0x181c36,
	BNXT_ULP_CLASS_HID_1a1c76 = 0x1a1c76,
	BNXT_ULP_CLASS_HID_1adc16 = 0x1adc16,
	BNXT_ULP_CLASS_HID_18ba86 = 0x18ba86,
	BNXT_ULP_CLASS_HID_185f9e = 0x185f9e,
	BNXT_ULP_CLASS_HID_1a7fde = 0x1a7fde,
	BNXT_ULP_CLASS_HID_1a32d6 = 0x1a32d6,
	BNXT_ULP_CLASS_HID_181756 = 0x181756,
	BNXT_ULP_CLASS_HID_18b776 = 0x18b776,
	BNXT_ULP_CLASS_HID_1ad7b6 = 0x1ad7b6,
	BNXT_ULP_CLASS_HID_1a7e4e = 0x1a7e4e,
	BNXT_ULP_CLASS_HID_183ed6 = 0x183ed6,
	BNXT_ULP_CLASS_HID_18daf6 = 0x18daf6,
	BNXT_ULP_CLASS_HID_1af936 = 0x1af936,
	BNXT_ULP_CLASS_HID_1a9fce = 0x1a9fce,
	BNXT_ULP_CLASS_HID_18944e = 0x18944e,
	BNXT_ULP_CLASS_HID_183d46 = 0x183d46,
	BNXT_ULP_CLASS_HID_1a5d86 = 0x1a5d86,
	BNXT_ULP_CLASS_HID_1af5a6 = 0x1af5a6,
	BNXT_ULP_CLASS_HID_18d616 = 0x18d616,
	BNXT_ULP_CLASS_HID_189b2e = 0x189b2e,
	BNXT_ULP_CLASS_HID_1a9b6e = 0x1a9b6e,
	BNXT_ULP_CLASS_HID_1a5e66 = 0x1a5e66,
	BNXT_ULP_CLASS_HID_1836e6 = 0x1836e6,
	BNXT_ULP_CLASS_HID_18f686 = 0x18f686,
	BNXT_ULP_CLASS_HID_1af6c6 = 0x1af6c6,
	BNXT_ULP_CLASS_HID_1ab7de = 0x1ab7de,
	BNXT_ULP_CLASS_HID_18ebe6 = 0x18ebe6,
	BNXT_ULP_CLASS_HID_188ede = 0x188ede,
	BNXT_ULP_CLASS_HID_1aae9e = 0x1aae9e,
	BNXT_ULP_CLASS_HID_1a4596 = 0x1a4596,
	BNXT_ULP_CLASS_HID_184c16 = 0x184c16,
	BNXT_ULP_CLASS_HID_18e476 = 0x18e476,
	BNXT_ULP_CLASS_HID_1a0fce = 0x1a0fce,
	BNXT_ULP_CLASS_HID_1aaf2e = 0x1aaf2e,
	BNXT_ULP_CLASS_HID_188bbe = 0x188bbe,
	BNXT_ULP_CLASS_HID_184eb6 = 0x184eb6,
	BNXT_ULP_CLASS_HID_1a4f76 = 0x1a4f76,
	BNXT_ULP_CLASS_HID_1a026e = 0x1a026e,
	BNXT_ULP_CLASS_HID_18e7d6 = 0x18e7d6,
	BNXT_ULP_CLASS_HID_1886ce = 0x1886ce,
	BNXT_ULP_CLASS_HID_1aa68e = 0x1aa68e,
	BNXT_ULP_CLASS_HID_1a6f86 = 0x1a6f86,
	BNXT_ULP_CLASS_HID_18843c = 0x18843c,
	BNXT_ULP_CLASS_HID_184b34 = 0x184b34,
	BNXT_ULP_CLASS_HID_1a6bf4 = 0x1a6bf4,
	BNXT_ULP_CLASS_HID_1a0eec = 0x1a0eec,
	BNXT_ULP_CLASS_HID_18ee54 = 0x18ee54,
	BNXT_ULP_CLASS_HID_18a54c = 0x18a54c,
	BNXT_ULP_CLASS_HID_1aa50c = 0x1aa50c,
	BNXT_ULP_CLASS_HID_1a6404 = 0x1a6404,
	BNXT_ULP_CLASS_HID_184694 = 0x184694,
	BNXT_ULP_CLASS_HID_180b8c = 0x180b8c,
	BNXT_ULP_CLASS_HID_1a0a4c = 0x1a0a4c,
	BNXT_ULP_CLASS_HID_1aa7ac = 0x1aa7ac,
	BNXT_ULP_CLASS_HID_18ae2c = 0x18ae2c,
	BNXT_ULP_CLASS_HID_184724 = 0x184724,
	BNXT_ULP_CLASS_HID_1a67e4 = 0x1a67e4,
	BNXT_ULP_CLASS_HID_1a06dc = 0x1a06dc,
	BNXT_ULP_CLASS_HID_184ddf = 0x184ddf,
	BNXT_ULP_CLASS_HID_18e93f = 0x18e93f,
	BNXT_ULP_CLASS_HID_1a0097 = 0x1a0097,
	BNXT_ULP_CLASS_HID_1aacf7 = 0x1aacf7,
	BNXT_ULP_CLASS_HID_188777 = 0x188777,
	BNXT_ULP_CLASS_HID_18466f = 0x18466f,
	BNXT_ULP_CLASS_HID_1a462f = 0x1a462f,
	BNXT_ULP_CLASS_HID_1a0d27 = 0x1a0d27,
	BNXT_ULP_CLASS_HID_18e29f = 0x18e29f,
	BNXT_ULP_CLASS_HID_18ab97 = 0x18ab97,
	BNXT_ULP_CLASS_HID_1aa657 = 0x1aa657,
	BNXT_ULP_CLASS_HID_1a6f4f = 0x1a6f4f,
	BNXT_ULP_CLASS_HID_1847cf = 0x1847cf,
	BNXT_ULP_CLASS_HID_18ef2f = 0x18ef2f,
	BNXT_ULP_CLASS_HID_1a0687 = 0x1a0687,
	BNXT_ULP_CLASS_HID_1aa6e7 = 0x1aa6e7,
	BNXT_ULP_CLASS_HID_18ef1d = 0x18ef1d,
	BNXT_ULP_CLASS_HID_18a215 = 0x18a215,
	BNXT_ULP_CLASS_HID_1aa2d5 = 0x1aa2d5,
	BNXT_ULP_CLASS_HID_1a69cd = 0x1a69cd,
	BNXT_ULP_CLASS_HID_184c4d = 0x184c4d,
	BNXT_ULP_CLASS_HID_180745 = 0x180745,
	BNXT_ULP_CLASS_HID_1a0705 = 0x1a0705,
	BNXT_ULP_CLASS_HID_1acf65 = 0x1acf65,
	BNXT_ULP_CLASS_HID_18aff5 = 0x18aff5,
	BNXT_ULP_CLASS_HID_1842ed = 0x1842ed,
	BNXT_ULP_CLASS_HID_1a62ad = 0x1a62ad,
	BNXT_ULP_CLASS_HID_1a2ba5 = 0x1a2ba5,
	BNXT_ULP_CLASS_HID_180e25 = 0x180e25,
	BNXT_ULP_CLASS_HID_18ae05 = 0x18ae05,
	BNXT_ULP_CLASS_HID_1acec5 = 0x1acec5,
	BNXT_ULP_CLASS_HID_1a6f3d = 0x1a6f3d,
	BNXT_ULP_CLASS_HID_180e6e = 0x180e6e,
	BNXT_ULP_CLASS_HID_18ca4e = 0x18ca4e,
	BNXT_ULP_CLASS_HID_1aca0e = 0x1aca0e,
	BNXT_ULP_CLASS_HID_1a8106 = 0x1a8106,
	BNXT_ULP_CLASS_HID_186786 = 0x186786,
	BNXT_ULP_CLASS_HID_182efe = 0x182efe,
	BNXT_ULP_CLASS_HID_1a2ebe = 0x1a2ebe,
	BNXT_ULP_CLASS_HID_1ac69e = 0x1ac69e,
	BNXT_ULP_CLASS_HID_18a72e = 0x18a72e,
	BNXT_ULP_CLASS_HID_186a26 = 0x186a26,
	BNXT_ULP_CLASS_HID_1a8ae6 = 0x1a8ae6,
	BNXT_ULP_CLASS_HID_1a23de = 0x1a23de,
	BNXT_ULP_CLASS_HID_18065e = 0x18065e,
	BNXT_ULP_CLASS_HID_18c7be = 0x18c7be,
	BNXT_ULP_CLASS_HID_1ac67e = 0x1ac67e,
	BNXT_ULP_CLASS_HID_1a8776 = 0x1a8776,
	BNXT_ULP_CLASS_HID_18c3ac = 0x18c3ac,
	BNXT_ULP_CLASS_HID_1866a4 = 0x1866a4,
	BNXT_ULP_CLASS_HID_1a8764 = 0x1a8764,
	BNXT_ULP_CLASS_HID_1a4a5c = 0x1a4a5c,
	BNXT_ULP_CLASS_HID_1824dc = 0x1824dc,
	BNXT_ULP_CLASS_HID_18cc3c = 0x18cc3c,
	BNXT_ULP_CLASS_HID_1aecfc = 0x1aecfc,
	BNXT_ULP_CLASS_HID_1a87f4 = 0x1a87f4,
	BNXT_ULP_CLASS_HID_186204 = 0x186204,
	BNXT_ULP_CLASS_HID_18277c = 0x18277c,
	BNXT_ULP_CLASS_HID_1a273c = 0x1a273c,
	BNXT_ULP_CLASS_HID_1ae31c = 0x1ae31c,
	BNXT_ULP_CLASS_HID_18cf9c = 0x18cf9c,
	BNXT_ULP_CLASS_HID_188e94 = 0x188e94,
	BNXT_ULP_CLASS_HID_1a8f54 = 0x1a8f54,
	BNXT_ULP_CLASS_HID_1a464c = 0x1a464c,
	BNXT_ULP_CLASS_HID_18694f = 0x18694f,
	BNXT_ULP_CLASS_HID_182c47 = 0x182c47,
	BNXT_ULP_CLASS_HID_1a2c07 = 0x1a2c07,
	BNXT_ULP_CLASS_HID_1ae867 = 0x1ae867,
	BNXT_ULP_CLASS_HID_18cee7 = 0x18cee7,
	BNXT_ULP_CLASS_HID_1865df = 0x1865df,
	BNXT_ULP_CLASS_HID_1a859f = 0x1a859f,
	BNXT_ULP_CLASS_HID_1a4c97 = 0x1a4c97,
	BNXT_ULP_CLASS_HID_182b27 = 0x182b27,
	BNXT_ULP_CLASS_HID_18c707 = 0x18c707,
	BNXT_ULP_CLASS_HID_1ac7c7 = 0x1ac7c7,
	BNXT_ULP_CLASS_HID_1a8a3f = 0x1a8a3f,
	BNXT_ULP_CLASS_HID_186ebf = 0x186ebf,
	BNXT_ULP_CLASS_HID_1827b7 = 0x1827b7,
	BNXT_ULP_CLASS_HID_1a2677 = 0x1a2677,
	BNXT_ULP_CLASS_HID_1aee57 = 0x1aee57,
	BNXT_ULP_CLASS_HID_1825a5 = 0x1825a5,
	BNXT_ULP_CLASS_HID_18c185 = 0x18c185,
	BNXT_ULP_CLASS_HID_1aee45 = 0x1aee45,
	BNXT_ULP_CLASS_HID_1a84bd = 0x1a84bd,
	BNXT_ULP_CLASS_HID_188f3d = 0x188f3d,
	BNXT_ULP_CLASS_HID_182e35 = 0x182e35,
	BNXT_ULP_CLASS_HID_1a4ef5 = 0x1a4ef5,
	BNXT_ULP_CLASS_HID_1aeed5 = 0x1aeed5,
	BNXT_ULP_CLASS_HID_18cb65 = 0x18cb65,
	BNXT_ULP_CLASS_HID_188e5d = 0x188e5d,
	BNXT_ULP_CLASS_HID_1a8e1d = 0x1a8e1d,
	BNXT_ULP_CLASS_HID_1a4715 = 0x1a4715,
	BNXT_ULP_CLASS_HID_182f95 = 0x182f95,
	BNXT_ULP_CLASS_HID_18c7f5 = 0x18c7f5,
	BNXT_ULP_CLASS_HID_1ae7b5 = 0x1ae7b5,
	BNXT_ULP_CLASS_HID_1aaead = 0x1aaead,
	BNXT_ULP_CLASS_HID_180836 = 0x180836,
	BNXT_ULP_CLASS_HID_18a416 = 0x18a416,
	BNXT_ULP_CLASS_HID_1aa4d6 = 0x1aa4d6,
	BNXT_ULP_CLASS_HID_1a6bce = 0x1a6bce,
	BNXT_ULP_CLASS_HID_184e4e = 0x184e4e,
	BNXT_ULP_CLASS_HID_180546 = 0x180546,
	BNXT_ULP_CLASS_HID_1a0506 = 0x1a0506,
	BNXT_ULP_CLASS_HID_1ac566 = 0x1ac566,
	BNXT_ULP_CLASS_HID_18a3f6 = 0x18a3f6,
	BNXT_ULP_CLASS_HID_1846ee = 0x1846ee,
	BNXT_ULP_CLASS_HID_1a66ae = 0x1a66ae,
	BNXT_ULP_CLASS_HID_1a2ba6 = 0x1a2ba6,
	BNXT_ULP_CLASS_HID_180e26 = 0x180e26,
	BNXT_ULP_CLASS_HID_18ae06 = 0x18ae06,
	BNXT_ULP_CLASS_HID_1acec6 = 0x1acec6,
	BNXT_ULP_CLASS_HID_1a673e = 0x1a673e,
	BNXT_ULP_CLASS_HID_18aa74 = 0x18aa74,
	BNXT_ULP_CLASS_HID_18616c = 0x18616c,
	BNXT_ULP_CLASS_HID_1a612c = 0x1a612c,
	BNXT_ULP_CLASS_HID_1a2424 = 0x1a2424,
	BNXT_ULP_CLASS_HID_180ea4 = 0x180ea4,
	BNXT_ULP_CLASS_HID_18a684 = 0x18a684,
	BNXT_ULP_CLASS_HID_1ac744 = 0x1ac744,
	BNXT_ULP_CLASS_HID_1a8dbc = 0x1a8dbc,
	BNXT_ULP_CLASS_HID_186acc = 0x186acc,
	BNXT_ULP_CLASS_HID_1803c4 = 0x1803c4,
	BNXT_ULP_CLASS_HID_1a2384 = 0x1a2384,
	BNXT_ULP_CLASS_HID_1acfe4 = 0x1acfe4,
	BNXT_ULP_CLASS_HID_18a664 = 0x18a664,
	BNXT_ULP_CLASS_HID_18675c = 0x18675c,
	BNXT_ULP_CLASS_HID_1a671c = 0x1a671c,
	BNXT_ULP_CLASS_HID_1a2e14 = 0x1a2e14,
	BNXT_ULP_CLASS_HID_184317 = 0x184317,
	BNXT_ULP_CLASS_HID_18060f = 0x18060f,
	BNXT_ULP_CLASS_HID_1a06cf = 0x1a06cf,
	BNXT_ULP_CLASS_HID_1ac22f = 0x1ac22f,
	BNXT_ULP_CLASS_HID_18acaf = 0x18acaf,
	BNXT_ULP_CLASS_HID_186fa7 = 0x186fa7,
	BNXT_ULP_CLASS_HID_1a6c67 = 0x1a6c67,
	BNXT_ULP_CLASS_HID_1a275f = 0x1a275f,
	BNXT_ULP_CLASS_HID_1803ef = 0x1803ef,
	BNXT_ULP_CLASS_HID_18afcf = 0x18afcf,
	BNXT_ULP_CLASS_HID_1acf8f = 0x1acf8f,
	BNXT_ULP_CLASS_HID_1a6287 = 0x1a6287,
	BNXT_ULP_CLASS_HID_186f07 = 0x186f07,
	BNXT_ULP_CLASS_HID_180e7f = 0x180e7f,
	BNXT_ULP_CLASS_HID_1a2e3f = 0x1a2e3f,
	BNXT_ULP_CLASS_HID_1ace1f = 0x1ace1f,
	BNXT_ULP_CLASS_HID_180c6d = 0x180c6d,
	BNXT_ULP_CLASS_HID_18c84d = 0x18c84d,
	BNXT_ULP_CLASS_HID_1ac80d = 0x1ac80d,
	BNXT_ULP_CLASS_HID_1a8f05 = 0x1a8f05,
	BNXT_ULP_CLASS_HID_186585 = 0x186585,
	BNXT_ULP_CLASS_HID_182cfd = 0x182cfd,
	BNXT_ULP_CLASS_HID_1a2cbd = 0x1a2cbd,
	BNXT_ULP_CLASS_HID_1ac49d = 0x1ac49d,
	BNXT_ULP_CLASS_HID_18a72d = 0x18a72d,
	BNXT_ULP_CLASS_HID_186a25 = 0x186a25,
	BNXT_ULP_CLASS_HID_1a8ae5 = 0x1a8ae5,
	BNXT_ULP_CLASS_HID_1a2fdd = 0x1a2fdd,
	BNXT_ULP_CLASS_HID_18065d = 0x18065d,
	BNXT_ULP_CLASS_HID_18c7bd = 0x18c7bd,
	BNXT_ULP_CLASS_HID_1ace7d = 0x1ace7d,
	BNXT_ULP_CLASS_HID_1a8775 = 0x1a8775,
	BNXT_ULP_CLASS_HID_1827a6 = 0x1827a6,
	BNXT_ULP_CLASS_HID_18c386 = 0x18c386,
	BNXT_ULP_CLASS_HID_1ae046 = 0x1ae046,
	BNXT_ULP_CLASS_HID_1a86be = 0x1a86be,
	BNXT_ULP_CLASS_HID_188d3e = 0x188d3e,
	BNXT_ULP_CLASS_HID_182436 = 0x182436,
	BNXT_ULP_CLASS_HID_1a44f6 = 0x1a44f6,
	BNXT_ULP_CLASS_HID_1aecd6 = 0x1aecd6,
	BNXT_ULP_CLASS_HID_18cf66 = 0x18cf66,
	BNXT_ULP_CLASS_HID_18825e = 0x18825e,
	BNXT_ULP_CLASS_HID_1a821e = 0x1a821e,
	BNXT_ULP_CLASS_HID_1a4716 = 0x1a4716,
	BNXT_ULP_CLASS_HID_182f96 = 0x182f96,
	BNXT_ULP_CLASS_HID_18eff6 = 0x18eff6,
	BNXT_ULP_CLASS_HID_1aefb6 = 0x1aefb6,
	BNXT_ULP_CLASS_HID_1aaeae = 0x1aaeae,
	BNXT_ULP_CLASS_HID_18e9e4 = 0x18e9e4,
	BNXT_ULP_CLASS_HID_188cdc = 0x188cdc,
	BNXT_ULP_CLASS_HID_1aac9c = 0x1aac9c,
	BNXT_ULP_CLASS_HID_1a4394 = 0x1a4394,
	BNXT_ULP_CLASS_HID_182614 = 0x182614,
	BNXT_ULP_CLASS_HID_18e674 = 0x18e674,
	BNXT_ULP_CLASS_HID_1a0dcc = 0x1a0dcc,
	BNXT_ULP_CLASS_HID_1aad2c = 0x1aad2c,
	BNXT_ULP_CLASS_HID_188bbc = 0x188bbc,
	BNXT_ULP_CLASS_HID_184eb4 = 0x184eb4,
	BNXT_ULP_CLASS_HID_1a4f74 = 0x1a4f74,
	BNXT_ULP_CLASS_HID_1a026c = 0x1a026c,
	BNXT_ULP_CLASS_HID_18efd4 = 0x18efd4,
	BNXT_ULP_CLASS_HID_1886cc = 0x1886cc,
	BNXT_ULP_CLASS_HID_1aa68c = 0x1aa68c,
	BNXT_ULP_CLASS_HID_1a6f84 = 0x1a6f84,
	BNXT_ULP_CLASS_HID_188e87 = 0x188e87,
	BNXT_ULP_CLASS_HID_1825ff = 0x1825ff,
	BNXT_ULP_CLASS_HID_1a45bf = 0x1a45bf,
	BNXT_ULP_CLASS_HID_1a08b7 = 0x1a08b7,
	BNXT_ULP_CLASS_HID_18c41f = 0x18c41f,
	BNXT_ULP_CLASS_HID_188f17 = 0x188f17,
	BNXT_ULP_CLASS_HID_1aafd7 = 0x1aafd7,
	BNXT_ULP_CLASS_HID_1a4ecf = 0x1a4ecf,
	BNXT_ULP_CLASS_HID_182f5f = 0x182f5f,
	BNXT_ULP_CLASS_HID_18eabf = 0x18eabf,
	BNXT_ULP_CLASS_HID_1aeb7f = 0x1aeb7f,
	BNXT_ULP_CLASS_HID_1aae77 = 0x1aae77,
	BNXT_ULP_CLASS_HID_1886f7 = 0x1886f7,
	BNXT_ULP_CLASS_HID_184fef = 0x184fef,
	BNXT_ULP_CLASS_HID_1a4faf = 0x1a4faf,
	BNXT_ULP_CLASS_HID_1a0ea7 = 0x1a0ea7,
	BNXT_ULP_CLASS_HID_184bdd = 0x184bdd,
	BNXT_ULP_CLASS_HID_18e73d = 0x18e73d,
	BNXT_ULP_CLASS_HID_1a0e95 = 0x1a0e95,
	BNXT_ULP_CLASS_HID_1aaaf5 = 0x1aaaf5,
	BNXT_ULP_CLASS_HID_188575 = 0x188575,
	BNXT_ULP_CLASS_HID_18446d = 0x18446d,
	BNXT_ULP_CLASS_HID_1a442d = 0x1a442d,
	BNXT_ULP_CLASS_HID_1a0f25 = 0x1a0f25,
	BNXT_ULP_CLASS_HID_18e29d = 0x18e29d,
	BNXT_ULP_CLASS_HID_188795 = 0x188795,
	BNXT_ULP_CLASS_HID_1aa655 = 0x1aa655,
	BNXT_ULP_CLASS_HID_1a6b4d = 0x1a6b4d,
	BNXT_ULP_CLASS_HID_1847cd = 0x1847cd,
	BNXT_ULP_CLASS_HID_18ef2d = 0x18ef2d,
	BNXT_ULP_CLASS_HID_1a0685 = 0x1a0685,
	BNXT_ULP_CLASS_HID_1aa6e5 = 0x1aa6e5,
	BNXT_ULP_CLASS_HID_18d1da = 0x18d1da,
	BNXT_ULP_CLASS_HID_18b4e2 = 0x18b4e2,
	BNXT_ULP_CLASS_HID_1a94a2 = 0x1a94a2,
	BNXT_ULP_CLASS_HID_1a7faa = 0x1a7faa,
	BNXT_ULP_CLASS_HID_18762a = 0x18762a,
	BNXT_ULP_CLASS_HID_18de4a = 0x18de4a,
	BNXT_ULP_CLASS_HID_1a35f2 = 0x1a35f2,
	BNXT_ULP_CLASS_HID_1a9512 = 0x1a9512,
	BNXT_ULP_CLASS_HID_18b182 = 0x18b182,
	BNXT_ULP_CLASS_HID_18748a = 0x18748a,
	BNXT_ULP_CLASS_HID_1a754a = 0x1a754a,
	BNXT_ULP_CLASS_HID_1a3852 = 0x1a3852,
	BNXT_ULP_CLASS_HID_18ddea = 0x18ddea,
	BNXT_ULP_CLASS_HID_18bcf2 = 0x18bcf2,
	BNXT_ULP_CLASS_HID_1a9cb2 = 0x1a9cb2,
	BNXT_ULP_CLASS_HID_1a55ba = 0x1a55ba,
	BNXT_ULP_CLASS_HID_183452 = 0x183452,
	BNXT_ULP_CLASS_HID_18f072 = 0x18f072,
	BNXT_ULP_CLASS_HID_1af032 = 0x1af032,
	BNXT_ULP_CLASS_HID_1abb3a = 0x1abb3a,
	BNXT_ULP_CLASS_HID_185dba = 0x185dba,
	BNXT_ULP_CLASS_HID_1814c2 = 0x1814c2,
	BNXT_ULP_CLASS_HID_1a1482 = 0x1a1482,
	BNXT_ULP_CLASS_HID_1afca2 = 0x1afca2,
	BNXT_ULP_CLASS_HID_189d12 = 0x189d12,
	BNXT_ULP_CLASS_HID_18501a = 0x18501a,
	BNXT_ULP_CLASS_HID_1ab0da = 0x1ab0da,
	BNXT_ULP_CLASS_HID_1a19e2 = 0x1a19e2,
	BNXT_ULP_CLASS_HID_183c62 = 0x183c62,
	BNXT_ULP_CLASS_HID_18fd82 = 0x18fd82,
	BNXT_ULP_CLASS_HID_1afc42 = 0x1afc42,
	BNXT_ULP_CLASS_HID_1abd4a = 0x1abd4a,
	BNXT_ULP_CLASS_HID_18320a = 0x18320a,
	BNXT_ULP_CLASS_HID_189e2a = 0x189e2a,
	BNXT_ULP_CLASS_HID_1a9eea = 0x1a9eea,
	BNXT_ULP_CLASS_HID_1a51f2 = 0x1a51f2,
	BNXT_ULP_CLASS_HID_187472 = 0x187472,
	BNXT_ULP_CLASS_HID_183f7a = 0x183f7a,
	BNXT_ULP_CLASS_HID_1a3f3a = 0x1a3f3a,
	BNXT_ULP_CLASS_HID_1aff5a = 0x1aff5a,
	BNXT_ULP_CLASS_HID_1899ca = 0x1899ca,
	BNXT_ULP_CLASS_HID_187cd2 = 0x187cd2,
	BNXT_ULP_CLASS_HID_1a5c92 = 0x1a5c92,
	BNXT_ULP_CLASS_HID_1a119a = 0x1a119a,
	BNXT_ULP_CLASS_HID_18341a = 0x18341a,
	BNXT_ULP_CLASS_HID_18943a = 0x18943a,
	BNXT_ULP_CLASS_HID_1af4fa = 0x1af4fa,
	BNXT_ULP_CLASS_HID_1a5d02 = 0x1a5d02,
	BNXT_ULP_CLASS_HID_181d9a = 0x181d9a,
	BNXT_ULP_CLASS_HID_18f9ba = 0x18f9ba,
	BNXT_ULP_CLASS_HID_1ada7a = 0x1ada7a,
	BNXT_ULP_CLASS_HID_1abc82 = 0x1abc82,
	BNXT_ULP_CLASS_HID_18b702 = 0x18b702,
	BNXT_ULP_CLASS_HID_181e0a = 0x181e0a,
	BNXT_ULP_CLASS_HID_1a7eca = 0x1a7eca,
	BNXT_ULP_CLASS_HID_1ad6ea = 0x1ad6ea,
	BNXT_ULP_CLASS_HID_18f55a = 0x18f55a,
	BNXT_ULP_CLASS_HID_18b862 = 0x18b862,
	BNXT_ULP_CLASS_HID_1ab822 = 0x1ab822,
	BNXT_ULP_CLASS_HID_1a7d2a = 0x1a7d2a,
	BNXT_ULP_CLASS_HID_1815aa = 0x1815aa,
	BNXT_ULP_CLASS_HID_18d5ca = 0x18d5ca,
	BNXT_ULP_CLASS_HID_1ad58a = 0x1ad58a,
	BNXT_ULP_CLASS_HID_1a9492 = 0x1a9492,
	BNXT_ULP_CLASS_HID_185272 = 0x185272,
	BNXT_ULP_CLASS_HID_18157a = 0x18157a,
	BNXT_ULP_CLASS_HID_1a153a = 0x1a153a,
	BNXT_ULP_CLASS_HID_1ad15a = 0x1ad15a,
	BNXT_ULP_CLASS_HID_18ffda = 0x18ffda,
	BNXT_ULP_CLASS_HID_185ee2 = 0x185ee2,
	BNXT_ULP_CLASS_HID_1abea2 = 0x1abea2,
	BNXT_ULP_CLASS_HID_1a75aa = 0x1a75aa,
	BNXT_ULP_CLASS_HID_18101a = 0x18101a,
	BNXT_ULP_CLASS_HID_18fc3a = 0x18fc3a,
	BNXT_ULP_CLASS_HID_1afcfa = 0x1afcfa,
	BNXT_ULP_CLASS_HID_1ab102 = 0x1ab102,
	BNXT_ULP_CLASS_HID_185d82 = 0x185d82,
	BNXT_ULP_CLASS_HID_181c8a = 0x181c8a,
	BNXT_ULP_CLASS_HID_1a1d4a = 0x1a1d4a,
	BNXT_ULP_CLASS_HID_1add6a = 0x1add6a,
	BNXT_ULP_CLASS_HID_18bd02 = 0x18bd02,
	BNXT_ULP_CLASS_HID_18700a = 0x18700a,
	BNXT_ULP_CLASS_HID_1a50ca = 0x1a50ca,
	BNXT_ULP_CLASS_HID_1a3bd2 = 0x1a3bd2,
	BNXT_ULP_CLASS_HID_18d76a = 0x18d76a,
	BNXT_ULP_CLASS_HID_189e72 = 0x189e72,
	BNXT_ULP_CLASS_HID_1a9e32 = 0x1a9e32,
	BNXT_ULP_CLASS_HID_1a5d3a = 0x1a5d3a,
	BNXT_ULP_CLASS_HID_187daa = 0x187daa,
	BNXT_ULP_CLASS_HID_1830b2 = 0x1830b2,
	BNXT_ULP_CLASS_HID_1a3172 = 0x1a3172,
	BNXT_ULP_CLASS_HID_1a9c92 = 0x1a9c92,
	BNXT_ULP_CLASS_HID_189512 = 0x189512,
	BNXT_ULP_CLASS_HID_187c1a = 0x187c1a,
	BNXT_ULP_CLASS_HID_1a5cda = 0x1a5cda,
	BNXT_ULP_CLASS_HID_1a3de2 = 0x1a3de2,
	BNXT_ULP_CLASS_HID_18bbba = 0x18bbba,
	BNXT_ULP_CLASS_HID_181ec2 = 0x181ec2,
	BNXT_ULP_CLASS_HID_1a7e82 = 0x1a7e82,
	BNXT_ULP_CLASS_HID_1a318a = 0x1a318a,
	BNXT_ULP_CLASS_HID_18fd22 = 0x18fd22,
	BNXT_ULP_CLASS_HID_18b42a = 0x18b42a,
	BNXT_ULP_CLASS_HID_1a94ea = 0x1a94ea,
	BNXT_ULP_CLASS_HID_1a7ff2 = 0x1a7ff2,
	BNXT_ULP_CLASS_HID_181462 = 0x181462,
	BNXT_ULP_CLASS_HID_18d582 = 0x18d582,
	BNXT_ULP_CLASS_HID_1ad042 = 0x1ad042,
	BNXT_ULP_CLASS_HID_1a994a = 0x1a994a,
	BNXT_ULP_CLASS_HID_18bdca = 0x18bdca,
	BNXT_ULP_CLASS_HID_1874d2 = 0x1874d2,
	BNXT_ULP_CLASS_HID_1a7492 = 0x1a7492,
	BNXT_ULP_CLASS_HID_1a3d9a = 0x1a3d9a,
	BNXT_ULP_CLASS_HID_18974a = 0x18974a,
	BNXT_ULP_CLASS_HID_185a52 = 0x185a52,
	BNXT_ULP_CLASS_HID_1a5a12 = 0x1a5a12,
	BNXT_ULP_CLASS_HID_1a1d1a = 0x1a1d1a,
	BNXT_ULP_CLASS_HID_18379a = 0x18379a,
	BNXT_ULP_CLASS_HID_18f7ba = 0x18f7ba,
	BNXT_ULP_CLASS_HID_1afc7a = 0x1afc7a,
	BNXT_ULP_CLASS_HID_1ab682 = 0x1ab682,
	BNXT_ULP_CLASS_HID_1855f2 = 0x1855f2,
	BNXT_ULP_CLASS_HID_1838fa = 0x1838fa,
	BNXT_ULP_CLASS_HID_1a18ba = 0x1a18ba,
	BNXT_ULP_CLASS_HID_1af4da = 0x1af4da,
	BNXT_ULP_CLASS_HID_189d5a = 0x189d5a,
	BNXT_ULP_CLASS_HID_185c62 = 0x185c62,
	BNXT_ULP_CLASS_HID_1a5c22 = 0x1a5c22,
	BNXT_ULP_CLASS_HID_1a152a = 0x1a152a,
	BNXT_ULP_CLASS_HID_181d1a = 0x181d1a,
	BNXT_ULP_CLASS_HID_18f93a = 0x18f93a,
	BNXT_ULP_CLASS_HID_1ad9fa = 0x1ad9fa,
	BNXT_ULP_CLASS_HID_1abc02 = 0x1abc02,
	BNXT_ULP_CLASS_HID_18b682 = 0x18b682,
	BNXT_ULP_CLASS_HID_181d8a = 0x181d8a,
	BNXT_ULP_CLASS_HID_1a7e4a = 0x1a7e4a,
	BNXT_ULP_CLASS_HID_1ad66a = 0x1ad66a,
	BNXT_ULP_CLASS_HID_18f4da = 0x18f4da,
	BNXT_ULP_CLASS_HID_18b9e2 = 0x18b9e2,
	BNXT_ULP_CLASS_HID_1ab9a2 = 0x1ab9a2,
	BNXT_ULP_CLASS_HID_1a7caa = 0x1a7caa,
	BNXT_ULP_CLASS_HID_18152a = 0x18152a,
	BNXT_ULP_CLASS_HID_18d54a = 0x18d54a,
	BNXT_ULP_CLASS_HID_1ad50a = 0x1ad50a,
	BNXT_ULP_CLASS_HID_1a9412 = 0x1a9412,
	BNXT_ULP_CLASS_HID_1878aa = 0x1878aa,
	BNXT_ULP_CLASS_HID_1833b2 = 0x1833b2,
	BNXT_ULP_CLASS_HID_1a3c72 = 0x1a3c72,
	BNXT_ULP_CLASS_HID_1aff92 = 0x1aff92,
	BNXT_ULP_CLASS_HID_189612 = 0x189612,
	BNXT_ULP_CLASS_HID_18551a = 0x18551a,
	BNXT_ULP_CLASS_HID_1a55da = 0x1a55da,
	BNXT_ULP_CLASS_HID_1a1ce2 = 0x1a1ce2,
	BNXT_ULP_CLASS_HID_183952 = 0x183952,
	BNXT_ULP_CLASS_HID_189572 = 0x189572,
	BNXT_ULP_CLASS_HID_1af532 = 0x1af532,
	BNXT_ULP_CLASS_HID_1a583a = 0x1a583a,
	BNXT_ULP_CLASS_HID_1854ba = 0x1854ba,
	BNXT_ULP_CLASS_HID_1835c2 = 0x1835c2,
	BNXT_ULP_CLASS_HID_1a1582 = 0x1a1582,
	BNXT_ULP_CLASS_HID_1af5a2 = 0x1af5a2,
	BNXT_ULP_CLASS_HID_187762 = 0x187762,
	BNXT_ULP_CLASS_HID_18d282 = 0x18d282,
	BNXT_ULP_CLASS_HID_1a3a2a = 0x1a3a2a,
	BNXT_ULP_CLASS_HID_1a964a = 0x1a964a,
	BNXT_ULP_CLASS_HID_18bcca = 0x18bcca,
	BNXT_ULP_CLASS_HID_1877d2 = 0x1877d2,
	BNXT_ULP_CLASS_HID_1a5792 = 0x1a5792,
	BNXT_ULP_CLASS_HID_1a369a = 0x1a369a,
	BNXT_ULP_CLASS_HID_18d822 = 0x18d822,
	BNXT_ULP_CLASS_HID_18912a = 0x18912a,
	BNXT_ULP_CLASS_HID_1a91ea = 0x1a91ea,
	BNXT_ULP_CLASS_HID_1a54f2 = 0x1a54f2,
	BNXT_ULP_CLASS_HID_187d72 = 0x187d72,
	BNXT_ULP_CLASS_HID_18d492 = 0x18d492,
	BNXT_ULP_CLASS_HID_1a3c3a = 0x1a3c3a,
	BNXT_ULP_CLASS_HID_1a9c5a = 0x1a9c5a,
	BNXT_ULP_CLASS_HID_1852f2 = 0x1852f2,
	BNXT_ULP_CLASS_HID_1815fa = 0x1815fa,
	BNXT_ULP_CLASS_HID_1a15ba = 0x1a15ba,
	BNXT_ULP_CLASS_HID_1ad1da = 0x1ad1da,
	BNXT_ULP_CLASS_HID_18f45a = 0x18f45a,
	BNXT_ULP_CLASS_HID_185f62 = 0x185f62,
	BNXT_ULP_CLASS_HID_1abf22 = 0x1abf22,
	BNXT_ULP_CLASS_HID_1a762a = 0x1a762a,
	BNXT_ULP_CLASS_HID_18109a = 0x18109a,
	BNXT_ULP_CLASS_HID_18fcba = 0x18fcba,
	BNXT_ULP_CLASS_HID_1afd7a = 0x1afd7a,
	BNXT_ULP_CLASS_HID_1ab182 = 0x1ab182,
	BNXT_ULP_CLASS_HID_185402 = 0x185402,
	BNXT_ULP_CLASS_HID_181d0a = 0x181d0a,
	BNXT_ULP_CLASS_HID_1a1dca = 0x1a1dca,
	BNXT_ULP_CLASS_HID_1addea = 0x1addea,
	BNXT_ULP_CLASS_HID_1896ca = 0x1896ca,
	BNXT_ULP_CLASS_HID_1859d2 = 0x1859d2,
	BNXT_ULP_CLASS_HID_1a5992 = 0x1a5992,
	BNXT_ULP_CLASS_HID_1a1c9a = 0x1a1c9a,
	BNXT_ULP_CLASS_HID_18371a = 0x18371a,
	BNXT_ULP_CLASS_HID_18f73a = 0x18f73a,
	BNXT_ULP_CLASS_HID_1af7fa = 0x1af7fa,
	BNXT_ULP_CLASS_HID_1ab602 = 0x1ab602,
	BNXT_ULP_CLASS_HID_185572 = 0x185572,
	BNXT_ULP_CLASS_HID_18387a = 0x18387a,
	BNXT_ULP_CLASS_HID_1a183a = 0x1a183a,
	BNXT_ULP_CLASS_HID_1af45a = 0x1af45a,
	BNXT_ULP_CLASS_HID_189cda = 0x189cda,
	BNXT_ULP_CLASS_HID_1855e2 = 0x1855e2,
	BNXT_ULP_CLASS_HID_1ab5a2 = 0x1ab5a2,
	BNXT_ULP_CLASS_HID_1a14aa = 0x1a14aa,
	BNXT_ULP_CLASS_HID_18d25a = 0x18d25a,
	BNXT_ULP_CLASS_HID_18b562 = 0x18b562,
	BNXT_ULP_CLASS_HID_1a9522 = 0x1a9522,
	BNXT_ULP_CLASS_HID_1a782a = 0x1a782a,
	BNXT_ULP_CLASS_HID_1876aa = 0x1876aa,
	BNXT_ULP_CLASS_HID_18deca = 0x18deca,
	BNXT_ULP_CLASS_HID_1a3672 = 0x1a3672,
	BNXT_ULP_CLASS_HID_1a9592 = 0x1a9592,
	BNXT_ULP_CLASS_HID_18b002 = 0x18b002,
	BNXT_ULP_CLASS_HID_18750a = 0x18750a,
	BNXT_ULP_CLASS_HID_1a75ca = 0x1a75ca,
	BNXT_ULP_CLASS_HID_1a38d2 = 0x1a38d2,
	BNXT_ULP_CLASS_HID_18d46a = 0x18d46a,
	BNXT_ULP_CLASS_HID_18bd72 = 0x18bd72,
	BNXT_ULP_CLASS_HID_1a9d32 = 0x1a9d32,
	BNXT_ULP_CLASS_HID_1a543a = 0x1a543a,
	BNXT_ULP_CLASS_HID_18f812 = 0x18f812,
	BNXT_ULP_CLASS_HID_18b31a = 0x18b31a,
	BNXT_ULP_CLASS_HID_1ab3da = 0x1ab3da,
	BNXT_ULP_CLASS_HID_1a76e2 = 0x1a76e2,
	BNXT_ULP_CLASS_HID_181d62 = 0x181d62,
	BNXT_ULP_CLASS_HID_18f482 = 0x18f482,
	BNXT_ULP_CLASS_HID_1ad542 = 0x1ad542,
	BNXT_ULP_CLASS_HID_1abc4a = 0x1abc4a,
	BNXT_ULP_CLASS_HID_1858ba = 0x1858ba,
	BNXT_ULP_CLASS_HID_1811c2 = 0x1811c2,
	BNXT_ULP_CLASS_HID_1a7182 = 0x1a7182,
	BNXT_ULP_CLASS_HID_1adda2 = 0x1adda2,
	BNXT_ULP_CLASS_HID_18f422 = 0x18f422,
	BNXT_ULP_CLASS_HID_18b52a = 0x18b52a,
	BNXT_ULP_CLASS_HID_1ab5ea = 0x1ab5ea,
	BNXT_ULP_CLASS_HID_1a7cf2 = 0x1a7cf2,
	BNXT_ULP_CLASS_HID_18328a = 0x18328a,
	BNXT_ULP_CLASS_HID_189eaa = 0x189eaa,
	BNXT_ULP_CLASS_HID_1a9f6a = 0x1a9f6a,
	BNXT_ULP_CLASS_HID_1a5272 = 0x1a5272,
	BNXT_ULP_CLASS_HID_1874f2 = 0x1874f2,
	BNXT_ULP_CLASS_HID_183ffa = 0x183ffa,
	BNXT_ULP_CLASS_HID_1a3fba = 0x1a3fba,
	BNXT_ULP_CLASS_HID_1affda = 0x1affda,
	BNXT_ULP_CLASS_HID_18944a = 0x18944a,
	BNXT_ULP_CLASS_HID_187d52 = 0x187d52,
	BNXT_ULP_CLASS_HID_1a5d12 = 0x1a5d12,
	BNXT_ULP_CLASS_HID_1a101a = 0x1a101a,
	BNXT_ULP_CLASS_HID_18349a = 0x18349a,
	BNXT_ULP_CLASS_HID_1894ba = 0x1894ba,
	BNXT_ULP_CLASS_HID_1af57a = 0x1af57a,
	BNXT_ULP_CLASS_HID_1a5d82 = 0x1a5d82,
	BNXT_ULP_CLASS_HID_18e5c8 = 0x18e5c8,
	BNXT_ULP_CLASS_HID_1880f0 = 0x1880f0,
	BNXT_ULP_CLASS_HID_1aa0b0 = 0x1aa0b0,
	BNXT_ULP_CLASS_HID_1a4bb8 = 0x1a4bb8,
	BNXT_ULP_CLASS_HID_184238 = 0x184238,
	BNXT_ULP_CLASS_HID_18ea58 = 0x18ea58,
	BNXT_ULP_CLASS_HID_1a01e0 = 0x1a01e0,
	BNXT_ULP_CLASS_HID_1aa100 = 0x1aa100,
	BNXT_ULP_CLASS_HID_188590 = 0x188590,
	BNXT_ULP_CLASS_HID_184098 = 0x184098,
	BNXT_ULP_CLASS_HID_1a4158 = 0x1a4158,
	BNXT_ULP_CLASS_HID_1a0c40 = 0x1a0c40,
	BNXT_ULP_CLASS_HID_18e9f8 = 0x18e9f8,
	BNXT_ULP_CLASS_HID_1888e0 = 0x1888e0,
	BNXT_ULP_CLASS_HID_1aa8a0 = 0x1aa8a0,
	BNXT_ULP_CLASS_HID_1a61a8 = 0x1a61a8,
	BNXT_ULP_CLASS_HID_188a12 = 0x188a12,
	BNXT_ULP_CLASS_HID_18451a = 0x18451a,
	BNXT_ULP_CLASS_HID_1a65da = 0x1a65da,
	BNXT_ULP_CLASS_HID_1a00c2 = 0x1a00c2,
	BNXT_ULP_CLASS_HID_18e07a = 0x18e07a,
	BNXT_ULP_CLASS_HID_18ab62 = 0x18ab62,
	BNXT_ULP_CLASS_HID_1aab22 = 0x1aab22,
	BNXT_ULP_CLASS_HID_1a6a2a = 0x1a6a2a,
	BNXT_ULP_CLASS_HID_1848ba = 0x1848ba,
	BNXT_ULP_CLASS_HID_1805a2 = 0x1805a2,
	BNXT_ULP_CLASS_HID_1a0462 = 0x1a0462,
	BNXT_ULP_CLASS_HID_1aa982 = 0x1aa982,
	BNXT_ULP_CLASS_HID_18a002 = 0x18a002,
	BNXT_ULP_CLASS_HID_18490a = 0x18490a,
	BNXT_ULP_CLASS_HID_1a69ca = 0x1a69ca,
	BNXT_ULP_CLASS_HID_1a08f2 = 0x1a08f2,
	BNXT_ULP_CLASS_HID_1843f1 = 0x1843f1,
	BNXT_ULP_CLASS_HID_18e711 = 0x18e711,
	BNXT_ULP_CLASS_HID_1a0eb9 = 0x1a0eb9,
	BNXT_ULP_CLASS_HID_1aa2d9 = 0x1aa2d9,
	BNXT_ULP_CLASS_HID_188959 = 0x188959,
	BNXT_ULP_CLASS_HID_184841 = 0x184841,
	BNXT_ULP_CLASS_HID_1a4801 = 0x1a4801,
	BNXT_ULP_CLASS_HID_1a0309 = 0x1a0309,
	BNXT_ULP_CLASS_HID_18ecb1 = 0x18ecb1,
	BNXT_ULP_CLASS_HID_18a5b9 = 0x18a5b9,
	BNXT_ULP_CLASS_HID_1aa879 = 0x1aa879,
	BNXT_ULP_CLASS_HID_1a6161 = 0x1a6161,
	BNXT_ULP_CLASS_HID_1849e1 = 0x1849e1,
	BNXT_ULP_CLASS_HID_18e101 = 0x18e101,
	BNXT_ULP_CLASS_HID_1a08a9 = 0x1a08a9,
	BNXT_ULP_CLASS_HID_1aa8c9 = 0x1aa8c9,
	BNXT_ULP_CLASS_HID_18e133 = 0x18e133,
	BNXT_ULP_CLASS_HID_18ac3b = 0x18ac3b,
	BNXT_ULP_CLASS_HID_1aacfb = 0x1aacfb,
	BNXT_ULP_CLASS_HID_1a67e3 = 0x1a67e3,
	BNXT_ULP_CLASS_HID_184263 = 0x184263,
	BNXT_ULP_CLASS_HID_18096b = 0x18096b,
	BNXT_ULP_CLASS_HID_1a092b = 0x1a092b,
	BNXT_ULP_CLASS_HID_1ac14b = 0x1ac14b,
	BNXT_ULP_CLASS_HID_18a1db = 0x18a1db,
	BNXT_ULP_CLASS_HID_184cc3 = 0x184cc3,
	BNXT_ULP_CLASS_HID_1a6c83 = 0x1a6c83,
	BNXT_ULP_CLASS_HID_1a258b = 0x1a258b,
	BNXT_ULP_CLASS_HID_18000b = 0x18000b,
	BNXT_ULP_CLASS_HID_18a02b = 0x18a02b,
	BNXT_ULP_CLASS_HID_1ac0eb = 0x1ac0eb,
	BNXT_ULP_CLASS_HID_1a6113 = 0x1a6113,
	BNXT_ULP_CLASS_HID_180040 = 0x180040,
	BNXT_ULP_CLASS_HID_18c460 = 0x18c460,
	BNXT_ULP_CLASS_HID_1ac420 = 0x1ac420,
	BNXT_ULP_CLASS_HID_1a8f28 = 0x1a8f28,
	BNXT_ULP_CLASS_HID_1869a8 = 0x1869a8,
	BNXT_ULP_CLASS_HID_1820d0 = 0x1820d0,
	BNXT_ULP_CLASS_HID_1a2090 = 0x1a2090,
	BNXT_ULP_CLASS_HID_1ac8b0 = 0x1ac8b0,
	BNXT_ULP_CLASS_HID_18a900 = 0x18a900,
	BNXT_ULP_CLASS_HID_186408 = 0x186408,
	BNXT_ULP_CLASS_HID_1a84c8 = 0x1a84c8,
	BNXT_ULP_CLASS_HID_1a2df0 = 0x1a2df0,
	BNXT_ULP_CLASS_HID_180870 = 0x180870,
	BNXT_ULP_CLASS_HID_18c990 = 0x18c990,
	BNXT_ULP_CLASS_HID_1ac850 = 0x1ac850,
	BNXT_ULP_CLASS_HID_1a8958 = 0x1a8958,
	BNXT_ULP_CLASS_HID_18cd82 = 0x18cd82,
	BNXT_ULP_CLASS_HID_18688a = 0x18688a,
	BNXT_ULP_CLASS_HID_1a894a = 0x1a894a,
	BNXT_ULP_CLASS_HID_1a4472 = 0x1a4472,
	BNXT_ULP_CLASS_HID_182af2 = 0x182af2,
	BNXT_ULP_CLASS_HID_18c212 = 0x18c212,
	BNXT_ULP_CLASS_HID_1ae2d2 = 0x1ae2d2,
	BNXT_ULP_CLASS_HID_1a89da = 0x1a89da,
	BNXT_ULP_CLASS_HID_186c2a = 0x186c2a,
	BNXT_ULP_CLASS_HID_182952 = 0x182952,
	BNXT_ULP_CLASS_HID_1a2912 = 0x1a2912,
	BNXT_ULP_CLASS_HID_1aed32 = 0x1aed32,
	BNXT_ULP_CLASS_HID_18c1b2 = 0x18c1b2,
	BNXT_ULP_CLASS_HID_1880ba = 0x1880ba,
	BNXT_ULP_CLASS_HID_1a817a = 0x1a817a,
	BNXT_ULP_CLASS_HID_1a4862 = 0x1a4862,
	BNXT_ULP_CLASS_HID_186761 = 0x186761,
	BNXT_ULP_CLASS_HID_182269 = 0x182269,
	BNXT_ULP_CLASS_HID_1a2229 = 0x1a2229,
	BNXT_ULP_CLASS_HID_1ae649 = 0x1ae649,
	BNXT_ULP_CLASS_HID_18c0c9 = 0x18c0c9,
	BNXT_ULP_CLASS_HID_186bf1 = 0x186bf1,
	BNXT_ULP_CLASS_HID_1a8bb1 = 0x1a8bb1,
	BNXT_ULP_CLASS_HID_1a42b9 = 0x1a42b9,
	BNXT_ULP_CLASS_HID_182509 = 0x182509,
	BNXT_ULP_CLASS_HID_18c929 = 0x18c929,
	BNXT_ULP_CLASS_HID_1ac9e9 = 0x1ac9e9,
	BNXT_ULP_CLASS_HID_1a8411 = 0x1a8411,
	BNXT_ULP_CLASS_HID_186091 = 0x186091,
	BNXT_ULP_CLASS_HID_182999 = 0x182999,
	BNXT_ULP_CLASS_HID_1a2859 = 0x1a2859,
	BNXT_ULP_CLASS_HID_1ae079 = 0x1ae079,
	BNXT_ULP_CLASS_HID_182b8b = 0x182b8b,
	BNXT_ULP_CLASS_HID_18cfab = 0x18cfab,
	BNXT_ULP_CLASS_HID_1ae06b = 0x1ae06b,
	BNXT_ULP_CLASS_HID_1a8a93 = 0x1a8a93,
	BNXT_ULP_CLASS_HID_188113 = 0x188113,
	BNXT_ULP_CLASS_HID_18201b = 0x18201b,
	BNXT_ULP_CLASS_HID_1a40db = 0x1a40db,
	BNXT_ULP_CLASS_HID_1ae0fb = 0x1ae0fb,
	BNXT_ULP_CLASS_HID_18c54b = 0x18c54b,
	BNXT_ULP_CLASS_HID_188073 = 0x188073,
	BNXT_ULP_CLASS_HID_1a8033 = 0x1a8033,
	BNXT_ULP_CLASS_HID_1a493b = 0x1a493b,
	BNXT_ULP_CLASS_HID_1821bb = 0x1821bb,
	BNXT_ULP_CLASS_HID_18c9db = 0x18c9db,
	BNXT_ULP_CLASS_HID_1ae99b = 0x1ae99b,
	BNXT_ULP_CLASS_HID_1aa083 = 0x1aa083,
	BNXT_ULP_CLASS_HID_180618 = 0x180618,
	BNXT_ULP_CLASS_HID_18aa38 = 0x18aa38,
	BNXT_ULP_CLASS_HID_1aaaf8 = 0x1aaaf8,
	BNXT_ULP_CLASS_HID_1a65e0 = 0x1a65e0,
	BNXT_ULP_CLASS_HID_184060 = 0x184060,
	BNXT_ULP_CLASS_HID_180b68 = 0x180b68,
	BNXT_ULP_CLASS_HID_1a0b28 = 0x1a0b28,
	BNXT_ULP_CLASS_HID_1acb48 = 0x1acb48,
	BNXT_ULP_CLASS_HID_18add8 = 0x18add8,
	BNXT_ULP_CLASS_HID_1848c0 = 0x1848c0,
	BNXT_ULP_CLASS_HID_1a6880 = 0x1a6880,
	BNXT_ULP_CLASS_HID_1a2588 = 0x1a2588,
	BNXT_ULP_CLASS_HID_180008 = 0x180008,
	BNXT_ULP_CLASS_HID_18a028 = 0x18a028,
	BNXT_ULP_CLASS_HID_1ac0e8 = 0x1ac0e8,
	BNXT_ULP_CLASS_HID_1a6910 = 0x1a6910,
	BNXT_ULP_CLASS_HID_18a45a = 0x18a45a,
	BNXT_ULP_CLASS_HID_186f42 = 0x186f42,
	BNXT_ULP_CLASS_HID_1a6f02 = 0x1a6f02,
	BNXT_ULP_CLASS_HID_1a2a0a = 0x1a2a0a,
	BNXT_ULP_CLASS_HID_18008a = 0x18008a,
	BNXT_ULP_CLASS_HID_18a8aa = 0x18a8aa,
	BNXT_ULP_CLASS_HID_1ac96a = 0x1ac96a,
	BNXT_ULP_CLASS_HID_1a8392 = 0x1a8392,
	BNXT_ULP_CLASS_HID_1864e2 = 0x1864e2,
	BNXT_ULP_CLASS_HID_180dea = 0x180dea,
	BNXT_ULP_CLASS_HID_1a2daa = 0x1a2daa,
	BNXT_ULP_CLASS_HID_1ac1ca = 0x1ac1ca,
	BNXT_ULP_CLASS_HID_18a84a = 0x18a84a,
	BNXT_ULP_CLASS_HID_186972 = 0x186972,
	BNXT_ULP_CLASS_HID_1a6932 = 0x1a6932,
	BNXT_ULP_CLASS_HID_1a203a = 0x1a203a,
	BNXT_ULP_CLASS_HID_184d39 = 0x184d39,
	BNXT_ULP_CLASS_HID_180821 = 0x180821,
	BNXT_ULP_CLASS_HID_1a08e1 = 0x1a08e1,
	BNXT_ULP_CLASS_HID_1acc01 = 0x1acc01,
	BNXT_ULP_CLASS_HID_18a281 = 0x18a281,
	BNXT_ULP_CLASS_HID_186189 = 0x186189,
	BNXT_ULP_CLASS_HID_1a6249 = 0x1a6249,
	BNXT_ULP_CLASS_HID_1a2971 = 0x1a2971,
	BNXT_ULP_CLASS_HID_180dc1 = 0x180dc1,
	BNXT_ULP_CLASS_HID_18a1e1 = 0x18a1e1,
	BNXT_ULP_CLASS_HID_1ac1a1 = 0x1ac1a1,
	BNXT_ULP_CLASS_HID_1a6ca9 = 0x1a6ca9,
	BNXT_ULP_CLASS_HID_186129 = 0x186129,
	BNXT_ULP_CLASS_HID_180051 = 0x180051,
	BNXT_ULP_CLASS_HID_1a2011 = 0x1a2011,
	BNXT_ULP_CLASS_HID_1ac031 = 0x1ac031,
	BNXT_ULP_CLASS_HID_180243 = 0x180243,
	BNXT_ULP_CLASS_HID_18c663 = 0x18c663,
	BNXT_ULP_CLASS_HID_1ac623 = 0x1ac623,
	BNXT_ULP_CLASS_HID_1a812b = 0x1a812b,
	BNXT_ULP_CLASS_HID_186bab = 0x186bab,
	BNXT_ULP_CLASS_HID_1822d3 = 0x1822d3,
	BNXT_ULP_CLASS_HID_1a2293 = 0x1a2293,
	BNXT_ULP_CLASS_HID_1acab3 = 0x1acab3,
	BNXT_ULP_CLASS_HID_18a903 = 0x18a903,
	BNXT_ULP_CLASS_HID_18640b = 0x18640b,
	BNXT_ULP_CLASS_HID_1a84cb = 0x1a84cb,
	BNXT_ULP_CLASS_HID_1a21f3 = 0x1a21f3,
	BNXT_ULP_CLASS_HID_180873 = 0x180873,
	BNXT_ULP_CLASS_HID_18c993 = 0x18c993,
	BNXT_ULP_CLASS_HID_1ac053 = 0x1ac053,
	BNXT_ULP_CLASS_HID_1a895b = 0x1a895b,
	BNXT_ULP_CLASS_HID_182988 = 0x182988,
	BNXT_ULP_CLASS_HID_18cda8 = 0x18cda8,
	BNXT_ULP_CLASS_HID_1aee68 = 0x1aee68,
	BNXT_ULP_CLASS_HID_1a8890 = 0x1a8890,
	BNXT_ULP_CLASS_HID_188310 = 0x188310,
	BNXT_ULP_CLASS_HID_182a18 = 0x182a18,
	BNXT_ULP_CLASS_HID_1a4ad8 = 0x1a4ad8,
	BNXT_ULP_CLASS_HID_1ae2f8 = 0x1ae2f8,
	BNXT_ULP_CLASS_HID_18c148 = 0x18c148,
	BNXT_ULP_CLASS_HID_188c70 = 0x188c70,
	BNXT_ULP_CLASS_HID_1a8c30 = 0x1a8c30,
	BNXT_ULP_CLASS_HID_1a4938 = 0x1a4938,
	BNXT_ULP_CLASS_HID_1821b8 = 0x1821b8,
	BNXT_ULP_CLASS_HID_18e1d8 = 0x18e1d8,
	BNXT_ULP_CLASS_HID_1ae198 = 0x1ae198,
	BNXT_ULP_CLASS_HID_1aa080 = 0x1aa080,
	BNXT_ULP_CLASS_HID_18e7ca = 0x18e7ca,
	BNXT_ULP_CLASS_HID_1882f2 = 0x1882f2,
	BNXT_ULP_CLASS_HID_1aa2b2 = 0x1aa2b2,
	BNXT_ULP_CLASS_HID_1a4dba = 0x1a4dba,
	BNXT_ULP_CLASS_HID_18283a = 0x18283a,
	BNXT_ULP_CLASS_HID_18e85a = 0x18e85a,
	BNXT_ULP_CLASS_HID_1a03e2 = 0x1a03e2,
	BNXT_ULP_CLASS_HID_1aa302 = 0x1aa302,
	BNXT_ULP_CLASS_HID_188592 = 0x188592,
	BNXT_ULP_CLASS_HID_18409a = 0x18409a,
	BNXT_ULP_CLASS_HID_1a415a = 0x1a415a,
	BNXT_ULP_CLASS_HID_1a0c42 = 0x1a0c42,
	BNXT_ULP_CLASS_HID_18e1fa = 0x18e1fa,
	BNXT_ULP_CLASS_HID_1888e2 = 0x1888e2,
	BNXT_ULP_CLASS_HID_1aa8a2 = 0x1aa8a2,
	BNXT_ULP_CLASS_HID_1a61aa = 0x1a61aa,
	BNXT_ULP_CLASS_HID_1880a9 = 0x1880a9,
	BNXT_ULP_CLASS_HID_182bd1 = 0x182bd1,
	BNXT_ULP_CLASS_HID_1a4b91 = 0x1a4b91,
	BNXT_ULP_CLASS_HID_1a0699 = 0x1a0699,
	BNXT_ULP_CLASS_HID_18ca31 = 0x18ca31,
	BNXT_ULP_CLASS_HID_188139 = 0x188139,
	BNXT_ULP_CLASS_HID_1aa1f9 = 0x1aa1f9,
	BNXT_ULP_CLASS_HID_1a40e1 = 0x1a40e1,
	BNXT_ULP_CLASS_HID_182171 = 0x182171,
	BNXT_ULP_CLASS_HID_18e491 = 0x18e491,
	BNXT_ULP_CLASS_HID_1ae551 = 0x1ae551,
	BNXT_ULP_CLASS_HID_1aa059 = 0x1aa059,
	BNXT_ULP_CLASS_HID_1888d9 = 0x1888d9,
	BNXT_ULP_CLASS_HID_1841c1 = 0x1841c1,
	BNXT_ULP_CLASS_HID_1a4181 = 0x1a4181,
	BNXT_ULP_CLASS_HID_1a0089 = 0x1a0089,
	BNXT_ULP_CLASS_HID_1845f3 = 0x1845f3,
	BNXT_ULP_CLASS_HID_18e913 = 0x18e913,
	BNXT_ULP_CLASS_HID_1a00bb = 0x1a00bb,
	BNXT_ULP_CLASS_HID_1aa4db = 0x1aa4db,
	BNXT_ULP_CLASS_HID_188b5b = 0x188b5b,
	BNXT_ULP_CLASS_HID_184a43 = 0x184a43,
	BNXT_ULP_CLASS_HID_1a4a03 = 0x1a4a03,
	BNXT_ULP_CLASS_HID_1a010b = 0x1a010b,
	BNXT_ULP_CLASS_HID_18ecb3 = 0x18ecb3,
	BNXT_ULP_CLASS_HID_1889bb = 0x1889bb,
	BNXT_ULP_CLASS_HID_1aa87b = 0x1aa87b,
	BNXT_ULP_CLASS_HID_1a6563 = 0x1a6563,
	BNXT_ULP_CLASS_HID_1849e3 = 0x1849e3,
	BNXT_ULP_CLASS_HID_18e103 = 0x18e103,
	BNXT_ULP_CLASS_HID_1a08ab = 0x1a08ab,
	BNXT_ULP_CLASS_HID_1aa8cb = 0x1aa8cb,
	BNXT_ULP_CLASS_HID_18d30c = 0x18d30c,
	BNXT_ULP_CLASS_HID_18b634 = 0x18b634,
	BNXT_ULP_CLASS_HID_1a9674 = 0x1a9674,
	BNXT_ULP_CLASS_HID_1a7d7c = 0x1a7d7c,
	BNXT_ULP_CLASS_HID_1874fc = 0x1874fc,
	BNXT_ULP_CLASS_HID_18dc9c = 0x18dc9c,
	BNXT_ULP_CLASS_HID_1a3724 = 0x1a3724,
	BNXT_ULP_CLASS_HID_1a97c4 = 0x1a97c4,
	BNXT_ULP_CLASS_HID_18b354 = 0x18b354,
	BNXT_ULP_CLASS_HID_18765c = 0x18765c,
	BNXT_ULP_CLASS_HID_1a779c = 0x1a779c,
	BNXT_ULP_CLASS_HID_1a3a84 = 0x1a3a84,
	BNXT_ULP_CLASS_HID_18df3c = 0x18df3c,
	BNXT_ULP_CLASS_HID_18be24 = 0x18be24,
	BNXT_ULP_CLASS_HID_1a9e64 = 0x1a9e64,
	BNXT_ULP_CLASS_HID_1a576c = 0x1a576c,
	BNXT_ULP_CLASS_HID_183684 = 0x183684,
	BNXT_ULP_CLASS_HID_18f2a4 = 0x18f2a4,
	BNXT_ULP_CLASS_HID_1af2e4 = 0x1af2e4,
	BNXT_ULP_CLASS_HID_1ab9ec = 0x1ab9ec,
	BNXT_ULP_CLASS_HID_185f6c = 0x185f6c,
	BNXT_ULP_CLASS_HID_181614 = 0x181614,
	BNXT_ULP_CLASS_HID_1a1654 = 0x1a1654,
	BNXT_ULP_CLASS_HID_1afe74 = 0x1afe74,
	BNXT_ULP_CLASS_HID_189fc4 = 0x189fc4,
	BNXT_ULP_CLASS_HID_1852cc = 0x1852cc,
	BNXT_ULP_CLASS_HID_1ab20c = 0x1ab20c,
	BNXT_ULP_CLASS_HID_1a1b34 = 0x1a1b34,
	BNXT_ULP_CLASS_HID_183eb4 = 0x183eb4,
	BNXT_ULP_CLASS_HID_18ff54 = 0x18ff54,
	BNXT_ULP_CLASS_HID_1afe94 = 0x1afe94,
	BNXT_ULP_CLASS_HID_1abf9c = 0x1abf9c,
	BNXT_ULP_CLASS_HID_1830dc = 0x1830dc,
	BNXT_ULP_CLASS_HID_189cfc = 0x189cfc,
	BNXT_ULP_CLASS_HID_1a9c3c = 0x1a9c3c,
	BNXT_ULP_CLASS_HID_1a5324 = 0x1a5324,
	BNXT_ULP_CLASS_HID_1876a4 = 0x1876a4,
	BNXT_ULP_CLASS_HID_183dac = 0x183dac,
	BNXT_ULP_CLASS_HID_1a3dec = 0x1a3dec,
	BNXT_ULP_CLASS_HID_1afd8c = 0x1afd8c,
	BNXT_ULP_CLASS_HID_189b1c = 0x189b1c,
	BNXT_ULP_CLASS_HID_187e04 = 0x187e04,
	BNXT_ULP_CLASS_HID_1a5e44 = 0x1a5e44,
	BNXT_ULP_CLASS_HID_1a134c = 0x1a134c,
	BNXT_ULP_CLASS_HID_1836cc = 0x1836cc,
	BNXT_ULP_CLASS_HID_1896ec = 0x1896ec,
	BNXT_ULP_CLASS_HID_1af62c = 0x1af62c,
	BNXT_ULP_CLASS_HID_1a5fd4 = 0x1a5fd4,
	BNXT_ULP_CLASS_HID_181f4c = 0x181f4c,
	BNXT_ULP_CLASS_HID_18fb6c = 0x18fb6c,
	BNXT_ULP_CLASS_HID_1ad8ac = 0x1ad8ac,
	BNXT_ULP_CLASS_HID_1abe54 = 0x1abe54,
	BNXT_ULP_CLASS_HID_18b5d4 = 0x18b5d4,
	BNXT_ULP_CLASS_HID_181cdc = 0x181cdc,
	BNXT_ULP_CLASS_HID_1a7c1c = 0x1a7c1c,
	BNXT_ULP_CLASS_HID_1ad43c = 0x1ad43c,
	BNXT_ULP_CLASS_HID_18f78c = 0x18f78c,
	BNXT_ULP_CLASS_HID_18bab4 = 0x18bab4,
	BNXT_ULP_CLASS_HID_1abaf4 = 0x1abaf4,
	BNXT_ULP_CLASS_HID_1a7ffc = 0x1a7ffc,
	BNXT_ULP_CLASS_HID_18177c = 0x18177c,
	BNXT_ULP_CLASS_HID_18d71c = 0x18d71c,
	BNXT_ULP_CLASS_HID_1ad75c = 0x1ad75c,
	BNXT_ULP_CLASS_HID_1a9644 = 0x1a9644,
	BNXT_ULP_CLASS_HID_1850a4 = 0x1850a4,
	BNXT_ULP_CLASS_HID_1817ac = 0x1817ac,
	BNXT_ULP_CLASS_HID_1a17ec = 0x1a17ec,
	BNXT_ULP_CLASS_HID_1ad38c = 0x1ad38c,
	BNXT_ULP_CLASS_HID_18fd0c = 0x18fd0c,
	BNXT_ULP_CLASS_HID_185c34 = 0x185c34,
	BNXT_ULP_CLASS_HID_1abc74 = 0x1abc74,
	BNXT_ULP_CLASS_HID_1a777c = 0x1a777c,
	BNXT_ULP_CLASS_HID_1812cc = 0x1812cc,
	BNXT_ULP_CLASS_HID_18feec = 0x18feec,
	BNXT_ULP_CLASS_HID_1afe2c = 0x1afe2c,
	BNXT_ULP_CLASS_HID_1ab3d4 = 0x1ab3d4,
	BNXT_ULP_CLASS_HID_185f54 = 0x185f54,
	BNXT_ULP_CLASS_HID_181e5c = 0x181e5c,
	BNXT_ULP_CLASS_HID_1a1f9c = 0x1a1f9c,
	BNXT_ULP_CLASS_HID_1adfbc = 0x1adfbc,
	BNXT_ULP_CLASS_HID_18bfd4 = 0x18bfd4,
	BNXT_ULP_CLASS_HID_1872dc = 0x1872dc,
	BNXT_ULP_CLASS_HID_1a521c = 0x1a521c,
	BNXT_ULP_CLASS_HID_1a3904 = 0x1a3904,
	BNXT_ULP_CLASS_HID_18d5bc = 0x18d5bc,
	BNXT_ULP_CLASS_HID_189ca4 = 0x189ca4,
	BNXT_ULP_CLASS_HID_1a9ce4 = 0x1a9ce4,
	BNXT_ULP_CLASS_HID_1a5fec = 0x1a5fec,
	BNXT_ULP_CLASS_HID_187f7c = 0x187f7c,
	BNXT_ULP_CLASS_HID_183264 = 0x183264,
	BNXT_ULP_CLASS_HID_1a33a4 = 0x1a33a4,
	BNXT_ULP_CLASS_HID_1a9e44 = 0x1a9e44,
	BNXT_ULP_CLASS_HID_1897c4 = 0x1897c4,
	BNXT_ULP_CLASS_HID_187ecc = 0x187ecc,
	BNXT_ULP_CLASS_HID_1a5e0c = 0x1a5e0c,
	BNXT_ULP_CLASS_HID_1a3f34 = 0x1a3f34,
	BNXT_ULP_CLASS_HID_18b96c = 0x18b96c,
	BNXT_ULP_CLASS_HID_181c14 = 0x181c14,
	BNXT_ULP_CLASS_HID_1a7c54 = 0x1a7c54,
	BNXT_ULP_CLASS_HID_1a335c = 0x1a335c,
	BNXT_ULP_CLASS_HID_18fff4 = 0x18fff4,
	BNXT_ULP_CLASS_HID_18b6fc = 0x18b6fc,
	BNXT_ULP_CLASS_HID_1a963c = 0x1a963c,
	BNXT_ULP_CLASS_HID_1a7d24 = 0x1a7d24,
	BNXT_ULP_CLASS_HID_1816b4 = 0x1816b4,
	BNXT_ULP_CLASS_HID_18d754 = 0x18d754,
	BNXT_ULP_CLASS_HID_1ad294 = 0x1ad294,
	BNXT_ULP_CLASS_HID_1a9b9c = 0x1a9b9c,
	BNXT_ULP_CLASS_HID_18bf1c = 0x18bf1c,
	BNXT_ULP_CLASS_HID_187604 = 0x187604,
	BNXT_ULP_CLASS_HID_1a7644 = 0x1a7644,
	BNXT_ULP_CLASS_HID_1a3f4c = 0x1a3f4c,
	BNXT_ULP_CLASS_HID_18959c = 0x18959c,
	BNXT_ULP_CLASS_HID_185884 = 0x185884,
	BNXT_ULP_CLASS_HID_1a58c4 = 0x1a58c4,
	BNXT_ULP_CLASS_HID_1a1fcc = 0x1a1fcc,
	BNXT_ULP_CLASS_HID_18354c = 0x18354c,
	BNXT_ULP_CLASS_HID_18f56c = 0x18f56c,
	BNXT_ULP_CLASS_HID_1afeac = 0x1afeac,
	BNXT_ULP_CLASS_HID_1ab454 = 0x1ab454,
	BNXT_ULP_CLASS_HID_185724 = 0x185724,
	BNXT_ULP_CLASS_HID_183a2c = 0x183a2c,
	BNXT_ULP_CLASS_HID_1a1a6c = 0x1a1a6c,
	BNXT_ULP_CLASS_HID_1af60c = 0x1af60c,
	BNXT_ULP_CLASS_HID_189f8c = 0x189f8c,
	BNXT_ULP_CLASS_HID_185eb4 = 0x185eb4,
	BNXT_ULP_CLASS_HID_1a5ef4 = 0x1a5ef4,
	BNXT_ULP_CLASS_HID_1a17fc = 0x1a17fc,
	BNXT_ULP_CLASS_HID_181fcc = 0x181fcc,
	BNXT_ULP_CLASS_HID_18fbec = 0x18fbec,
	BNXT_ULP_CLASS_HID_1adb2c = 0x1adb2c,
	BNXT_ULP_CLASS_HID_1abed4 = 0x1abed4,
	BNXT_ULP_CLASS_HID_18b454 = 0x18b454,
	BNXT_ULP_CLASS_HID_181f5c = 0x181f5c,
	BNXT_ULP_CLASS_HID_1a7c9c = 0x1a7c9c,
	BNXT_ULP_CLASS_HID_1ad4bc = 0x1ad4bc,
	BNXT_ULP_CLASS_HID_18f60c = 0x18f60c,
	BNXT_ULP_CLASS_HID_18bb34 = 0x18bb34,
	BNXT_ULP_CLASS_HID_1abb74 = 0x1abb74,
	BNXT_ULP_CLASS_HID_1a7e7c = 0x1a7e7c,
	BNXT_ULP_CLASS_HID_1817fc = 0x1817fc,
	BNXT_ULP_CLASS_HID_18d79c = 0x18d79c,
	BNXT_ULP_CLASS_HID_1ad7dc = 0x1ad7dc,
	BNXT_ULP_CLASS_HID_1a96c4 = 0x1a96c4,
	BNXT_ULP_CLASS_HID_187a7c = 0x187a7c,
	BNXT_ULP_CLASS_HID_183164 = 0x183164,
	BNXT_ULP_CLASS_HID_1a3ea4 = 0x1a3ea4,
	BNXT_ULP_CLASS_HID_1afd44 = 0x1afd44,
	BNXT_ULP_CLASS_HID_1894c4 = 0x1894c4,
	BNXT_ULP_CLASS_HID_1857cc = 0x1857cc,
	BNXT_ULP_CLASS_HID_1a570c = 0x1a570c,
	BNXT_ULP_CLASS_HID_1a1e34 = 0x1a1e34,
	BNXT_ULP_CLASS_HID_183b84 = 0x183b84,
	BNXT_ULP_CLASS_HID_1897a4 = 0x1897a4,
	BNXT_ULP_CLASS_HID_1af7e4 = 0x1af7e4,
	BNXT_ULP_CLASS_HID_1a5aec = 0x1a5aec,
	BNXT_ULP_CLASS_HID_18566c = 0x18566c,
	BNXT_ULP_CLASS_HID_183714 = 0x183714,
	BNXT_ULP_CLASS_HID_1a1754 = 0x1a1754,
	BNXT_ULP_CLASS_HID_1af774 = 0x1af774,
	BNXT_ULP_CLASS_HID_1875b4 = 0x1875b4,
	BNXT_ULP_CLASS_HID_18d054 = 0x18d054,
	BNXT_ULP_CLASS_HID_1a38fc = 0x1a38fc,
	BNXT_ULP_CLASS_HID_1a949c = 0x1a949c,
	BNXT_ULP_CLASS_HID_18be1c = 0x18be1c,
	BNXT_ULP_CLASS_HID_187504 = 0x187504,
	BNXT_ULP_CLASS_HID_1a5544 = 0x1a5544,
	BNXT_ULP_CLASS_HID_1a344c = 0x1a344c,
	BNXT_ULP_CLASS_HID_18daf4 = 0x18daf4,
	BNXT_ULP_CLASS_HID_1893fc = 0x1893fc,
	BNXT_ULP_CLASS_HID_1a933c = 0x1a933c,
	BNXT_ULP_CLASS_HID_1a5624 = 0x1a5624,
	BNXT_ULP_CLASS_HID_187fa4 = 0x187fa4,
	BNXT_ULP_CLASS_HID_18d644 = 0x18d644,
	BNXT_ULP_CLASS_HID_1a3eec = 0x1a3eec,
	BNXT_ULP_CLASS_HID_1a9e8c = 0x1a9e8c,
	BNXT_ULP_CLASS_HID_185024 = 0x185024,
	BNXT_ULP_CLASS_HID_18172c = 0x18172c,
	BNXT_ULP_CLASS_HID_1a176c = 0x1a176c,
	BNXT_ULP_CLASS_HID_1ad30c = 0x1ad30c,
	BNXT_ULP_CLASS_HID_18f68c = 0x18f68c,
	BNXT_ULP_CLASS_HID_185db4 = 0x185db4,
	BNXT_ULP_CLASS_HID_1abdf4 = 0x1abdf4,
	BNXT_ULP_CLASS_HID_1a74fc = 0x1a74fc,
	BNXT_ULP_CLASS_HID_18124c = 0x18124c,
	BNXT_ULP_CLASS_HID_18fe6c = 0x18fe6c,
	BNXT_ULP_CLASS_HID_1affac = 0x1affac,
	BNXT_ULP_CLASS_HID_1ab354 = 0x1ab354,
	BNXT_ULP_CLASS_HID_1856d4 = 0x1856d4,
	BNXT_ULP_CLASS_HID_181fdc = 0x181fdc,
	BNXT_ULP_CLASS_HID_1a1f1c = 0x1a1f1c,
	BNXT_ULP_CLASS_HID_1adf3c = 0x1adf3c,
	BNXT_ULP_CLASS_HID_18941c = 0x18941c,
	BNXT_ULP_CLASS_HID_185b04 = 0x185b04,
	BNXT_ULP_CLASS_HID_1a5b44 = 0x1a5b44,
	BNXT_ULP_CLASS_HID_1a1e4c = 0x1a1e4c,
	BNXT_ULP_CLASS_HID_1835cc = 0x1835cc,
	BNXT_ULP_CLASS_HID_18f5ec = 0x18f5ec,
	BNXT_ULP_CLASS_HID_1af52c = 0x1af52c,
	BNXT_ULP_CLASS_HID_1ab4d4 = 0x1ab4d4,
	BNXT_ULP_CLASS_HID_1857a4 = 0x1857a4,
	BNXT_ULP_CLASS_HID_183aac = 0x183aac,
	BNXT_ULP_CLASS_HID_1a1aec = 0x1a1aec,
	BNXT_ULP_CLASS_HID_1af68c = 0x1af68c,
	BNXT_ULP_CLASS_HID_189e0c = 0x189e0c,
	BNXT_ULP_CLASS_HID_185734 = 0x185734,
	BNXT_ULP_CLASS_HID_1ab774 = 0x1ab774,
	BNXT_ULP_CLASS_HID_1a167c = 0x1a167c,
	BNXT_ULP_CLASS_HID_18d08c = 0x18d08c,
	BNXT_ULP_CLASS_HID_18b7b4 = 0x18b7b4,
	BNXT_ULP_CLASS_HID_1a97f4 = 0x1a97f4,
	BNXT_ULP_CLASS_HID_1a7afc = 0x1a7afc,
	BNXT_ULP_CLASS_HID_18747c = 0x18747c,
	BNXT_ULP_CLASS_HID_18dc1c = 0x18dc1c,
	BNXT_ULP_CLASS_HID_1a34a4 = 0x1a34a4,
	BNXT_ULP_CLASS_HID_1a9744 = 0x1a9744,
	BNXT_ULP_CLASS_HID_18b2d4 = 0x18b2d4,
	BNXT_ULP_CLASS_HID_1877dc = 0x1877dc,
	BNXT_ULP_CLASS_HID_1a771c = 0x1a771c,
	BNXT_ULP_CLASS_HID_1a3a04 = 0x1a3a04,
	BNXT_ULP_CLASS_HID_18d6bc = 0x18d6bc,
	BNXT_ULP_CLASS_HID_18bfa4 = 0x18bfa4,
	BNXT_ULP_CLASS_HID_1a9fe4 = 0x1a9fe4,
	BNXT_ULP_CLASS_HID_1a56ec = 0x1a56ec,
	BNXT_ULP_CLASS_HID_18fac4 = 0x18fac4,
	BNXT_ULP_CLASS_HID_18b1cc = 0x18b1cc,
	BNXT_ULP_CLASS_HID_1ab10c = 0x1ab10c,
	BNXT_ULP_CLASS_HID_1a7434 = 0x1a7434,
	BNXT_ULP_CLASS_HID_181fb4 = 0x181fb4,
	BNXT_ULP_CLASS_HID_18f654 = 0x18f654,
	BNXT_ULP_CLASS_HID_1ad794 = 0x1ad794,
	BNXT_ULP_CLASS_HID_1abe9c = 0x1abe9c,
	BNXT_ULP_CLASS_HID_185a6c = 0x185a6c,
	BNXT_ULP_CLASS_HID_181314 = 0x181314,
	BNXT_ULP_CLASS_HID_1a7354 = 0x1a7354,
	BNXT_ULP_CLASS_HID_1adf74 = 0x1adf74,
	BNXT_ULP_CLASS_HID_18f6f4 = 0x18f6f4,
	BNXT_ULP_CLASS_HID_18b7fc = 0x18b7fc,
	BNXT_ULP_CLASS_HID_1ab73c = 0x1ab73c,
	BNXT_ULP_CLASS_HID_1a7e24 = 0x1a7e24,
	BNXT_ULP_CLASS_HID_18305c = 0x18305c,
	BNXT_ULP_CLASS_HID_189c7c = 0x189c7c,
	BNXT_ULP_CLASS_HID_1a9dbc = 0x1a9dbc,
	BNXT_ULP_CLASS_HID_1a50a4 = 0x1a50a4,
	BNXT_ULP_CLASS_HID_187624 = 0x187624,
	BNXT_ULP_CLASS_HID_183d2c = 0x183d2c,
	BNXT_ULP_CLASS_HID_1a3d6c = 0x1a3d6c,
	BNXT_ULP_CLASS_HID_1afd0c = 0x1afd0c,
	BNXT_ULP_CLASS_HID_18969c = 0x18969c,
	BNXT_ULP_CLASS_HID_187f84 = 0x187f84,
	BNXT_ULP_CLASS_HID_1a5fc4 = 0x1a5fc4,
	BNXT_ULP_CLASS_HID_1a12cc = 0x1a12cc,
	BNXT_ULP_CLASS_HID_18364c = 0x18364c,
	BNXT_ULP_CLASS_HID_18966c = 0x18966c,
	BNXT_ULP_CLASS_HID_1af7ac = 0x1af7ac,
	BNXT_ULP_CLASS_HID_1a5f54 = 0x1a5f54,
	BNXT_ULP_CLASS_HID_18eea0 = 0x18eea0,
	BNXT_ULP_CLASS_HID_188b98 = 0x188b98,
	BNXT_ULP_CLASS_HID_1aabd8 = 0x1aabd8,
	BNXT_ULP_CLASS_HID_1a40d0 = 0x1a40d0,
	BNXT_ULP_CLASS_HID_184950 = 0x184950,
	BNXT_ULP_CLASS_HID_18e130 = 0x18e130,
	BNXT_ULP_CLASS_HID_1a0a88 = 0x1a0a88,
	BNXT_ULP_CLASS_HID_1aaa68 = 0x1aaa68,
	BNXT_ULP_CLASS_HID_188ef8 = 0x188ef8,
	BNXT_ULP_CLASS_HID_184bf0 = 0x184bf0,
	BNXT_ULP_CLASS_HID_1a4a30 = 0x1a4a30,
	BNXT_ULP_CLASS_HID_1a0728 = 0x1a0728,
	BNXT_ULP_CLASS_HID_18e290 = 0x18e290,
	BNXT_ULP_CLASS_HID_188388 = 0x188388,
	BNXT_ULP_CLASS_HID_1aa3c8 = 0x1aa3c8,
	BNXT_ULP_CLASS_HID_1a6ac0 = 0x1a6ac0,
	BNXT_ULP_CLASS_HID_180b28 = 0x180b28,
	BNXT_ULP_CLASS_HID_18cf08 = 0x18cf08,
	BNXT_ULP_CLASS_HID_1acf48 = 0x1acf48,
	BNXT_ULP_CLASS_HID_1a8440 = 0x1a8440,
	BNXT_ULP_CLASS_HID_1862c0 = 0x1862c0,
	BNXT_ULP_CLASS_HID_182bb8 = 0x182bb8,
	BNXT_ULP_CLASS_HID_1a2bf8 = 0x1a2bf8,
	BNXT_ULP_CLASS_HID_1ac3d8 = 0x1ac3d8,
	BNXT_ULP_CLASS_HID_18a268 = 0x18a268,
	BNXT_ULP_CLASS_HID_186f60 = 0x186f60,
	BNXT_ULP_CLASS_HID_1a8fa0 = 0x1a8fa0,
	BNXT_ULP_CLASS_HID_1a2698 = 0x1a2698,
	BNXT_ULP_CLASS_HID_180318 = 0x180318,
	BNXT_ULP_CLASS_HID_18c2f8 = 0x18c2f8,
	BNXT_ULP_CLASS_HID_1ac338 = 0x1ac338,
	BNXT_ULP_CLASS_HID_1a8230 = 0x1a8230,
	BNXT_ULP_CLASS_HID_180d70 = 0x180d70,
	BNXT_ULP_CLASS_HID_18a150 = 0x18a150,
	BNXT_ULP_CLASS_HID_1aa190 = 0x1aa190,
	BNXT_ULP_CLASS_HID_1a6e88 = 0x1a6e88,
	BNXT_ULP_CLASS_HID_184b08 = 0x184b08,
	BNXT_ULP_CLASS_HID_180000 = 0x180000,
	BNXT_ULP_CLASS_HID_1a0040 = 0x1a0040,
	BNXT_ULP_CLASS_HID_1ac020 = 0x1ac020,
	BNXT_ULP_CLASS_HID_18a6b0 = 0x18a6b0,
	BNXT_ULP_CLASS_HID_1843a8 = 0x1843a8,
	BNXT_ULP_CLASS_HID_1a63e8 = 0x1a63e8,
	BNXT_ULP_CLASS_HID_1a2ee0 = 0x1a2ee0,
	BNXT_ULP_CLASS_HID_180b60 = 0x180b60,
	BNXT_ULP_CLASS_HID_18ab40 = 0x18ab40,
	BNXT_ULP_CLASS_HID_1acb80 = 0x1acb80,
	BNXT_ULP_CLASS_HID_1a6278 = 0x1a6278,
	BNXT_ULP_CLASS_HID_1822e0 = 0x1822e0,
	BNXT_ULP_CLASS_HID_18c6c0 = 0x18c6c0,
	BNXT_ULP_CLASS_HID_1ae500 = 0x1ae500,
	BNXT_ULP_CLASS_HID_1a83f8 = 0x1a83f8,
	BNXT_ULP_CLASS_HID_188878 = 0x188878,
	BNXT_ULP_CLASS_HID_182170 = 0x182170,
	BNXT_ULP_CLASS_HID_1a41b0 = 0x1a41b0,
	BNXT_ULP_CLASS_HID_1ae990 = 0x1ae990,
	BNXT_ULP_CLASS_HID_18ca20 = 0x18ca20,
	BNXT_ULP_CLASS_HID_188718 = 0x188718,
	BNXT_ULP_CLASS_HID_1a8758 = 0x1a8758,
	BNXT_ULP_CLASS_HID_1a4250 = 0x1a4250,
	BNXT_ULP_CLASS_HID_182ad0 = 0x182ad0,
	BNXT_ULP_CLASS_HID_18eab0 = 0x18eab0,
	BNXT_ULP_CLASS_HID_1aeaf0 = 0x1aeaf0,
	BNXT_ULP_CLASS_HID_1aabe8 = 0x1aabe8,
	BNXT_ULP_CLASS_HID_dd3c = 0xdd3c,
	BNXT_ULP_CLASS_HID_372c = 0x372c,
	BNXT_ULP_CLASS_HID_2794 = 0x2794,
	BNXT_ULP_CLASS_HID_98ec = 0x98ec,
	BNXT_ULP_CLASS_HID_8be74 = 0x8be74,
	BNXT_ULP_CLASS_HID_82844 = 0x82844,
	BNXT_ULP_CLASS_HID_18c2e4 = 0x18c2e4,
	BNXT_ULP_CLASS_HID_183cf4 = 0x183cf4,
	BNXT_ULP_CLASS_HID_43df0 = 0x43df0,
	BNXT_ULP_CLASS_HID_49e98 = 0x49e98,
	BNXT_ULP_CLASS_HID_4ce80 = 0x4ce80,
	BNXT_ULP_CLASS_HID_43890 = 0x43890,
	BNXT_ULP_CLASS_HID_c37a8 = 0xc37a8,
	BNXT_ULP_CLASS_HID_ca950 = 0xca950,
	BNXT_ULP_CLASS_HID_cd8b8 = 0xcd8b8,
	BNXT_ULP_CLASS_HID_c3348 = 0xc3348,
	BNXT_ULP_CLASS_HID_11ac8 = 0x11ac8,
	BNXT_ULP_CLASS_HID_17c10 = 0x17c10,
	BNXT_ULP_CLASS_HID_1ac38 = 0x1ac38,
	BNXT_ULP_CLASS_HID_10628 = 0x10628,
	BNXT_ULP_CLASS_HID_3c6e8 = 0x3c6e8,
	BNXT_ULP_CLASS_HID_330d8 = 0x330d8,
	BNXT_ULP_CLASS_HID_360e0 = 0x360e0,
	BNXT_ULP_CLASS_HID_3c1c8 = 0x3c1c8,
	BNXT_ULP_CLASS_HID_dd7c = 0xdd7c,
	BNXT_ULP_CLASS_HID_376c = 0x376c,
	BNXT_ULP_CLASS_HID_27d4 = 0x27d4,
	BNXT_ULP_CLASS_HID_98ac = 0x98ac,
	BNXT_ULP_CLASS_HID_10e10c = 0x10e10c,
	BNXT_ULP_CLASS_HID_105bfc = 0x105bfc,
	BNXT_ULP_CLASS_HID_104c64 = 0x104c64,
	BNXT_ULP_CLASS_HID_10ad3c = 0x10ad3c,
	BNXT_ULP_CLASS_HID_8d744 = 0x8d744,
	BNXT_ULP_CLASS_HID_84134 = 0x84134,
	BNXT_ULP_CLASS_HID_8319c = 0x8319c,
	BNXT_ULP_CLASS_HID_89374 = 0x89374,
	BNXT_ULP_CLASS_HID_18fbd4 = 0x18fbd4,
	BNXT_ULP_CLASS_HID_1855c4 = 0x1855c4,
	BNXT_ULP_CLASS_HID_18462c = 0x18462c,
	BNXT_ULP_CLASS_HID_18a704 = 0x18a704,
	BNXT_ULP_CLASS_HID_8be34 = 0x8be34,
	BNXT_ULP_CLASS_HID_82804 = 0x82804,
	BNXT_ULP_CLASS_HID_18c2a4 = 0x18c2a4,
	BNXT_ULP_CLASS_HID_183cb4 = 0x183cb4,
	BNXT_ULP_CLASS_HID_c3784 = 0xc3784,
	BNXT_ULP_CLASS_HID_ca97c = 0xca97c,
	BNXT_ULP_CLASS_HID_1c5c34 = 0x1c5c34,
	BNXT_ULP_CLASS_HID_1cbdec = 0x1cbdec,
	BNXT_ULP_CLASS_HID_a734c = 0xa734c,
	BNXT_ULP_CLASS_HID_ad424 = 0xad424,
	BNXT_ULP_CLASS_HID_1a87fc = 0x1a87fc,
	BNXT_ULP_CLASS_HID_1af8d4 = 0x1af8d4,
	BNXT_ULP_CLASS_HID_e0cdc = 0xe0cdc,
	BNXT_ULP_CLASS_HID_e6db4 = 0xe6db4,
	BNXT_ULP_CLASS_HID_1e114c = 0x1e114c,
	BNXT_ULP_CLASS_HID_1e7224 = 0x1e7224,
	BNXT_ULP_CLASS_HID_ddbc = 0xddbc,
	BNXT_ULP_CLASS_HID_37ac = 0x37ac,
	BNXT_ULP_CLASS_HID_2714 = 0x2714,
	BNXT_ULP_CLASS_HID_986c = 0x986c,
	BNXT_ULP_CLASS_HID_10e1cc = 0x10e1cc,
	BNXT_ULP_CLASS_HID_105b3c = 0x105b3c,
	BNXT_ULP_CLASS_HID_104ca4 = 0x104ca4,
	BNXT_ULP_CLASS_HID_10adfc = 0x10adfc,
	BNXT_ULP_CLASS_HID_8d784 = 0x8d784,
	BNXT_ULP_CLASS_HID_841f4 = 0x841f4,
	BNXT_ULP_CLASS_HID_8315c = 0x8315c,
	BNXT_ULP_CLASS_HID_893b4 = 0x893b4,
	BNXT_ULP_CLASS_HID_18fb14 = 0x18fb14,
	BNXT_ULP_CLASS_HID_185504 = 0x185504,
	BNXT_ULP_CLASS_HID_1846ec = 0x1846ec,
	BNXT_ULP_CLASS_HID_18a7c4 = 0x18a7c4,
	BNXT_ULP_CLASS_HID_8bef4 = 0x8bef4,
	BNXT_ULP_CLASS_HID_828c4 = 0x828c4,
	BNXT_ULP_CLASS_HID_18c264 = 0x18c264,
	BNXT_ULP_CLASS_HID_183c74 = 0x183c74,
	BNXT_ULP_CLASS_HID_c3744 = 0xc3744,
	BNXT_ULP_CLASS_HID_ca9bc = 0xca9bc,
	BNXT_ULP_CLASS_HID_1c5cf4 = 0x1c5cf4,
	BNXT_ULP_CLASS_HID_1cbd2c = 0x1cbd2c,
	BNXT_ULP_CLASS_HID_a738c = 0xa738c,
	BNXT_ULP_CLASS_HID_ad4e4 = 0xad4e4,
	BNXT_ULP_CLASS_HID_1a873c = 0x1a873c,
	BNXT_ULP_CLASS_HID_1af814 = 0x1af814,
	BNXT_ULP_CLASS_HID_e0c1c = 0xe0c1c,
	BNXT_ULP_CLASS_HID_e6d74 = 0xe6d74,
	BNXT_ULP_CLASS_HID_1e118c = 0x1e118c,
	BNXT_ULP_CLASS_HID_1e72e4 = 0x1e72e4,
	BNXT_ULP_CLASS_HID_43d30 = 0x43d30,
	BNXT_ULP_CLASS_HID_49e58 = 0x49e58,
	BNXT_ULP_CLASS_HID_4ce40 = 0x4ce40,
	BNXT_ULP_CLASS_HID_43850 = 0x43850,
	BNXT_ULP_CLASS_HID_c3768 = 0xc3768,
	BNXT_ULP_CLASS_HID_ca990 = 0xca990,
	BNXT_ULP_CLASS_HID_cd878 = 0xcd878,
	BNXT_ULP_CLASS_HID_c3388 = 0xc3388,
	BNXT_ULP_CLASS_HID_6f910 = 0x6f910,
	BNXT_ULP_CLASS_HID_65320 = 0x65320,
	BNXT_ULP_CLASS_HID_68308 = 0x68308,
	BNXT_ULP_CLASS_HID_6e430 = 0x6e430,
	BNXT_ULP_CLASS_HID_e0c30 = 0xe0c30,
	BNXT_ULP_CLASS_HID_e6d58 = 0xe6d58,
	BNXT_ULP_CLASS_HID_e9d40 = 0xe9d40,
	BNXT_ULP_CLASS_HID_efe68 = 0xefe68,
	BNXT_ULP_CLASS_HID_59b20 = 0x59b20,
	BNXT_ULP_CLASS_HID_5fc48 = 0x5fc48,
	BNXT_ULP_CLASS_HID_52518 = 0x52518,
	BNXT_ULP_CLASS_HID_58640 = 0x58640,
	BNXT_ULP_CLASS_HID_d9558 = 0xd9558,
	BNXT_ULP_CLASS_HID_d0f68 = 0xd0f68,
	BNXT_ULP_CLASS_HID_d3f50 = 0xd3f50,
	BNXT_ULP_CLASS_HID_d9078 = 0xd9078,
	BNXT_ULP_CLASS_HID_750e8 = 0x750e8,
	BNXT_ULP_CLASS_HID_7b110 = 0x7b110,
	BNXT_ULP_CLASS_HID_7e1f8 = 0x7e1f8,
	BNXT_ULP_CLASS_HID_75b08 = 0x75b08,
	BNXT_ULP_CLASS_HID_f6a20 = 0xf6a20,
	BNXT_ULP_CLASS_HID_fcb48 = 0xfcb48,
	BNXT_ULP_CLASS_HID_ffb30 = 0xffb30,
	BNXT_ULP_CLASS_HID_f5540 = 0xf5540,
	BNXT_ULP_CLASS_HID_11a88 = 0x11a88,
	BNXT_ULP_CLASS_HID_17c50 = 0x17c50,
	BNXT_ULP_CLASS_HID_1ac78 = 0x1ac78,
	BNXT_ULP_CLASS_HID_10668 = 0x10668,
	BNXT_ULP_CLASS_HID_3c6a8 = 0x3c6a8,
	BNXT_ULP_CLASS_HID_33098 = 0x33098,
	BNXT_ULP_CLASS_HID_360a0 = 0x360a0,
	BNXT_ULP_CLASS_HID_3c188 = 0x3c188,
	BNXT_ULP_CLASS_HID_1c980 = 0x1c980,
	BNXT_ULP_CLASS_HID_1ab68 = 0x1ab68,
	BNXT_ULP_CLASS_HID_1db70 = 0x1db70,
	BNXT_ULP_CLASS_HID_1b560 = 0x1b560,
	BNXT_ULP_CLASS_HID_38ec8 = 0x38ec8,
	BNXT_ULP_CLASS_HID_3ef90 = 0x3ef90,
	BNXT_ULP_CLASS_HID_39fb8 = 0x39fb8,
	BNXT_ULP_CLASS_HID_389a8 = 0x389a8,
	BNXT_ULP_CLASS_HID_1ee70 = 0x1ee70,
	BNXT_ULP_CLASS_HID_15860 = 0x15860,
	BNXT_ULP_CLASS_HID_17788 = 0x17788,
	BNXT_ULP_CLASS_HID_1e950 = 0x1e950,
	BNXT_ULP_CLASS_HID_362b8 = 0x362b8,
	BNXT_ULP_CLASS_HID_3c380 = 0x3c380,
	BNXT_ULP_CLASS_HID_34cb0 = 0x34cb0,
	BNXT_ULP_CLASS_HID_36d98 = 0x36d98,
	BNXT_ULP_CLASS_HID_1dc88 = 0x1dc88,
	BNXT_ULP_CLASS_HID_1f778 = 0x1f778,
	BNXT_ULP_CLASS_HID_1e680 = 0x1e680,
	BNXT_ULP_CLASS_HID_1d868 = 0x1d868,
	BNXT_ULP_CLASS_HID_3d1b0 = 0x3d1b0,
	BNXT_ULP_CLASS_HID_3cba0 = 0x3cba0,
	BNXT_ULP_CLASS_HID_3fbc8 = 0x3fbc8,
	BNXT_ULP_CLASS_HID_3dc90 = 0x3dc90,
	BNXT_ULP_CLASS_HID_43d70 = 0x43d70,
	BNXT_ULP_CLASS_HID_49e18 = 0x49e18,
	BNXT_ULP_CLASS_HID_4ce00 = 0x4ce00,
	BNXT_ULP_CLASS_HID_43810 = 0x43810,
	BNXT_ULP_CLASS_HID_c3728 = 0xc3728,
	BNXT_ULP_CLASS_HID_ca9d0 = 0xca9d0,
	BNXT_ULP_CLASS_HID_cd838 = 0xcd838,
	BNXT_ULP_CLASS_HID_c33c8 = 0xc33c8,
	BNXT_ULP_CLASS_HID_6f950 = 0x6f950,
	BNXT_ULP_CLASS_HID_65360 = 0x65360,
	BNXT_ULP_CLASS_HID_68348 = 0x68348,
	BNXT_ULP_CLASS_HID_6e470 = 0x6e470,
	BNXT_ULP_CLASS_HID_e0c70 = 0xe0c70,
	BNXT_ULP_CLASS_HID_e6d18 = 0xe6d18,
	BNXT_ULP_CLASS_HID_e9d00 = 0xe9d00,
	BNXT_ULP_CLASS_HID_efe28 = 0xefe28,
	BNXT_ULP_CLASS_HID_59b60 = 0x59b60,
	BNXT_ULP_CLASS_HID_5fc08 = 0x5fc08,
	BNXT_ULP_CLASS_HID_52558 = 0x52558,
	BNXT_ULP_CLASS_HID_58600 = 0x58600,
	BNXT_ULP_CLASS_HID_d9518 = 0xd9518,
	BNXT_ULP_CLASS_HID_d0f28 = 0xd0f28,
	BNXT_ULP_CLASS_HID_d3f10 = 0xd3f10,
	BNXT_ULP_CLASS_HID_d9038 = 0xd9038,
	BNXT_ULP_CLASS_HID_750a8 = 0x750a8,
	BNXT_ULP_CLASS_HID_7b150 = 0x7b150,
	BNXT_ULP_CLASS_HID_7e1b8 = 0x7e1b8,
	BNXT_ULP_CLASS_HID_75b48 = 0x75b48,
	BNXT_ULP_CLASS_HID_f6a60 = 0xf6a60,
	BNXT_ULP_CLASS_HID_fcb08 = 0xfcb08,
	BNXT_ULP_CLASS_HID_ffb70 = 0xffb70,
	BNXT_ULP_CLASS_HID_f5500 = 0xf5500,
	BNXT_ULP_CLASS_HID_11a48 = 0x11a48,
	BNXT_ULP_CLASS_HID_17c90 = 0x17c90,
	BNXT_ULP_CLASS_HID_1acb8 = 0x1acb8,
	BNXT_ULP_CLASS_HID_106a8 = 0x106a8,
	BNXT_ULP_CLASS_HID_3c668 = 0x3c668,
	BNXT_ULP_CLASS_HID_33058 = 0x33058,
	BNXT_ULP_CLASS_HID_36060 = 0x36060,
	BNXT_ULP_CLASS_HID_3c148 = 0x3c148,
	BNXT_ULP_CLASS_HID_1c940 = 0x1c940,
	BNXT_ULP_CLASS_HID_1aba8 = 0x1aba8,
	BNXT_ULP_CLASS_HID_1dbb0 = 0x1dbb0,
	BNXT_ULP_CLASS_HID_1b5a0 = 0x1b5a0,
	BNXT_ULP_CLASS_HID_38e08 = 0x38e08,
	BNXT_ULP_CLASS_HID_3ef50 = 0x3ef50,
	BNXT_ULP_CLASS_HID_39f78 = 0x39f78,
	BNXT_ULP_CLASS_HID_38968 = 0x38968,
	BNXT_ULP_CLASS_HID_1eeb0 = 0x1eeb0,
	BNXT_ULP_CLASS_HID_158a0 = 0x158a0,
	BNXT_ULP_CLASS_HID_17748 = 0x17748,
	BNXT_ULP_CLASS_HID_1e990 = 0x1e990,
	BNXT_ULP_CLASS_HID_36278 = 0x36278,
	BNXT_ULP_CLASS_HID_3c340 = 0x3c340,
	BNXT_ULP_CLASS_HID_34c70 = 0x34c70,
	BNXT_ULP_CLASS_HID_36d58 = 0x36d58,
	BNXT_ULP_CLASS_HID_1dc48 = 0x1dc48,
	BNXT_ULP_CLASS_HID_1f7b8 = 0x1f7b8,
	BNXT_ULP_CLASS_HID_1e640 = 0x1e640,
	BNXT_ULP_CLASS_HID_1d8a8 = 0x1d8a8,
	BNXT_ULP_CLASS_HID_3d170 = 0x3d170,
	BNXT_ULP_CLASS_HID_3cb60 = 0x3cb60,
	BNXT_ULP_CLASS_HID_3fb08 = 0x3fb08,
	BNXT_ULP_CLASS_HID_3dc50 = 0x3dc50,
	BNXT_ULP_CLASS_HID_20dc = 0x20dc,
	BNXT_ULP_CLASS_HID_729c = 0x729c,
	BNXT_ULP_CLASS_HID_80214 = 0x80214,
	BNXT_ULP_CLASS_HID_181684 = 0x181684,
	BNXT_ULP_CLASS_HID_488e8 = 0x488e8,
	BNXT_ULP_CLASS_HID_412e0 = 0x412e0,
	BNXT_ULP_CLASS_HID_c82a0 = 0xc82a0,
	BNXT_ULP_CLASS_HID_c2c98 = 0xc2c98,
	BNXT_ULP_CLASS_HID_155c0 = 0x155c0,
	BNXT_ULP_CLASS_HID_1e730 = 0x1e730,
	BNXT_ULP_CLASS_HID_32a88 = 0x32a88,
	BNXT_ULP_CLASS_HID_3bbf8 = 0x3bbf8,
	BNXT_ULP_CLASS_HID_209c = 0x209c,
	BNXT_ULP_CLASS_HID_72dc = 0x72dc,
	BNXT_ULP_CLASS_HID_10352c = 0x10352c,
	BNXT_ULP_CLASS_HID_10876c = 0x10876c,
	BNXT_ULP_CLASS_HID_83b64 = 0x83b64,
	BNXT_ULP_CLASS_HID_88ca4 = 0x88ca4,
	BNXT_ULP_CLASS_HID_184ff4 = 0x184ff4,
	BNXT_ULP_CLASS_HID_189134 = 0x189134,
	BNXT_ULP_CLASS_HID_80254 = 0x80254,
	BNXT_ULP_CLASS_HID_1816c4 = 0x1816c4,
	BNXT_ULP_CLASS_HID_c828c = 0xc828c,
	BNXT_ULP_CLASS_HID_1c973c = 0x1c973c,
	BNXT_ULP_CLASS_HID_ace74 = 0xace74,
	BNXT_ULP_CLASS_HID_1ad2e4 = 0x1ad2e4,
	BNXT_ULP_CLASS_HID_e47c4 = 0xe47c4,
	BNXT_ULP_CLASS_HID_1e6c74 = 0x1e6c74,
	BNXT_ULP_CLASS_HID_205c = 0x205c,
	BNXT_ULP_CLASS_HID_721c = 0x721c,
	BNXT_ULP_CLASS_HID_1035ec = 0x1035ec,
	BNXT_ULP_CLASS_HID_1087ac = 0x1087ac,
	BNXT_ULP_CLASS_HID_83ba4 = 0x83ba4,
	BNXT_ULP_CLASS_HID_88c64 = 0x88c64,
	BNXT_ULP_CLASS_HID_184f34 = 0x184f34,
	BNXT_ULP_CLASS_HID_1891f4 = 0x1891f4,
	BNXT_ULP_CLASS_HID_80294 = 0x80294,
	BNXT_ULP_CLASS_HID_181604 = 0x181604,
	BNXT_ULP_CLASS_HID_c824c = 0xc824c,
	BNXT_ULP_CLASS_HID_1c97fc = 0x1c97fc,
	BNXT_ULP_CLASS_HID_aceb4 = 0xaceb4,
	BNXT_ULP_CLASS_HID_1ad224 = 0x1ad224,
	BNXT_ULP_CLASS_HID_e4704 = 0xe4704,
	BNXT_ULP_CLASS_HID_1e6cb4 = 0x1e6cb4,
	BNXT_ULP_CLASS_HID_48828 = 0x48828,
	BNXT_ULP_CLASS_HID_41220 = 0x41220,
	BNXT_ULP_CLASS_HID_c8260 = 0xc8260,
	BNXT_ULP_CLASS_HID_c2c58 = 0xc2c58,
	BNXT_ULP_CLASS_HID_64df0 = 0x64df0,
	BNXT_ULP_CLASS_HID_6de00 = 0x6de00,
	BNXT_ULP_CLASS_HID_e4728 = 0xe4728,
	BNXT_ULP_CLASS_HID_ee838 = 0xee838,
	BNXT_ULP_CLASS_HID_5d618 = 0x5d618,
	BNXT_ULP_CLASS_HID_57010 = 0x57010,
	BNXT_ULP_CLASS_HID_de050 = 0xde050,
	BNXT_ULP_CLASS_HID_d8a48 = 0xd8a48,
	BNXT_ULP_CLASS_HID_7abe0 = 0x7abe0,
	BNXT_ULP_CLASS_HID_735d8 = 0x735d8,
	BNXT_ULP_CLASS_HID_fa518 = 0xfa518,
	BNXT_ULP_CLASS_HID_f4f10 = 0xf4f10,
	BNXT_ULP_CLASS_HID_15580 = 0x15580,
	BNXT_ULP_CLASS_HID_1e770 = 0x1e770,
	BNXT_ULP_CLASS_HID_32ac8 = 0x32ac8,
	BNXT_ULP_CLASS_HID_3bbb8 = 0x3bbb8,
	BNXT_ULP_CLASS_HID_18498 = 0x18498,
	BNXT_ULP_CLASS_HID_1ae90 = 0x1ae90,
	BNXT_ULP_CLASS_HID_3d9c0 = 0x3d9c0,
	BNXT_ULP_CLASS_HID_3eab0 = 0x3eab0,
	BNXT_ULP_CLASS_HID_1f888 = 0x1f888,
	BNXT_ULP_CLASS_HID_1c280 = 0x1c280,
	BNXT_ULP_CLASS_HID_3fdb0 = 0x3fdb0,
	BNXT_ULP_CLASS_HID_347c8 = 0x347c8,
	BNXT_ULP_CLASS_HID_1e0a8 = 0x1e0a8,
	BNXT_ULP_CLASS_HID_1f198 = 0x1f198,
	BNXT_ULP_CLASS_HID_3ecc8 = 0x3ecc8,
	BNXT_ULP_CLASS_HID_3f6c0 = 0x3f6c0,
	BNXT_ULP_CLASS_HID_48868 = 0x48868,
	BNXT_ULP_CLASS_HID_41260 = 0x41260,
	BNXT_ULP_CLASS_HID_c8220 = 0xc8220,
	BNXT_ULP_CLASS_HID_c2c18 = 0xc2c18,
	BNXT_ULP_CLASS_HID_64db0 = 0x64db0,
	BNXT_ULP_CLASS_HID_6de40 = 0x6de40,
	BNXT_ULP_CLASS_HID_e4768 = 0xe4768,
	BNXT_ULP_CLASS_HID_ee878 = 0xee878,
	BNXT_ULP_CLASS_HID_5d658 = 0x5d658,
	BNXT_ULP_CLASS_HID_57050 = 0x57050,
	BNXT_ULP_CLASS_HID_de010 = 0xde010,
	BNXT_ULP_CLASS_HID_d8a08 = 0xd8a08,
	BNXT_ULP_CLASS_HID_7aba0 = 0x7aba0,
	BNXT_ULP_CLASS_HID_73598 = 0x73598,
	BNXT_ULP_CLASS_HID_fa558 = 0xfa558,
	BNXT_ULP_CLASS_HID_f4f50 = 0xf4f50,
	BNXT_ULP_CLASS_HID_15540 = 0x15540,
	BNXT_ULP_CLASS_HID_1e7b0 = 0x1e7b0,
	BNXT_ULP_CLASS_HID_32a08 = 0x32a08,
	BNXT_ULP_CLASS_HID_3bb78 = 0x3bb78,
	BNXT_ULP_CLASS_HID_18458 = 0x18458,
	BNXT_ULP_CLASS_HID_1ae50 = 0x1ae50,
	BNXT_ULP_CLASS_HID_3d900 = 0x3d900,
	BNXT_ULP_CLASS_HID_3ea70 = 0x3ea70,
	BNXT_ULP_CLASS_HID_1f848 = 0x1f848,
	BNXT_ULP_CLASS_HID_1c240 = 0x1c240,
	BNXT_ULP_CLASS_HID_3fd70 = 0x3fd70,
	BNXT_ULP_CLASS_HID_34708 = 0x34708,
	BNXT_ULP_CLASS_HID_1e068 = 0x1e068,
	BNXT_ULP_CLASS_HID_1f158 = 0x1f158,
	BNXT_ULP_CLASS_HID_3ec08 = 0x3ec08,
	BNXT_ULP_CLASS_HID_3f600 = 0x3f600,
	BNXT_ULP_CLASS_HID_1e0c = 0x1e0c,
	BNXT_ULP_CLASS_HID_1e1c = 0x1e1c,
	BNXT_ULP_CLASS_HID_1e70 = 0x1e70,
	BNXT_ULP_CLASS_HID_af00 = 0xaf00,
	BNXT_ULP_CLASS_HID_1e00 = 0x1e00,
	BNXT_ULP_CLASS_HID_af70 = 0xaf70,
	BNXT_ULP_CLASS_HID_1e4c = 0x1e4c,
	BNXT_ULP_CLASS_HID_1e5c = 0x1e5c,
	BNXT_ULP_CLASS_HID_1e8c = 0x1e8c,
	BNXT_ULP_CLASS_HID_1e9c = 0x1e9c,
	BNXT_ULP_CLASS_HID_1eb0 = 0x1eb0,
	BNXT_ULP_CLASS_HID_afc0 = 0xafc0,
	BNXT_ULP_CLASS_HID_1e40 = 0x1e40,
	BNXT_ULP_CLASS_HID_af30 = 0xaf30,
	BNXT_ULP_CLASS_HID_1ef0 = 0x1ef0,
	BNXT_ULP_CLASS_HID_af80 = 0xaf80,
	BNXT_ULP_CLASS_HID_1e80 = 0x1e80,
	BNXT_ULP_CLASS_HID_aff0 = 0xaff0
};

enum bnxt_ulp_act_hid {
	BNXT_ULP_ACT_HID_0000 = 0x0000,
	BNXT_ULP_ACT_HID_0001 = 0x0001,
	BNXT_ULP_ACT_HID_0400 = 0x0400,
	BNXT_ULP_ACT_HID_01ab = 0x01ab,
	BNXT_ULP_ACT_HID_0010 = 0x0010,
	BNXT_ULP_ACT_HID_05ab = 0x05ab,
	BNXT_ULP_ACT_HID_01bb = 0x01bb,
	BNXT_ULP_ACT_HID_0002 = 0x0002,
	BNXT_ULP_ACT_HID_0003 = 0x0003,
	BNXT_ULP_ACT_HID_0402 = 0x0402,
	BNXT_ULP_ACT_HID_01ad = 0x01ad,
	BNXT_ULP_ACT_HID_0012 = 0x0012,
	BNXT_ULP_ACT_HID_05ad = 0x05ad,
	BNXT_ULP_ACT_HID_01bd = 0x01bd,
	BNXT_ULP_ACT_HID_0613 = 0x0613,
	BNXT_ULP_ACT_HID_02a9 = 0x02a9,
	BNXT_ULP_ACT_HID_0054 = 0x0054,
	BNXT_ULP_ACT_HID_0622 = 0x0622,
	BNXT_ULP_ACT_HID_0454 = 0x0454,
	BNXT_ULP_ACT_HID_0064 = 0x0064,
	BNXT_ULP_ACT_HID_0614 = 0x0614,
	BNXT_ULP_ACT_HID_0615 = 0x0615,
	BNXT_ULP_ACT_HID_02ab = 0x02ab,
	BNXT_ULP_ACT_HID_0056 = 0x0056,
	BNXT_ULP_ACT_HID_0624 = 0x0624,
	BNXT_ULP_ACT_HID_0456 = 0x0456,
	BNXT_ULP_ACT_HID_0066 = 0x0066,
	BNXT_ULP_ACT_HID_048d = 0x048d,
	BNXT_ULP_ACT_HID_048f = 0x048f,
	BNXT_ULP_ACT_HID_04bc = 0x04bc,
	BNXT_ULP_ACT_HID_00a9 = 0x00a9,
	BNXT_ULP_ACT_HID_020f = 0x020f,
	BNXT_ULP_ACT_HID_0153 = 0x0153,
	BNXT_ULP_ACT_HID_04a9 = 0x04a9,
	BNXT_ULP_ACT_HID_01fc = 0x01fc,
	BNXT_ULP_ACT_HID_04be = 0x04be,
	BNXT_ULP_ACT_HID_00ab = 0x00ab,
	BNXT_ULP_ACT_HID_0211 = 0x0211,
	BNXT_ULP_ACT_HID_0155 = 0x0155,
	BNXT_ULP_ACT_HID_04ab = 0x04ab,
	BNXT_ULP_ACT_HID_01fe = 0x01fe,
	BNXT_ULP_ACT_HID_0667 = 0x0667,
	BNXT_ULP_ACT_HID_0254 = 0x0254,
	BNXT_ULP_ACT_HID_03ba = 0x03ba,
	BNXT_ULP_ACT_HID_02fe = 0x02fe,
	BNXT_ULP_ACT_HID_0654 = 0x0654,
	BNXT_ULP_ACT_HID_03a7 = 0x03a7,
	BNXT_ULP_ACT_HID_0669 = 0x0669,
	BNXT_ULP_ACT_HID_0256 = 0x0256,
	BNXT_ULP_ACT_HID_03bc = 0x03bc,
	BNXT_ULP_ACT_HID_0300 = 0x0300,
	BNXT_ULP_ACT_HID_0656 = 0x0656,
	BNXT_ULP_ACT_HID_03a9 = 0x03a9,
	BNXT_ULP_ACT_HID_0004 = 0x0004,
	BNXT_ULP_ACT_HID_0006 = 0x0006,
	BNXT_ULP_ACT_HID_04bb = 0x04bb,
	BNXT_ULP_ACT_HID_04bd = 0x04bd,
	BNXT_ULP_ACT_HID_021b = 0x021b,
	BNXT_ULP_ACT_HID_021c = 0x021c,
	BNXT_ULP_ACT_HID_021e = 0x021e,
	BNXT_ULP_ACT_HID_063f = 0x063f,
	BNXT_ULP_ACT_HID_0510 = 0x0510,
	BNXT_ULP_ACT_HID_03c6 = 0x03c6,
	BNXT_ULP_ACT_HID_0082 = 0x0082,
	BNXT_ULP_ACT_HID_06bb = 0x06bb,
	BNXT_ULP_ACT_HID_021d = 0x021d,
	BNXT_ULP_ACT_HID_0641 = 0x0641,
	BNXT_ULP_ACT_HID_0512 = 0x0512,
	BNXT_ULP_ACT_HID_03c8 = 0x03c8,
	BNXT_ULP_ACT_HID_0084 = 0x0084,
	BNXT_ULP_ACT_HID_06bd = 0x06bd,
	BNXT_ULP_ACT_HID_06d7 = 0x06d7,
	BNXT_ULP_ACT_HID_02c4 = 0x02c4,
	BNXT_ULP_ACT_HID_042a = 0x042a,
	BNXT_ULP_ACT_HID_036e = 0x036e,
	BNXT_ULP_ACT_HID_06c4 = 0x06c4,
	BNXT_ULP_ACT_HID_0417 = 0x0417,
	BNXT_ULP_ACT_HID_06d9 = 0x06d9,
	BNXT_ULP_ACT_HID_02c6 = 0x02c6,
	BNXT_ULP_ACT_HID_042c = 0x042c,
	BNXT_ULP_ACT_HID_0370 = 0x0370,
	BNXT_ULP_ACT_HID_06c6 = 0x06c6,
	BNXT_ULP_ACT_HID_0419 = 0x0419,
	BNXT_ULP_ACT_HID_0119 = 0x0119,
	BNXT_ULP_ACT_HID_046f = 0x046f,
	BNXT_ULP_ACT_HID_05d5 = 0x05d5,
	BNXT_ULP_ACT_HID_0519 = 0x0519,
	BNXT_ULP_ACT_HID_0106 = 0x0106,
	BNXT_ULP_ACT_HID_05c2 = 0x05c2,
	BNXT_ULP_ACT_HID_011b = 0x011b,
	BNXT_ULP_ACT_HID_0471 = 0x0471,
	BNXT_ULP_ACT_HID_05d7 = 0x05d7,
	BNXT_ULP_ACT_HID_051b = 0x051b,
	BNXT_ULP_ACT_HID_0108 = 0x0108,
	BNXT_ULP_ACT_HID_05c4 = 0x05c4,
	BNXT_ULP_ACT_HID_00a2 = 0x00a2,
	BNXT_ULP_ACT_HID_00a4 = 0x00a4,
	BNXT_ULP_ACT_HID_0429 = 0x0429,
	BNXT_ULP_ACT_HID_042b = 0x042b
};

enum bnxt_ulp_df_tpl {
	BNXT_ULP_DF_TPL_DEFAULT_UPLINK_PORT = 4,
	BNXT_ULP_DF_TPL_DEFAULT_VFR = 5
};

#endif

